ArtCAM Pro Reference Help

By Delcam plc

Issue: 9.018 Release: 22/06/2006


Disclaimer

Delcam plc has no control over the use made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2006 Delcam plc. All rights reserved.

Acknowledgements

This documentation references a number of registered trademarks and these are the property of their respective owners. For example, Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United Stated and/or other countries.

Patents

The functionality of preparing a 3D relief of the side profile of a human face direct from a photograph in ArtCAM Pro is subject to a patent application.

Patent application: GB 0315916.7 "Photo to 3D"

The functionality of the 3D layers used to design and machine an article in ArtCAM Pro are subject to a patent application.

Patent application: GB 0600873.4 "3D Layers"

Delcam plc
Talbot Way
Small Heath Business Park
Birmingham B10 0HJ
England

Tel: (UK) 0121-766-5544
(Int) +44 121-766-5544

Fax: (UK) 0121-766-5511
(Int) +44 121-766-5511


Understanding ArtCAM Pro

This section provides details of where you can access information about ArtCAM Pro and explains how to distinguish between bitmaps, vectors and reliefs.

In This Chapter

ArtCAM Pro Overview

Information about ArtCAM Pro

Comparing Bitmaps, Vectors and Reliefs


ArtCAM Pro Overview

ArtCAM Pro is a unique software program which allows users to easily create impressive, high quality 3D products starting from 2D bitmap or vector based artwork. ArtCAM Pro transforms ideas into finished products far more quickly than is possible using conventional methods. Even in cases where a hand-finished look is desired, ArtCAM Pro accelerates production. Using ArtCAM Pro and a machine tool or router to machine most of the job, leaves the artisan more time to concentrate on the original design and the fine details, which together help to differentiate products in today's competitive markets.

See Also

Understanding ArtCAM Pro

Information about ArtCAM Pro

Comparing Bitmaps, Vectors and Reliefs


Information about ArtCAM Pro

You can find information about the features in ArtCAM Pro from the following sources:

  1. The ArtCAM Pro Assistant (In-Line Help).
    • Click on [image] at the top of each page shown in the Assistant window to display its associated In-Line Help.
  2. The ArtCAM Pro Reference Help system.
    • From the Main menu bar, click on the Help > Index option.
  3. The Assistant's Getting Started page.
    • Click on the [image] icon in the Other Features area to display details of the latest features in ArtCAM Pro.
  4. The printed ArtCAM Pro User Guide.
  5. The ArtCAM Pro Website.
    • From the Main menu bar, click on the Help menu, followed by the ArtCAM Pro On The Web > ArtCAM Pro Home Page option.
  6. The ArtCAM User Forum.
    • From the Main menu bar, click on the Help > ArtCAM Pro On The Web > ArtCAM Pro Forum option. You can also access the forum at http://forum.artcam.com.
    • If you have not already registered as a forum member, click on the Join option on the forum's Home Page to do so. Registered users are able to download images, example ArtCAM models and relief clipart files attached to posts.
  7. Subscribe to the ArtCAM Pro Newsletter.
    • From the Main menu bar, click on the Help menu, followed by the Subscribe to the ArtCAM Pro Newsletter option to send an e-mail requesting subscription to the quarterly newsletter.
  8. The Frequently Asked Questions page.
    • From the Main menu bar, click on the Help > ArtCAM Pro On The Web > Frequently Asked Questions option.

See Also

Understanding ArtCAM Pro

ArtCAM Pro Overview

Comparing Bitmaps, Vectors and Reliefs


Using ArtCAM Pro's Help System

The ArtCAM Pro Reference Help system provides you with instructions on how to create and develop the different aspects of an ArtCAM model, and then machine its content.

The Reference Help system is divided into the following sections:

  • ArtCAM Pro Overview. This section provides an overview of the different uses for ArtCAM Pro.
  • ArtCAM Pro's Interface. This section explains the layout of ArtCAM Pro, how to use its design windows and manage its preferences.
  • Working with Models. This section explains how to create and manage an ArtCAM model, as well as create and edit your own fonts for use within ArtCAM Pro.
  • Working with Bitmaps. This section explains how to create and manipulate images on bitmap layers in a model. These can then be used to create two-dimensional artwork on vector layers or three-dimensional shapes on relief layers.
  • Working with Vectors. This section explains how to create and manipulate vector artwork in a model. This can then be used to create a three-dimensional shape on a relief layer, or to machine a two-dimensional piece.
  • Working with Reliefs. This section explains how to create different types of shapes on relief layers and combine them to form the composite relief. The composite relief can then be used to machine a three-dimensional piece.
  • Machining Models. This section explains how to machine a model using the vector artwork or composite relief that you have created.

See Also

Information about ArtCAM Pro


Comparing Bitmaps, Vectors and Reliefs

Vectors and bitmaps are two different methods of reproducing particular types of images. ArtCAM Pro uses both bitmap images and vectors to create three-dimensional shapes. In ArtCAM Pro, a vector can be created from a bitmap image, and vice versa. For more details, see Working with Bitmaps and Working with Vectors.

Vector Data

Bitmap Data

The three-dimensional shapes created from the bitmap images and vectors in ArtCAM Pro make up a relief layer. These relief layers make up the composite relief representing the piece that you want to machine.

See Also

Understanding ArtCAM Pro

ArtCAM Pro Overview

Information about ArtCAM Pro


What is a Vector?

Vector data is defined mathematically. Objects are geometrical, being made up of a number of points connected by lines or curves. Vectors are extremely flexible and can be manipulated with both ease and accuracy.

The amount of data required to display all of the attributes of a vector is very small, so graphics made up of vectors can have very small file sizes. As the objects become more complex, the sizes increase.

Vector data is ideal for producing smooth features. A vector not only has greater definition than the bitmap, the geometry of the vector can also be used to drive an assigned machining tool directly, which, in turn, can produce a better finish.

Vector artwork is drawn on vector layers in ArtCAM Pro and can be used to create three-dimensional shapes on relief layers or toolpaths to machine a two-dimensional piece.

ArtCAM Pro can read files containing vector data saved in the following formats:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For further information, see Importing Vector Artwork and Loading a Layer.

See Also

Comparing Bitmaps, Vectors and Reliefs

What is a Bitmap?

What is a Relief?


What is a Bitmap?

Bitmap data is made up of a set of values specifying the colour of individual pixels (picture elements) that make up an image. Bitmap data is characterized by resolution and bit depth.

Resolution relates to the detail in an image and is expressed in dots per inch (.dpi) or pixels per inch (.ppi). The higher the resolution (i.e. the more dots used to describe the image), the more detail possible.

Bit depth has to do with the number of colours the image can display. Bits are the building blocks of binary data. A black and white image is 1 bit, meaning it can be off or on, black or white. As bit depth increases, more colours are available.

Unlike vector data, bitmap data is large. For example, a simple object like the letter shown in What is a Vector? is 32,838 bytes as vector data in ArtCAM Pro. When rasterized (changed to a bitmap), the file size changes to 40,078 bytes in ArtCAM Pro. For small compositions the increase in file size may not matter greatly, but for larger compositions the difference in file size seriously impacts machining times.

ArtCAM Pro allows three-dimensional shapes to be created from bitmap colours on bitmap layers. It can also read image files generated by other drawing and desktop publishing packages or those scanned from paper based artwork saved in any of the following formats:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

See Also

Comparing Bitmaps, Vectors and Reliefs

What is a Vector?

What is a Relief?


What is a Relief?

A relief is essentially one or more three-dimensional shapes created in ArtCAM Pro, although there are two different concepts to consider when working with reliefs: the 'relief layer' and the 'composite relief'.

The content of a relief layer comprises one or more three-dimensional shapes. Each shape begins as a series of attributes applied to either a piece of two-dimensional vector artwork or a bitmap colour drawn in the model. The resulting shape is generated on a selected relief layer using a choice of calculation methods. Each of these methods control the appearance of the shape in relation to the selected relief layer. For further information, see Calculating a Relief.

The relief layers on which these different shapes are created make up the composite relief. Exactly how each of the relief layers combine to form the composite relief depends on the combine mode assigned to each of them, and whether or not they are visible. For further information, see Assigning a Combine Mode to a Relief Layer and Viewing a Layer.

The composite relief can be built from one of two layer stacks in the model; one representing the front surface of your design, the other representing the back. Although you can reassign a relief layer from one layer stack to the other at any time, you cannot view the composite relief resulting from both of these layer stacks concurrently.

When a new model is created in ArtCAM Pro, you are required to select between working in imperial or metric units. You must also specify the resolution of the model. The number of points in a model determines the resolution of all content created on either bitmap or relief layers. For further information, see Creating a Model.

Every relief layer in a model is made up of a grid of points in a similar way to an image on a bitmap layer. However, instead of colour, each point is assigned a specific height.

A compromise must be made between the quality of a model, including its associated relief layers, and the speed of the processor in your computer. For most jobs, a model of 1,000,000 points is a reasonable value. Since the content of a relief layer is made up of a number of points, even the quality and smoothness of the three-dimensional shapes created from the artwork drawn across the vector layers depends upon the resolution of the model, although this is to a lesser extent than with those shapes created from colours on bitmap layers.

Either the composite relief or a selected relief layer can be saved in any of the following formats:

  • ArtCAM Relief (*.rlf)
  • Windows Bitmap (*.bmp)
  • 16-Bit Greyscale Tagged Image File (*.tif and *.tiff)

For further information, see Saving a Layer and Saving a Composite Relief.

All or part of a relief layer can be created or developed using a file in any of the following formats:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG Image (*.jpg and *.jpeg)
  • CompuServe Image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif and *.tiff)
  • TrueVision Targa (*.tga)
  • Windows Metafile (*.wmf)
  • Enhanced Windows Metafile (*.emf)

For further information, see Loading a Layer and Pasting a Relief from a File.

See Also

Comparing Bitmaps, Vectors and Reliefs

What is a Vector?

What is a Bitmap?


ArtCAM Pro's Interface

This section describes the working environment in ArtCAM Pro and how you can control its overall layout and appearance.

In This Chapter

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


ArtCAM Pro Layout

The ArtCAM Pro screen layout has been designed to let you work effectively and efficiently.

The hub of ArtCAM Pro is the innovative Assistant window. When you have an open model, the Assistant's Home page displays a collection of tools to help you create, edit and machine a model. These tools appear in the form of buttons.

Grouped in a logical arrangement, you can to navigate to the button that you require quickly. To find out more about most of the buttons in ArtCAM Pro, click on it to display a page in the Assistant window showing In-line Help. The In-line Help informs you of exactly where, when and how to use the button, thus reducing the learning curve.

The screen layout is divided into eight regions:

  1. Main menu bar - Click on a menu item to display a drop-down menu containing a range of sub-menus and commands relating to the features in ArtCAM Pro.

    Control Menu File Menu Edit Menu Model Menu Vectors Menu Bitmaps Menu Reliefs Menu Toolpaths Menu Window Menu Help Menu

    • If an item in a menu is greyed-out, then it cannot be used in association with the currently active 2D View window.
  2. Top Toolbar - This toolbar contains buttons which allow you to manage your model files, control your preferences and display the Online help for ArtCAM Pro:

    New Model Open File Save Cut Copy Paste Undo Redo Display/Hide Notes Help Index Options

    • This Top Toolbar is hidden in ArtCAM Pro by default. Almost all of the tools contained in this toolbar can also be found in the File area of the Assistant's Home page.
    • You can toggle the Top Toolbar on and off from the Main menu bar using the Window > Show Top Toolbar option.
  3. Assistant - On starting ArtCAM Pro, the Assistant's Getting Started page is displayed. This page is divided into two areas: Model and Other Features.

    The Model area allows you to:

    • Create a new ArtCAM model of a specific size; or
    • Open a compatible file as an ArtCAM model; listing the last four files on which you have been working.

      The Other Features area allows you to:

    • Create new or modify existing fonts in ArtCAM Pro
    • Create a relief in the shape of a face using a photographic image; or
    • Find out about the latest features in ArtCAM Pro.

      When a model has been created or opened, the Assistant's Home page is displayed on the left-hand side of the screen by default.

    • If you want to reposition the Assistant's Home page, click and hold the left mouse button on the area to the right of the Toolpaths tab, drag the page to the desired position and then release the mouse to dock the page in the chosen position.

    • You can use the F6 key on your keyboard to show or hide the Assistant.

      The Assistant's Home page contains buttons for the most frequently used features in ArtCAM Pro, as well as a summary of your model and relief dimensions. For almost every button you click on, a corresponding interactive page of settings and associated in-line help is displayed in its place. These buttons are divided into six areas:

    • File - You can use these buttons to manage your model files, and edit the bitmap images, vector artwork or reliefs within them. You can also adjust many of the default settings used in ArtCAM Pro:

      Hide File Area New Model Open File Save Options Undo Redo Cut Copy Paste

    • Model - You can use these buttons to manage the appearance of your model, as well as adjust how a model appears in the 3D View window.

      Hide Model Area Model Editing Toolset Greyscale From Composite Relief Lights and Material ArtRead - Import Digitised Data

    • Bitmap Tools - You can use these buttons to draw and paint bitmap shapes, as well as manage the content of the Colour Palette and the size and shape of the brush you use:

      Hide Bitmap Tools Area Brush Diameter Slider Toggle Brush Shape Drawing Toolset Flood Fill Toolset Pick Colour Colour Toolset Bitmap To Vector

    • Vector Tools - You can use these buttons to create vectors in the form of shapes or text, as well as measure and manipulate the vectors that make up the artwork in your model. You can use these buttons to convert vector artwork drawn in your model to bitmap artwork, or vice versa:

      Hide Vector Tools Area Vector Editing Mode Toolset Transform Vector(s) Vector Shapes Toolset Create Vector Text Vector Bitmap Toolset Measure Tool Vector Doctor Create Multiple Plates From File Data... Envelope Distortion Block Copy/Rotate Paste Along Curve Spline Vectors Arc Fit Vectors Fillet Vector With An Arc Trim Vector To Intersections Wrap Vectors Offset Vector(s) Mirror Vectors Import Vectors From A Vector Library

    • Position, Combine, Trim Vectors - You can use these buttons to transform, mirror, align and centre vectors, as well as wrap them around a curve or nest them within a defined area. You can use these buttons to group, merge, join, trim, clip and slice the vectors you create as part of your model:

      Hide Position, Combine, Trim Vectors Area Position/Size/Align Vector Toolset Wrap Text Round A Curve Nesting Vector Grouping Toolset Combine Vectors Toolset Close/Join Vectors Toolset Vector Clipping Slice Selected Vectors

    • Relief Tools - You can use these buttons to scale, smooth, invert, offset, sculpt, reset or add texture to a relief. You can also create an angled plane or a blended shape, distort a relief or copy and paste a relief. You can use these buttons to load, save and calculate reliefs, create a triangle mesh or cross-section. You can use these buttons to create three-dimensional shapes from the vector artwork in your model, and paste an imported relief along a vector:

      Hide Relief Tools Area Relief Management Toolset Relief Calculation Toolset Smooth Relief Texture Relief Scale Relief Height ISO-FORM Letters Weave Wizard Inverting Relief Toolset Relief Colour Toolset Relief Mirror Merge Create 3D Blend Create Cross-Section Relief Shapes Toolset Sculpting Create Angled Plane Offset Relief Relief Envelope Distortion Fade Relief Create Triangle Mesh Import Reliefs From A Relief Clipart Library

      You can change the layout of the Assistant's Home page in any of the following ways:

    • Click on the FlyoutToolbarArrow icon attached to the right edge of a button to display the complete toolset to which it belongs. When a button from a particular toolset is selected, only this is shown. The remaining buttons in the toolset are hidden by default.
    • If there is no FlyoutToolbarArrow icon attached to the right-edge of a button, this indicates that it does not belong to a toolset.
    • Click on the FlyoutToolbarPin icon at the right end of a toolset to pin all of the buttons that make up the toolset. Each of the buttons in the toolset are emphasized in grey when pinned. You can collapse the toolset by clicking on the icon again, which appears beside the right-edge of the last button in the toolset.
    • Click on the arrow displayed on the title bar for each of the six areas within the Assistant's Home page to either hide [image] or display [image] the buttons hosted in that particular area.

      You can also change the appearance of each page associated with the buttons on the Assistant's Home page:

    • Click on [image] to hide all In-line Help shown on the page. You can also click on the [image] icon in the top-right corner of the page to hide In-line Help shown.
    • Click on [image] to display In-line Help on the page. You can also click on the [image] icon in the top-right corner of the page to display the In-line Help.
    • Click on the [image] icon in the top-right corner of the page to return to the Assistant's Home page.

      You can obtain further assistance on how you can use the page of settings that are currently displayed in the Assistant window if you:

    • Click on the Help icon OnlineHelpIcon within the In-line Help shown to display the Online Help in a new window at the relevant page.
    • Click on the Video icon [image] within the In-line Help shown to play a video tutorial in a new window.
  4. Project - This tab displays the Project page in the Assistant. You can use this page to view information about your model, to create, delete or edit design windows and calculate reliefs. You can also edit, calculate, delete and simulate toolpaths, or create a template from them.
  5. Toolpaths - This tab displays the Toolpaths Home page in the Assistant. You can use this page to create machining toolpaths, drill holes, add bridging and lead moves, manage the machining order, produce a toolpath summary, and manage the tools database. For almost every button you click on, a corresponding interactive page of settings and associated in-line help is displayed in its place. These buttons are divided into four separate areas:
    • Toolpath Operations - You can use these buttons to save toolpaths, edit toolpaths, load or save a toolpath template and edit the machining parameters relating to a tool.

      Hide Toolpath Operations Area Save Toolpaths Edit Toolpaths Delete Toolpath Calculate Selected Toolpath Batch Calculate Toolpaths Toolpath Summary Tool Database Material Setup Delete Material Save Toolpath As Template Load Toolpath Template Toolpath Transform Toolpath Merge Toolpath Copy Toolpath Panelling

    • Click on the arrow displayed on the title bar for each of the four areas within the Toolpaths Home page to either hide [image] or display [image] the buttons hosted in that particular area.
    • 2D Toolpaths - You can use these buttons to create the toolpaths needed to machine your two-dimensional vector artwork.

      Hide 2D Toolpaths Area 2D Profiling Area Clearance V-Bit Carving Bevel Carving Engraving Drilling Machine Along Vector Inlay Toolpath Ordering Profile Options

    • 3D Toolpaths - You can use these button to create the toolpaths needed to machine your three-dimensional reliefs.

      Hide 3D Toolpaths Area Machine Relief Feature Machining Z Level Roughing 3D Laser Machining 3D Cut Out 3D Rest Machining Raised Feature Recessed Feature Centreline Engraved Feature Return Feature To Normal Vectors

    • Toolpath Simulation - You can use these buttons to simulate the toolpaths that you have calculated and preview their results.

      Hide Toolpath Simulation Area Draw Inside Vector Simulate Toolpath Simulate Toolpath Fast Simulate All Toolpaths Reset Simulation Delete Simulation Save Simulation As A Relief Load Simulation As A Relief

  6. Design Windows - This is the central workspace area. ArtCAM Pro makes use of two different types of view in this area. The 2D View window displays the layers of vector artwork and bitmap images in your model as well as previews of any calculated 2D toolpaths. The 3D View window displays the relief layers and any calculated or simulated toolpaths.
  7. Layers Manager - You can use this page to organize the vector artwork, bitmap images and reliefs that make up your model.

    When a model has been created or opened, the Layers Manager is displayed on the right-hand side of the screen by default.

    • If you want to reposition the Layers Manager, click and hold the left mouse button on the area to the right of the Add In tab, drag the page to the desired position and then release the mouse to dock the page in the chosen position.

    • You can use the F7 key on your keyboard to show or hide the Layers Manager.
    • Click on the arrow displayed on the title bar for each of the three areas within the Layers Manager to either hide HideArrow-Layers or display ShowArrow-Layers both the layer stack and the tools hosted in that particular area.
  8. Add In - This tab displays the Add Ins page. You can use this page to control 'plug-in' tools compatible with ArtCAM Pro. The root of the Add In tab is in the ArtCAM Pro installation folder, and 'plug-in' tools are made available to download from the ArtCAM Advantage website. For further information, see Updating ArtCAM Pro.

See Also

ArtCAM Pro's Interface

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


2D View Manipulation

You can change the view of the two-dimensional bitmap and/or vector artwork in your model using the tools above the 2D View window:

3D View Zoom In Tool Zoom Out Tool Zoom Previous Zoom 1:1 Window Fit Zoom Object(s) Toggle Assistant Toggle Layers Manager Greyscale View 2D Bitmap Contrast

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


3D View

Click on the 3D View button [image] to display the 3D View window.

  • You can also display the 3D View window by pressing the F3 key on your keyboard.

See Also

2D View Manipulation

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom In Tool

You can use the Zoom In Tool button [image] in two ways. You can:

  • Enlarge the area directly beneath the [image] cursor by 50%.
  • Zoom in on a defined area of the model.

To enlarge an area directly beneath the [image] cursor by 50%:

  1. Click on the Zoom In Tool button [image], move the magnifying cursor [image] over the area of the model that you want to zoom in on, and then click.
  • You can also magnify the area directly beneath the cursor by 50% if you hold down the Ctrl key on your keyboard and right-click.

To zoom in on a defined area of the model:

  1. Click on the Zoom In Tool button [image], and then move the magnifying cursor [image] over the area of the model that you want to zoom in on.
  2. Click and drag to create a bounding box around the area of the model that you are interested in.
  3. Release the left mouse button to view the area defined by the bounding box you have drawn.

See Also

2D View Manipulation

3D View

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Out Tool

Each click on the Zoom Out Tool button [image] reduces the size of the image by 50%.

  • You can also reduce the area directly beneath the mouse cursor by 50% if you hold down the Shift key on your keyboard and then right-click.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Previous

Click on the Zoom Previous button [image] to restore the previous zoom setting.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Window Fit

Click on the Window Fit button [image] to adjust the zooming to view the whole model area.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Object(s)

Click on the Zoom Object(s) button [image] to focus in on the selected vector(s) within the model. For details, see Selecting Vectors.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom 1:1

Click on the Zoom 1:1 button [image] to return to a zoom aspect ratio of 1:1.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Preview Relief Layer

You can toggle the display of a greyscale preview of a selected relief layer in the 2D View window.

  • Click on the Preview Relief Layer button [image] to display a greyscale view of the selected relief layer.
    • Alternatively, you can click on the Greyscale From Composite Relief button [image] in the Models area of the Assistant's Home page to display a greyscale view of the composite relief. The composite relief is built from the current stack of relief layers on the Layers Manager and is shown in the 3D View window.
    • You can set the default colours used in the relief layer preview using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  • Click on the Preview Relief Layer button [image] to hide the greyscale view of the selected relief layer.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Toggle Left Panel

You can toggle the display of the left panel which hosts the Project, Assistant and Toolpaths tabs.

  • Click on the Toggle Left Panel button ToggleAssistantButton-ON to the hide the left panel which hosts the Project, Assistant and Toolpaths tabs from view. This increases the overall size of the workspace area shown in the centre of the screen.
    • You can also press the F6 key on your keyboard to toggle the display of the panel that hosts the Project, Assistant and Toolpaths tabs.
    • If you reposition the the panel that hosts the Project, Assistant and Toolpaths tabs elsewhere and then hide it from view, ArtCAM Pro the last location of the Assistant is restored when it is next displayed.
  • Click on the Toggle Left Panel button ToggleAssistantButton-OFF to display the left panel that hosts the Project, Assistant and Toolpaths tabs in its previous position. This reduces the overall size of the workspace area shown in the centre of the screen.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Toggle Right Panel

You can toggle the display of the right panel which hosts the Layers Manager and Add In tabs.

  • Click on the Toggle Right Panel button ToggleLayersPageButton-ON to hide the right panel which hosts the Layers Manager and Add In tabs from view. This increases the overall size of the workspace area shown in the centre of the screen.
    • You can also press the F7 key on your keyboard to toggle the display of the panel that hosts the Layers Manager and Add In tabs.
    • If you reposition the panel that hosts the Layers Manager and Add In tabs elsewhere and then hide it from view, ArtCAM Pro restores the last location of the panel when it is next displayed.
  • Click on the Toggle Right Panel button ToggleLayersPageButton-OFF to display of the right panel which hosts the Layers Manager and Add In tabs in its previous position. This reduces the overall size of the workspace area shown in the centre of the screen.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

2D Bitmap Contrast Tool

Using the Scrollbars


2D Bitmap Contrast Tool

You can adjust the contrast of the image in the bitmap layer shown in the 2D View window, making it far easier to draw vector outlines representing specific areas within the image.

The contrast command changes the amount of shading applied to an image in the bitmap layer shown in the 2D View window. You can use it to blur the image, to make colours appear more saturated.

2D Bitmap Contrast Slider set at 100%...

2D Bitmap Contrast slider set at 50%…

The ability to adjust the contrast of an image from within ArtCAM Pro greatly reduces the need to edit the image elsewhere before it is imported. It is a particularly useful tool when working with scanned or faxed data.

The 2D Bitmap Contrast slider is located on the far-right side of the 2D View toolbar.

To set the contrast applied to the image on a bitmap layer, click and drag on the 2D Bitmap Contrast slider. Click and drag the slider to the right to restore the image to its original sharpness, or click and drag the slider to the left to blur the image.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

Using the Scrollbars


Using the Scrollbars

When you cannot see all of an open model in the 2D View window, often as a result of zooming in, scrollbars appear along the vertical and horizontal axes:

  • You can also find scrollbars along the right side and/or bottom of the pages associated with each of the tabs in ArtCAM Pro, such as the Assistant and Layers Manager tabs, as well as the Colour Palette shown beneath the design windows.

You can adjust the view of an open model using the scrollbar in any of the following ways:

  • Click on the arrow button at either end of the scrollbar.
  • Drag the slider thumb in the scrollbar to the appropriate position.
  • Click directly in the scrollbar on either side of the slider thumb to page back and forth.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Zoom 1:1

Preview Relief Layer

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool


2D View Options

When drawing vectors in ArtCAM Pro, there are three invaluable features available to help you create vector artwork according to an exact set of measurements. These are:

  • Rulers. For details, see Using Rulers.
  • The Snap Grid. For details, see Using the Snap Grid.
  • Horizontal and vertical guidelines. For details, see Using Guidelines.

These features help you to consistently align and size vectors. You can control the use of these features from the Main menu bar using the Bitmaps > Views menu option:

Create New Layer Load Layer... Save Layer... Clear Colour Views New View Delete View Edit View Name... Show Rulers Show Guidelines Snap To Guidelines Snap To Objects Delete All Guidelines Snap Grid Settings...

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


Using Rulers

You can use the rulers adjacent to the X and Y-axis of the 2D View window to make measurements.

The ruler along the X-axis also displays the units of measurement (millimetres or inches) selected for the model that is shown in the 2D View window. For details, see Creating a Model.

To turn the rulers off:

  1. From the Main menu bar, click on the Bitmaps > Views > Show Rulers menu option to deselect it. The rulers along the X and Y-axis of the 2D View window are hidden.

To turn the rulers on:

  1. From the Main menu bar, click on the Bitmaps > Views > Show Rulers menu option to select it. Rulers appear adjacent to the X and Y-axis of the 2D View window.

See Also

2D View Options

Using the Snap Grid

Using Guidelines

Snapping to Objects


Using the Snap Grid

The snap grid is a network of fixed points that controls the placement of vectors, making it easier to consistently size and align them.

You can use the Snap Grid Settings dialog box to adjust the spacing of gridlines, to activate or deactivate the grid, or to force vectors to automatically align themselves to the snap grid.

See Also

2D View Options

Using Rulers

Using Guidelines

Snapping to Objects


Displaying the Snap Grid

To display the snap grid in an active 2D View window

  1. From the Main menu bar, click on the Bitmaps > Views > Snap Grid Settings option. The Snap Grid Settings dialog box is displayed:

  2. Click to select the Draw Snap Grid option [image].
  3. Click on the OK button to close the Snap Grid Settings dialog box and draw the snap grid.

To hide the snap grid in an active 2D View window, repeat the previous steps, clicking on the Draw Snap Grid option to deselect it [image].

See Also

Using the Snap Grid

Setting the Grid Spacing

Snapping to the Grid


Setting the Grid Spacing

You can set the spacing between grid points using the model's units of measurement selected in the Setup Job Dimensions dialog. For details, see Creating a Model.

To set the grid spacing:

  1. From the Main menu bar, click on the Bitmaps > Views > Snap Grid Settings option to display the Snap Grid Settings dialog box:

  2. Define the distance between each grid point in the Grid Spacing box.
  3. Click on the OK button to close the Snap Grid Settings dialog box and set the grid spacing.

See Also

Using the Snap Grid

Displaying the Snap Grid

Snapping to the Grid


Snapping to the Grid

To make the cursor snap to the nearest point on the grid when creating or editing a vector:

  1. From the Main menu bar, click on the Bitmaps > Views > Snap Grid Settings option to display the Snap Grid Settings dialog box:

  2. Click on the Snap To Grid option to select it [image].
  3. Click on the OK button to close the Snap Grid Settings dialog box and activate grid snapping.
  • To temporarily disable the snapping behaviour, press and hold down the Shift key on your keyboard.

See Also

Using the Snap Grid

Displaying the Snap Grid

Setting the Grid Spacing


Using Guidelines

While a Snap Grid is made up of a network of fixed points, a guideline is a solid line parallel to either the horizontal (X) or vertical (Y) axis that can be moved to any position in the 2D View window.

To create guidelines, the rulers must be checked on. For details, see Using Rulers.

To create a horizontal guideline:

  • Click and hold down the left mouse button on the Create Horizontal Guideline button CreateHorizontalGuidelineButton on the top ruler to display a guideline in the 2D View window, and then drag it into position.

To create a vertical guideline:

  • Click and hold down the left mouse button on the Create Vertical Guideline button CreateVerticalGuidelineButton on the left-hand ruler to display a guideline in the 2D View window, and then drag it into position.

To reposition a guideline:

  • Move the cursor over the guideline you want to move. When the cursor changes to a double-headed arrow [image], click and drag the guideline into its new position.
  • You must have the both the Show Rulers and the Show Guidelines options selected in the Bitmaps > Views menu to see guidelines in the 2D View window.
  • You can toggle all guidelines off and on by clicking on the Toggle Guidelines button ShowGuidelinesButton-ON where the top and left-hand rulers meet in the 2D View window. For further information, see Using Rulers.

See Also

2D View Options

Using Rulers

Using the Snap Grid

Snapping to Objects


Defining a Guideline's Position

You can define the position of a guideline using the Position Guide dialog box. This is a more accurate method than clicking and dragging a guideline into position.

To display the Position Guide dialog box, move the mouse cursor over a guideline and click the right mouse button:

The Selected Guide area of the Position Guide dialog box allows you to:

  • Reposition a guideline.
  • Delete a guideline.
  • Lock a guideline into position.

To reposition a guideline:

  • Define the new position for the guideline in the New Position box, and then click on the Apply button.

To delete a guideline:

  • Click on the Delete button.
    • You can delete all guidelines using the Bitmaps > Views > Delete All Guidelines option from the Main menu bar.

To lock a guideline in its current position:

  • Click to select the Locked option [image].

The Insert Parallel Guide(s) area of the Position Guide dialog box allows you to:

  • Create a guideline at an absolute position.
  • Create any number of guidelines at a position relative to the selected guideline.

To insert a parallel guideline at an absolute position:

  1. Click to select the Absolute position option [image].
  2. Define the position of the parallel guideline in the Position box.
  3. Click on the Add New Guide(s) button to draw the guideline.
  4. Click on the OK button to close the Position Guide dialog box.

To insert any number of parallel guidelines at a relative position:

  1. Click to select the Relative to guide option [image].
  2. Define the number of guidelines that you want to draw using either of the following methods:
    • Type the number of guidelines in the Count box.
    • Use the [image] and [image] buttons on the right of the Count box to set the number of guidelines.
  3. Define the distance between each of these parallel guidelines in the Position box. You can set the relative position for the new guidelines using a positive or negative value.

    For example, if you want to create a new guideline to the right of an existing vertical guideline, or above an existing horizontal guideline, you must type a positive value in the Position box e.g. 10.

    If you want to create a new guideline to the left of an existing vertical guideline, or below an existing horizontal guideline, you must type a negative value in the Position box e.g. -10.

  4. Click on the Add New Guide(s) button to draw the guidelines.
  • If you want to carry out more than one action in the Position Guide dialog box, instead of clicking on the OK button, click on the Apply button. This applies the change and keeps the dialog box open.

See Also

Using Guidelines


Snapping to Objects

Using snapping, you can align a vector relative to another vector on any visible layer or guideline shown in the 2D View window. For further information on guidelines, see Using Guidelines. For further details on layers, see Snapping on a Vector Layer.

Snapping is enabled by default. You can enable and disable snapping as follows:

  1. From the Main menu bar, click on the Bitmaps > Views > Snap to Objects option. When enabled, the Snap to Objects option is checked, and vice versa.
  • Make sure that the Toggle Snapping button for the vector layer is also enabled [image]. For details, see Snapping on a Vector Layer.
  • To temporarily disable snapping, press and hold down the Shift key on your keyboard.

With the Snap to Objects option enabled, the mouse cursor shown in the 2D View changes when it snaps to any of the following places:

  • A point (node) in another vector. This is shown by the cursor changing to a [image].
  • The mid of a linear or arc span within another vector. This is shown by the cursor changing to a [image].
  • The centre of another vector, defined by a bounding box. This is shown by the cursor changing to a [image].
  • If you hold down the X key on your keyboard, the cursor also changes to [image] where two vectors intersect.
  • The point at which two guidelines intersect. This is shown by the cursor changing to a [image].
  • A horizontal guideline. This is shown by the cursor changing to a [image].
  • A vertical guideline. This is shown by the cursor changing to a [image].
  • Directly above or below the X co-ordinate of a polyline's Start Point (node). This is shown by the [image] cursor changing to a [image].
  • Directly above or below the Y co-ordinate of a polyline's Start Point (node). This is shown by the [image] cursor changing to a [image].
  • The [image] and [image] cursors only appear when you are creating polylines. For details, see Creating a Polyline.

See Also

2D View Options

Using Rulers

Using the Snap Grid

Using Guidelines


3D View Manipulation

You can change the view of the composite relief using the tools above the 3D View window:

2D View Twiddle Tool Pan View Zoom Zoom Out Previous View Scale To Fit Isometric View View Along X View Along Y View Down Z Select Relief Detail Draw Zero Plane Draw X Y Origin Objects To Draw Colour Shade

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


2D View

Click on the 2D View button [image] to display the 2D View window.

  • You can also move from the 3D View to the 2D View window by pressing the F2 key on your keyboard.

See Also

3D View Manipulation

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Twiddle Tool

The Twiddle Tool button [image] allows you to rotate the composite relief around a central point, adjust the viewpoint (pan) and zoom in on or out from the current viewpoint.

To rotate the composite relief:

  1. Click on the Twiddle Tool button [image].
  2. Move the [image] cursor over the composite relief, click and hold down the left mouse button LeftClickMouse, and then drag the model to the required viewing angle.

To pan the composite relief:

  1. Click on the Twiddle Tool button [image].
  2. Move the [image] cursor over the composite relief, click and hold down both mouse buttons LeftRightClickMouse, and then drag the model to the required viewing position.

To zoom in on the composite relief:

  1. Click on the Twiddle Tool button [image].
  2. Move the [image] cursor over the composite relief, click and hold down the right mouse button RightClickMouse, and then drag upwards.
  3. Release the mouse button to set the viewpoint.

To zoom out from the composite relief:

  1. Click on the Twiddle Tool button [image].
  2. Move the [image] cursor over the composite relief, click and hold down the right mouse button RightClickMouse, and then drag downwards.
  3. Release the mouse button to set the viewpoint.

See Also

3D View Manipulation

2D View

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Pan View

The Pan View button [image] allows you to adjust the viewing position of the composite relief:

  1. Click on the Pan View button [image].
  2. Move the [image] cursor over the composite relief, then click and drag the composite relief into the required viewing position.
  • You can also use the Twiddle Tool to adjust the viewpoint of a composite relief. For details, see Twiddle Tool.

See Also

3D View Manipulation

2D View

Twiddle Tool

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Zoom

You can use the Zoom button [image] to zoom in on a defined area of the composite relief:

  1. Click on the Zoom button [image], then move the magnifying cursor [image] over the area of the composite relief that you want to zoom in on.
  2. Click and drag the mouse to create a bounding box around the area of the composite relief that you are interested in.
  3. Release the left mouse button to view the area defined by the bounding box.
  • You can also use the Twiddle Tool to zoom in on the composite relief shown in the 3D View window. For details, see Twiddle Tool.
  • You can magnify the view of the composite relief by 50% if you hold down the Ctrl key on your keyboard, and then right-click on your mouse.

  • Alternatively, if your mouse has a wheel you can roll it forwards to zoom in on the composite relief.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Zoom Out

Click on the Zoom Out button [image] to reduce the view of the composite relief by 50%.

  • You can also reduce the view of the composite relief by 50% if you hold down the Shift key on your keyboard, and then right-click on your mouse.

  • Alternatively, if your mouse has a wheel you can roll it backwards to zoom out from the composite relief.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Previous View

Click on the Previous View button [image] to restore the previous zoom setting.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Scale To Fit

The Scale To Fit button [image] adjusts the view so that the whole of the composite relief can be seen in the 3D View window.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Isometric View

The Isometric View button [image] displays the composite relief in the standard isometric view (XYZ).

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


View Along X

The View Along X button [image] displays the composite relief from the X-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


View Along Y

The View Along Y button [image] displays the composite relief from the Y-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


View Down Z

The View Down Z button [image] displays the composite relief from the Z-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Select Relief Detail

Click on the Select Relief Detail list box to display the list of options you can use when colour shading the composite relief, and then click on the option that you want to use:

  • Low Detail - Select this option to colour shade the composite relief at a quarter of the model's pixel resolution.
  • Medium Detail - Select this option to colour shade the composite relief at half of the model's pixel resolution.
  • High Detail - Select this option to colour shade the composite relief equal to the model's pixel resolution. This option produces excellent visual clarity, but can mean that the composite relief takes longer to render.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Draw Zero Plane

Draw X Y

Origin

Objects To Draw

Colour Shade


Draw Zero Plane

Click on the Draw Zero Plane button [image] to hide the zero level of the composite relief from view.

  • If you want to display the zero level of the composite relief, click on the Draw Zero Plane button [image] again.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw X Y

Origin

Objects To Draw

Colour Shade


Draw X Y

Click on the Draw X Y button [image] to draw vertical lines across the composite relief. Horizontal lines are drawn across the composite relief by default.

Draw X Y Off…

Draw X Y On…
  • If you want to hide the vertical lines drawn across of the composite relief, click on the Draw X Y button [image] again.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Origin

Objects To Draw

Colour Shade


Origin

Click on the Origin button [image] to toggle the display of the origin gnomen in the 3D View window. The X-axis is red, the Y-axis is green and the Z-axis is blue.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Objects To Draw

Colour Shade


Objects To Draw

Click on the Objects To Draw button [image] to display the Objects To Draw list box. The Objects To Draw list box lists the block of material, the composite relief, all of your calculated toolpaths and all of your toolpath simulations:

All items shown in the 3D View window are highlighted in blue in the Objects To Draw list box. If an item is not highlighted, it is not shown in the 3D View window.

You can hide any of the objects displayed in the 3D View:

  1. Click to select the object in the list box that you want to hide. The selected object is no longer highlighted in blue.
  2. Click on the Apply button to show the object in the 3D View window.
  3. Click on the [image] icon in the top right corner of the Objects To Draw list box to close it.

To show any of the hidden objects in the 3D View:

  1. Click to select the object in the list box that you want to show. The selected object is now highlighted in blue.
  2. Click on the Apply button to show the object in the 3D View window.
  3. Click on the [image] in the top-right corner of the Objects To Draw list box to close it.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Colour Shade


Colour Shade

Click on the Colour Shade button [image] to toggle the colour shaded view of the composite relief.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Previous View

Scale To Fit

Isometric View

View Along X

View Along Y

View Down Z

Select Relief Detail

Draw Zero Plane

Draw X Y

Origin

Objects To Draw


3D View Options

You can choose whether ArtCAM Pro itself, or a graphics accelerator card using a set of fully Open GL compliant drivers, is used for shading the 3D View window.

To adjust the 3D View options in ArtCAM Pro:

  1. Start ArtCAM Pro. The Software Shading message box appears:

    If you do not want this message box to appear the next time that you start ArtCAM Pro, click to select the Don't show this message again option. Click on the OK button to close the message box.

  2. Click on the Configure 3D View Options icon [image] at the bottom of the Assistant's Getting Started page to display the 3D View Options page.
  3. Click on either of the Open GL Drawing Mode radio buttons [image] to select the method of shading that you want ArtCAM Pro to use when rendering the composite relief:
    • Software Shading - Select this option [image] if you want ArtCAM Pro to shade the composite relief using its own algorithms, independent of the graphics card that you have installed.

      If you have a fast processor installed alongside a relatively poor graphics card (common on high-end notebooks), you should select this option.

      If you select this option, ArtCAM Pro re-renders the composite relief every time the viewpoint is adjusted and when the content on a relief layer or its associated combine mode is altered. For details, see Assigning a Combine Mode to a Relief Layer.

    • Complete Open GL Support - Select this option [image] if you want ArtCAM Pro to shade the composite relief using small triangles.

      This option should only be selected if you have a fast processor, a graphics accelerator card and a set of fully compliant Open GL drivers installed. For example, NVIDIA's GeForce2 Ultra, GeForce 3 Graphics Processing Unit (GPU) or higher.

      If you select this option, the composite relief is always shaded. It also produces very fast rendering times and excellent visual clarity.

  • Many graphics accelerator cards have a limited subset of Open GL, used only to meet the system requirements of selected games. Please check with the manufacturer of your graphics accelerator card to confirm that it is fully Open GL compliant before selecting this option.

    The size of the triangles that ArtCAM Pro uses to render the composite relief shown in the 3D View window is controlled by the list box in the 3D View toolbar. The higher the detail, the smaller the triangles that are used. For details, see 3D View Manipulation.

  1. Click on the Apply button to confirm your 3D View settings.
  2. Click on the Close button to close the 3D View Options page and return to the Assistant's Getting Started page.

You can also display the 3D View Options page in the following way:

  1. From the Main menu bar, click on the Window menu, and then on the 3D View Options option.

    If you attempt to change the Open GL Drawing Mode while a model is open in ArtCAM Pro, the following message box appears:

    Click on the OK button to close the message box, then shut down and restart ArtCAM Pro for the new Open GL Drawing Mode to take effect. For further details, see Shutting Down ArtCAM Pro.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


Using the Top Toolbar

The Top toolbar contains some of the most frequently used tools in ArtCAM Pro:

New Model Open File Save Cut Copy Paste Undo Redo Display/Hide Notes Help Index Options

You can control whether or not the Top Toolbar is displayed. Hiding the Top Toolbar increases the size of the central workspace area of the screen, which in turn allows you to increase the size of the design windows.

  • If you want to increase the size of the design windows even further, you can use the F6 key on your keyboard to toggle the display of the left panel and the F7 key to toggle the display of the right panel.

The Top Toolbar is hidden by default. When the Top Toolbar is hidden, you can access almost all of its buttons from the File and Model areas of the Assistant's Home page.

To view the Top Toolbar:

  • From the Main menu bar, click on the Window > Show Top Toolbar option.

To hide the Top Toolbar:

  • From the Main menu bar, click on the Window > Show Top Toolbar option.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


Updating ArtCAM Pro

To check for software updates and patches from within ArtCAM Pro:

  1. Make sure that you are connected to the internet.
  2. From the Main menu bar, click on the Help > Check For ArtCAM Pro Updates > Software Updates option.

    If there are updates available, ArtCAM Pro displays the Update page in the Assistant window and the Software Updates and Patches page of the ArtCAM Advantage website in a new browser window:

    All of the available software updates and product updates are listed on this page. Click on the relevant link on the Software Updates and Patches page to download your chosen update or patch to your computer.

    If there are no software updates or patches currently available, the following message box appears:

    If you want to display the Software Updates and Patches area of the ArtCAM Advantage website anyway, click on the Yes button. If you do not, click on the No button to close the message box.

    • ArtCAM Advantage customers can also browse the ArtCAM Advantage website using the links shown on the left side of the browser window. For further information, see Using the ArtCAM Advantage Website.
  3. Click on the OK button on the Update page to return to the Assistant's Home page.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


Installing Your ArtCAM Licence

In order to use ArtCAM Pro, you must ensure that you have installed a valid licence. This licence can be installed as one of two different file types: a PAF file (dcam.paf ) or a Delcam Licence file (dcam.dcamlic).

To install your ArtCAM licence:

  1. From the Main menu bar, click on the Help > Install Licence (PAF) File menu option.
  2. Click on the Browse button to display the Select Licence File To Install… dialog box:

  3. Click on the Look in list box and select the directory in which the licence file is stored. The default location is C:\Program Files\Common Files\Delcam
  4. Once you have found the licence file, click on its file name. This appears in the File Name area.
  5. Click on the Open button to install the file.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences

Using the Design Windows


Using the ArtCAM Advantage Website

ArtCAM Pro customers have the option to purchase the ArtCAM Advantage package along with their software. The ArtCAM Advantage package is a contract between you the customer, Delcam plc and your reseller. Purchasing the ArtCAM Advantage package ensures that you always have access to the most up-to-date version of ArtCAM Pro, with the most advanced functionality helping you stay competitive and get the most from your software investment.

  • Delcam plc are committed to releasing a new major version of ArtCAM Pro containing new features and functionality at least once a year. Purchasing the ArtCAM Advantage package ensures that you automatically receive the new versions along with any associated documentation. You will also be authorized to download useful 'plug-in' tools from the ArtCAM Advantage website.

Contact your local software supplier for more information about the ArtCAM Advantage package.

To access the new ArtCAM Advantage website:

  1. Make sure that you are connected to the internet.
  2. Click on the Help > ArtCAM Advantage menu option from the Main Menu bar.

    If you have purchased the ArtCAM Advantage package, the following page is displayed in a new browser window:

    You can access the following downloads by clicking on the relevant links shown on the ArtCAM Advantage website's Home page:

    • Tutorials and Training Materials (basic and advanced).
    • Relief Clipart Files (updated on a monthly basis).
    • Tips and Tricks (updated on a monthly basis).
    • User Group Tutorials and Documentation (video and written).
    • Plug-ins for use in conjunction with the ArtCAM Pro Add In tab.
    • ArtCAM Pro Updates and Patches.

      If you have purchased the ArtCAM Advantage package, but ArtCAM Pro cannot validate you as a customer, the following page is displayed in the browser instead:

      Click on the link in the message beneath the There was an error... area of the page to display the Maintenance Download Login page:

      You must complete the required information on the page and then click on the Login button to confirm that you own the ArtCAM Advantage package. If by following these steps you are still unable to access the ArtCAM Advantage website, please contact your reseller.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Managing ArtCAM Pro's Preferences

Using the Design Windows


Managing ArtCAM Pro's Preferences

Many of the default settings in ArtCAM Pro can be controlled from one central location. Using the ArtCAM Options page, you can:

  • Choose the colours associated with vectors used to indicate their current state.
  • Define the speed at which the composite relief or a triangle mesh rotates in the 3D View window when spun.
  • Define the default settings used for machining strategies within 2D and 3D toolpaths.
  • Instruct ArtCAM Pro to check for or ignore self-intersections in imported vector artwork.
  • Control the increments used in ArtCAM Pro.
  • Control the size of the design windows when ArtCAM Pro is started.
  • Set the size of text information shown in the 2D View window.
  • Choose whether the composite relief and selected relief layers are saved in the same directory as your ArtCAM model files by default.
  • Choose the colours for the greyscale preview of the selected relief layer and how they are blended.
  • Control the size of the 'scratch' file associated with the Undo and Redo buttons.

To adjust the aforementioned display settings in ArtCAM Pro:

  1. Click on the Options button [image] in the File area of the Assistant's Home page to display the ArtCAM Options page. The default colours and settings currently used in ArtCAM Pro are shown on the page.
    • You can also display the ArtCAM Options page using the Options button [image] on the Top Toolbar or the Edit > Options Page... option from the Main Menu bar.
  2. In the 2D Drawing Colours area, click on the [image] arrow to display its settings:
    • To change the colour associated with a selected ungrouped vector, click on the current Selected colour to display the Color dialog box:

      For details on how to select a colour, see Assigning a Colour to a Vector Layer.

    • To change the colour associated with two or more selected ungrouped vectors, click on the current Multiple Selected colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour associated with two or more overlapping vectors, click on the current Overlapping colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour associated with 2D toolpath previews, click on the current Toolpath Preview colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour associated with a selected grouped vector, click on the current Selected colour in the Grouped area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour associated with locked vectors when selected, click on the current Selected colour in the Locked area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour associated with locked vectors when deselected, click on the current Unselected colour in the Locked area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
  3. In the 3D View area, click on the [image] arrow to display its settings:
    • To change the frame rate at which the composite relief or triangle mesh shown in the 3D View window rotates when spun, define the new speed in the Spin Update Rate box. For details on how to rotate the composite relief or triangle mesh, see Rotating a Relief or Triangle Mesh.
  4. In the Machining area, click on the [image] arrow to display its settings:
    • Climb Milling rotates the toolbit in the same direction as the feed motion. To set climb milling as the default cutting direction used in toolpaths, click to select the Use Climb Milling by Default option [image].
    • A raster machining strategy machines in passes back and forth along a specified angle. To set the default angle for toolpaths that use a raster machining strategy, type the angle in the Default Raster Angle box.
    • When using an offset machining strategy in a toolpath, machining inwards from the outside edge of the block of material by default, click to select the Start Offset Machining at Edge option [image].
    • If you are machining small areas of material with very fine detail, click to select the Use Engraving Engine for Area Clear option [image]. Other than using the Engraving engine for Area Clearance toolpaths, this option adds tails to remove up-stands when the stepover is greater than the tool radius. This option is deselected by default.
    • To show the cutting direction in all 2D toolpath previews shown in the 2D View window, click to select the Cutting Direction option [image].
    • ArtCAM Pro shows rapid and plunge moves in all simulated toolpaths by default. To hide all rapid and plunge moves, click to deselect the Rapid & Plunge Moves option [image].
  5. In the File Import area, click on the [image] arrow to display its settings:
    • ArtCAM Pro identifies all self-intersections within imported vector artwork by default. To ignore any self-intersections, click to deselect the Check for Crossings option [image].
  • You can use the Vector Doctor tool [image] to check for self-intersections in vector artwork. For details, see Using the Vector Doctor.
  1. In the Image Export area, click on the [image] arrow to display its settings. These settings allow you to control the resolution at which a bitmap layer or an ArtCAM model is saved as an image file:
    • If you want to save a bitmap layer or ArtCAM model as an image file using the resolution calculated by ArtCAM Pro , select the Use dpi from Image option by clicking on its radio button.
    • If you want to save a bitmap layer or ArtCAM model as an image with a specific resolution, select the dpi option by clicking on its radio button and then define the resolution in the box.
  2. In the Text Defaults area, click on the [image] arrow to display its settings. These settings allow you to control the default increments used in the Size and Transform areas of the Text Tool page and the Text Position area of the Text on a Curve page in ArtCAM Pro:
    • In the Point spin increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the points option is selected. This option is set to 3 points by default.
    • In the MM spin increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the mm option is selected. This option is set to 1 mm by default.
    • In the Inches spin increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the inches option is selected. This option is set to 0.05 inches by default.
  3. In the 2D Drawing Options area, click on the [image] arrow to display its settings:
    • ArtCAM Pro replaces a selection of points (nodes) with a single vertical or horizontal linear span by default. To align a selection of points (nodes) with either the X or Y axis whilst preserving the points, click to deselect the Align Nodes - replace with a single line option [image].
    • To set the size of the text information shown in the 2D View window, such as the numbers and letters displayed when creating a two-rail swept shape, type the point size of the font in the pt box. A default size of 15 points is used.
  4. In the Miscellaneous area, click on the [image] arrow to display its settings:
    • To maximize both of the design windows when ArtCAM Pro is started, click to select the Maximize Views on Startup option [image].
    • To save a composite relief or selected relief layer (*.rlf) in the same directory as the ArtCAM model file (*.art) from which it was created, click to select the Save Reliefs in Art File Directory option [image].
  5. In the Preview Relief Layer area, click on the [image] arrow to display its settings:
    • To change the colour representing the zero plane in the selected relief layer, click on the current Base Colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • To change the colour representing the lowest points in the selected relief layer, click on the current Lowest Colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer. ArtCAM Pro blends from this colour to the colour selected for its highest points.
    • To change the colour representing the highest points in the selected relief layer, click on the current Highest Colour to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Vector Layer.
    • If you do not want ArtCAM Pro to use a linear blend for the colours representing the lowest and highest points in the selected relief layer, click to deselect the Linear colour blend option [image]. When deselected, this option produces a more detailed view of the higher points in the selected relief layer.
  6. In the Scratch File Settings area, define the amount of space that you want to allocate on your computer to the temporary scratch file. The default size is 100mb.

    The scratch file is stored in the Temp directory associated with the User currently logged-in to Windows. For example, C:Documents and Settings\<user>\Local Settings\Temp.

  7. Click on the Apply button to confirm your settings.

    If you want to restore the default settings at any time, click on the Reset button.

  8. Click on the [image] icon to return to the Assistant's Home page.
  • You can also click on the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


Using the Design Windows

When you create or open a model in ArtCAM Pro, a 2D View and a 3D View design window are displayed. You use the 2D View window to create the vector and bitmap artwork that you need to produce a three-dimensional shape on a relief layer in ArtCAM Pro. The content created across relief layers is what makes up the composite relief shown in the 3D View window.

You can control the layout and appearance of the design windows from the Main menu bar using the Windows menu option:

Cascade Tile Vertically Tile Horizontally 2D view 3D View 3D View Options Save 3D View Image... Show Top Toolbar List Of Views

You can also manage the 2D View window from the Main menu bar using the Bitmaps > Views menu option:

Create New Layer Load Layer... Save Layer... Clear Colour Views New View Delete View Edit View Name... Show Rulers Show Guidelines Snap To Guidelines Snap To Objects Delete All Guidelines Snap Grid Settings...

See Also

ArtCAM Pro's Interface

ArtCAM Pro Layout

2D View Manipulation

2D View Options

3D View Manipulation

3D View Options

Using the Top Toolbar

Updating ArtCAM Pro

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Managing ArtCAM Pro's Preferences


Adjusting the Window View

You can adjust the appearance of the 2D View and 3D View windows in the workspace area of ArtCAM Pro:

  1. From the Main menu bar, click on the Window menu, followed by the option for how you want the design windows to be displayed:
    • Cascade - Click on this option to display both the 2D View and 3D View windows overlapping one another.
    • Tile - Click on this option to display both the 2D View and 3D View windows beside one another.
    • 2D View - Click on this option to display the 2D View window only.
    • You can also display the 2D View window by pressing the F2 key on your keyboard when the 3D View window is displayed.
    • 3D View - Click on this option to display the 3D View window only.
    • You can also display the 3D View window by pressing the F3 key on your keyboard when the 2D View window is displayed.

You can also select which design window is displayed from the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. With the Views element shown, click on the 2D View or 3D View window that you want to view.

See Also

Using the Design Windows

Opening a New 2D View Window

Labelling a 2D View Window

Deleting a 2D View Window


Opening a New 2D View Window

To open a new 2D View window:

  • From the Main menu bar, click on the Bitmaps > Views > New View option.

A 2D View window appears named 2D View: 1 by default. You can change the name of the new window if you want. For details, see Labelling a 2D View Window.

The content within the new 2D View window is identical to that of the previous window.

The Colour Palette beneath the new 2D View window is the same as that which is below the previous 2D View window, although any colour links or shape attributes applied to specific colours are removed.

You can also open a new 2D View window from the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. With the Views element shown, right-click on the name of an existing 2D View window to display its context menu, and then click on the New View option.

See Also

Using the Design Windows

Adjusting the Window View

Labelling a 2D View Window

Deleting a 2D View Window


Labelling a 2D View Window

The 2D View window that appears whenever you open or create a model in ArtCAM Pro is named 2D View: 0 by default. You can edit the name of any 2D View window that is open in your current ArtCAM session.

To edit the name of a 2D View window:

  1. Make sure that the 2D View window you want to rename is active by clicking anywhere in it.
  2. From the Main menu bar, click on the Bitmaps > Views > Edit View Name... option. The Edit View Name dialog box appears:

  3. Click anywhere in the View Name box and then type the name you want for the 2D View window.
  4. Click on the OK button to close the Edit View Name dialog box and set the name for the 2D View window.

You can also edit the name of any 2D View window from the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. With the Views element shown, right-click on the 2D View that you want to name to display the context menu, and then click on the Edit View Name... option.

  3. Type the name you want to use for the 2D View window, and then left-click.

See Also

Using the Design Windows

Adjusting the Window View

Opening a New 2D View Window

Deleting a 2D View Window


Deleting a 2D View Window

You can delete any active 2D View window in a model:

  1. Make sure that the 2D View window you want to delete is active by clicking on it.
  2. From the Main menu bar, click on the Bitmaps > Views > Delete View option.

    If you have not previously saved the current model, or any changes that you have made since it was saved last, the following message box appears:

    If you want to save the changes in the model:

    • Click on the Yes button to open the Save As… dialog box. For details on using the Save As… dialog box, see Saving a Model.

      If you do not want to save the model you are working on:

    • Click on the No button to close the message box and the 2D View window. The Getting Started page appears in the Assistant window. For details, see Getting Started.

      If you have decided that you do not want to delete the 2D View window:

    • Click on the Cancel button to close the message box.

You can also delete any 2D View window from the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. With the Views element shown, right-click on the 2D View that you want to delete to display the context menu, then click on the Delete View option.

    For further details, see Viewing Model Information.

See Also

Using the Design Windows

Adjusting the Window View

Opening a New 2D View Window

Labelling a 2D View Window


Working with Models

This section describes how to create, edit and manage the content associated with an ArtCAM model.

In This Chapter

Getting Started

Managing a Model

Using the Font Editor

Using the Face Wizard


Getting Started

When you start ArtCAM Pro, the Assistant's Getting Started page is displayed. This page is divided into two areas:

  • Model - This allows you to define the dimensions of a block of material or open an existing image file from which you want to produce an ArtCAM model. For details, see Creating a Model and Creating a Model from an Image.
  • Other Features - This allows you to create your own or edit existing fonts for use within ArtCAM Pro's Text Tool, create a relief layer from a photographic image containing a side-profile of a person's head and neck, and display details of the latest features available in ArtCAM Pro. For details, see Using the Font Editor and Using the Face Wizard.

See Also

Working with Models

Managing a Model

Using the Font Editor

Using the Face Wizard


Creating a Model

To create a model:

  1. Click on the Create New Model icon [image] on the Assistant's Getting Started page to display the Size For New Model dialog box:

    • You can also display the Size For New Model dialog box by pressing the Ctrl + N keys on your keyboard.
  2. Define the Height (Y) and Width (X) according to the physical size of the model you want to create.
  3. Click on the centre or any of the four corners of the box to define the X-axis zero and Y-axis zero origin.

    The Job Origin icon [image] appears in the position you have clicked on.

  4. Click and drag on the slider to set the Resolution of your model.

    Drag the slider to the right to increase the resolution of the model. Drag the slider to the left to decrease it.

    • Generally, a resolution of approximately 1,000,000 points is reasonable for your work.
  5. Make sure that the Units option is set according to those in which you are working, either millimetres or inches.
  6. Click on the OK button to display a 2D View and a 3D View window.

    The 2D View window is the area in which you draw or import the bitmap images and vector artwork used to create the three-dimensional shapes that make up your model. The 3D View window is the area in which you can view a three-dimensional impression of your complete model, referred to as the composite relief.

    The model has a single default vector, bitmap and relief layer. For details, see Creating a New Layer.

  • You can create a new model at any time by clicking on the New Model button [image] in the File area of the Assistant's Home page.

See Also

Getting Started

Creating a Model from an Image

Opening an Existing Model

Viewing Model Information

Closing a Model

Shutting Down ArtCAM Pro


Creating a Model from an Image

You can create a model by importing an image saved in any of the following file formats into ArtCAM Pro:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • AutoCAD 2D Drawing (*.dwg)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • DUCT Picture (*.pic)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tifor *.tiff)
  • TrueVision Targa (*.tga)
  • Portable Document Format (*.pdf)
  • Delcam DGK (*.dgk)
  • Drawing Interchange File (*.dxf)

ArtCAM Pro calculates a relief layer from the imported image.

To create a model from a saved image file:

  1. Click on the Open Existing Model icon [image] on the Assistant's Getting Started page to display the Open dialog box:

  2. Click on the Files of type list box and select the format for the type of image file from which you want to create a model.
  3. Click on the Look in list box and select the directory where the image file from which you want to create a model is stored.
  4. Click to select the image file from which you want to create a model. The file name appears in the File name box.
  5. Define the maximum depth of the relief layer that you want to allow ArtCAM Pro to calculate from the image in the Max Z box within the Relief Information area.
    • If you use a model image with a high Z height, the detail in the resulting relief layer is likely to be poor. You should only use images with a low Z height, such as textures.
    • The default value in the Min Z box is 0.000 mm and the default value in the Max Z box is 1.000 mm. Make sure the Z heights are correct.
    • If you are using a Drawing Interchange File (*.dxf), Delcam DGK (*.dgk) or Portable Document File (*.pdf), ArtCAM Pro cannot generate a relief from the artwork within the file.
  6. Click on the Open button to display the Set Model Size dialog box:

    • If you are opening an ArtCAM Relief file (*.rlf), the Set Model Size dialog box is not displayed. An ArtCAM model is created from the relief file immediately.
  7. Make sure that the Units option is set according to those in which you are working, either millimetres or inches.
  8. If you know the resolution (dpi) at which the image was originally scanned, type this value in the d.p.i. box. If you do not, go straight to the next step.
  9. You are now ready to set the size of the image. In the Method area, click to select the Image size radio button [image].
  10. Define the height (Y) of the model in the Height box.
  11. Define the width (X) of the model in the Width box.
  12. Define the X-axis zero and Y-axis zero origin in the model. For further details, see Editing the Model Dimensions.
  13. Click on the OK button to close the Set Model Size dialog box and create your model.
    • Any layer information within DXF (*.dxf) or Delcam DGK (*.dgk) files is preserved in ArtCAM Pro. A separate vector layer is created for each layer within the original file.

      ArtCAM Pro does not currently support layers (or 'Optional Content Groups') within Portable Document Format files (*.pdf). ArtCAM Pro creates a separate vector and bitmap layer for each of the pages within an original PDF document and names each of the layers using the filename_page number convention. For example, the layer relating to the first page of the document might be labelled Brochure_(1).

      For further information, see Creating a New Layer.

    • If you have imported an ArtCAM relief file, a greyscale image of the composite relief is displayed in the 2D View window.

See Also

Getting Started

Creating a Model

Opening an Existing Model

Viewing Model Information

Closing a Model

Shutting Down ArtCAM Pro


Opening an Existing Model

To open a model using a previously saved file:

  1. Click on the Open Existing Model icon [image] on the Assistant's Getting Started page to display the Open dialog box:

    • You can also display the Open dialog box by pressing the Ctrl + O keys on your keyboard.
  2. Click on the Files of type list box, and then on the file that you want to open in ArtCAM Pro.
    • You can open an *.art, *.bmp, *.tif, *.pcx, *.gif, *.jpg, *.rlf, *.dxf , *.pic, *.dwg and *.pdf file as a model only.
  3. Click on the Look in list box and select the directory where the file that you want to open is stored.
  4. Once you have found the file, click on its name.
  5. Click on the Open button to open the file in ArtCAM Pro.
    • You can also click on the Open File button [image] in the File area of the Assistant's Home page to open a file in ArtCAM Pro when already working on another model.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Viewing Model Information

Closing a Model

Shutting Down ArtCAM Pro


Opening Recent Models

If you want to open a model that you were working on recently:

  1. From the Assistant's Getting Started page, click on the [image] icon beside the correct file name.
    • You can also open previously saved models by clicking on the File menu in the Main menu bar, and then on the appropriate file name listed above the Exit option. Up to five models are listed.

See Also

Opening an Existing Model


Viewing Model Information

The Project tab contains a tree which reflects the structure of your ArtCAM model file. This tree provides valuable information about the different aspects of your ArtCAM model file.

The [image] icon denotes the root of the tree. If the current ArtCAM model has been saved, the name of the model file is shown beside this icon.

There are four elements in the tree shown on the Project tab:

  • Artwork - This element is represented by the [image] icon. The dimensions of the model area (the white area) in the 2D View window is shown here in pixels.

    The width (X) and height (Y) of the model area is shown beside the [image] icon.

    • Click on the [image] icon beside each element in the Project tree to display the details associated with this aspect of your ArtCAM model. Click on the [image] icon to hide them again.
  • Views - This element is represented by the [image] icon. Details for each of the open design windows in your ArtCAM model are shown here.

    A 2D View window is represented by the 2DViewIcon icon. There can be several of these in the Project tree.

    • Right-click on any of the 2D View design windows listed to display a context menu. You can use this context menu to create or delete a 2D View window, edit its name or calculate a relief using the shape attributes applied to the bitmap artwork shown in the window:

      The 3D View window is represented by the 3DViewIcon icon. There is only one of these in the Project tree.

  • Relief - This element is represented by the [image] icon. The dimensions of the composite relief; the result of all relief layers shown in the 3D View window.

    The width (X) and height (Y) of the composite relief is shown beside the ReliefDimensionsIcon icon.

    The highest point (Z) in the composite relief is shown beside the MaxZHeightIcon icon.

    The lowest point in the composite relief (Z) is shown beside the MinZHeightIcon icon.

    The co-ordinates of the origin in the composite relief is shown beside the ReliefOriginIcon icon.

  • Machining - This element is represented by the [image] icon.
    • Double-click on the MaterialBlockIcon icon to display the Material Setup dialog box. You can use this dialog box to define the thickness of your material and the position of your model in relative to the material.
    • Double-click on any of the ToolpathIconBlue or [image] icons to display the toolpath settings in the Assistant window. You can then edit or calculate the toolpath.
    • Right-click on any of the the ToolpathIconBlue or [image] icons to display a context menu. You can use this context menu to calculate, edit, delete, save or simulate a single toolpath or calculate a batch of toolpaths at once:

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Opening an Existing Model

Closing a Model

Shutting Down ArtCAM Pro


Closing a Model

To close the model that you are currently working on, you can either:

  • Click on the [image] icon on the top-right corner of each of the open 2D View windows; or
  • From the Main menu bar, click on the File > Close menu option.

If you close a new model before it is saved, or close a previously saved model before saving any changes you have made, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Getting Started page.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Opening an Existing Model

Viewing Model Information

Shutting Down ArtCAM Pro


Shutting Down ArtCAM Pro

To shut down ArtCAM Pro:

  1. From the Main menu bar, click on File > Exit option.

If you click on the Exit option before saving a changed model, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Assistant's Getting Started page.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Opening an Existing Model

Viewing Model Information

Closing a Model


Managing a Model

When you have created or opened a model in ArtCAM Pro, the Assistant's Home page is displayed.

You can use the buttons in the File area of the Assistant's Home page to help you manage a model:

Hide File Area New Model Open File Save Options Undo Redo Cut Copy Paste

All of the buttons located in the File area can also be found on the Top toolbar:

New Model Open File Save Cut Copy Paste Undo Redo Display/Hide Notes Help Index Options

  • The Top toolbar is hidden by default. You can display the Top toolbar from the Main menu bar by clicking on the Windows > Show Top Toolbar option.

You can also use the buttons in the Model area of the Assistant's Home page to help you manage a model:

With toolset collapsed....

Hide Model Area Model Editing Toolset Greyscale From Composite Relief Lights and Material ArtRead - Import Digitised Data

With toolset expanded and pinned....

Hide Model Area Set Model Size Set Model Position Adjust Model Resolution Add Border Mirror Model Horizontally Mirror Model Vertically Rotate Model Clockwise Rotate Model Counter-Clockwise Pin/Unpin Model Editing Toolset Greyscale From Composite Relief Lights and Material ArtRead - Import Digitised Data

For further information on how to expand and collapse a toolset, see ArtCAM Pro Layout.

You can also use the Model Menu on the Main Menu bar:

Shape Editor... Set Size... Set Size Asymmetric... Set Position... Adjust Resolution... Mirror Rotate 90 Degrees Deskew Layer... Greyscale From Reliefs Add Border Spot Filter Lights and Material Setup Display/Hide Notes

The Model Editing Toolset:

Set Model Size Set Model Position Adjust Model Resolution Add Border Mirror Model Horizontally Mirror Model Vertically Rotate Model Clockwise Rotate Model Counter-Clockwise Pin/Unpin Model Editing Toolset

Using the buttons in the File area of the Assistant's Home page and the Top toolbar you can:

  • Create a new model. See Creating a New Model.
  • Open a saved model. See Opening a Model.
  • Save an open model. See Saving a Model.
  • Cut, copy and paste bitmap or vector artwork in a model. See Copying and Pasting Bitmap Areas and Copying and Pasting Vectors.
  • Correct a mistake that you have made. See Correcting an Action.
  • Display or hide a note file associated with a model. See Using the ArtCAM Pro Notepad.
  • Open the Help for ArtCAM Pro. See ArtCAM Pro Layout.
    • Click on the Help Index button [image] on the Top toolbar to display ArtCAM Pro's Online Help. For details on how to display the Top toolbar, see Using the Top Toolbar.
  • Manage the preference settings for ArtCAM Pro. For details, see Managing ArtCAM Pro's Preferences.

Using the buttons in the Model area of the Assistant's Home page you can:

  • Edit the dimensions of a model. For details, see Editing the Model Dimensions.
  • Set the position of a model. For details, see Setting the Position of a Model.
  • Adjust the resolution of a model. For details, see Editing the Resolution of a Model.
  • Create a greyscale image from the composite relief. For details, see Creating a Greyscale Image from the Composite Relief.
  • Add a border to a model. For details, see Adding a Border to a Model.
  • Mirror a model. For details, see Mirroring a Model.
  • Rotate a model. For details, see Rotating a Model.
  • Adjust the lights and material settings applied to the 3D View window. For details, see Adjusting Light and Material Settings.

See Also

Working with Models

Getting Started

Using the Font Editor

Using the Face Wizard


Creating a New Model

To create a new model:

  1. Click on the New Model button [image] in the File area of the Assistant's Home page to display the Size For New Model dialog box. For further details, see Creating a Model.
    • You can also create a new model by pressing the Ctrl + N keys on your keyboard, or by clicking on the File > New… option from the Main menu bar.

If you click on the New Model button [image] while working on an unsaved model, and then the OK button in the Size For New Model dialog box, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Getting Started page.

See Also

Managing a Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Creating a New Model Using Pixels

To create a model made up of an exact number of pixels:

  1. From the Main menu bar, click on the File > New (Specify Pixel Size)... option to display the Size For New Image In Pixels dialog box:

  2. If you want to use the image currently on the Windows clipboard as the new model, make sure that the Open Clipboard option is selected [image].
    • If there is no image currently on the Windows clipboard, the Open Clipboard option is greyed-out.
  3. Define the width (X) of the model (in pixels) in the Width box.
  4. Define the height (Y) of the model (in pixels) in the Height box.
  5. Click on the OK button to create the model.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Opening a Model

To open a model that you have previously saved:

  1. Click on the Open File button [image] in the File area of the Assistant's Home page to display the Open dialog box:

    • You can also display the Open dialog box by pressing the Ctrl + O keys on your keyboard.

      For further details, see Opening an Existing Model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Saving a Model

You can save a model as an ArtCAM model (*.art), Windows Bitmap (*.bmp), TIFF Image (*.tif), PCX Image (*.pcx), CompuServe Image (*.gif) or JPEG Image (*.jpg) file.

To save the ArtCAM model you have created:

  1. Click on the Save button [image] in the File area of the Assistant's Home page to display the Save As dialog box:

    • You can also display the Save As dialog box by pressing the Ctrl + S keys on your keyboard, or by clicking on the File > Save As… option from the Main menu bar.
  2. Click on the Save In list box and select the directory in which you want to save the model.
  3. Click on the Save As Type list box, and then on the file type in which you want to save the model.
    • ArtCAM Pro saves the model as an *.art file by default. This is an ArtCAM Pro proprietary file that stores not only your vector, bitmap and relief layers and their associated content, but also any toolpaths that have been created as part of the model.
  4. Type the file name you want to use for the model in the File name box.
  5. Click on the Save button to save the model and close the Save As dialog box.

To save the changes you have made to a model since it was last saved:

  1. Click on the Save button [image].
    • You can also save a model if you click on File in the Main menu bar, followed by the Save option.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Saving the 3D View as an Image

You can save the contents of the 3D View window as a Windows Bitmap (*.bmp), TIFF Image (*.tif), PCX Image (*.pcx), CompuServe Image (*.gif) or JPEG Image (*.jpg) file.

To save the composite relief displayed in the 3D View window as an image:

  1. Make sure that the 3D View window shows the composite relief that you want to save as an image.
  2. From the Main menu bar, click on the Window > Save 3D View Image menu option. The Save As dialog box appears:

  3. Click on the Save In list box and select the directory in which you want to save the image.
  4. Type a name for the image in the File Name box.
  5. Click on the Save As Type list box, and then on the image type in which you want to save the contents of the 3D View window (*.bmp, *.tif, *pcx, *.gif or *.jpg).
  6. Click on the Save button to save the image.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Printing a Model

You can print the content of any active design window in a model.

To print the content of the active design window:

  1. Click to select the design window that you want to print.
  2. From the Main menu bar, click on the File > Print menu option to display the Print Setup dialog box:

  3. Make sure that your printer settings are correct. For details, see Print Setup.
  4. In the Options area, click on the print option that you want to use:
    • If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Pro prints to fit the 3D View window in its current orientation.
    • Print model to scale - Click on this radio button [image] if you want to print the content in the active 2D View window according to the physical dimensions of the model.
    • Before printing, make sure that the paper onto which you are printing is equal to or greater than the model dimensions. For details, see Print Setup.
    • Stretch to fit page - Click on this radio button [image] if you want to print the content in the active 2D View window according to the dimensions of the paper onto which you are printing.
    • Print current screen view - Click on this radio button [image] if you want to print the content in the active 2D View window as it appears on the screen.
  5. Click on the OK button to close the Print Setup dialog box and print the active design window.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Print Preview

You can view the content of the active design window as it would appear when printed. This is known as a print preview.

To create a print preview:

  1. Click to select the design window that you want to print.
  2. From the Main menu bar, click on the File > Print Preview option to display a preview image of the active design window:

  3. You can use the buttons in the bar at the top of the ArtCAM Pro window to view the preview image in more detail:
    • To show the next page of the preview image, click on the Next Page button. If this button is greyed out, there are no further pages.
    • To show the previous page in the preview image, click on the Prev Page button. If this button is greyed out, there are no further pages.
    • To show two pages in the preview image at the same time, click on the Two Page button. If this button is greyed out, there is only one page in the preview image.
    • To enlarge the size of the preview image, click on the Zoom In button.
    • To reduce the size of the preview image, click on the Zoom Out button.
  4. You are now ready to print the preview image:
    • If you want to print the preview image, click on the Print button. For details, see Printing a Model.
    • If you do not want to print the preview image, click on the Close button.

See Also

Printing a Model

Print Setup


Print Setup

You can control the settings for the printer to which the content of the active design window is sent by ArtCAM Pro.

To adjust the printer settings:

  1. Click to select the design window that you want to print.
  2. From the Main menu bar, click on the File option, followed by the Print Setup option to display the Print Setup dialog box.
  3. Click on the Name list box and then on the printer that you want to use.
  4. In the Paper area, click on the Size list box and select the size of paper on which you are printing.
  5. In the Paper area, click on the Source list box and then on the tray or paper feed option that you want to use when printing.
  6. Select the orientation that you want to use when printing:
    • Portrait - Click on this radio button [image] if you want to print the design window vertically. Typically, portrait orientation is used when the content of a design window is taller than it is wide.
    • Landscape - Click on this radio button [image] if you want to print the design window horizontally. Typically, landscape orientation is used when the content of the design window is wider than it is tall.
  7. In the Options area, click on the print option that you want to use:
    • Print model to scale - Click on this radio button [image] if you want to print the design window according to the physical dimensions.

      Before printing, make sure that the content of the design window can fit on the paper onto which you are printing.

    • Stretch to fit page - Click on this radio button [image] if you want to print the content of the design window according to the dimensions of the paper onto which you are printing.
    • Print current screen view - Click on this radio button [image] if you want to print the content of the design window as it appears on the screen.
    • If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Pro prints to fit the 3D View window in its current orientation.
  8. Click on the OK button to print the active design window and close the Print Setup dialog box.

See Also

Printing a Model

Print Preview


Editing the Model Dimensions

To edit the dimensions originally defined for a model when it was created:

  1. Click on the Set Model Size button [image] in the Model area of the Assistant's Home page to display the Set Model Size dialog box:

  2. In the Method area, click on the appropriate radio button [image] according to how you want to set the new size of the model.
    • If you have not yet selected any vector artwork, the Selected Vector(s) option is greyed out. For details, see Using Selected Vector Artwork.

      If you have selected the Image Size method:

    • Define the new height (Y) and width (X) of the model in the Height and Width boxes.

      If you have chosen the Selected Vectors method:

    • Select the vector(s) that represent the new size of the model. The dimensions of the bounding box that surrounds the selected vector(s) are displayed in the Height and Width boxes.

      If you have selected the Scanned d.p.i. method:

    • Define the resolution that you want use for the model in the d.p.i. box.
    • Reducing the dots per inch increases the overall size of the model.
  3. In the Origin area, click on the centre or any of the four corner radio buttons [image] to define the X-axis zero and Y-axis zero origin.
  4. Make sure that the Units option is set according to those you in which you are working (millimetres or inches).
  5. Click on the OK button to set the size of the model according to the defined dimensions.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Editing Asymmetrical Dimensions in a Model

  • Editing the asymmetrical dimensions of a model only affects the size of its relief layers.

You can edit any asymmetrical dimensions that you find in a model.

To edit a model's asymmetrical dimensions:

  1. From the Main menu bar, click on the Model > Set Size Asymmetric option to display the Specify Model Size dialog box:

  2. Click on the Sizing Method radio button [image] that you want to use:
    • Image dimensions - This option allows you to set the size of a model using specific measurements.
    • Selected Vectors - This option allows you to set the size of a model to an area defined by the bounding box that surrounds all vectors currently selected. For details, see Using Selected Vector Artwork.
    • If you have not yet selected any vector artwork, the Selected Vectors option is greyed out.
    • Scanned resolution - This option allows you to set the size of a model by defining the size of a pixel within it.
  3. If you have selected the Image dimensions or the Rectangle dimensions option:
    • To define both the Width (X) and the Height (Y) as a specific size, make sure that both of these options is selected [image] in the Dimensions area, and then type the measurement in each of the boxes.
    • To preserve the ratio between the Width (X) and the Height (Y) of the model, make sure that only one of these options is selected [image] in the Dimensions area, and then type the measurement in the adjacent box.

      All other boxes in the Dimensions area are automatically greyed out when only one of the available options is selected [image].

    • To define the distance between the origin and the top right corner of the model, make sure that only the Diagonal option is selected [image] in the Dimensions area, then type the measurement in the adjacent box.

      If you have selected the Scanned resolution option:

    • Click on of the radio buttons [image] in the Scanned Resolution in d.p.i. area to define the size of a pixel in the model.
    • Reducing the dots per inch increases the size of the model.
  4. Make sure that the Units option is set according to those in which you are working (millimetres or inches).
  5. Click on the Apply button to preview the new model size.

    The Real Height and Real Width values in the Image/Model Size area are updated according to your new dimensions.

  6. Click on the OK button to set the size of the model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Setting the Position of a Model

You can define the position of the X-axis zero and Y-axis zero origin as one of five pre-defined locations using the Set Model Size dialog box. For details, see Editing the Model Dimensions.

To define the position of the X-axis zero and Y-axis zero origin as somewhere other than the five available locations in the Set Model Size dialog box, you can use the Set Position dialog box. You can also define the Z-axis zero origin using the Set Position dialog box.

To set the position of a model:

  1. Click on the Set Model Position button [image] in the Model area of the Assistant's Home page to display the Set Position dialog box:

  2. In the Pixel To Position area, click on one of the radio buttons [image] to select which pixel in the model you want to use as the origin:
    • Choose with cursor - If you select this option, move the [image] cursor over the pixel in the model that you want to use and then click.

      The co-ordinates of the pixel are displayed in the Pixel area.

    • Centre pixel - Select this option to define the origin as the centre of the model.
    • Top left pixel - Select this option to define the origin as the top left corner of the model.
    • Top right pixel - Select this option to define the origin as the top right corner of the model.
    • Bottom left pixel - Select this option to define the origin as the bottom left corner of the model.
    • Bottom right pixel - Select this option to define the origin as the bottom right corner of the model.

      If you want to define the exact location of the origin, define the appropriate X, Y and Z values in the boxes in the Real area.

  3. Click on the OK button to close the Set Position dialog box and to define the new origin in the model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Editing the Resolution of a Model

You can adjust the resolution of a model. This allows you to disassociate the bitmap resolution from the model resolution.

In pictures, the size of the pixels determines the resolution of the picture. Resolution is the number of pixels per inch (ppi) or centimetre. A picture is created at a specific resolution. You select the resolution based on how you will use the picture in your model. Consider that too low a resolution will cause pixilation, or large pixels that cause a coarse relief, while too high a resolution add to picture's memory requirements without producing a significant increase in its overall finish.

To adjust the resolution of the model:

  1. Click on the Adjust Model Resolution button AdjustModelResolutionButton in the Models area of the Assistant's Home page to display the Adjust Model Resolution page in the Assistant window. The existing resolution of the model is displayed in the Current Resolution area of the page.
    • You can also display the Adjust Model Resolution page from the Main menu bar by clicking on the Model > Adjust Resolution... option.

      Shape Editor... Set Size... Set Size Asymmetric... Set Position... Adjust Resolution... Mirror Rotate 90 Degrees Deskew Layer... Greyscale From Reliefs Add Border Spot Filter Lights and Material Setup Display/Hide Notes

  2. Click and drag on the slider to set the resolution of the model according to the requirements of your job.

    Drag the slider to the right to increase the resolution of the model. Drag the slider to the left to decrease the resolution. The new resolution of the model is displayed in the New Resolution area of the page.

  3. Click on the Apply button to set the resolution of the model.
    • You cannot use the Undo button to restore the previous resolution of the model. You must be certain that you want to adjust the resolution to that shown in the New Resolution area of the page before clicking on the Apply button.

      Click on the Cancel button to return to the Assistant's Home page and keep the existing model resolution.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Creating a Greyscale Image from the Composite Relief

A greyscale is an image in which the only colours are shades of grey. You can create a greyscale image of a selected relief layer or the composite relief.

  • It is recommended that you use a greyscale image to view a swept profile shape more clearly, particularly when you want to position vector text or 3D clipart relative to it. For details, see Creating a Swept Profile Shape.

A greyscale image is particularly useful for identifying areas of a model to which you want to add texture, since the entire relief is painted in a single colour by default. For details, see Adding Texture to a Relief.

To create a greyscale image of the composite relief:

  • Click on the Greyscale From Composite Relief button [image] in the Model area of the Assistant's Home page.

    The greyscale image is created on a new bitmap layer at the top of the layer stack in the Bitmaps area of the Layers Manager. The bitmap layer is named Greyscale by default.

    • You can also create a greyscale image of the composite relief from the Main menu bar by clicking on the Model > Greyscale From Reliefs option.

To display a greyscale preview of the selected relief layer:

  • Click on the Preview Relief Layer button [image] in the 2D View toolbar.
    • You can also create a greyscale image of the selected relief layer by pressing the F10 key on your keyboard.
    • You can set the default colours used in the Preview Relief Layer view using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
    • Using the Preview Relief Layer option does not create a new bitmap layer.

      If you want to create a greyscale image of the selected relief layer on a new bitmap layer, use the Create Greyscale Bitmap button CreateGreyscaleBitmapButton in the Relief area of the Layers Manager. For details, see Creating a Bitmap Layer from a Relief Layer.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Adding a Border to a Model

You can create a border around an open model in the current Primary Colour. Any existing relief in the model is extended by the width of the border you define.

To create a border around a model:

  1. Make sure that the colour in which you want to create the border is selected as the Primary Colour. For details, see Selecting the Primary and Secondary Colours.
  2. Click on the Add Border button [image] in the Model area of the Assistant's Home page to display the Add Border dialog box:

    The current Primary Colour is shown, as is the width and height of the model. The Symmetrical border option is selected [image] by default.

  3. If you want to create a symmetrical border, you can simultaneously define the width of all four sides in the adjacent box.

    If you want to define the width of the border on each of the four sides independently:

    • First, click to deselect the Symmetrical option [image].
    • Next, click to select [image] the option for each of the sides (Top, Bottom, Left, Right) to which you want to add a border, and then define their widths in the adjacent boxes.

      If a side option is not selected [image], it is greyed out.

  4. Click on the OK button to close the Add Border dialog box and create the border around the model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Using a Spot Filter on a Bitmap Image

You can remove any isolated pixels from within a scanned bitmap image using a spot filter. The selected spot filter is applied to all bitmap layers in a model.

A spot filter performs better with black and white or greyscale images. It may be necessary to apply a spot filter several times on the same image to remove all unwanted pixels (spots) in the images across the bitmap layers.

To use a spot filter:

  1. From the Main menu bar, click on the Model > Spot Filter option to display the filters available:

    Shape Editor... Set Size... Set Size Asymmetric... Set Position... Adjust Resolution... Mirror Rotate 90 Degrees Deskew Layer... Greyscale From Reliefs Add Border Spot Filter Spot Filter > Photo Image Spot Filter > General Spot Filter > Line Drawing Lights and Material Setup Display/Hide Notes

  2. Click on the spot filter option that you want to apply to the bitmap layers:
    • Photo Image - This option is the maximum filter that is most likely to remove unwanted spots in the image.
    • The Photo Image filter may also remove areas of the images across the bitmap layers that you want to keep.
    • General - This option is the medium filter.
    • Line Drawing - This option is the minimum filter, which removes only a few spots in the image. You may have to apply this filter several times before removing any unwanted spots.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Adjusting Light and Material Settings

You can alter the appearance of a model in the 3D View window by:

  • Using up to four different lights at once to illuminate selected areas of the composite relief.
  • Changing the colour of the composite relief to match that of the actual block of material used in the manufacturing process.
  • Changing the background colour or filling it with a the content on a selected bitmap layer.
  • Projecting the content on a selected bitmap layer or a reflection map onto the composite relief.

This allows you to create an authentic impression of the machined model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Light and Shading Settings

You can illuminate selected areas of the composite relief shown in the 3D View window using up to four types of light in a number of combinations.

To change the light or shading settings:

  1. Click on the Lights and Material button [image] in the Model area of the Assistant's Home page to display the Lights and Material page.
    • You can also display the Lights and Material page from the Main menu bar if you click on the Model > Lights and Material Setup option.
  2. If you want to load a light (*.lgt) or shading (*.shd) setting file that you have previously saved, click on the Load button to open the Load Lights and Material Settings dialog box:

    • First, click on the Look in list box and select the directory where the file that you want to load is stored, and then click to select the setting file that you want to load. The file name appears in the File name box
    • Next, click on the Open button to load the settings into the Lights and Material page.
  3. If you want to use any of the preset shading settings in ArtCAM Pro, click on the list box in the Shading Setup area, and then on the shading setting that you want to use.
  4. To adjust the amount of background lighting, click and drag on the Ambient slider.
  5. In the Lights area, there are four options that you can use to expose light to the composite relief. To expose light to the composite relief, click on the Enabled option beside the light options that you want to select [image].
  6. To edit the settings for any of the lights you have enabled, click on the [image] arrow to display them.

    If you want to change the type of light, click on the Type list box, and then on the light option that you want to use:

    • Distant - This option allows you to add the effect of a light at a distance from the composite relief. The [image] icon appears if this type of light is selected.
    • Point - This option allows you to add the effect of a light bulb held over the composite relief. The [image] icon appears if this type of light is selected.
    • Spot - This option allows you to add the effect of a spot light held over the composite relief. The [image] icon appears if this type of light is selected.

      Next, set the colour of the light:

    • First, click on the Colour Palette button [image] or the colour shown beside it to display the Color dialog box:

    • Next, select the colour that you want to use for the light. For details on how to select Basic and Custom colours, see Assigning a Colour to a Vector Layer.
    • Finally, click on the OK button to close the Color dialog box.

      You can now adjust the contrast of the light by clicking and dragging on the Intensity slider.

      If you have selected a Spot Light, you can adjust its focus by clicking and dragging on the Edge slider. You can also adjust its scope by typing a value in the Width box.

      If you have selected a Point Light or a Spot Light, you can adjust its position relative to the composite relief:

    • Click on the bulb icon [image] on the Lights and Material page and drag it into position over the composite relief in the 3D View window.

      The value displayed in the first box is shown as a percentage of the width (X) of the model.

      The value displayed in the second box is shown as a percentage of the height (Y) of the model.

    • The value displayed in the third box is shown as a percentage of half the height of the longest side in the model. This value is then used for the Z height of the light.

      If you have selected a Distant Light or a Spot Light, you can set the direction of the light:

    • To align the direction of the light to one of seventeen points on the sphere, click on the Use Snap points on sphere option to select it [image].

      Click and drag on the sphere and release the mouse button when the [image] cursor has snapped to the point that you want to use as the light direction.

    • If you want to align the direction of the light with your field of vision when focused directly at your computer monitor, click on the Fix light along viewing direction option to select it [image].
    • This option is only available if you have enabled a Distant Light.

      To hide the settings for a light you have enabled, click on the [image] arrow.

  7. Click on the Apply button to apply the changes you have made to the light and/or shading settings.
  8. You can now save or reset your light and shading settings:
    • If you want to save these light and shading settings, click on the Save button to display the Save Lights and Material Settings dialog box:

    • Click on the Save in list box and select the directory where you want to save the file. Type a name for the file in the File Name box, and then click on the Save button.
    • If you are not happy with these light and shading settings, you can either continue to adjust them or click on the Reset button to restore the default settings.
  9. If you want to set your light and shading settings as default, click on the Set As Default button.
  10. Click on the Done button to close the Lights and Material page and return to the Assistant's Home page.

See Also

Adjusting Light and Material Settings

Material and Background Settings


Material and Background Settings

You can change the colour used to shade the composite relief in the 3D View window, the brightness of the lit areas on its surface, and the reflectivity of its surface. You can also select a background colour or image for the 3D View window, and project a reflection map onto its surface.

You can use the sphere in the Material area of the page to preview the effects that the settings you create have on the composite relief shown in the 3D View window:

To change the material settings:

  1. Click on the Lights and Material button [image] in the Model area of the Assistant's Home page to display the Lights and Material page.
  2. If you want to load a material shading (*.mtl) setting file that you have previously saved, click on the Load button to open the Load Lights and Material Settings dialog box:

    Click on the Look in list box and select the directory where the file that you want to load is stored, and then click on the setting file that you want to load to select it. The file name appears in the File name box

    Click on the Open button to load the settings into the Lights and Material page.

  3. To change the colour of the material shown in the 3D View window, click on the list box in the Colour area, and then on the option that you want to use:
    • Selected Colour - This option allows you to select the colour of the relief using the Color dialog box. For further information, see Assigning a Colour to a Vector Layer.

      You can then edit the chosen colour using the sliders in the Colour area.

    • 2D View - This option allows you to project the content of a selected bitmap layer, as shown in the 2D View window, onto the composite relief.

      If you want to use any of ArtCAM Pro's preset materials, click on the list box in the Colour area, and then on the material that you want to use. When using any of these preset settings:

    • If you want to tile the material across the composite relief, click to select the Tile option and then define its size using the Size X and Size Y boxes.
    • If you want to replace areas of the composite relief under the current Primary Colour with the selected material, click to select the Only Show Image Under Primary Colour option.
    • If you want to use your own material, copy the TIF image file (*.tif) representing the material to the ArtCAM Pro 9.0\Rendering\Materials folder and then restart ArtCAM Pro. Your image will then be listed in the Colour list box when the Lights and Material page is next displayed.
  4. To adjust the reflectivity of the material surface, click and drag on the Shininess slider.
  5. To adjust the brightness of the lit areas in the model, click and drag on the Highlight Intensity slider.
  6. If you want to project a reflection map onto the surface of the composite relief, click on the list box in the Reflection Map area, and then on the reflection map that you want to use.
  7. You can now fill the background of the 3D View window with an image or a colour. To fill the background with a colour:
    • In the Background area, click on the list box and then on the Selected Colour option. This is the default option when the Lights and Material page is displayed.
    • Next, click on the Colour Palette button [image] to display the Color dialog box.
    • Select the colour that you want to use as the background. For details on how to select Basic and Custom colours, see Assigning a Colour to a Vector Layer.
    • Finally, click on the OK button to close the Color dialog box.

      To fill the background with a bitmap image:

    • In the Background area, click on the list box and then on the image that you want to use.
    • If you want to use your own bitmap image as a background in the 3D View window, copy the bitmap file (*.bmp) to the ArtCAM Pro 9.0\Backgrounds folder and then restart ArtCAM Pro. Your image will then be listed in the Background list box when the Lights and Material page is next displayed.
  8. Click on the Apply button to apply the material settings that you have chosen.
  9. You can now save or reset your material settings:
    • If you want to save these material settings, click on the Save button to display the Save Lights and Material Settings dialog box:

    • Click on the Save in list box and select the directory where you want to save the file. Type a name for the file in the File Name box, and then click on the Save button.
    • If you are not happy with these light and shading settings, you can either continue to adjust them or click on the Reset button to restore the default settings.
  10. If you want to set your material settings as default, click on the Set As Default button.
  11. Click on the Done button to close the Lights and Material page and return to the Assistant's Home page.

See Also

Adjusting Light and Material Settings

Light and Shading Settings


Using Selected Vector Artwork

You can use vector artwork to define a specific area within the existing model which can then be used to edit your model dimensions, manipulate bitmap images and create dome shapes on a selected relief layer.

To use a vector to edit the model or its content:

  1. Select the vector(s) that represents the area of the model that you want to use.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • You can use any shape or number of vectors, since it is the bounding box that surrounds the selected vector(s) which defines the area.
  2. You can now use the selected vector(s) in any of the following ways:
    • Set the dimensions of the model. For details, see Editing the Model Dimensions.
    • Set the asymmetrical dimensions of the model. For details, see Editing Asymmetrical Dimensions in a Model.
    • Crop the model. For details, see Cropping a Model.
    • Copy and paste an area of a bitmap image. For details, see Copying and Pasting Bitmap Areas.
    • Create a dome shape. For details, see Creating a Dome.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Cropping a Model

You can crop a model using one or more vectors drawn on vector layers.

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page, followed by the vector that represents the area of the model that you want to keep.

    If you want to select more than one vector, hold the Shift key down on your keyboard, and then click on each of the vectors you want to select in turn. The area within the bounding box that surrounds all of the selected vector(s) represents the model area that you want to keep.

    • You can also click and drag around any number of vectors to select them. A bounding box surrounds all of the selected vectors.
    • To deselect a vector you have selected by mistake, hold the Shift key down on your keyboard and then click.
    • If you want to adjust the position of the selected vector(s), move the mouse cursor over the edge of the bounding box which surrounds the selected vector(s), and then click and drag the vector(s) into position. For further details, see Moving Vectors.
  2. From the Main menu bar, click on the Edit > Crop option. A message box appears asking you to confirm that you want to crop the model to the region defined by the bounding box that surrounds the selected vector(s). This is because once you have cropped the model, you cannot revert to its previous dimensions:

    Click on the Yes button to close the message box and crop the model. The model area outside of the selected vector(s) is deleted. The X and Y dimensions of the model area are now equal to the bounding box that surrounds the selected vector(s).

    The Z dimensions of the model are almost certainly affected as a result of cropping the model; the result of which is shown in the Project Information area of the Assistant's Home page.

    Click on the No button to close the message box.

    • It is recommended that you check that any toolpaths created prior to cropping are now suitable for machining the model. Ideally, toolpaths should be created only after you have decided upon the final size of the model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Using the ArtCAM Pro Notepad

You can add comments concerning a model to the ArtCAM Pro notepad.

To use the ArtCAM Pro notepad:

  1. Click on the Display/Hide Notes button [image] in the File toolbar to display the ArtCAM Notes window:

  2. Click on the ArtCAM Notes window and then type the comments that you want to add about the model using your keyboard.
    • If you type .. and then press the Enter key on your keyboard before typing your comments, the ArtCAM Notes window is displayed when you open the saved model again.
  3. Click on the Display/Hide Notes button [image] to close the ArtCAM Notes window.

When the open model is saved, any comments that have been added to the ArtCAM Notes window are also saved.

If you do not save the model, any comments that you have added are deleted from the ArtCAM Notes window.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Importing Vector Artwork

You can import vector artwork saved in any of the following formats onto an existing vector layer in a model:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

When importing Drawing Interchange (*.dxf ) or AutoCAD Drawing (*.dwg) files, you can position its vector artwork in the centre of the ArtCAM model, define the units of measurement used, instruct ArtCAM Pro to identify loops within tolerance and rejoin all coincident points (nodes) within tolerance. ArtCAM Pro also reads all layer information saved within these files. For further information, see Working with Layers.

When importing Encapsulated PostScript (*.eps, *.ai) files with an origin outside of an ArtCAM model, you can position its vector artwork in the centre of the ArtCAM model or according to the origin saved within the file.

Windows Metafiles (*.wmf), Enhanced Metafile (*.emf) and Lotus, PC Paint or DUCT picture files (*.pic) import into ArtCAM Pro directly.

To import vector artwork:

  1. Make sure that the vector layer on which you want to import the vector artwork is selected. For details, see Selecting a Layer.
  2. Click on the File > Import > Vector Data... option from the Main menu bar to display the Vector Import dialog box:

  3. Click on the Files of type list box, and then on the type of vector artwork file that you want to import.
  4. Use either of the following methods to find the vector artwork file that you want to import as a new vector layer:
    • By default, ArtCAM Pro lists files in the Adobe Illustrator and Encapsulated PostScript file format (*.ai and *eps) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder where the file containing the vector artwork that you want to import to the selected vector layer is stored.
  5. Once you have found the vector artwork file, click to select the file listed in the main window of the Vector Import dialog box. Its name appears in the File name box.
  6. Click on the OK button to import the vector artwork to the selected vector layer.

    If you are importing vector artwork saved as a *.dxf file, the Imported File dialog box is displayed:

    Make sure that the settings for the imported vector artwork is correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

      If you are importing vector artwork saved as an Encapsulated PostScript (*.eps ) or Adobe Illustrator (*.ai) file with its origin outside of the ArtCAM model, the Choose location of data dialog box is displayed:

      Click on either of the radio buttons to select where you want to position the vector artwork in the vector layer:

    • If you want to position the vector artwork according to the X and Y co-ordinates stored in the file itself, select the Position the data using the location in the EPS file option by clicking on its radio button.
    • If you want to position the vector artwork in the centre of the vector layer, select the Position the data in the centre of the ArtCAM image option by clicking on its radio button.

      Click on the OK button to close the dialog box and import the vector artwork onto the selected vector layer.

      The imported vector is selected by default. It is magenta and surrounded by a bounding box. When deselected, the vector appears in the colour assigned to the selected layer. For further information, see Selecting Vectors.

      If you are importing a vector data file that contains layers, ArtCAM Pro preserves the layer information in your model. Where a vector layer already in ArtCAM Pro shares the name of a layer within the file, the artwork is imported onto this layer. Where a vector layer already in ArtCAM Pro does not share the name of a layer within the file, a new vector layer is created and this adopts the name of the layer within the file and any associated colour information.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Using a Vector Library

You can use the Vector Library tool to manage vector data saved as *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files that you want to import into an ArtCAM model. ArtCAM Pro recalls the position in which the vector was saved.

A vector library is made up of at least one folder that contains one or more *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files.

ArtCAM Pro creates an area on the Vector Library page for each of the folders within a library that contain *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files. If an *.eps, *.dxf, *.dwg, *.ai, *.wmf or *.pic file within a library shares the same name as a *.jpg or *.gif file also within the same library, ArtCAM Pro creates an icon next to its filename. If there are no *.eps, *.dxf, *.dwg, *.ai, *.wmf or *.pic files in a selected directory, a message is displayed on the page indicating that no library has been found.

You can click on the [image] arrow on the page to hide the list of files within a library's folder, and on the [image] arrow to reveal the list.

To select a folder as a vector library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area of the Assistant's Home page to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. Any existing vector libraries are listed in the Libraries list box.
  3. Click on the New button to display the Browse For Folder dialog box.
  4. Click to select the directory in which you want to store your vector artwork files, or in which they are already kept. It is highlighted in blue.
  5. Click on the OK button to select the directory, and then close the Browse For Folder dialog box. The directory is now defined as an ArtCAM vector library.
  6. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To import a file from a vector library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries list box.
  3. Move the cursor over the filename in the list containing the vector artwork that you want to import, and then click. The vector artwork appears in the 2D View window.
  4. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To refresh the list of files identified within a library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries box.
  3. Click on the Libraries list box, and then on the library for which you want to update the file listing.
  4. In the Options area, click on the Rescan button to refresh the list of folders and files within the current library
  5. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To remove a library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries box.
  3. Click on the Libraries list box, and then on the library you want to remove.
  4. In the Options area, click on the Remove button to remove the selected library.
  5. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

Importing Vector Artwork


Exporting Vector Artwork

In ArtCAM Pro, you can export vector artwork as data. This data can then be used in other drawing packages supporting the following file formats:

  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)

To export vectors as data:

  1. Select the vector(s) that you want to export. For details, see Selecting Vectors.
  2. From the Main menu bar, click on the File menu, followed by the Export… option to display the Vector Export dialog box:

  3. Click on the Save In list box and select the directory in which you want to save the vector.
  4. Type the file name you want to use for the vector(s) in the File name box.
  5. Click on the Save as type list box, and then click on the file type you want to use.
  6. Click on the Save button.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Importing a 3D Model File

You can import triangle models saved as 3D Assembly (*.3da), 3D Studio (*.3ds), Drawing Interchange Format (*.dxf) and STL (*.stl) files into an ArtCAM model:

  1. Make sure that the relief layer onto which you want to import the triangle model is selected. For details, see Selecting a Layer.
  2. From the Main menu bar, click on the File > Import > 3D Model option to display the Import 3D Model dialog box:

  3. Click on the Look In list box and find the file that you want to import.
  4. Once you have found the file, click to select the file listed in the main window of the Import 3D Model dialog box. Its name appears in the File Name box.
  5. Click on the Open button to import the file into the model and display the Paste 3D Model dialog box:

    The current size of the model is shown and the original co-ordinate system used when the triangle model was constructed is kept.

  6. You can now use the Paste 3D Model dialog box to set the position, size and origin of the triangle model before it is pasted onto the selected relief layer within the ArtCAM model.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Using the Paste 3D Model Dialog Box

The Paste 3D Model dialog box allows you set the position, size and origin of an imported three-dimensional model before it is pasted onto a selected relief layer within an ArtCAM model.

To define how the triangle model is pasted onto the selected relief layer:

  1. Set the position of the triangle model within the ArtCAM model:
    • To position the triangle model in the centre of the ArtCAM model, click on the Centre button.
    • To position the triangle model in the centre or one of the four corners in the ArtCAM model, click on the appropriate Point on base to specify position for radio button [image] on the model diagram.
    • To position the triangle model in a specific location within the ArtCAM model, define the co-ordinates in the X, Y and Z boxes.
  2. To rotate the triangle model on any of the three axes:
    • In the Rotate model about an axis area, define the angle of rotation in the X, Y and/or Z box.
    • To mirror the model in any of the three axes, make sure that the Mirror option below the X, Y and/or Z box is selected [image].
  3. If you are working in inches, the Model was in inches option is selected [image] by default. If the triangle model appears too large, either click to deselect the option and scale the 3D model between inches and mm, or proceed to the next step to resize or scale the triangle model.

    If you are working in millimetres, the Model was in mm option is selected [image] by default. If the triangle model appears too small, either click to deselect the option and scale the triangle model between mm and inches, or proceed to the next step to resize or scale the triangle model.

  4. Set the size of the triangle model:
    • To resize or scale the triangle model in a specific axis, click to deselect the Link options for the axes that you do not want to adjust [image]. For example, if you only want to resize the model in the X-axis, click to deselect the Link Y and Link Z options.
    • In the Size box, define the new size for the axis that you want to adjust.
    • In the Scale box, define the new scale for the axis that you want to adjust.
  5. Click on the Apply button.
    • Click on the Apply button whenever you type a new value in the Paste 3D Model dialog box so you can see how your model is changing.
  6. Click on the Paste button to paste the triangle model onto the selected relief layer within the ArtCAM model using the Merge Highest option. For details, see Merging with the Relief.
  7. Click on the Close button to close the Paste 3D Model dialog box and paste the triangle model onto the selected relief layer within the ArtCAM model.

See Also

Importing a 3D Model File

Example


Example

In the following example, you can see how the Paste 3D Model dialog box is used to set the size and position of an imported triangle model, and then paste it onto a selected relief layer within an ArtCAM model.

  1. Click on the Create New Model icon [image] on the Getting Started page to display the Size For New Model dialog box:

  2. Click on the mm radio button [image] in the Units area to set the units of measurement as millimetres.
  3. Type 100 in the Height (Y) and Width (X) boxes.
  4. Click and drag on the Resolution slider and set it to 1004004 points.
  5. Click on the OK button to close the Size For New Model dialog box and create the ArtCAM model.
  6. From the Main menu bar, click on the File > Import > 3D Model option to display the Import 3D Model dialog box:

  7. Click to select the cow.dxf file in the ArtCAM Pro 9.0\Examples\3d models directory, and then click on the Open button to import the triangle model into your ArtCAM model.

    The cow triangle model appears on the origin of the ArtCAM model in the 3D View window. The Paste 3D Model dialog box also appears:

  8. You are now ready to set the position of the cow triangle model within the ArtCAM model. In the Position area of the dialog box:
    • First, type 50 in the X box.
    • Next, type 50 in the Y box.
    • Finally, type -14.499 in the Z box.
  9. You are now ready to resize the cow triangle model. In the Set Model Size area, type 89.999 in the X Size box.
  10. Click on the Apply button to resize and position the cow triangle model.
  11. Click on the Paste button to combine the cow triangle model with the selected relief layer in the ArtCAM model. The relief layer should appear in the 3D View window something like the image shown below:

See Also

Importing a 3D Model File

Using the Paste 3D Model Dialog Box


Importing a 3D Model File for Unwrapping

You can import wrapped triangle models saved as 3D Assembly (*.3da), 3D Studio (*.3ds), Drawing Interchange Format (*.dxf) and STL (*.stl) files into an ArtCAM model.

The imported model can then be unwrapped along a cylindrical axis into a flat relief layer within an ArtCAM model. This command is intended for unwrapping ring designs created in other CAD systems into flat relief layers for machining within ArtCAM Pro.

To import a triangle model that you want to unwrap:

  1. From the Main menu bar, click on the File > Import > 3D Model For Unwrapping option to display the Import 3D Model dialog box.
  2. Click on the Look In list box and find the file that you want to import.
  3. Once you have found the file, click to select the file listed in the main window of the Import 3D Model dialog box.
  4. Click on the Open button to import the file into the open ArtCAM model.

    If you select a file that does not contain normals, the following message box appears:

    Click on the OK button to close the message box.

    If the file contains normals, the 3D Model Unwrapping page is displayed in the Assistant window and the Paste 3D Model dialog box appears:

    • Normals show the direction from which the points in the 3D model were taken and are perpendicular to the model surface.

      The current size of the model is shown and the original co-ordinate system used when the triangle model was constructed is kept.

  5. You can now use the Paste 3D Model dialog box and/or the 3D Model Unwrapping page to set the position, size and origin of the unwrapped model and exactly how it will be unwrapped:
    • For details on using the Paste 3D Model dialog box, see Using the Paste 3D Model Dialog Box.
    • For details on using the 3D Model Unwrapping page, see Using the 3D Model Unwrapping Page.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Using the 3D Model Unwrapping Page

The 3D Model Unwrapping page allows you to unwrap an imported triangle model along a cylindrical axis into a flat relief layer within an ArtCAM model.

To unwrap a triangle model along a cylindrical axis:

  1. In the 3D Model Origin area, define the position of the triangle model's origin within the ArtCAM model using the the X, Y and Z boxes.
  2. In the Rotate Model area, use the [image] and [image] buttons to rotate the triangle model along any of the three axes in the ArtCAM model in 90° increments.
  3. In the Unwrapping Cylinder area:
    • In the Diameter box, define the diameter of the cylindrical axis along which the triangle model is unwrapped.
    • Click on one of the Axes radio buttons [image] to select the axis along which the centreline in the triangle model is aligned.
    • In the Border Width box, define the width of the border which is added above and below the triangle model.

      If you want to add a border later or using another method, see Adding a Border to a Model for details.

  4. If you do not want ArtCAM Pro to process large triangles found in planar sections within JewelCAD triangle models, make sure that the Unwrap JewelCAD Triangulation option is selected.
  5. Click on the Create New Model button.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Importing a 3D Model File for Unwrapping


Importing CopyCAD Relief Data

You can import a wrapped relief map with normals saved as American Standard Code for Information Interchange (*.asc) or CopyCAD Binary (*.ccb) format files into a model. The imported relief data is attached to the base of a selected relief layer within the ArtCAM model.

  • Normals show the direction from which the points in the 3D model were taken and are perpendicular to the model surface. The size of the wrapped relief map with normals must match that of the selected relief layer within the ArtCAM model.

To import relief data:

  1. From the Main menu bar, click on the File > Import > Load CopyCAD Wrapping Data option to display the Load CopyCAD Wrapped Relief Map dialog box:

  2. Click on the Look In list box and find the file that you want to import.

    Once you have found the file, click on the file name listed in the main window of the Load CopyCAD Wrapped Relief Map dialog box.

  3. Click on the Open button to import the file into the ArtCAM model.

    If you select a file that does not contain normals, the following message box appears:

    Click on the OK button to close the message box.

    If the size of the imported wrapped relief map with normals does not match that of the selected relief layer within the ArtCAM model, the following message box appears:

    Click on the OK button to close the message box.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Multiplate Engraving Tool

ArtCAM Pro allows you to create sheets of badges or name-plates, each with its own unique details, using only vector artwork to define the shape and layout, a text file (*.txt or *.csv) containing the data you want to feature on the plates, and vector text to define how and where this data is used.

A multiplate is made up of one or more sheets of vector artwork representing individual plates. The total number of sheets depends on the total number of plates created. The total number of plates able to fit onto a sheet depends on the size of the vector artwork used for the plate layout, the defined gaps between each plate along the X and Y-axes, and the defined boundary along the X and Y-axes.

Each plate is made up of variables. A block of vector text within curly braces defines each of the variables on a plate. When creating the multiplate, ArtCAM Pro replaces the vector text within double curly braces with data from an imported text file. The data assumes the same style of font, and any formatting, of the original block of vector text. What of the data within the imported text file will be created as vector text depends on what field headings within the text file are assigned to the variables.

To create a multiplate:

  1. Create the vector artwork representing the overall shape of the plate to which you want to add data.

    For example, a rectangle with filleted corners might be used:

  2. Use the Text Tool to type the names of the variables that you want to use on each of the plates in vector text. These must be enclosed in double curly braces. For further details, see Creating Vector Text.

    In our example, the template vector artwork for the plate layout now appears as follows:

  3. Create the toolpath that you want to use to machine the plates that you are creating.
  4. From the 2D View window, select all of the vector artwork representing the template for the plate layout, along with the preview of the toolpath you have calculated. For details, see Selecting Vectors and Selecting Toolpaths.
  5. Click on the Create Multiple Plates… button [image] in the Vector Tools area of the Assistant's Home page to display the Multi-plate Tool page.

    If you click on the button without first selecting the vector artwork representing the template for the plate layout, the following message box appears:

    Click on the OK button to close the message box, and then select the vector artwork.

  6. Click on the Set Template button to set the selected vector artwork as the template for the plate layout.
  7. In the Import Text File Data area, click on the Load Data button to display the Load Data dialog box:

    • You can open data saved as a *.txt or *.csv file only.
  8. Click on the Look in list box and select the directory in which the text file that you want to open is stored.
  9. Once you have found the text file, click on its file name. Its name appears in the File Name area.
  10. Click on the Open button to display the Text File Import dialog box.

    In our example, the data within a .txt file is shown in the Text File Import dialog box as follows:

  11. You can see a preview of the data within the imported text file in the main window of the dialog box. You can control the appearance of this data and what of it will be used in the Multiplate tool:
    • In the Delimiters area, click to select the option for the delimiter that has been used to divide the data in the imported text file.
    • All delimiters contained within quotation marks," ", are ignored.

      If a delimiter has been used other than any of those listed, you must type the delimiter in the box, and then click to select the Other option [image].

    • If you want to set the first row of text as column headers, click to select the First row is column headers option [image].
    • Define the row from which you want to import data into the Multiplate tool. You can either type the number in the box, or use the [image] and [image] arrows to set the row number.

      In our example, the data within the Text File Import dialog box now appears as follows:

  12. Click on the OK button to load the data into the Multiplate tool.
  13. In the Sheet Layout area, use the settings to define the material dimensions and the number of plates you want to create:
    • Define the width of the material in the Total Width box.
    • Define the height of the material in the Total Height box.
    • Define the number of plates you want to create in the Number of Plates box.

      The total number of sheets is displayed on the page. The number of sheets created depends on the size of the material and the number of plates.

  14. In the Plate Layout area, use the settings to define the overall appearance of the plates created in a sheet:
    • Define the number of the first plate in the sheet in the First Plate Position box.
    • Define the distance along the x-axis between each plate in the Plate Gap in X box.
    • Define the distance along the y-axis between each plate in the Plate Gap in Y box.
    • Define the width of the boundary along the left and right edges of each sheet in the X Boundary box.
    • Define the width of the boundary along the top and bottom edges of each sheet in the Y Boundary box.
  15. Click on the Next icon [image] to display more settings.
    • You can also use the Close icon [image] to return to the Assistant's Home page.
  16. Click on the Preview For Sheet list box, and then on the sheet that you want to preview. In our example, a total of 91 plates are created across two sheets. The first sheet of fifty plates appears as shown below:

    The number marked by a red square [image] indicates the currently selected plate. Click to select the plate for which you want to set its variables.

  17. In the Variables Section area, you can see a list box for each of the variables that you have created as vector text enclosed in curly braces, as part of the template vector artwork.

    In our example, list boxes labelled as name and title are created. These labels match the vector text enclosed in curly braces drawn in our model.

    Each of these list boxes contains options for the data found in the field headings of the imported text file. Click on each of the list boxes, and select an option to define the properties of each variable. Each list box also has two default options. These are as follows:

    • None - Click on this option if you want to define your own data.
    • Number - Click on this option if you want to set the variable as a numeric value. If you use this option, set the number from which you want to begin counting in the Start Value box, and the difference that you want to set between each consecutive number in the Increment box. You can use both whole and decimal numbers. You can also define the number of zeroes preceding the start value and following any value after a decimal point in the Format boxes.

      In our example, we click to select the ContactName option from the name list box and the ContactTitle option from the title list box.

      When you create the sheet of plates, the field headings from the imported text file assigned to the variables defined in the template vector artwork are created as vector text in the same position as these variables.

      The data beneath the field headings from the text file that are assigned to each variable will be created as vector text throughout the sheet of plates. The vector text is created in the same style and position as the variables that you created as vector text enclosed in curly braces.

  18. In the Plate Values area, you can edit the variables that will be created as vector text on each plate on the sheet. Select the plate for which you want to edit its variables. You can either:
    • Define the plate number in the Plate No. box.
    • Click to select the plate from the matrix preview. Its number is displayed in the Plate No. box.

      With the plate selected, you can now type in each of the boxes displayed for each variable associated with the plate. For example, name, age and address. Click on the Update button to confirm any changes that you have made to the variables.

  19. Click on the Create Plates button to create the sheet of plates. The data used for the selected variables appears as vector text on each plate in the same position.

    In our example, the two sheets of plates and the default sheet containing our original vector artwork and toolpath preview appear as follows:

    The vector text created is constrained by default to ensure that all of the text fits within the vector representing the plate. For further details, see Formatting Vector Text. Each sheet of plates is created on a separately in the model. Each of these sheets are named PlateSheet by default, numbered consecutively, and assigned the colour black. Each sheet of plates is listed on the Layers page. The last sheet is displayed by default. For further information, see Working with Layers.

    You can control which sheet of plates is shown in the 2D View window by clicking to select the name of the specific PlateSheet you want to view from the Active Sheet list box. You can only view one sheet of plates at a time. You can only edit the vector artwork on the active sheet.

    The arrangement of the rows and columns of sheets shown in the 2D View window will vary according to the most economical use of the available space.

    In our example, two sheets are created in total.

    After the vector artwork for the plates has been created, the Create Toolpaths button is displayed at the bottom of the page.

  20. Make sure that all of the vector artwork and the toolpath preview(s) shown in the 2D View window are selected.
  21. Click on the Create Toolpaths button to calculate the toolpaths needed to machine the plates.

    A separate toolpath is calculated for each of the sheets in the model. This allows you to save each the toolpaths associated with each sheet as a separate toolpath file.

  • You can use the Previous icon [image] to return to the previous page of settings.

  • You can also use the Close icon [image] to return to the Assistant's Home page.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Correcting an Action

You can perform a sequence of relief or bitmap editing techniques in order to correct your mistakes without having to apply each of your changes in turn.

To cancel each of your consecutive editing actions, working backwards:

  • Click on the Undo button [image] in the File area of the Assistant's Home Page.
  • You can also cancel an action by pressing the Ctrl + Z keys on your keyboard.

To repeat each of the editing actions you have previously cancelled in succession, working forwards:

  • Click on the Redo button [image] in the File area of the Assistant's Home Page.
  • You can also redo a cancelled action by pressing the Ctrl + Y keys on your keyboard.
  • Alternatively, click on the Edit menu in the Main menu bar, followed by the relative option listed. For example, Undo Draw Ellipse.

The number of times that you can undo or redo your actions depends on the size of the 'scratch' file associated with ArtCAM Pro, as well as the magnitude of your editing. For example, a sequence of small changes to a selected relief layer or bitmap layer will store more undo actions than larger modifications.

To set the size of the 'scratch' file associated with the Undo and Redo buttons, see Managing ArtCAM Pro's Preferences.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Working with Layers

Layers are useful because they let you add components to the model and work on them one at a time, without permanently changing the composite relief. For each layer, you can adjust colour and brightness, apply effects, reposition content, specify opacity and lending values, and so on. You can also set the stacking order of layers.

There are three different types of layers used in ArtCAM Pro: vector, bitmap and relief. Every new ArtCAM model has a default vector, bitmap and relief layer, although you can create as many of these layers as you like.

Using layers allows you to view only the vector and/or bitmap artwork that you are interested in at any given time, clearing the 2D View window of all unnecessary detail. Vector and bitmap layers are seen in the 2D View window, while relief layers are seen in the 3D View window.

Each of the three different types of layers are grouped into separate areas on the Layers Manager. The layers contained in these three areas are stacked above one another. Each of the three areas has its own toolbar, and this is located directly above the layer stack:

Vectors...

New Layer Open Layer Save Layer Duplicate Layer Merge Visible Layers Delete Selected Layer Toggle Visibility

Bitmaps...

New Layer Open Layer Save Layer Duplicate Layer Clear Layer Create Relief From Image Delete Layer Toggle Visibility

Reliefs...

New Layer Open Layer Save Layer Duplicate Layer Transfer Opposite Side Merge Visible Layers Create Greyscale Bitmap Delete Selected Layer Toggle Visibility

Using the Layers Manager, you can:

  • Create a separate layer to represent each aspect of the complete model that you are creating. For details, see Creating a New Layer.
  • Name a layer so that you can easily identify its purpose in relation to the overall scheme of your model. For details, see Naming a Layer.
  • Select layers. For details, see Selecting a Layer.
  • Hide layers, allowing you to isolate the specific aspect of the model on which you are working. For details, see Viewing a Layer.
  • Duplicate layers. For details, see Duplicating a Layer.
  • Merge a selection of vector or relief layers into a single layer. For details, see Merging Layers.
  • Load a layer. For details, see Loading a Layer.
  • Save a layer. For details, see Saving a Layer.
  • Delete a layer. For details, see Deleting a Layer.
  • Clear a bitmap layer. For details, see Clearing a Bitmap Layer.
  • Lock the artwork on a vector layer into position, or unlock it. For details, see Locking a Vector Layer.
  • Align artwork on a vector layer with a guideline, or any other artwork drawn on a visible vector layer, using snapping. For details, see Snapping on a Vector Layer.
  • Assign a colour to a vector layer, which is then applied to all artwork drawn on that layer. For details, see Assigning a Colour to a Vector Layer.
  • Transfer artwork between vector layers. For details, see Transferring Vectors Between Layers.
  • Transfer relief layers between the front and back of the model. For details, see Transferring Relief Layers Between Stacks.
  • Paste a specific area of one relief layer onto another. For details, see Pasting a Relief Area to a Relief Layer.
  • Create a relief layer from a bitmap layer. For details, see Creating a Relief Layer from a Bitmap Layer.
  • Create a bitmap layer from a relief layer. For details, see Creating a Bitmap Layer from a Relief Layer.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Sheets

Mirroring a Model

Rotating a Model

Printing a Model


Creating a New Layer

You can create a new vector, bitmap and/or relief layer as part of your model. Every ArtCAM model contains a default vector, bitmap and relief layer, and each of these are contained in separate areas on the Layers Manager.

Each new layer is created directly above the layer that is currently selected in the layer stack. A new layer is always selected after it has been created.

Relief layers are given a default Relief Combine Mode. The Relief Combine Mode controls how each of the relief layers in the stack interact with one another to form the composite relief. You can toggle the Relief Combine Mode associated with a relief layer. For details, see Assigning a Combine Mode to a Relief Layer.

Vector layers are given a default colour of black. You can change this colour at any time. For details, see Assigning a Colour to a Vector Layer. You cannot change the name of the default vector layer in the model. You can create up to 990 vector layers in a single ArtCAM model.

To create a new layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Click on the New Layer button NewLayerButton in the area according to which kind of layer it is that you want to create: Vector, Bitmap or Relief.

If you have created a new vector layer, it is named Vector Layer by default. If you have created a bitmap layer, it is named Bitmap Layer by default. If you have created a relief layer, it is named Relief Layer by default. All layers are numbered sequentially by default.

For each new vector layer that you create:

  • the Toggle Visibility option is selected by default [image];
  • the Toggle Snapping option is selected by default [image];
  • the Toggle Locking option is deselected by default [image]; and
  • the colour black is assigned by default [image].

For further details, see Viewing a Layer, Snapping on a Vector Layer, Locking a Vector Layer and Assigning a Colour to a Vector Layer.

For each new relief layer that you create:

  • the Toggle Visibility option is selected by default [image]; and
  • the Add Relief Combine Mode is selected by default AddCombineMode.

For further information, see Viewing a Layer and Assigning a Combine Mode to a Relief Layer.

See Also

Working with Layers

Naming a Layer

Manipulating Layers


Naming a Layer

The default name given to each layer indicates the order in which it has been created only. It is recommended that you should name a layer so that it provides an indication of its content or its overall purpose in the scheme of the model.

You can change the name of any vector, bitmap or relief layer, other than the default vector layer.

To change the name of a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Double-click on the layer that you want to rename to display its name box and associated buttons.

    Before...

    After...

    • You cannot rename the default layer in the Vectors area of the Layers Manager. If you double-click on the default layer in the stack, a message box appears warning you that the layer cannot be renamed:

      Click on the OK button to close the message box.

  3. Type the new name for the layer in its name box.
  4. Click on the [image] button to apply the name to the layer. The name box and its associated buttons are no longer displayed.

    Before...

    After...

    • If you no longer want to change the name of the selected layer, click on [image] button.

See Also

Working with Layers

Creating a New Layer

Manipulating Layers


Manipulating Layers

You can change the settings for a layer using the buttons associated with it.

  • Hide a layer from view. For details, see Viewing a Layer.
  • Lock vectors on a layer into position. For details, see Locking the Vectors on a Layer.
  • Snap one vector on a layer in relation to another. For details, see Snapping on a Vector Layer.
  • Move vectors from one layer to another. For details, see Transferring Vectors Between Layers.
  • Merge visible layers into a single layer. For details, see Merging Layers.
  • Control the relief combine mode for a layer. For details, see Assigning a Combine Mode to a Relief Layer.
  • Transfer layers between the front and back relief. For details, see Transferring Relief Layers Between Stacks.

See Also

Working with Layers

Creating a New Layer

Naming a Layer


Viewing a Layer

You can toggle the visibility for the layers in a model.

  • Vector and Bitmap layers are seen in the 2D View window. Relief layers are seen in the 3D View window.

You can control the visibility of layers in the following ways:

  • Click on the Toggle Visibility button [image] to hide the contents of a layer.
  • Click on the Toggle Visibility button [image] to show the contents of a layer.
  • Click on the Toggle All Visibility button [image] to simultaneously hide the content on all layers in the model.
  • Click on the Toggle All Visibility button [image] to simultaneously show the content on all layers in the model.

When a vector layer is visible, the artwork drawn on that layer is shown in the 2D View window in the particular colour assigned to the layer. For details, see Assigning a Colour to a Vector Layer.

  • You can only hide the artwork on a vector layer shown in the 2D View window. If you want to hide a toolpath preview associated with a vector, see Hiding a Toolpath.
  • If you try to create a vector on a selected vector layer when it is hidden [image], its visibility is automatically toggled on [image].
  • You cannot merge a vector layer with another when it is hidden [image]. For details, see Merging Layers.

Only the bitmap layer which is selected can be seen in the 2D View window at a time. For details, see Selecting a Layer.

When a relief layer is visible, it is displayed as part of the composite relief shown in the 3D View window.

  • You cannot merge a relief layer with another when it is hidden [image]. For details, see Merging Layers.

See Also

Manipulating Layers

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Loading a Layer

You can load three types of layer to an ArtCAM model: a vector, bitmap or relief layer.

Loading a Vector Layer

You can load a vector artwork file saved in any of the following formats as a new vector layer:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new vector layer is created directly above the currently selected vector layer in the stack shown in the Vectors area of the Layers Manager.

  • If you want to import the contents of a vector artwork file to an existing vector layer, make sure that the relevant vector layer is selected and then click on the File > Import...> Vector Data... option from the Main menu bar. For details, see Importing Vector Artwork.

To import the contents of a vector artwork file as a new vector layer:

  1. Click on the Open button OpenNewLayerButton in the Vectors area of the Layers Manager to display the Load Vector Layer dialog box:

    • You can also display the Load Vector Layer dialog box by clicking on the Vectors > Load Layer... option from the Main menu bar.
  2. Click on the Files of type list box, and then on the type of vector artwork file that you want to import as a new vector layer.
  3. Use either of the following methods to find the vector artwork file that you want to import as a new vector layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a new vector layer.
  4. Once you have found the vector artwork file, click to select the file listed in the main window of the Load Vector Layer dialog box. Its name appears in the File name box.
  5. Click on the Open button to import the vector artwork file as a new vector layer.

    If you are importing vector artwork saved as a *.dxf file, the Imported File dialog box is displayed:

    Make sure that the settings for the imported vector artwork is correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

      If you are importing vector artwork saved as an Encapsulated PostScript (*.eps ) or Adobe Illustrator (*.ai) file with its origin outside of the ArtCAM model, the Choose location of data dialog box is displayed:

      Click on either of the radio buttons to select where you want to position the vector artwork in the vector layer:

    • If you want to position the vector artwork according to the X and Y co-ordinates stored in the file itself, select the Position the data using the location in the EPS file option by clicking on its radio button.
    • If you want to position the vector artwork in the centre of the vector layer, select the Position the data in the centre of the ArtCAM image option by clicking on its radio button.

      Click on the OK button to close the dialog box and import the vector artwork.

      A new vector layer is created directly above the layer currently selected in the stack shown in the Vectors area of the Layers Manager. The vector layer adopts the name of the imported vector artwork file. The artwork on this new vector layer is selected by default.

    • If you are importing a vector data file that contains layers itself, all of the artwork in the file is consolidated on a single new vector layer in the ArtCAM model. If you want to preserve the layer information within the imported file, use the File > Import... > Vector Data... menu option from the Main Menu bar instead.
    • If you are importing a vector data file that already contains layers, the layer information within the file is preserved. If the name given to a layer in the imported file is shared by an existing vector layer in the stack, the artwork on the layer in the file is transferred to the layer of the same name in the stack. If there is no layer in the stack that shares the name of a layer in the imported file, a new vector layer is created which adopts the name originally given to the layer in the file.

      Each new vector layer created from the imported file is also assigned a red colour by default DXFLayerDefaultColour.

Loading a Bitmap Layer

You can load an image file saved in any of the following formats as a new bitmap layer:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new bitmap layer is created directly above the currently selected bitmap layer in the stack shown in the Bitmaps area of the Layers Manager.

To load an image file as a new bitmap layer:

  1. Click on the Open button OpenNewLayerButton in the Bitmaps area of the Layers Manager to display the Load Bitmap Layer dialog box:

    • You can also display the Load Bitmap Layer dialog box by clicking on the Bitmaps > Load Layer... option from the Main menu bar.
  2. Click on the Files of type list box, and then on the image file type that you want to import on a new bitmap layer.
  3. Use either of the following methods to find the image file that you want to import on a new bitmap layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a model.
  4. Once you have found the image file, click to select the file listed in the main window of the Load Bitmap Layer dialog box. Its name appears in the File name box.

    In the Model Preview area you can see a preview of the selected image file. A greyscale representation of the selected image file is displayed in the Relief Information area along with its dimensions in pixels.

    • When choosing an image, the greyscale representation shown in the Relief Information area provides an indication of the form that a resulting relief layer will take. Consider that the brightest areas of the greyscale image reflect the highest areas in the resulting relief layer, while the darkest areas reflect the lowest.
  5. If you want to scale the selected image file, click on the Scaling list box followed by the appropriate scaling option:
    • None - Click on this option if you do not want to scale the selected image.
    • Fit - Click on this option if you want to maintain the aspect ratio of the selected image. If the selected image is equal to or larger than the model area (the white area) in the 2D View window, the selected image fills this without being cropped. If the selected image is smaller than the model area, ArtCAM Pro adds borders around the image to compensate. The border adopts the colour found in the top-left pixel in the selected image.
    • Fill - Click on this option if you want to crop areas of the selected image outside of the model area (the white area) in the 2D View window. The selected image fills the model area and its original aspect ratio is maintained.
    • Stretch - Click on this option if you want to distort the image, so that it fills the model area (the white area) in the 2D View window. Although the selected image is resized to fill the model area, its original aspect ratio is not maintained.
  6. Click on the Open button to import the image into the ArtCAM model as a new bitmap layer. The new bitmap layer appears directly above the currently selected layer in the stack in the Bitmaps area of the Layers Manager. The bitmap layer adopts the name of the image file from which it is created.
Loading a Relief Layer

You can load a relief file saved in any of the following formats as a new relief layer.

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG Image (*.jpg and *.jpeg)
  • CompuServe Image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif and *.tiff)
  • TrueVision Targa (*.tga)
  • Windows Metafile (*.wmf)
  • Enhanced Windows Metafile (*.emf)

The new relief layer is created directly above the currently selected relief layer in the stack shown in the Reliefs area of the Layers Manager.

To load a relief file as a new relief layer:

  1. Click on the Open button OpenNewLayerButton in the Reliefs area of the Layers Manager to display the Load Relief Layer dialog box:

    • You can also display the Load Relief Layer dialog box by clicking on the Reliefs > Load Layer... option from the Main menu bar.
  2. Use either of the following methods to find the relief file that you want to import as a new relief layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a new relief layer.
  3. Once you have found the relief file, click to select the file listed in the main window of the Load Relief Layer dialog box. Its name appears in the File name box.

    In the Model Preview area you can see a preview of the selected relief file. A greyscale representation of the selected relief file is displayed in the Relief Information area along with its dimensions in pixels.

    • When choosing a relief, the greyscale representation shown in the Relief Information area provides an indication of the form that a resulting relief layer will take. Consider that the brightest areas of the greyscale image reflect the highest areas in the resulting relief layer, while the darkest areas reflect the lowest.
  4. Click on the Mode list box and then on the Relief Combine Mode that you want to assign to the new relief layer. For an explanation of each of the Relief Combine Modes, see Assigning a Combine Mode to a Relief Layer.
  5. Click on the Open button to create the new relief layer. The new relief layer appears directly above the currently selected layer in the stack in the Reliefs area of the Layers Manager. The relief layer adopts the name of the relief file from which it is created.
  6. Click on the Open button to create the new relief layer.

See Also

Manipulating Layers

Viewing a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Selecting a Layer

To select a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
    • If you cannot see the Layers Manager, press the F7 key on your keyboard to toggle its display.
  2. Click on the name of the layer in the stack that you want to select. Its name is emphasized in dark-grey.

    For example, if you select the default layer in the Vectors area of the page, it appears as follows:

    Before...

    After...

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Assigning a Combine Mode to a Relief Layer

You can control the way in which relief layers combine to form the composite relief. The Relief Combine Mode assigned to each relief layer directly affects the way in which the composite relief takes shape.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer from the stack in the Reliefs area to which you want to assign a new Relief Combine Mode. For details, see Selecting a Layer.
  3. Make sure that the 3D View window is displayed so that you can see how the composite relief changes as a result of altering the Relief Combine Mode associated with the selected layer. For details, see 3D View.
  4. Click on the FlyoutToolbarArrow-Layers icon along the right-edge of the Relief Combine Mode currently selected to display the Relief Combine Mode toolset:

    Add Subtract Merge High Merge Low Multiply

  5. Click on the button for the Relief Combine Mode method that you want to assign to the selected layer.
    • Click on the Add ReliefLayerCombineMethodIcon-Add combine mode if you want to add the content of the visible relief layer to the next visible layer above in the stack.
    • Click on the Subtract ReliefLayerCombineMethodIcon-Subtract combine mode is selected if you want to subtract the content of the visible relief layer from the next visible layer above in the stack.
    • Click on the Merge High ReliefLayerCombineMethodIcon-Add combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the highest points remain.
    • Click on the Merge Low ReliefLayerCombineMethodIcon-MergeLow combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the lowest points remain.
    • Click on the Multiply ReliefLayerCombineMethodIcon-Reset combine mode if you want to multiply the height of the points on the visible relief layer by the coincident (matching) points on the next visible layer above in the stack.
    • You can also toggle through the different Relief Combine Modes by clicking on the button itself.

    • Unlike the toolsets found in the Assistant's Home page, you cannot pin the Relief Combine Mode toolset on the Layers Manager.
    • If you create a new relief layer, the Add AddCombineMode Relief Combine Mode is selected by default. For details, see Creating a New Layer.
    • When you load a relief layer into the stack, you can set the Relief Combine Mode associated with the layer at the same time. For details, see Loading a Layer.
    • In order to produce a feasible composite relief, the relief layer to which the Multiply MultiplyCombineMode Relief Combine Mode is applied should have a Max Z height of between 0 and 1.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Duplicating a Layer

You can duplicate a selected vector, bitmap or relief layer. In doing so, the contents of the original layer and its associated settings are reproduced on a new layer.

  1. Select the layer that you want to duplicate. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Duplicate Layer button DuplicateLayerButton associated with the type of layer that you are now duplicating.

    For example, if you are duplicating a vector layer, click on the DuplicateLayerButton button shown in the Vectors area.

    The new duplicate layer is created directly above the original layer in the stack from which it has been created.

    • After duplicating a relief layer, you can set the overall position of the resulting layer in the stack using the ReliefLayerUpButton and ReliefLayerDownButton buttons located at the bottom-right of the stack. For details, see Adjusting the Layer Stacking Order.

      The default name of the new duplicate layer adopts the name of the original layer from which it has been created along with a Copy of prefix. For example, a duplicate of Relief Layer 1 is named Copy of Relief Layer 1.

      When creating a duplicate vector layer, the duplicate layer assumes all of the properties associated with the original layer. This includes its current colour, whether or not it is locked, its visibility and whether or not snapping is active.

      When creating a duplicate relief layer, the duplicate layer assumes all of the properties associated with the original layer. This includes its current relief combination method and visibility.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Merging Layers

When working with vector or relief layers, you can combine multiple visible layers into a single new layer. This decreases the memory requirements of the ArtCAM model. However, because these layers have been consolidated into a single layer they can no longer be edited separately.

To merge the content all visible layers into a single new layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. If you are merging vector layers:
    • Make sure that all of the layers that you want to merge are visible. For details, see Viewing a Layer.
    • Click to select the layer in the stack above which you want to create the new layer on which all other visible layers are consolidated. Its name is emphasized in dark-grey.

      For example, if you select the default layer in the Vectors area of the page it appears as follows:

      If you are merging relief layers:

    • Make sure that all of the layers that you want to merge are visible. For details, see Viewing a Layer.
    • Make sure that the correct side of the model is selected in the list box in the Reliefs area of the page. For details, see Transferring Relief Layers Between Stacks.
    • Make sure that the correct Relief Combine Mode is selected for each of the visible layers that you want to merge. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the FlyoutToolbarArrow-Layers icon to the left of the layer name to display the Relief Combine Mode toolset associated with a relief layer:

      Add Subtract Merge High Merge Low Multiply

      Click on the Add ReliefLayerCombineMethodIcon-Add combine mode if you want to add the content of the visible relief layer to the next visible layer above in the stack.

      Click on the Subtract ReliefLayerCombineMethodIcon-Subtract combine mode if you want to subtract the content of the visible relief layer from the next visible layer above in the stack.

      Click on the Merge High ReliefLayerCombineMethodIcon-Add combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the highest points remain.

      Click on the Merge Low ReliefLayerCombineMethodIcon-MergeLow combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the lowest points remain.

      Click on the Multiply ReliefLayerCombineMethodIcon-Reset combine mode if you want to multiply the height of the points on the visible relief layer by the coincident (matching) points on the next visible layer above in the stack.

  3. Make sure that the visibility is deselected [image] for all of the layers in the stack that you do not want to merge. For details, see Viewing a Layer.
  4. Click on the Merge Visible button MergeVisibleButton to merge all of the visible layers in the stack.

    If you are merging vector layers, the original vector artwork drawn across the previously visible layers is consolidated on a new vector layer named Merged Layer by default. The merged layer is created directly above the selected vector layer in the stack. The colour black is assigned to the merged layer, and it is also visible by default. The visible layers that hosted the vector artwork prior to merging remain in the stack, although they are now hidden and empty.

    Each time that you merge a selection of visible vector layers, a new merged layer is created in the stack. These are numbered consecutively.

    If you are merging relief layers, the shapes created across the visible layers are consolidated on a new relief layer. This new relief layer is created at the top of the stack and is named Merged Layer by default.

    Exactly how each of the separate relief layers are consolidated to form the merged layer depends on what combination method is assigned to each of them prior to merging.

    Each time that you merge a selection of visible relief layers, a new merged layer is created in the stack. These are numbered consecutively.

    Press the F3 key on your keyboard to display the 3D View window. You can see how the composite relief changes each time the combine mode associated with any of the visible relief layers is changed or the order in which they are stacked is adjusted.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Saving a Layer

You can save a selected vector, bitmap or relief layer in a variety of different file types.

  1. Click on the Layers tab [image] to display the Layers page.
  2. Select the layer that you want to save. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Save button SaveLayerButton in the toolbar associated with the type of layer that you want to save. The Save As dialog box appears.

    For example, when saving a relief layer the Save As dialog box appears as follows:

    • You can also save a vector layer from the Main menu bar by clicking on the Vectors > Save Layer... option.
    • You can also save a bitmap layer from the Main menu bar by clicking on the Bitmaps > Save Layer... option.
    • You can also save a relief layer from the Main menu bar by clicking on the Reliefs > Save Layer... option.
  4. If you want to specify the location in which the layer is saved, click on the Save In list box and then select the relevant directory on your computer.
    • If you are saving a vector layer for the first time, the C:\Documents and Settings\All Users\Documents\ArtCAM Files\Vector Libraries directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
    • If you are saving a bitmap layer for the first time, the C:\Documents and Settings\All Users\Documents\My Pictures directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
    • If you are saving a relief layer for the first time, the C:\Documents and Settings\All Users\Documents\ArtCAM Files\Reliefs directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
  5. The name of the layer you are saving is shown in the File name area by default. If you want to change the name of the file, type its new name here.
  6. Click on the Save as type list box and select the format in which you want to save the layer.

    If you are saving a vector layer, you can save it in any of the following file formats:

    • Encapsulated PostScript (*.eps)
    • Drawing Interchange (*.dxf)
    • Lotus, PC Paint or DUCT Picture (*.duct)

      If you are saving a bitmap layer, you can save it in any of the following file formats:

    • Windows Bitmap (*.bmp)
    • TIFF Image (*.tif)
    • PCX Image (*.pcx)
    • CompuServe Image (*.gif)
    • JPEG Image (*.jpg or *.jpeg)

      If you are saving a relief layer, you can save it in any of the following file formats:

    • ArtCAM Relief (*.rlf)
    • Windows Bitmap (*.bmp)
    • 16-Bit Greyscale TIFF Image (*.tif)
    • Saving a relief layer as a 16-Bit Greyscale TIFF image allows you to edit the image in any reputable graphics editing package, such as Adobe Photoshop, without loss of resolution.
  7. Click on the Save button to save the layer and close the Save As dialog box.
    • If you want to close the Save As dialog box without saving the selected layer, click on the Cancel button.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Deleting a Layer

You can delete any layer in a model. If you delete a vector layer, you must choose whether or not to transfer the vector artwork hosted on the layer to the default layer or delete the artwork along with the layer itself.

To delete a layer:

  1. Click on the Layers tab [image] to display the Layers page.
  2. Click to select the layer in the stack that you want to delete. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Delete button DeleteLayersButton to delete the selected layer.
    • If you accidentally delete a layer, you can use the Ctrl + Z keys on your keyboard to restore the layer to the stack from which it was deleted. The layer also assumes its original position in the stack.
    • Deleting a relief layer can significantly affect the appearance of the composite relief shown in the 3D View window. You may need to adjust the combine mode associated with the remaining relief layers in the stack afterwards. For details, see Assigning a Combine Mode to a Relief Layer.

      If you are deleting a vector layer, the following message box appears:

    • If you want to transfer the artwork on the selected vector layer to the default layer before it is deleted, click on the Yes button.
    • If you use the Ctrl + Z keys on your keyboard to restore a deleted vector layer to the stack, any artwork transferred to the default layer at the time it was deleted is moved back to the vector layer on which it was originally drawn.
    • If you want to delete the selected vector layer along with the artwork drawn on the layer , click on the No button.
    • If you no longer wish to delete the selected vector layer, click on the Cancel button.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Locking a Vector Layer

You can lock or unlock selected artwork drawn on a vector layer, so that it cannot be moved accidentally. Locking, however, does not prevent you from transferring artwork from one vector layer to another.

  • Click on the Toggle Locking button [image] to lock the selected artwork on a vector layer.
  • Click on the Toggle Locking button [image] to unlock all locked artwork on a vector layer.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Snapping on a Vector Layer

Snapping allows you to align a vector on a selected vector layer with another vector on any other visible vector layer or a guideline. For further information on guidelines, see Using Guidelines.

  • The Snap To Objects option in the Bitmaps > Views menu must be selected to use the Toggle Snapping button [image] in the Vectors area of the Layers Manager. For details, see Snapping To Objects.

You can turn the snapping for a layer on and off.

  • Click on the Toggle Snapping button [image] to disable snapping on the vector layer.
  • Click on the Toggle Snapping button [image] to enable snapping on the vector layer.
    • To temporarily disable snapping, hold down the Shift key on your keyboard.

      For details on how the mouse cursor changes when it snaps, see Snapping to Objects.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Assigning a Colour to a Vector Layer

You can assign a colour to a vector layer. Once you have done so, all of the artwork drawn on that layer is shown in the selected colour. This allows you to recognize the vector layer to which the vector artwork shown in the 2D View window belongs.

  • Avoid using blue, magenta or red when assigning a colour to a vector layer. This is because these colours are used in ArtCAM Pro when you select vectors or view toolpath previews. For details, see Selecting Vectors and Selecting Toolpaths.
  1. Click on the Layers tab [image] to display the Layers Manager. The vector artwork drawn on a new vector layer is coloured black by default.
  2. Click on the [image] button for the layer whose colour you want to change. The Color dialog box is displayed:

  3. Select the colour that you want to use for the layer.

    To select a Basic colour:

    • Click on a colour in the Basic Colors palette.

      To select a Custom colour:

    • Click on an approximate colour in the Colour Matrix, then click and drag on the slider at the right of the dialog box to adjust the colour's attributes.
    • Type values in the Hue, Sat (Saturation) and Lum (Luminosity), or the Red, Green and Blue boxes to specify the colour.
    • Click on the Add To Custom Colors button to add the colour to the Custom Colors palette.
  4. Click on the OK button to close the Color dialog box and set the colour of the artwork drawn on the layer.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Transferring Vectors Between Layers

You can transfer selected artwork from one vector layer to another, or to a completely new vector layer.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the vectors in the 2D View window that you want to transfer to another vector layer.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Right-click the mouse on the selected vectors to display their context menu, and then click on the Move to Layer option to display a sub-menu listing up to 20 of the vector layers in the model:

    • If the Add In tab is currently shown, you can use the Move to Layer > Layer Manager... option on the context menu to display the Layers Manager.
  4. If you want to transfer the selected vectors to an existing layer:
    • Click on the name of the layer to which you want to transfer the selected vectors. The selected vectors are transferred to the layer and are shown in the colour assigned to the layer.
    • If you transfer the selected vectors to a layer that is hidden, the layer becomes visible [image].

      If you want to transfer the selected vectors to a new layer:

    • Click on the New Layer... option. A new vector layer is created directly above the selected layer in the stack and the selected vector(s) are transferred to this layer. The new layer is selected by default.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Clearing a Bitmap Layer

You can delete the content on a selected bitmap layer and restore the background to white, or if white is not in the Colour Palette, the current Primary Colour.

To clear a selected bitmap layer:

  1. Make sure that the bitmap layer that you want to clear is selected. For details, Selecting a Layer.
  2. Make sure that the colour you want to use for the background of the model is selected as the Primary Colour. For details, see Selecting the Primary and Secondary Colours.
  3. Click on the Clear button [image] to restore the background to either white or the current Primary Colour depending on which is available from your Colour Palette.

You can also clear a selected bitmap layer in the following way:

  1. From the Main menu bar, click on the Bitmaps > Clear menu option.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Adjusting the Layer Stacking Order

You can set the order in which either vector or relief layers are stacked. You cannot adjust the stacking order of bitmap layers. You can move a layer vertically up and down.

  • Adjusting the stacking order of relief layers can significantly affect the appearance of the composite relief shown in the 3D View window. You may need to adjust the combine mode associated with the remaining relief layers in the stack afterwards. For details, see Assigning a Combine Mode to a Relief Layer.

To promote a selected layer in the stack:

  1. Select the layer in the stack that you want to promote. For details, see Selecting a Layer.
  2. Click on the MoveLayerUpButton button to promote the selected layer directly above the next layer in the stack.

To demote a selected layer in the stack:

  1. Select the layer in the stack that you want to demote. For details, see Selecting a Layer.
  2. Click on the MoveLayerDownButton button to demote the selected layer directly below the next layer in the stack.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Deskewing a Bitmap Layer

You can adjust the selected bitmap layer to compensate for justification errors that may have occurred when scanning the original bitmap image shown on that layer. This operation is called deskewing.

To deskew a bitmap layer:

  1. Make sure that the bitmap layer containing the image with justification errors is selected. For details, Selecting a Layer.
  2. From the Main menu bar, click on the Model > Deskew Layer... option to display the Deskew Image dialog box:

  3. Define the deskewing angle in the Angle to deskew image by box.
  4. Click on the OK button to deskew the bitmap layer and close the Deskew Image dialog box.

    Click on the Cancel button to close the dialog box without adjusting the bitmap layer.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Creating a Bitmap Layer from a Relief Layer

You can create a new bitmap layer containing a greyscale image of the contents of a selected relief layer.

  1. Select the relief layer from which you want to create a greyscale image. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Create Greyscale Bitmap button CreateGreyscaleBitmapButton in the Reliefs area of the Layers Manager to create a greyscale image of the selected relief layer on a new bitmap layer directly above whichever bitmap layer is selected in the stack shown in the Bitmaps area of the Layers Manager. The new bitmap layer assumes the name of the relief layer from which it was created and is selected by default.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Creating a Relief Layer from a Bitmap Layer

You can create a new relief layer from a selected bitmap layer.

  1. Select the bitmap layer from which you want to create a relief layer. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Create Relief From Image button CreateReliefFromImageButton in the Bitmaps area of the Layers Manager to display the Scale Relief Height dialog box:

    • The value displayed in the Current Height box is not the actual Z height of the composite relief in your model. This is an arbitrary value calculated at 1/4 of either the model's height (Y) or width (X); whichever is the smallest at the time of creating the relief layer from the bitmap layer.
  3. Define the Z height of the relief layer you are creating from the selected bitmap layer in the New Height box.
  4. Click on the OK button to close the dialog box and create a new relief layer from the selected bitmap layer directly above whichever relief layer is selected in the stack shown in the Reliefs area of the Layers Manager. The new relief layer assumes the name of the bitmap layer from which it was created and is selected by default.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a Relief Layer


Transferring Relief Layers Between Stacks

The composite relief can be built from one of two layer stacks in the model; one representing the front surface of your design, the other representing the back. Although you can reassign a relief layer from one layer stack to the other at any time, you cannot view the composite relief resulting from both of these layer stacks concurrently.

When you transfer a relief layer from one stack to the other, the composite relief resulting from either of these layer stacks is affected. It is prudent to check the appearance of the composite relief each time that you transfer a relief layer from one layer stack to the other.

There is a single default relief layer associated with both of these layer stacks, although this layer is empty when a model is first created. When you transfer a relief layer from one stack to the other, the composite relief resulting from either of these layer stacks is affected. There must always be at least one relief layer associated with both of these layer stacks.

The most frequent use for transferring a relief layer between stacks is as follows:

  • First, merge the visible relief layers in the layer stack associated with the composite relief shown in the 3D View window. A new relief layer is created, and the content on this particular layer is identical to the composite relief. For details, see Merging Layers.
  • Next, transfer the merged relief layer to the opposite layer stack. The composite relief resulting from both layer stacks is now identical, although there are several more relief layers associated with one layer stack than the other.
  • Now select the opposite layer stack so that its resulting composite relief is displayed in the 3D View window.
  • Finally, invert the merged relief layer in the layer stack so that the composite relief displayed in the 3D View window now represents the back surface of your design. For details, see Inverting a Relief.

    The composite relief resulting from both layer stacks can now be used to create a triangle mesh of your complete design. For details, see Creating a Triangle Mesh.

To transfer a relief layer to the opposite layer stack:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Click on the list box in the Reliefs area followed by the option for the layer stack from which you want to transfer a selected relief layer.
  3. Select the relief layer that you want to transfer to the opposite layer stack. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
    • Rather than simply transferring a relief layer to the opposite layer stack, you may prefer to create a duplicate of the original relief layer and then transfer this to the opposite layer stack instead. In doing so, there is an identical relief layer in both of layer stacks. For further information, see Duplicating a Layer.
    • If there is only one relief layer in a layer stack, you cannot transfer this to the opposite stack. If you attempt to transfer the only relief layer in either layer stack to the other, the following message box appears:

      Click on the OK button to close the message box.

  4. Click on the Transfer Opposite Side button SwitchSidesButton to transfer the selected relief layer to the opposite layer stack. The relief layer is no longer listed in the layer stack shown on the page.
  5. To confirm that the relief layer has been transferred to the opposite layer stack, click on the list box in the Reliefs area followed by the option for the opposite layer stack.

    The opposite layer stack is shown on the Layers Manager, and you can see the relief layer that you have transferred. The composite relief resulting from this layer stack is displayed in the 3D View window.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Pasting a Relief Area to a Relief Layer


Pasting a Relief Area to a Relief Layer

You can copy a specific area of a selected relief layer and then paste it in somewhere on the same relief layer or another relief layer altogether.

  1. Select the relief layer from which you want to copy a specific area. For details, see Selecting a Layer.
    • You can display a greyscale image of the selected relief layer in the 2D View window using the Preview Relief Layer button [image] on the 2D View toolbar. This allows you to easily identify the area of the selected relief layer that you want to duplicate.
  2. Draw a vector in the model area (the white area) of the 2D View window that comfortably surrounds the area of the selected relief layer that you want to duplicate. For details, see Drawing with Polylines and Creating Simple Shapes.
  3. Select the vector that identifies the area of the selected relief layer that you want to duplicate.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  4. Press the Ctrl + Shift + C keys on your keyboard to copy the area of the selected relief layer within the boundary of the selected vector to the ArtCAM clipboard.
    • You can also copy the area of the selected relief layer from the Main menu bar. Click on the Edit > Copy Relief menu option.
  5. Make sure that the Layers Manager is visible by clicking on the Layers tab [image].
    • If you cannot see the Layers Manager, make sure that the Toggle Right Panel button ToggleLayersPageButton-OFF is not deselected in the 2D View toolbar.
  6. Select the relief layer on which you want to paste the area of the relief layer already copied to the ArtCAM clipboard.
    • You may wish to create a new relief layer altogether and then select this afterwards. For details, see Creating a New Layer.
    • Make sure that the selected relief layer is visible, otherwise you will not be able to view the area of the relief layer currently on the ArtCAM clipboard when it has been pasted. For details, see Viewing a Layer.
  7. Press the Ctrl + V keys on your keyboard to display the Relief Envelope Distortion page in the Assistant window.
  8. Make sure that the Keep original relief (Copy) option is selected by clicking on its radio button, otherwise the area of the relief layer on the ArtCAM clipboard is deleted from the original relief layer from which it was copied when pasted.
  9. If you want to distort the area of the relief layer on the ArtCAM clipboard before it is pasted, see Copying and Pasting a Relief.
  10. Make sure that the appropriate relief combine mode is selected in the Combine area of the page, particularly if there is already content on the layer to which you are pasting the relief area on the ArtCAM clipboard. For further information, see Calculating a Relief.
  11. Click on the Paste button to paste the area of the relief from the clipboard onto the selected layer.
  12. Click on the Finish button to close the Relief Envelope Distortion page and return to the Assistant's Home page.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Assigning a Combine Mode to a Relief Layer

Duplicating a Layer

Merging Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Deskewing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks


Working with Sheets

Using sheets is an extremely efficient concept for handling parts. A sheet typically represents the sheet of material that you have available for a specific job. Every ArtCAM model has a single Default Sheet, although you can create as many sheets as you like. Sheets are named Sheet, numbered sequentially and independent of vector layers.

Each new sheet is shown in the 2D View window and selected in the list box shown in the Vectors area of the Layers Manager. Only one sheet can be active at a time. By displaying only one sheet at a time, the purpose of each sheet is made explicit and you cannot make accidental changes to other sheets. The model area (white area) shown in the 2D View window is always associated with the active sheet. All sheets are labelled clearly in the 2D View window.

When a sheet is not active, although it is greyed-out you can see all of the vector artwork associated with the sheet in the 2D View window irrespective of whether or not the vector layers are visible. For details, see Viewing a Layer.

Although ArtCAM Pro generates sheets of vectors when you use the Nesting or Multiplate tools, ArtCAM Pro gives you complete control over the number of sheets in a model. You can:

  • Create additional sheets as and when they are required. For details, see Creating a Sheet.
  • Delete sheets when they are no longer required, choosing whether or not to keep the vector artwork associated with them. For details, see Deleting a Sheet.
  • Limit the number of sheets created when nesting. For details, see Nesting Vectors.
  • Once you have defined a maximum number of sheets, any vector artwork that cannot be nested in the available sheets remains associated with the Default Sheet and is shown in its original position in the 2D View window.

For further information, see Nesting Vectors and Multiplate Engraving Tool.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Mirroring a Model

Rotating a Model

Printing a Model


Creating a Sheet

You can create as many sheets as part of an ArtCAM model as you want. Each of the sheets that you create are listed in the list box shown in the Vectors area of the Layers Manager. Each sheet that you create is named Sheet and numbered sequentially. Each new sheet that you create is selected by default.

  • You cannot rename a sheet.

To create a sheet:

  1. Click on the Vectors > Sheets > Create Sheet menu option from the Main menu bar:

    Create New Layer Load Layer... Save Layer... Fit Vectors To Colour Boundaries Spline Vectors... Close Vector Join Vectors Align Vectors Merge Vectors Create Feature Group Vector(s) Ungroup Vector(s) Ungroup All Flood Fill Vectors Copy Vectors Into Bitmap Transform... Mirror... Offset... Fillet... Trim... Wrap... Fit Arcs To Vector(s)... Paste Vectors On Curve... Nest Vectors Convert To... Create Border... Vector Library... Vector Doctor... Clip Vectors To Boundaries Properties... Sheets Sheets > Create Sheet Sheets > Delete Active Sheet Sheets > Sheet Report

See Also

Working with Sheets

Selecting a Sheet

Deleting a Sheet

Creating a Sheet Report


Selecting a Sheet

You can only select one sheet at a time. This is commonly referred to as the active sheet. The selected sheet is shown in the 2D View window and you can create vector artwork

To select a sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the vector sheets in the ArtCAM model. The name of the active sheet is emphasized in blue:

  2. Click on the name of the vector sheet on which you want to work. The list of all available sheets is hidden and only the name of the selected sheet can be seen in the list box.

See Also

Working with Sheets

Creating a Sheet

Deleting a Sheet

Creating a Sheet Report


Deleting a Sheet

You can delete any of the sheets created as part of an ArtCAM model, but you can only delete a sheet when it is active.

  • You cannot delete the Default Sheet.

To delete a sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the sheets in the ArtCAM model. The name of the active sheet is emphasized in blue.
  2. Click on the name of the sheet that you want to delete. The list of all available sheets is hidden and only the name of the selected vector sheet can be seen in the list box.
  3. Click on the Vectors > Sheets > Delete Active Sheet menu option from the Main Menu bar to delete the sheet:

    Create New Layer Load Layer... Save Layer... Fit Vectors To Colour Boundaries Spline Vectors... Close Vector Join Vectors Align Vectors Merge Vectors Create Feature Group Vector(s) Ungroup Vector(s) Ungroup All Flood Fill Vectors Copy Vectors Into Bitmap Transform... Mirror... Offset... Fillet... Trim... Wrap... Fit Arcs To Vector(s)... Paste Vectors On Curve... Nest Vectors Convert To... Create Border... Vector Library... Vector Doctor... Clip Vectors To Boundaries Properties... Sheets Sheets > Create Sheet Sheets > Delete Active Sheet Sheets > Sheet Report

    If there is any vector artwork drawn on the chosen vector sheet, a message box appears asking if you want to transfer the vector artwork to the Default Sheet:

    If you want to transfer the vector artwork to the Default Sheet, click on the Yes button. If you want to delete the sheet and its associated vector artwork, click on the No button. If you no longer wish to delete the active sheet, click on the Cancel button.

See Also

Working with Sheets

Creating a Sheet

Selecting a Sheet

Creating a Sheet Report


Creating a Sheet Report

You can create a report for the active sheet in an ArtCAM model. The report is displayed in a new browser window and contains the following details:

  • name of the ArtCAM model
  • name of the active sheet
  • preview image of the vector artwork associated with the active sheet, and the selected bitmap layer if visible
  • dimensions of the active sheet (width and height)
  • material Z zero position; and
  • calculated toolpaths associated with the active sheet.

The report can saved or sent to any printer installed on your computer.

To create a sheet report for a specific sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the sheets in the ArtCAM model. The name of the active sheet is emphasized in blue.
  2. Click on the name of the sheet for which you want to create a report. The list of all available sheets is hidden and only the name of the selected vector sheet can be seen in the list box.
  3. Click on the Vectors > Sheets > Sheet Report menu option from the Main Menu bar to display the sheet report in a new browser window:

    Create New Layer Load Layer... Save Layer... Fit Vectors To Colour Boundaries Spline Vectors... Close Vector Join Vectors Align Vectors Merge Vectors Create Feature Group Vector(s) Ungroup Vector(s) Ungroup All Flood Fill Vectors Copy Vectors Into Bitmap Transform... Mirror... Offset... Fillet... Trim... Wrap... Fit Arcs To Vector(s)... Paste Vectors On Curve... Nest Vectors Convert To... Create Border... Vector Library... Vector Doctor... Clip Vectors To Boundaries Properties... Sheets Sheets > Create Sheet Sheets > Delete Active Sheet Sheets > Sheet Report

See Also

Working with Sheets

Creating a Sheet

Selecting a Sheet

Deleting a Sheet


Mirroring a Model

You can mirror a model both vertically and horizontally. This mirrors the content across all layers in the model.

Shape Editor... Set Size... Set Size Asymmetric... Set Position... Adjust Resolution... Mirror Mirror > Horizontal Mirror > Vertical Rotate 90 Degrees Deskew Layer... Greyscale From Reliefs Add Border Spot Filter Lights and Material Setup Display/Hide Notes

To mirror a model horizontally:

  1. From the Main menu bar, click on the Model > Mirror > Horizontal option.

To mirror a model vertically:

  1. From the Main menu bar, click on the Model > Mirror > Vertical option.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Rotating a Model

Printing a Model


Rotating a Model

You can rotate a model both clockwise and anti-clockwise. This rotates the content on all layers in the model.

Shape Editor... Set Size... Set Size Asymmetric... Set Position... Adjust Resolution... Mirror Rotate 90 Degrees Rotate 90 Degrees > Clockwise Rotate 90 Degrees > AntiClockwise Deskew Layer... Greyscale From Reliefs Add Border Spot Filter Lights and Material Setup Display/Hide Notes

To rotate a model clockwise:

  1. From the Main menu bar, click on the Model > Rotate 90 Degrees > Clockwise option to turn the model through 90° in a clockwise direction.

To rotate a model anti-clockwise:

  1. From the Main menu bar, click on the Model > Rotate 90 Degrees > AntiClockwise option to turn the model through 90° in an anti-clockwise direction.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Printing a Model


Printing a Model

You can print a model as it is shown in the active design window.

To print a model:

  1. Click to select the design window that you want to print. For details, see 2D View and 3D View
  2. From the Main menu bar, click on the File > Print Setup menu option to display the Print Setup dialog box:

  3. Make sure that your printer settings are correct. For details, see Print Setup.
  4. In the Options area, click on the print option that you want to use:
    • Print model to scale - Click on this radio button [image] if you want to print the model according to its physical dimensions.

      Before printing, make sure that the model can fit onto the paper to which it is currently being printed. For details, see Print Setup.

    • Stretch to fit page - Click on this radio button [image] if you want to print the model according to the dimensions of the paper onto which it is to be printed.
    • Print current screen view - Click on this radio button [image] if you want to print the model as it currently appears in the 2D View window.
    • If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Pro prints to fit the 3D View window in its current orientation.
  5. Click on the OK button to close the Print Setup dialog box and print the active design window.

See Also

Managing a Model

Creating a New Model

Creating a New Model Using Pixels

Opening a Model

Saving a Model

Saving the 3D View as an Image

Printing a Model

Editing the Model Dimensions

Editing Asymmetrical Dimensions in a Model

Setting the Position of a Model

Editing the Resolution of a Model

Creating a Greyscale Image from the Composite Relief

Adding a Border to a Model

Using a Spot Filter on a Bitmap Image

Adjusting Light and Material Settings

Using Selected Vector Artwork

Cropping a Model

Using the ArtCAM Pro Notepad

Importing Vector Artwork

Exporting Vector Artwork

Importing a 3D Model File

Importing a 3D Model File for Unwrapping

Importing CopyCAD Relief Data

Multiplate Engraving Tool

Correcting an Action

Working with Layers

Working with Sheets

Mirroring a Model

Rotating a Model


Print Preview

You can view the content of the active design window as it would appear when printed.

To create a print preview:

  1. Click to select the design window that you want to print.
  2. From the Main menu bar, click on the File > Print Preview option to display a preview image of the active design window.
  3. You can use the buttons in the bar at the top of the ArtCAM Pro window to view the preview image in more detail:
    • To show the next page of the preview image, click on the Next Page button. If this is greyed out, there are no further pages.
    • To show the previous page in the preview image, click on the Prev Page button. If this is greyed out, there are no further pages.
    • To show two pages in the preview image at the same time, click on the Two Page button. If this is greyed out, there is only one page in the preview image.
    • To enlarge the size of the preview image, click on the Zoom In button.

      You can also move the [image] cursor over the area you want to enlarge, and then click.

    • To reduce the size of the preview image, click on the Zoom Out button.
  4. You are now ready to print the preview image:
    • If you want to print the preview image, click on the Print button. For further information, see Printing a Model.
    • If you do not want to print the preview image, click on the Close button.

See Also

Printing a Model

Print Setup


Print Setup

You can control the settings for the printer to which the content of the active design window is printed in ArtCAM Pro.

To adjust the printer settings:

  1. Click to select the design window that you want to print.
  2. From the Main menu bar, click on the File > Print Setup option to display the Print Setup dialog box:

  3. Click on the Name list box and then on the printer that you want to use.

    If you want to change any of the default settings of the printer, such as the paper size and orientation, click on the Properties button.

  4. In the Paper area, click on the Size list box and select the size of paper that you want to print to.
  5. In the Paper area, click on the Source list box and then on the tray or paper feed option that you want to use when printing.
  6. Select the orientation that you want to use when printing:
    • Portrait - Click on this radio button [image] if you want to print the model vertically. Typically, portrait orientation is used for models that are taller than they are wide.
    • Landscape - Click on this radio button [image] if you want to print the model horizontally. Typically, landscape orientation is used for models that are wider than they are tall.
  7. In the Options area, click on the print option that you want to use:
    • Print model to scale - Click on this radio button [image] if you want to print the model according to its physical dimensions.

Before printing, make sure that the model can fit onto the paper to which it is currently being printed.

  • Stretch to fit page - Click on this radio button [image] if you want to print the model according to the dimensions of the paper onto which it is to be printed.
  • Print current screen view - Click on this radio button [image] if you want to print the model as it currently appears in the 2D View window.

If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Pro prints to fit the 3D View window in its current orientation.

  • Click on the OK button to print the active design window and close the Print Setup dialog box.

See Also

Printing a Model

Print Preview


Using the Font Editor

ArtCAM Pro allows you to create your own fonts by editing characters within any installed fonts and then saving them. Using ArtCAM Pro's Font Editor tool, you can:

  • Adjust the contour of characters within a font.
  • Create an entirely new font using ArtCAM Pro's vector creation tools.
  • Adjust the offset distance and the ascent applied to all characters within a font.
  • Set the order in which the vectors that make up a character will be machined.
  • Adjust the kerning (white space) between pairs of characters within a font.
  • Save your customized font and then type in it using ArtCAM Pro's Text Tool. For further details, see Working with Vector Text.
  • All customized fonts are listed with an '(AFN)' prefix in the Font list box on the Text Tool page.

To create a customized font:

  1. Click on the Font Editor icon [image] on the Assistant's Getting Started page to display the Font Editor page.
    • You can click on the Back icon [image] to return to the Assistant's Getting Started page.
  2. Select the font that you want to edit. This is referred to as the base font.
    • If you want to apply bold formatting to all characters within the selected font, click on the Bold button [image].
    • If you want to apply italic formatting to all characters within the selected font, click on the Italics button [image].

      If you want to edit a TrueType font:

    • First, click on the Base Font list box, and then on the font that you want to edit.
    • Next, click on the Script list box below, and then on the script option that you want to use for the font.
    • Finally, click on the Create button.

      If you want to edit an AutoCAD shape file (*.shp):

    • First, make sure that the Open for editing option is selected [image].
    • Now, click on the Import button to display the Import dialog box:

    • Next, click on the Files of type list box, and then on the file type of the AutoCAD shape that you want to open.
    • Next, click on the Look in list box and select the directory where the AutoCAD shape file that you want to open is stored. Once you have found the file, click on its name.
    • Finally, click on the Open button.

      A new ArtCAM model is created and the Font Creator page is displayed in the Assistant window. All of the characters within the selected font appear as vectors in the 2D View window.

      For example, the characters that make up the Arial Western font appear as shown below:

    • You can toggle the grid of guidelines off and on by clicking on the ShowGuidelinesButton-ON button where the horizontal and vertical rulers meet. For further information, see Using Guidelines.
  3. If you cannot see the character that you want to edit, click on the View Unicode Page list box, and then on the next page number. Repeat this step until you have found the character. For Unicode fonts, each page contains 256 characters.
  4. Select the character that you want to edit. You can either:
    • Type the character or its code number in the Choose Character box, and then click on the Edit Character button.
    • Click on the character itself in the 2D View window.

      Only the selected character is now shown in the model area (the white area) of the 2D View window. The vectors that make up the character are now ungrouped. Red, purple and green guidelines are shown by default.

      In our example, the lower-case character 'p' is selected, as shown as follows:

  5. Click on the Assistant tab [image] and use the available vector tools to edit the selected character. A character can be edited in the same way as any other vector in ArtCAM Pro. For further information, see Editing Vectors.
  6. Click on the Font Creator tab [image] to return to its settings. You can now adjust the offset and the ascent for the font using the currently selected character:
    • To adjust the offset distance between the current character and the next in the font, click and drag the red guideline into position.
    • To adjust the ascent of the font to which the current character belongs, click and drag the purple guideline at the top and the green guideline at the bottom of the font into position.
    • To restore the default position of all guidelines, click on the Reset Guides button.
    • Make sure that the purple guideline is aligned with the top edge of the capital 'H' or 'M' character in the font. The green guidelines should be aligned with the left and bottom edges of the capital character.
  7. If you want to set the order in which the character's vectors will be machined, click on the Set Vector Order button to display the settings in the Assistant window. Each of the character's vectors is numbered in the 2D View window, showing the total number of vectors and the current order in which they will be machined. You can either:
    • Move the [image] cursor over the vector, and then click on each of the vectors that make up the character in turn.
    • Click on the Swap Order button. Move the [image] cursor over the vector whose position you want to alter, and then click. Its current position in the machining order is displayed on the mouse cursor, replacing its left question mark. Click on the vector whose position you want to exchange with that which is already selected. The selected vectors are renumbered according to their new positions in the overall machining order.
  8. If you want to adjust the kerning between the selected character and another within the font:
    • A list of characters that have been kerned by default along with the selected character are shown in the Currently Kerned Characters area of the page. You can click on any of the listed characters to display them along with the selected character in the 2D View window.
    • First, type the new character or its code number in the Edit Kerning for Character box, and then click on the Edit Kerning button. The new character appears alongside the previously selected character in the 2D View window.

      In our example, the upper-case characters 'A' and 'W' appear as follows when selected:

    • Next, click and drag the blue guideline to set the distance between the pair of characters. Drag to the left to move the characters closer together, and to the right to move them further apart.

      This action only adjusts the kerning for the currently selected pair of characters in the font.

    • Alternatively, you can right-click on the guideline to display the Position Guide dialog box and define the new position of the guideline in the New Position box. For further information, see Defining a Guideline's Position.
    • Finally, click on the Done button to return to the Edit Character settings.
  9. Click on the Done button. The Choose Character options are displayed on the page and all of the characters within the selected font are shown again in the 2D View window.
  10. Repeat these steps until you have finished editing the characters in the font.
  11. Type a name for the font in the Font Name box.
  12. Make sure that the formatting used when editing the font is identified:
    • If you have edited the font with itallic formatting applied, make sure that the font is ITALIC option is selected.
    • If you have edited the font with bold formatting applied, make sure that the font is BOLD option is selected.
  13. Click on the Save Font button to save the font in the ArtCAM Pro 9.0\Fonts folder.
    • If you are saving a font with a new name, a message box appears confirming that the font has been saved:

      Click on the OK button to close the message box.

    • If you are saving a font with the same name as a font already within the ArtCAM Fonts folder, a message box appears asking if you want to overwrite the existing font:

      If you want to overwrite the existing font, click on the Yes button. A second message box appears confirming that the font has been saved.

      If you do not want to overwrite the existing font, click on the No button. A second message box appears confirming that the font has not been saved:

      Click on the OK button to close the message box. You can now give the font a new name and repeat this step.

  14. Click on the Quit button to return to the Assistant's Getting Started page.
    • If you click on the Quit button before saving the font, a message box appears warning that the font has been modified. If you want to save the font, click on the Yes button. If you do not, click on the No button.

See Also

Working with Models

Getting Started

Managing a Model

Using the Face Wizard


Using the Face Wizard

ArtCAM Pro allows you to create a face shape on a relief layer from a photographic image containing a side-profile of a person's head and neck saved in any of the following file formats:

  • Windows Bitmap (*.bmp)
  • Tagged Image File (*.tif)
  • CompuServe image (*.gif)
  • JPEG image (*.jpg or *.jpeg)

This process is almost entirely automated. To produce a detailed face shape on a relief layer, your image should ideally be captured by a digital source using a resolution of at least 1024 x 768 pixels. Colour photographic images can be imported, but they will appear as black and white in ArtCAM Pro.

  • You cannot use the Face Wizard as part of an existing model. The Face Wizard requires that a new model is created each time that it is used. If you open an image using the Face Wizard in an existing model, a message box is displayed asking if you want to save the model before ArtCAM Pro closes the model.

To create a three-dimensional face shape on a relief layer using the Face Wizard tool:

  1. Click on the Face Wizard icon [image] on the Assistant's Getting Started page to display the first page of the Face Wizard in the right panel.
    • If you cannot see the right panel, press the F7 key on your keyboard to toggle the display of the panel.
  2. Click on the Open Photo… icon [image] to display the Select Image File dialog box:

  3. Click on the Look in list box and select the directory in which the image file from which you want to create a face shape is stored.
  4. Once you have found the image file from which you want to create a three-dimensional face shape, click on its file name. Its name appears in the File Name area.
  5. Click on the OK button to import the image into ArtCAM Pro.

    An ArtCAM model is created based on the dimensions of the chosen image file and the Layers tab is shown to the left of the Add In tab. The second page of the Face Wizard is also displayed.

    The imported image is shown in the 2D View window. This is contained on a bitmap layer named Bitmap Layer 1 by default in the Bitmaps area of the Layers Manager.

    • You can change the name of the default bitmap layer. For details, see Naming a Layer.

      A vector layer named Default Layer is created, to which a red colour FaceWizardVectorLayerColour is assigned. This is the layer on which you must draw the vector artwork required by the Face Wizard.

    • You can change the name and the colour associated with the default vector layer. For details, see Naming a Layer and Assigning a Colour to a Vector Layer.

      A relief layer named Relief Layer 1 is also created and this is the relief layer on which the three-dimensional face shape is created using the image and its associated vector artwork.

      For example, we will use the following TIFF image:

      You are now ready to create a vector to mark the outline of the head and neck shown in the imported image.

  6. Click on the Create Polyline Tool button [image] on the Face Wizard page to enter polyline creation mode. For further information, see Creating a Polyline.

    If you want ArtCAM Pro to join each point with a bezier span, click to select the Draw Smooth Polyline option [image] before creating the polyline.

  7. In the 2D View window, click and drag your mouse to create a freeform polyline around the head and neck of the person shown in the imported image.
    • You can use the Toggle All Visibility button [image] in the Bitmaps area of the Layers Manager to toggle the display of the imported image. This will allow you to view the polyline more clearly. For details, see Viewing a Layer.
  8. Use the Join Vectors buttons to close the polyline as required:
    • Click on the Close Vector With A Line button [image] to close the polyline with a linear span
    • Click on the Close Vector With A Curve button [image] to close the polyline with a bezier curve.
    • Click on the Close Vector - Move End Points button [image] to close the polyline by joining its start and end points.

      The polyline is shown in magenta and surrounded by a bounding box, indicating that it is closed and selected.

      In our example, the polyline is drawn as follows:

      Polyline, Image Displayed…

      Polyline, Image Hidden…
  9. Click on the Assistant tab [image] to display the Assistant's Home page.
  10. Click on the Node Editing button [image] in the Vector Tools area to enter Node Editing mode. You can see the points (nodes), control points and spans that make up the polyline you have drawn.
  11. Click on the Add In tab [image] to return to the second page of the Face Wizard tool.
  12. Edit the shape of polyline so that it follows the outline of the face area perfectly, or is even a pixel distance inside of the face area. For further information, see Editing Vector Spans and Editing Vector Nodes.
  13. Click on the Next button to display the third page of settings. You are now ready to define points to identify specific facial features in the image.
    • If you click on the Next button before creating a vector outline of the head and neck, a message box is displayed warning you that you must have one closed vector:

  14. Click to select the position on the image that you want to define as the centre-front of the person's eyebrow. This must be on or inside of the polyline that you have drawn. The selected point is marked by a red square.
  15. Click to select the position on the image that you want to define as the nape of the neck. This must be on or inside of the polyline that you have drawn. The selected point is marked by a red square.
    • You can use the Toggle All Visibility button [image] in the Bitmaps area of the Layers Manager to toggle the display of the imported image. This will allow you to view the selected points more clearly. For details, see Viewing a Layer.

      If you want to change the position of either of the selected points, click on the Remove Points button and repeat the previous two steps.

      In our example, the following points are defined:

      Points, Image Displayed…

      Points, Image Hidden…
  16. Click on the Next button to display the fourth page of settings.
  17. In the Head Dimensions area, define the height and width of the face shape you want to create on the selected relief layer.
  18. In the Model Dimensions area, define the height and width of the ArtCAM model in which you want to create the face shape. This controls the dimensions of the relief layer.
  19. Click on the Next button to calculate the face shape on the selected relief layer.
    • If you click on the Next button without having defined the centre-front of the person's eyebrow and the nape of the neck, a message box is displayed warning you that you must define these points:

      During the relief calculation process, a progress bar and a cancel button are displayed beneath the design window area:

      If you want to stop this process, click on the Cancel button [image].

      The calculated face shape created on the default relief layer is shown in the 3D View window, and the Interactive Sculpting page is displayed in the Assistant window.

      In our example, the face shape created on the default relief layer is shown in the 3D View window as follows:

      The area of the imported image shown in the 2D View window within the vector outline you have drawn is projected onto the surface of the relief layer.

  20. Use the Interactive Sculpting tools to edit the shape of the face on the default relief layer shown in the 3D View window. For further information, see Sculpting a Relief.
  21. Click on the Finish button to return to the Assistant's Home page.

    In our example, the sculpted face shape on the default relief layer is shown as follows:

See Also

Working with Models

Getting Started

Managing a Model

Using the Font Editor


Working with Bitmaps

This section describes how images can be created and used in ArtCAM Pro.

In This Chapter

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Drawing using Bitmaps

When you have created or opened an ArtCAM model, you can use the drawing and painting tools in the Bitmap Tools area of the Assistant's Home page to create your own bitmap images.

The bitmap images you create can be used to create three-dimensional shapes on a relief layer within an ArtCAM model, edit the contents on a relief layer in a variety of ways, and ultimately machine a composite relief.

See Also

Working with Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Bitmap Drawing Tools

A bitmap image, or raster graphic, is made up of pixels in a grid. Pixels are picture elements; tiny dots of individual colour that make up the images that you see on your screen. Bitmap images are resolution dependent. Resolution refers to the number of pixels in an image and is usually stated as d.p.i. (dots per inch). Since bitmap images are resolution dependent, it is difficult to scale them to a larger size without sacrificing a degree of quality.

In ArtCAM Pro, you can edit imported bitmap images or create your own. The group of bitmap tools is found on the Bitmap Tools area of the Assistant's Home page:

You can use the buttons in the Bitmap Tools area of the Assistant's Home page to help you create and edit bitmap artwork in your model. The appearance of the area at any given time is determined by which toolsets are currently pinned or not, and which item is currently selected from each of those toolsets.

With all toolsets collapsed....

Hide Bitmap Tools Area Brush Diameter Slider Toggle Brush Shape Drawing Toolset Flood Fill Toolset Pick Colour Colour Toolset Bitmap To Vector

With all toolsets expanded and pinned....

Hide Bitmap Tools Area Brush Diameter Slider Toggle Brush Shape Draw Paint Paint Selective Draw Bitmap Line Erase Pin/Unpin Drawing Toolset Flood Fill Flood Fill Selective Pin/Unpin Flood Fill Toolset Pick Colour Add Colour Reduce Colours Pin/Unpin Colour Toolset Bitmap To Vector

There are three separate toolsets located in the Bitmap Tools area, and these are identified below:

Drawing Toolset:

Draw Paint Paint Selective Draw Bitmap Line Erase Pin/Unpin Drawing Toolset

Flood Fill Toolset:

Flood Fill Flood Fill Selective Pin/Unpin Flood Filling Toolset

Colour Toolset:

Add Colour Reduce Colours Pin/Unpin Colour Toolset

The button attached to the far-left of each toolset is always that which is currently selected from the toolset. For further information on how to expand and collapse a toolset, see ArtCAM Pro Layout.

You can also use the Bitmaps Menu on the Main Menu bar:

Create New Layer Load Layer... Save Layer... Clear Colour Views

See Also

Drawing using Bitmaps


Creating a Model from a Bitmap

You can create an ArtCAM model by importing an image saved in any the following file formats:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • AutoCAD 2D Drawing (*.dwg)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • DUCT Picture (*.pic)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tifor *.tiff)
  • TrueVision Targa (*.tga)
  • Portable Document Format (*.pdf)
  • Delcam DGK (*.dgk)
  • Drawing Interchange File (*.dxf)

ArtCAM Pro calculates a relief layer from the imported image. For details, see Creating a Model from an Image.

See Also

Working with Bitmaps

Drawing using Bitmaps

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Importing a Bitmap into a Model

In ArtCAM Pro, you can import any the following types of files as a new bitmap layer in an ArtCAM model:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For further details, see Loading a Layer.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Setting a Bitmap's Size and Origin

You can change the size of a bitmap image imported into ArtCAM Pro. In resizing the bitmap image, you also set the size of the vectors that can be created from it.

There are three ways to set the size of a bitmap image imported into ArtCAM Pro, all of which are done via the Set Model Size dialog box.

  • Changing the size of the image does not alter the resolution of the original bitmap you imported into ArtCAM Pro. The image retains the same number of pixels as the original.

You can also set the origin of an imported bitmap image to any one of five preset positions in ArtCAM Pro. Each of these positions determines where the vectors you create from the bitmap image are positioned in the model. For details on how to use the Set Model Size dialog box, see Editing the Model Dimensions.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Working with Colours

Whenever you create or open an existing ArtCAM model, a default Colour Palette is displayed beneath the 2D View window:

When you have imported a bitmap image, all of the colours within the image are displayed in the Colour Palette below the 2D View window.

You can use the Bitmaps > Colour menu from the Main menu bar to manage the colours that make up your bitmap images and to manipulate how they are used in the model:

Create New Layer Load Layer... Save Layer... Clear Colour Views Add Colour(s)... Link/Unlink Link All Colours Reset All Links Merge Reduce Number... Thin... Thicken... Mark Edge Save Palette... Load Palette...

You can also use the tools in the Bitmap Tools area of the Assistant's Home page to manage the number of colours in a bitmap image:

Add Colour Reduce Colours Pin/Unpin Colour Toolset

You can use bitmap colours in the following ways:

  • Select the Primary and Secondary colours from the Colour Palette. For details, see Selecting the Primary and Secondary Colours.
  • Reduce the number of colours in a bitmap image. For details, see Reducing Colours.
  • Link colours within a bitmap image. For details, see Colour Linking.
  • Merge colours within a bitmap image. For details, see Colour Merging.
  • Mark the edge of a bitmap image. For details, see Edge Marking.
  • Thicken colours within a bitmap image. For details, see Colour Thickening.
  • Thin colours within a bitmap image. For details, see Colour Thinning.
  • Add colours to the Colour Palette. For details, see Adding Colours.
  • Save a custom Colour Palette. For details, see Saving a Custom Colour Palette.
  • Load a custom Colour Palette. For details, see Loading a Custom Colour Palette.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Editing a Bitmap Image

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Selecting the Primary and Secondary Colours

The Primary Colour defines the shape of the vectors or the three-dimensional shapes you can create from a bitmap image. ArtCAM Pro can create vectors around the outline of all areas in the Primary Colour, along with those colours to which it is linked.

The Primary Colour controls the colour of the Paint and Draw tools. You can use the Secondary Colour only when painting, drawing or editing a bitmap image.

The Primary and Secondary colours are also used to define the areas in a relief that you do or do not want to edit.

You can select the Primary and Secondary colours from the Colour Palette beneath the 2D View window:

(1). Primary Colours

(2). Secondary Colours

(3). Available Colours

You can also select the Primary and Secondary colours from the bitmap image itself using the Pick Colour tool.

To select the Primary Colour, you can either:

  • Click on the colour in the Colour Palette you want to use.
  • Click on the Pick Colour button [image] in the Bitmap toolbar, move the dropper [image] over the colour in the bitmap image that you want to select, and then click.

To select the Secondary Colour, you can either:

  • Right-click on the colour in the Colour Palette you want to use.
  • Click on the Pick Colour button [image] in the Bitmap toolbar, move the dropper [image] over the colour in the bitmap image that you want to select, hold the Shift key down on your keyboard, and then click.

See Also

Working with Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Reducing Colours

You can reduce the number of colours in a bitmap image. ArtCAM Pro takes colours of a similar shade and from them produces an averaged colour. This averaged colour is displayed in the Colour Palette in place of the original colours.

  • Colour reduction should be done as an iterative process so that the number of colours can be minimized whilst preserving the detail in the original bitmap image.

To reduce the number of colours in a bitmap image:

  1. Click on the Reduce Colours button [image] in the Model area of the Assistant's Home page to display the Reduce Number Of Colours In Image dialog box:

    • You can also display the Number of Colours In Image dialog box using the Bitmaps > Colour > Reduce Number... menu option from the Main menu bar.
  2. Define the new number of colours in the New Maximum Number Of Colours For Image box.

    The default number is always one less than that shown in the greyed-out Current Number Of Colours In Image box.

  3. Click on the OK button to close the Reduce Number Of Colours In Image dialog box and reduce the number of colours in the bitmap image to that specified.
  • Reducing the number of colours in a bitmap image resets all colour links and attributes. If you want to keep any new or linked colours you have created, do not click on the OK button.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Linking

You can both link and unlink colours within the Colour Palette beneath the 2D View window. When a colour in the Colour Palette is linked to the Primary Colour, it is treated as the Primary Colour for as long as it linked to it.

There are four ways you can link a colour in the Colour Palette with the current Primary Colour:

  • From the Main menu bar, click on the Bitmaps > Colour > Link/Unlink option to link the Secondary Colour to the Primary Colour.
  • Press the Ctrl + L keys on your keyboard to link the Secondary Colour to the Primary Colour.
  • Click on the Link/Unlink icon [image] in the Colour Palette to link the Secondary Colour to the Primary Colour.
  • Double right-click on the colour in the Colour Palette that you want to link to the Primary Colour.

You can see that colours are linked to the Primary Colour when shown in the Colour Palette as follows:

When colours are linked to the Primary Colour, they are displayed within the image in the Primary Colour.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Linking All Colours

You can click on the Bitmaps > Colour > Link All Colours option from the Main menu bar to simultaneously link all colours currently in the Colour Palette, other than the Secondary Colour, to the Primary Colour.

  • You can also press the Ctrl + K keys on your keyboard to simultaneously link all colours currently in the Colour Palette, other than the Secondary Colour, to the Primary Colour.
  • Depending on how many colours there are you want to link, it may be quicker to use the Link All Colours method of linking and then use the Bitmaps > Colour > Link/Unlink option to unlink the individual colours that you do not want.

See Also

Colour Linking

Unlinking All Colours


Unlinking All Colours

You can click on the Bitmaps > Colour > Unlink All Colours option from the Main menu bar to unlink all colours currently linked in the Colour Palette.

  • You can also press the Ctrl + R keys on your keyboard to unlink all colours currently linked in the Colour Palette.

See Also

Colour Linking

Linking All Colours


Colour Merging

You can merge all of the pixels within a bitmap layer in the Secondary Colour with the Primary Colour. The Secondary Colour is then removed from the Colour Palette beneath the 2D View window.

To do so:

  1. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  2. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  3. From the Main menu bar, click on the Bitmaps > Colour > Merge option to merge the current Secondary Colour with the current the Primary Colour. The Secondary Colour is removed from the Colour Palette altogether.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Edge Marking

You can paint a line around the edge of a colour on a bitmap layer. Marking the outline of a colour on a bitmap layer in this way means that its shape is clearly defined when it is converted into vectors or three-dimensional shapes.

To mark the edges:

  1. Select the bitmap layer on which you want to mark edges. For details, see Selecting a Layer.
  2. Click on the colour in the Colour Palette around which you want to paint a line. This colour is now set as the Primary Colour.
  3. Right-click on the colour in the Colour Palette that you want to use for painting the outline. This colour is now set as the Secondary Colour.
  4. Click on the Bitmaps > Colour > Mark Edge option from the Main menu bar. A line is painted in the Secondary Colour around all regions on the bitmap layer made up of the Primary Colour.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Thinning

Thinning reduces the width of a colour area, replacing edges with the Secondary Colour. If you select the full thinning process, this reduces the area to a single pixel skeleton. Rather than manually changing an area of colour pixel by pixel, you can automatically thin areas in the Primary Colour.

To thin areas in the Primary Colour:

  1. Select the bitmap layer on which you want to thin areas of colour. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  3. Right-click on the colour within the Colour Palette you want to select as the Primary Colour.
  4. Click on the Bitmaps > Colour > Thin... menu option from the Main menu bar to display the Thin Primary Colour dialog box:

  5. Click to select the thinning method you want to use:
    • Keep processing until finished - This option continues to thin all regions on the bitmap layer in the Primary Colour until they are reduced to a width of one pixel.
    • Limit number of passes to - This option sets a limit on the number of thinning passes according to the value you type in the box. Each pass converts one edge pixel in the Primary Colour to the Secondary Colour.
  6. Click on the OK button to close the Thin Primary Colour dialog box and to thin all regions in the Primary Colour.

    The region of removed pixels on the bitmap layer is marked in the current Secondary Colour. If you do not need to mark this region, ensure that the Secondary Colour is the same as the background colour in the bitmap layer before colour thinning.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Thickening

Thickening increases the width of a colour area, expanding the borders with the Secondary Colour. Rather than manually changing an area of colour pixel by pixel, you can automatically thicken areas of a bitmap layer in the Primary Colour.

To thicken areas in the Primary Colour:

  1. Select the bitmap layer on which you want to thicken areas of colour. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  3. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  4. Click on the Bitmaps > Colour > Thicken... menu option from the Main menu bar to display the Thicken Colour dialog box:

  5. Define the brush diameter in the Number of Pixels box.
    • The brush diameter should be an odd number. Even numbers are automatically rounded up to an odd number.
  6. Click on the OK button to close the Thicken Colour dialog box and to apply a round brush of the diameter you have already defined in the current Secondary Colour to each pixel on the bitmap layer in the current Primary Colour.

    If you want to cancel the colour thickening process at any time, click on the Cancel button.

    The original pixels in the bitmap layer remain in the Primary Colour, while the thickened regions of the bitmap layer appear in the Secondary Colour. If you do not need this distinction, ensure that both the Primary and Secondary Colours are identical in the bitmap layer before colour thickening.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Adding Colours

You can increase the range of colours within the Colour Palette beneath the 2D View window. You can add Basic Colours and/or create your own Custom Colours for you to paint in.

To add to the Colour Palette:

  1. Click on the Add Colour button [image] in the Bitmap Tools area of the Assistant's Home page to open the Color dialog box:

  2. Select a colour that you want to add to the Colour palette. To select a Basic colour:
    • Click on a colour in the Basic colors chart.

      To select a Custom colour:

    • Click on an approximate colour in the Colour Matrix, and then click and drag the slider [image] at the right of the dialog box to adjust the colour's attributes.
    • Type new values in the Hue, Sat (Saturation) and Lum (Luminosity) or the Red, Green and Blue boxes to specify the colour. The colour appears in the Color|Solid area of the Color dialog box.
  3. Click on the Add To Custom Colors button to add the colour you have defined to the Custom Colours palette. The colour you have selected appears in the Custom colors area of the Color dialog box.
  4. Click on the OK button to close the Color dialog box.

    If you try to add a colour that is already in the Colour Palette, the following message box appears:

    If so, click on the OK button to close the message box and add a different colour.

    The Basic and/or Custom Colours that you have selected appear in the Colour Palette beneath the 2D View window.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Saving a Custom Colour Palette

You can save any custom arrangement of colours you have made in the Colour Palette beneath the 2D View window as an ArtCAM Palette file (*.pal).

You can replace the current Colour Palette displayed beneath the 2D View window with another custom Colour Palette by loading a previously saved ArtCAM Palette file.

To save the Colour Palette that you are currently using:

  1. Click on the Bitmaps > Colour > Save Palette... option from the Main menu bar to display the Save As dialog box:

  2. Click on the Save In list box and then on the directory in which you want to save the Colour Palette.
  3. Type the file name that you want to use for the Colour Palette in the File name box.
  4. Click on the Save button to save the Colour Palette.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Loading a Custom Colour Palette


Loading a Custom Colour Palette

You can replace the Colour Palette currently displayed beneath the 2D View window with another custom Colour Palette by loading a previously saved ArtCAM Palette file (*.pal).

To load an ArtCAM Palette file:

  1. Click on the Bitmaps > Colour > Load Palette... option from the Main menu bar to display the Open dialog box:

  2. Click on the Look In list box in the Open dialog box and find the ArtCAM Palette file that you want to load.
  3. Once you have found the file, click on the file name listed in the main window of the Open dialog box. Its name appears in the File name box.
  4. Click on the Open button to display the custom Colour Palette beneath the 2D View window.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Reducing Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette


Editing a Bitmap Image

You can change an image on a bitmap layer stacked in the Bitmaps area of the Layers Manager using the painting and drawing tools and the Colour Palette. The painting tools in ArtCAM Pro are a brush and a flood-fill tool. The drawing tools are a pencil and a bitmap-line tool.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Converting a Bitmap into Vectors

Creating a Shape from a Bitmap


Using the Paint Brush

The paint brush allows you to paint in the Primary and Secondary Colours, as shown on the left of the Colour Palette below the 2D View window:

(1). Primary Colours

(2). Secondary Colours

(3). Available Colours

You can use the paint brush to modify any image on a bitmap layer that you have created or imported into ArtCAM Pro:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Paint button [image] in the Bitmap Tools area of the Assistant's Home page to enter Paint mode.
  3. Set the brush size and shape, as described in Setting the Brush Size and Shape.
  4. Move the [image] cursor over the area of the bitmap layer that you want to edit, and then click and drag to paint in the Primary Colour.
  5. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Paint mode.

See Also

Editing a Bitmap Image

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Setting the Brush Size and Shape

You can change the size and shape of the paint brush tool using the Brush Diameter slider and the toggle brush shape icon displayed in the Bitmap Tools area of the Assistant's Home page.

To change the shape of the brush:

  • Click on the brush shape icon to toggle between a circle BrushCircle and a square BrushSquare brush tip.

To change the size of the brush:

  • Click on the Brush Diameter slider and drag the mouse to the right to increase the number of pixels that make up the brush size. The number of pixels that make up the brush size is shown above the slider.
  • Click on the Brush Diameter slider and drag the mouse to the left to reduce the number of pixels that make up the brush size. The number of pixels that make up the brush size is shown above the slider.

See Also

Using the Paint Brush

Selective Painting


Selective Painting

You can use the Paint Selective tool to paint with your brush in the current Primary Colour in all areas of a bitmap layer made up of the current Secondary Colour.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Paint Selective button [image] in the Bitmap Tools area of the Assistant's Home page.
  3. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  4. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  5. Move the [image] cursor over the area of the bitmap layer that you want to paint over, and then click and drag.

All areas of the image on the bitmap layer that are of the Secondary Colour are replaced with the Primary Colour. All other colours in the image on the bitmap layer remain unchanged.

See Also

Using the Paint Brush

Setting the Brush Size and Shape


Using the Draw Tool

The Draw tool allows you to draw a line of one pixel wide in the Primary and Secondary Colours, as shown on the left of the Colour Palette shown beneath the 2D View window.

You can use the draw tool to modify an image on an existing bitmap layer or create an image on a new bitmap layer:

  1. Select the bitmap layer on which you want to draw. For details, see Selecting a Layer.
  2. Click on the Draw button [image] in the Bitmap Tools area of the Assistant's Home page to enter Drawing mode.
  3. Move the [image] cursor over the area of the bitmap layer in which you want to draw, and then click and drag to draw in the Primary Colour.
    • If you want to draw in the Secondary Colour, hold the Shift key down on your keyboard, and then click and drag the mouse.
  4. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Draw mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Using the Bitmap Line Tool

The bitmap line tool allows you to draw a line on a bitmap layer in the current Primary Colour.

To draw a bitmap line:

  1. Select the bitmap layer on which you want to draw. For details, see Selecting a Layer.
  2. Click on the Draw Bitmap Line button [image] in the Bitmap Tools area of the Assistant's Home page to enter Bitmap Line mode.
  3. If you want to change the size and shape of the bitmap line tool, you can do so as described in Setting the Brush Size and Shape.
  4. Move the [image] cursor over the area of the bitmap layer in which you want to draw a bitmap line, and then click and drag in the appropriate direction. A preview line appears in the 2D View window.
  5. Release the mouse button to draw the bitmap line on the bitmap layer.
  6. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Bitmap Line mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Using the Erase Tool

The erase tool allows you to remove all or part of your last painting or drawing action on a bitmap layer.

To erase all or part of your last painting or drawing action:

  1. Click on the Erase button [image] in the Bitmap Tools area of the Assistant's Home page to enter Erase mode.
  2. If you want to change the size and shape of the erase tool, you can do so as described in Setting the Brush Size and Shape.
  3. Move the [image] cursor over the area of the bitmap layer drawn or painted last, and then click and drag to erase it.
  4. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Erase mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Flood Filling

Copying and Pasting Bitmap Areas


Flood Filling

You can replace areas of any selected colour on a bitmap layer with the current Primary Colour, using the Flood Fill tool.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Pick Colour button [image] in the Bitmap Tools area of the Assistant's Home page.
  3. Move the dropper [image] over the colour you want to select as the Primary Colour and click.
  4. Click on the Flood Fill button [image] in the Bitmap Tools area of the Assistant's Home page.
  5. Move the roller [image] over the colour on the bitmap layer you want to flood fill with the Primary Colour and click. The block of colour you click on is replaced with the Primary Colour.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Copying and Pasting Bitmap Areas


Selective Flood Filling

You can flood fill areas of any colour on a bitmap layer with the current Primary Colour, until it meets pixels of the current Secondary Colour, using the Flood Fill Selective tool.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Flood Fill Selective button [image] in the Bitmap Tools area of the Assistant's Home page.
  3. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  4. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  5. Move the roller [image] over the bitmap layer and then click to flood fill areas with the Primary Colour. The Primary Colour continues flooding an area on the bitmap layer until it meets pixels of the Secondary Colour.
  • If colours are surrounded by the Secondary Colour they are not filled in the Primary Colour. You must flood fill these areas separately.

See Also

Flood Filling


Copying and Pasting Bitmap Areas

You can copy a region within a bitmap layer shown in the 2D View window using selected vectors, and then copy the region into either the same or another bitmap layer in the model.

To do so:

  1. Select the bitmap layer containing the image that you want to copy. For details, see Selecting a Layer.
  2. Select the vector(s) that you want to use to define the region in the bitmap layer that you want to copy. The bounding box that surrounds the selected vector(s) represents the region of the bitmap layer that you want to copy.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • Make sure that the vector layer containing the artwork that you want to use to copy an area of the bitmap layer is visible. For details, see Viewing a Layer.
  3. Click on the Edit > Copy Bitmap option from the Main menu bar to copy the region of the bitmap layer within the bounding box that surrounds the selected vector(s) to the ArtCAM clipboard.
  4. Make sure that the bitmap layer onto which you want to paste the copied region of the bitmap layer is selected. For details, see Selecting a Layer.
  5. Click on the Paste button [image] in the File area of the Assistant's Home page to attach the copied region of the bitmap layer to a selection rectangle created in the top left corner of the model area.
    • You can also attach the copied region from the bitmap layer to a selection rectangle by pressing the Ctrl + V keys on your keyboard or clicking on the Edit > Paste option from the Main Menu bar.

      The selection rectangle is exactly the same size as the bounding box that surrounds the selected vector(s) used to define the area of the bitmap layer copied to the ArtCAM clipboard.

  6. Move the mouse cursor inside of the selection rectangle, and then click and drag the selection rectangle to the position in the bitmap layer on which you want to paste the copied region.
    • You cannot see the area of the bitmap layer attached to the selection rectangle.
  7. When the selection rectangle is in the correct position, click to paste the copied bitmap region onto the selected bitmap layer.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling


Converting a Bitmap into Vectors

You can convert any bitmap layer into vectors. ArtCAM Pro creates vectors around the outline of all areas of the bitmap layer in the Primary Colour, together with those colours that are linked to the Primary Colour. For further details about colour linking, see Colour Linking.

When converting a bitmap layer into vectors, the resulting vectors follow the pixilated outline of the bitmap. You can smooth the outline of these vectors by replacing their linear spans with bezier curves. For details, see Smoothing Points.

To convert a bitmap layer into vectors:

  1. Select the bitmap layer containing the image that you want to convert to vectors. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  3. Click on the Bitmap To Vector button [image] in the Bitmap Tools area of the Assistant's Home page to display the Vectors From Bitmap dialog box:

  4. Click on the Method radio button [image] you want to use:
    • Spline all points - This option fits bezier curve spans between all points (nodes) in the vectors.
    • Keep lines longer than [image] pixels - This option fits bezier curve spans between all points (nodes), except where the number of consecutive pixels you define in the box form a straight line.
  5. In the Tolerance area, define the tolerance in the Pixels box. This sets how closely the bezier curve spans follow the points (nodes) within the vectors.
  6. Make sure that the vector layer on which you want to create the vectors from the bitmap layer is selected. For details, see Selecting a Layer.
  7. Click on the OK button to close the dialog box and create the vectors on the selected vector layer.
    • You can use the 2D Bitmap Contrast tool to fade the image on the bitmap layer and view the vector artwork created from it clearly. For details, see 2D Bitmap Contrast Tool. Alternatively, you can toggle the visibility for the bitmap layer so that the image is hidden completely. For details, see Viewing a Layer.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Creating a Shape from a Bitmap


Creating a Shape from a Bitmap

You can generate three-dimensional shapes from any colour within a bitmap image using the Shape Editor tool. For more details, see Creating a Shape from a Bitmap.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Working with Vectors

This section describes how vector artwork can be created, imported, edited and used in ArtCAM Pro.

In This Chapter

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Overview

A vector, or object-oriented graphic, is made up of a sequence of commands or mathematical statements that places lines and shapes in a given two-dimensional or three-dimensional space. Vectors are fully scalable without loss of resolution, and file sizes are independent of resolution.

In ArtCAM Pro, you can both import vector artwork from other applications and convert a bitmap layer into vectors. For details, see Importing Vector Artwork and Converting a Bitmap into Vectors.

Once you have created or opened a model file, you can use the vector creation toolset in the Vector Tools area of the Assistant's Home page to draw your own vector artwork which can then be used to:

  • Machine a 2D model. For details, see 2D Toolpaths.
  • Create a shape that can be used to machine a 3D model. For details, see Creating a Shape from a Closed Vector and Creating a Shape Using Vectors, then 3D Toolpaths.

The main collection of vector tools is found in the Vector Tools area of the Assistant's Home page. The appearance of the area at any given time is determined by which toolsets are currently pinned or not, and which item is currently selected from each of those toolsets:

With all toolsets collapsed....

Hide Vector Tools Area Vector Editing Mode Toolset Transform Vector(s) Vector Shapes Toolset Create Vector Text Vector Bitmap Toolset Measure Tool Vector Doctor Create Multiple Plates From File Data... Envelope Distortion Block Copy/Rotate Paste Along Curve Spline Vectors Arc Fit Vectors Fillet Vector With An Arc Trim Vector To Intersections Wrap Vectors Offset Vector(s) Mirror Vectors Import Vectors From A Vector Library

With all toolsets expanded and pinned....

Hide Vector Tools Area Select Vectors Node Editing Pin/Unpin Vector Editing Mode Toolset Transform Vector(s) Create Rectangle Create Circles Create Polyline Create Ellipse Create Polygons Create Stars Create Arcs Pin/Unpin Vector Shapes Toolset Create Vector Text Flood Fill Vectors Vector To Bitmap Pin/Unpin Vector Bitmap Toolset Measure Tool Vector Doctor Pin/Unpin Colour Toolset Create Multiple Plates From File Data... Envelope Distortion Block Copy/Rotate Paste Along Curve Spline Vectors Arc Fit Vectors Fillet Vector With An Arc Trim Vector To Intersections Wrap Vectors Offset Vector(s) Mirror Vectors Import Vectors From A Vector Library

Vector Editing Mode Toolset:

Select Vectors Node Editing Pin/Unpin Vector Editing Mode Toolset

Vector Creation Toolset:

Create Rectangle Create Circles Create Polyline Create Ellipse Create Polygons Create Stars Create Arcs Pin/Unpin Vector Creation Toolset

Vector Bitmap Toolset:

Flood Fill Vectors Vector To Bitmap Pin/Unpin Vector Bitmap Toolset

You can also find tools in the Position, Combine, Trim Vectors area of the Assistant's Home page that assist you in editing and manipulating the vectors you create:

With all toolsets collapsed....

Hide Position, Combine, Trim Vectors Area Position/Size/Align Vector Toolset Wrap Text Round A Curve Nesting Vector Grouping Toolset Combine Vectors Toolset Close/Join Vectors Toolset Vector Clipping Slice Selected Vectors

With all toolsets expanded and pinned....

Hide Position, Combine, Trim Vectors Area Align Left Align Right Align Top Align Bottom Centre Horizontally Centre Vertically Centre Vector Centre In Page Pin/Unpin Position Vector Toolset Wrap Text Round A Curve Nest Selected Vectors Group Ungroup Pin/Unpin Vector Grouping Toolset Weld Vectors Instersect Vectors Subtract Vectors Trim Vectors Pin/Unpin Combine Vectors Toolset Join Vectors With A Line Join Vectors With A Curve Join Vectors By Moving Ends Close Vector With A Line Close Vector With A Curve Close Vector - Move End Points Join Vectors With Coincident Start Or End Points Pin/Unpin Close/Join Vectors Toolset Vector Clipping Slice Selected Vectors

Position/Size/Align Vector Toolset...

Align Left Align Right Align Top Align Bottom Centre Horizontally Centre Vertically Centre Vector Centre In Page Pin/Unpin Position Vector Toolset

Vector Grouping Toolset...

Group Ungroup Pin/Unpin Vector Grouping Toolset

Combine Vectors Toolset...

Weld Vectors Intersect Vectors Subtract Vectors Trim Vectors Pin/Unpin Combine Vectors Toolset

Close/Join Vectors Toolset...

Join Vectors With A Line Join Vectors With A Curve Join Vectors By Moving Ends Close Vector With A Line Close Vector With A Curve Close Vector Move End Points Join Vectors With Coincident Start Or End Points Pin/Unpin Close/Join Vectors Toolset

There are additional vector tools in the Vectors menu located on the Main menu bar:

Create New Layer Load Layer... Save Layer... Fit Vectors To Colour Boundaries Spline Vectors... Close Vector Join Vectors Align Vectors Merge Vectors Create Feature Group Vector(s) Ungroup Vector(s) Ungroup All Flood Fill Vectors Copy Vectors Into Bitmap Transform... Mirror... Offset... Fillet... Trim... Wrap... Fit Arcs To Vector(s)... Paste Vectors On Curve... Nest Vectors Convert To... Create Border... Vector Library... Vector Doctor... Clip Vectors To Boundaries Properties... Sheets

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Drawing with Polylines

You can create freeform vectors from polylines, which are one or more linear or bezier curve spans joined together by points (nodes).

See Also

Working with Vectors

Overview

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Creating a Polyline

When creating a polyline, ArtCAM Pro displays the co-ordinates of the current cursor position, the angle and length of the span you are creating, the co-ordinates of the last point, and the change in position from the last point in both the X and Y direction on the Polyline Creation page.

To create a polyline:

  1. Make sure that the vector layer on which you want to create a polyline is selected. For details, see Selecting a Layer.
  2. Click on the Create Polyline button [image] in the Vector Tools area of the Assistant's Home page to display the Polyline Creation page.
  3. Click once in the 2D View window to create the start point (node) of the polyline.
  4. Drag the mouse. A dotted line appears indicating where the polyline is to be drawn.
    • Click and hold the left button before dragging the mouse to create a bezier curve span. Release the mouse button to create the point (node) in the polyline.
  5. Click at the position where you want to create another point (node) in the polyline.
    • Press and hold the Ctrl key on your keyboard during each click of the mouse to constrain the angle of the linear span drawn between points (nodes) to 15° increments.

      A linear span is drawn connecting the two points (nodes).

      Repeat this and the previous step if you want to create further points (nodes) in the polyline connected by linear spans.

  6. Right-click to end the polyline and return to the Assistant's Home page.
    • You can also end the polyline if you press the Esc key on your keyboard or click on the Close button on the Polyline Creation page.

For example, if you click in the right of the 2D View window, drag downwards and left, and then right-click, you can create a polyline that looks something like this:

You can also create a polyline using co-ordinates taken from the 2D View window:

  1. Make sure that the vector layer on which you want to create a polyline is selected. For details, see Selecting a Layer.
  2. Click on the Create Polyline button [image] in the Vector Tools area of the Assistant's Home page to display the Polyline Creation page.
  3. Click on the position in the 2D View window where you want to create the polyline's Start Point.
  4. Define the position of the next point, using any of the following methods:
    • Move the cursor to the position where you want to create the point in the polyline. The X and Y co-ordinates for the position are shown in the Cursor Position area of the page.
    • Define the X and Y co-ordinates for the next point in the X and Y boxes.
    • Define the angle of the next span in the polyline in the ° box, followed by its length in the L box.
    • Define the distance from the previous point in the X and Y axes in the dx and dy boxes.
  5. If you want the polyline to be made up of bezier curve spans joined by smoothed points, rather than linear spans joined by points, click to select the Draw Smooth Polylines option [image]. For further information, see Editing Vector Spans and Editing Vector Nodes.
  6. Click on the Add button.
  7. Repeat these steps until you have finished creating the polyline, and then click on the Close button to return to the Assistant's Home page.

See Also

Drawing with Polylines

Completing Polyline Creation

Closing a Polyline to Create a Polygon

Amending a Polyline


Completing Polyline Creation

To complete the polyline you are drawing, but remain in polyline creation mode:

  • Press the Space Bar on your keyboard.

To finish creating a polyline and return to the Assistant's Home page, leaving it as an open vector, you can use any of the following methods:

  • Right-click on your mouse.
  • Press the Esc key on your keyboard.
  • Press the Return key on your keyboard.
  • Click on the Close button on the Polyline Creation page.

By default, the polyline is black, indicating that an ungrouped, open vector has been created. If, however, you create a polyline on a vector layer to which a particular colour has been assigned, the polyline adopts the vector layer's colour. For further information, see Selecting Vectors and Assigning a Colour to a Vector Layer.

See Also

Drawing with Polylines

Creating a Polyline

Closing a Polyline to Create a Polygon

Amending a Polyline


Closing a Polyline to Create a Polygon

If you are in Polyline Creation mode, you can finish creating a polyline and automatically join its Start Point with its last point to form a polygon if you:

  • Press the Tab key on your keyboard.

If you have already created a polyline, you can join its Start Point with its last point (node) to form a polygon if you:

  1. Click to select the polyline that you have created. The polyline is magenta and surrounded by a bounding box. For details, see Selecting Vectors.
  2. Click on the Node Editing button [image] in the Vector Tools area of the Assistant's Home page to enter Node Editing mode. The polyline turns black, and you can see the spans and points (nodes) that make up the polyline.
  3. Click and drag the start point (green) to meet the last point in the polyline.

See Also

Drawing with Polylines

Creating a Polyline

Completing Polyline Creation

Amending a Polyline


Amending a Polyline

A polyline is made up of spans and points (nodes). Spans can be lines, arcs or bezier curves. You can change the position of the points and the nature of the spans after the polyline is created. For example, a linear span can be changed to an arc or a bezier curve span.

You change a polyline's form using both the Node Editing and Vector Editing menu options. These menus are displayed when working in Node Editing mode and right-clicking on either a span or a point. For details, see Editing Vector Spans and Editing Vector Nodes.

See Also

Drawing with Polylines

Creating a Polyline

Completing Polyline Creation

Closing a Polyline to Create a Polygon


Creating Simple Shapes

In addition to the Create Polyline button [image], as detailed in Creating a Polyline, there are a further six buttons in the Vector Tools area of the Assistant's Home page that allow you to create specific vector shapes.

Create Rectangle Create Circles Create Polyline Create Ellipse Create Polygons Create Stars Create Arcs Pin/Unpin Vector Creation Toolset

You can create:

  • Rectangles or Squares. See Creating a Rectangle.
  • Circles. See Creating a Circle.
  • Ellipses. See Creating an Ellipse.
  • Polygons. See Creating a Polygon.
  • Stars. See Creating a Star.
  • Arcs. See Creating an Arc.

See Also

Working with Vectors

Overview

Drawing with Polylines

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Creating a Rectangle

You can create either an exact or an approximate square or rectangular shaped vector.

To create an exact square or rectangle:

  1. Make sure that the vector layer on which you want to create a rectangle is selected. For details, see Selecting a Layer.
  2. Click on the Create Rectangle button [image] in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
  3. Click on the Square or Rectangle radio button [image] to select the type of shape you want to create.
  4. Define the height of the shape in the Height box.
  5. Define the width of the shape in the Width box.
  6. If you want filleted (rounded) corners, define the radius you want to apply to all four corners in the Corner Radii box. Otherwise, leave the default value of 0 in the Corner Radii box.
  7. Define the centre point of your shape. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Centre Point's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the centre point. The X and Y co-ordinates of the point appear in the Centre Point's X and Y boxes.
  8. If you want your shape to be drawn at a specific angle to the model block, define the angle in the Angle box:
    • Type a positive angle to rotate the shape clockwise.
    • Type a negative angle to rotate the shape anti-clockwise.
  9. Click on the Preview button to see the shape you are about to create in the 2D View window.
  10. If you want to draw your shape and remain in Rectangle Creation mode, click on the Create button. If you want to draw your shape and return to the Assistant's Home page, right-click.

To create an approximate sized square or rectangle:

  1. Make sure that the vector layer on which you want to create a rectangle is selected. For details, see Selecting a Layer.
  2. Click on the Create Rectangle button [image] in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
  3. Click on the Square or Rectangle radio button [image] to select the type of shape you want to create.
  4. Move the [image] cursor over the 2D View window, and then click and drag to create the size of shape you want.
  5. Release the mouse button to draw a preview image of the shape you are creating in the 2D View window.
  6. If you want to draw your shape and remain in Rectangle Creation mode, click on the Create button. If you want to draw your shape and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating a Star

Creating an Arc


Editing a Square or Rectangle

You can edit the size, position, corners and/or angle of a square or rectangular shaped vector.

To begin editing a square or rectangle:

  1. Select the square or rectangle you want to edit. For details, see Selecting Vectors.
  2. Right-click on the selected shape to display the Vector Editing menu.
  3. Click on the Edit Rectangle option to display the Rectangle Editing page in the Assistant window.

    The selected shape now appears with resizing handles attached to it, and a rotation handle attached to its centre point:

  • You can display the Rectangle Editing page by selecting a square or rectangle, and then pressing the E key on your keyboard.

You can now change the size, position, corners and/or angle of the selected square or rectangle using the Rectangle Editing page, or by manipulating the handles on the shape itself.

To edit the selected square or rectangle using the Rectangle Editing page:

  • Define a new value in the appropriate box for each attribute of the shape that you want to adjust.

    For example, typing a new value in the Height box immediately increases or decreases the height of the selected square or rectangle.

You can edit the selected square or rectangle using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the shape. The new height and width is shown in the Height and Width boxes on the Rectangle Editing page.
  • Click and drag any of the corner handles to add filleting to all four corners of the shape. The new radius of the filleted corners is shown in the Corner Radii box on the Rectangle Editing page.
  • Click and drag the rotation handle to adjust the angle of the shape. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the shape. When it changes to the [image] cursor, click and drag to move the whole shape. The new centre point appears in the Centre Point's X and Y boxes on the Rectangle Editing page.
  • To create an exact square, hold the Shift key down on your keyboard, and then drag the resizing handles on your rectangle to the required size.

To confirm the new shape shown in the 2D View window and return to the Assistant's Home page, right-click.

See Also

Creating a Rectangle


Creating a Circle

You can create a circular shaped vector.

To create a circle of a specified size:

  1. Make sure that the vector layer on which you want to create a circle is selected. For details, see Selecting a Layer.
  2. Click on the Create Circles button [image] in the Vector Tools area of the Assistant's Home page to display the Circle Creation page.
  3. Define the centre point of the circle. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Circle Centre's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position you want to set as the centre point. The X and Y co-ordinates of the point are shown in the Circle Centre's X and Y boxes.
  4. In the Circle Size area, define the size of the circle. You can:
    • Click to select the Radius radio button [image], and then define the circle's radius in the box below; or
    • Click to select the Diameter radio button [image], and then define the circle's diameter in the box below.
  5. If you want the circle to be made up of four arc spans, rather than four bezier curve spans, click to select the Create with Arcs option [image]. For further information, see Editing Vector Spans and Editing Vector Nodes.
  6. Click on the Preview button to draw a preview image of the circle you are creating in the 2D View window.
  7. If you want to draw the circle and remain in circle creation mode, click on the Create button. If you want to draw your circle and return to the Assistant's Home page, right-click.

To create an approximate sized circle:

  1. Make sure that the vector layer on which you want to create a circle is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of circle you want.
  3. Release the mouse button to draw a preview image of the circle you are creating in the 2D View window.
  4. If you want to draw your circle and remain in Circle Creation mode, click on the Create button. If you want to draw your circle and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating an Ellipse

Creating a Polygon

Creating a Star

Creating an Arc


Editing a Circle

You can edit the radius and position of a circular shaped vector.

To edit a circle:

  1. Select the circle you want to edit. For details, see Selecting Vectors.
  2. Right-click on the circle to display the Vector Editing menu.
  3. Click on the Edit Circle option to display the Circle Editing page in the Assistant window.

    The selected circle now appears as a preview image with a resizing handle:

    You can now change the size and position of the selected circle using the Circle Editing page, or by manipulating the resizing handle and the centre point on the shape itself.

  • You can display the Circle Editing page by selecting a circle, and then pressing the E key on your keyboard.

To edit the selected circle using the Circle Editing page:

  • Define a new value in the appropriate box for either of the shape's attributes that you want to adjust.

    For example, typing a new value in the Radius box immediately increases or decreases the size of the selected circle.

You can edit the selected circle using the shape itself:

  • Click and drag the resizing handle to adjust its radius. The new radius is shown in the Radius box on the Circle Editing page.
  • Move the [image] cursor over the centre point of the circle. When it changes to the [image] cursor, click and drag to move the circle. The new centre point is shown in the Centre Point's X and Y boxes on the page.

To confirm the new circle shown in the 2D View window and return to the Assistant's Home page, right-click.

See Also

Creating a Circle


Creating an Ellipse

You can create an elliptical shaped vector.

To create an ellipse of a specified size:

  1. Make sure that the vector layer on which you want to create an ellipse is selected. For details, see Selecting a Layer.
  2. Click on the Create Ellipse button [image] in the Vector Tools area of the Assistant's Home page to display the Ellipse Creation page.
  3. Define the centre point of your ellipse. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Start Point's X and Y boxes.
    • Move the [image] cursor over the 2D View window and then click on the point. The X and Y co-ordinates of the point are shown in the Start Point's X and Y boxes.
  4. Define the height of the ellipse in the Ellipse Height box.
  5. Define the width of the ellipse in the Ellipse Width box.
  6. If you want your shape to be drawn at a specific angle to the model block, define the angle in the Angle box.
  7. Click on the Preview button to see the ellipse you are about to create in the 2D View window.
  8. If you want to draw your ellipse and remain in Ellipse Creation mode, click on the Create button. If you want to draw your ellipse and return to the Assistant's Home page, right-click.

To create an approximate sized ellipse:

  1. Make sure that the vector layer on which you want to create an ellipse is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of ellipse you want.
  3. Release the mouse button to draw a preview image of the ellipse you are creating in the 2D View window.
  4. If you want to draw your ellipse and remain in Ellipse Creation mode, click on the Create button. If you want to draw your ellipse and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating a Polygon

Creating a Star

Creating an Arc


Editing an Ellipse

You can edit the size, position and/or angle of an elliptical shaped vector.

To edit an ellipse:

  1. Select the ellipse you want to edit. For details, see Selecting Vectors.
  2. Right-click on the selected ellipse to display the Vector Editing menu.
  3. Click on the Edit Ellipse option to display the Ellipse Editing page in the Assistant window.

    The selected ellipse now appears as a preview image with resizing handles attached to it, and a rotation handle about its centre point:

    • You can display the Ellipse Editing page by selecting an ellipse, and then pressing the E key on your keyboard.

You can now change the size, position and/or angle of the selected ellipse using the Ellipse Editing page, or by manipulating the handles on the ellipse itself.

To edit the selected ellipse using the Ellipse Editing page:

  • Type a new value in the appropriate box for each attribute of the ellipse that you want to adjust.

    For example, typing a new value in the Height box immediately increases or decreases the height of the ellipse.

You can edit the selected ellipse using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the ellipse. The new height and width is shown in the Height and Width boxes on the Ellipse Editing page.
  • Click and drag the rotation handle to adjust the angle of the ellipse. The new angle is shown in the Angle box on the Ellipse Editing page.
  • Move the [image] cursor over the centre point of the ellipse. When it changes to the [image] cursor, click and drag to move the whole ellipse. The new centre point is shown in the Start Point's X and Y boxes on the Ellipse Editing page.

To confirm the new ellipse shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Ellipse Editing page.
  • Click the right mouse button.

See Also

Creating an Ellipse


Creating a Polygon

You can create a vast range of polygonal shaped vectors.

To create an exact polygon:

  1. Make sure that the vector layer on which you want to create a polygon is selected. For details, see Selecting a Layer.
  2. Click on the Create Polygons button [image] in the Vector Tools area of the Assistant's Home page to display the Polygon Creation page.
  3. Define the polygon's number of sides in the Settings' No. of Sides box.
    • A polygon must have a minimum of three sides. Typing 3 in the Settings' No. of Sides box produces a triangle.
  4. If you want your polygon to be drawn at a specific angle to the model block, define the angle in the Settings' Angle box:
    • Type a positive angle in the Angle box to rotate the polygon clockwise.
    • Type a negative angle in the Angle box to rotate the polygon anti-clockwise.
  5. Define the centre point of your polygon. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Polygon Centre's X and Y boxes.
    • Move the [image] cursor to the point in the model you are interested in and then click. The X and Y co-ordinates of the point you click on appear in the Polygon Centre's X and Y boxes.
  6. Define the polygon's radius in the Geometry's Radius box.
  7. Click on the Preview button to see the polygon you are about to create in the 2D View window.
  8. If you want to draw your polygon and remain in Polygon Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

To create an approximate sized polygon:

  1. Make sure that the vector layer on which you want to create a polygon is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of polygon you want.
  3. Release the mouse button to draw a preview image of the polygon you are creating in the 2D View window.
  4. If you want to draw your polygon and remain in Polygon Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Star

Creating an Arc


Editing a Polygon

You can edit the size, position, sides and/or angle of a polygonal shaped vector.

To edit a polygon:

  1. Select the polygon you want to edit. For details, see Selecting Vectors.
  2. Right-click on the polygon to display the Vector Editing menu.
  3. Click on the Edit Polygon option to display the Polygon Editing page in the Assistant window.

    The polygon now appears as a preview image with resizing handles and a rotation handle:

You can now change the size, position, sides and/or the angle of the selected polygon using the Polygon Editing page, or by manipulating the handles on the polygon itself.

To edit the selected polygon using the Polygon Editing page:

  • Type a new value in the appropriate box for each attribute of the polygon that you want to adjust.

For example, typing a new value in the No. of Sides box immediately increases or decreases the number of sides in the selected polygon.

You can edit the selected polygon using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the polygon. The new size is shown in the Geometry's Radius box on the Polygon Editing page.
  • Click and drag the rotation handle to adjust the angle of the polygon. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the polygon. When it changes to the [image] cursor, click and drag to move the whole polygon. The new centre point is shown in the Polygon Centre's X and Y boxes on the Polygon Editing page.

To confirm the new polygon shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Polygon Editing page.
  • Click the right mouse button.

See Also

Creating a Polygon


Creating a Star

You can create a star shaped vector.

To create an exact star:

  1. Make sure that the vector layer on which you want to create a star is selected. For details, see Selecting a Layer.
  2. Click on the Create Stars button [image] in the Vector Tools area of the Assistant's Home page to display the Star Creation page.
  3. Define the polygon's number of sides in the Settings' No. of Points box.
  4. If you want your star to be drawn at a specific angle to the model block, define the angle in the Settings' Angle box:
    • Type a positive angle in the Angle box to rotate the star clockwise.
    • Type a negative angle in the Angle box to rotate the star anti-clockwise.
  5. Define the centre point of your star. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Star Centre's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position you want to set as the centre point. The X and Y co-ordinates of the point are shown in the Star Centre's X and Y boxes.
  6. In the Geometry's Radius of first Points box, define the radius of the polygon, upon which the outer points (nodes) in the star lie.
  7. In the Geometry's Radius of second Points box, define the radius of the polygon, upon which the inner points (nodes) in the star lie.
  8. Click on the Preview button to see the ellipse you are about to create in the 2D View window.
  9. If you want to draw your star and remain in Star Creation mode, click on the Create button. If you want to draw your star and return to the Assistant's Home page, right-click.

To create an approximate sized star:

  1. Make sure that the vector layer on which you want to create a star is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of polygon you want, upon which the outer points in the star lie.
  3. Click and drag to create the size of polygon you want, upon which the inner points in the star lie.
  4. Release the mouse button to draw a preview image of the star you are creating in the 2D View window.
  5. If you want to draw your star and remain in Star Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating an Arc


Editing a Star

You can edit the size, position, sides and/or angle of a star shaped vector.

To edit a star:

  1. Select the star you want to edit. For details, see Selecting Vectors.
  2. Right-click on the star to display the Vector Editing menu
  3. Click on the Edit Star option to display the Star Editing page in the Assistant window.
    • You can display the Star Editing page in the Assistant window by pressing the E key on your keyboard.

      The star now appears as a preview image with resizing handles attached to it, and a rotation handle about its centre point:

You can now change the size, position, sides and/or the angle of the selected star using the Star Editing page, or by manipulating the handles on the star itself.

To edit the selected star using the Star Editing page:

  • Type a new value in the appropriate box for each attribute of the star that you want to adjust.

    For example, typing a new value in the No. of Sides box immediately increases or decreases the number of sides in the selected star.

You can edit the selected star using the shape itself:

  • Click and drag any of the inner or outer resizing handles to adjust the size and shape of the star. The new size is shown in the Geometry's Radius of first Points and/or Radius of second Points boxes on the Star Editing page.
  • Click and drag the rotation handle to adjust the angle of the star. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the star. When it changes to the [image] cursor, then click and drag to move the whole star. The new centre point appears in the Star Centre's X and Y boxes on the Star Editing page.

To confirm the new star shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Star Editing page.
  • Click the right mouse button.

See Also

Creating a Star


Creating an Arc

You can create an arc shaped vector.

To create an arc:

  1. Make sure that the vector layer on which you want to create an arc is selected. For details, see Selecting a Layer.
  2. Click on the Create Arcs button [image] in the Vector Editing area of the Assistant's Home page to display the Arc Creation page.
  3. Click on either of the Arc Type radio buttons [image] to select the type of arc you want to create:
    • Centre - Start - End - A swept arc created by defining a centre point, a Start Point and then an end point.
    • Start - End - Point On Arc - A fitted arc created by defining a Start Point, an end point and then a mid point.
    • Start - End - Radius - A swept arc created by defining a Start Point, a end point and then a radius.
  4. If you have selected the Centre - Start - End option:
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's centre point. The X and Y co-ordinates of the point are shown in the Centre Point area of the page.
    • Move the [image] cursor over the 2D View window and then click on the position that you want to set as the arc's start point. The X and Y co-ordinates of the point are shown in the Start Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are shown in the End Point area of the page.

      If you have selected the Start - End - Point On Arc option:

    • Move the [image] cursor over the 2D View window and then click on the position that you want to set as the arc's start point. The X and Y co-ordinates of the point are shown in the Start Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are shown in the End Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's mid point. The X and Y co-ordinates of the point are shown in the Centre Point area of the page.

      If you have selected the Start - End - Radius option:

    • Define the direction of the arc. If you want to draw the arc in a clockwise direction from its Start Point, make sure that the Clockwise option is selected [image].
    • Define the radius of the arc in the Radius box.
    • Move the [image] cursor over the model area and click on the position that you want to set as the arcs Start Point. The X and Y co-ordinates of the point are displayed in the Start Point area of the page.
    • Move the [image] cursor over the model area and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are displayed in the End Point area of the page.
  5. Rather than clicking on your mouse to set the position of specific points in the arc, you can also specify their exact co-ordinates. What points you can define in the arc depends on which type of arc you are actually creating:
    • If you want to change the position of the centre point, define the co-ordinates of its new position in the X and Y boxes in the Edit Centre Point area.
    • If you want to change the position of the Start Point, define the co-ordinates of its new position in the X and Y boxes in the Edit Start Point area.
    • If you want to change the position of the end point, define the co-ordinates of its new position in the X and Y boxes in the Edit End Point area.
    • If you want to change the radius of the arc, define its new radius in the Radius box.
  6. Click on the Preview button to see the arc you are about to create in the 2D View window.
  7. If you want to draw your arc and remain in Arc Creation mode, click on the Create button. If you want to draw your arc and return to the Assistant's Home page, right-click on your mouse.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating a Star


Editing Vectors

You can edit any of the standard shapes of vector drawn on a vector layer in the same way: square, rectangle, circle, ellipse, polygon and star.

To edit any of these standard shapes, select the vector, then either:

  • Press the E key on your keyboard.
  • Right-click to display the Vector Editing menu and then click on the Edit option for the selected vector e.g. Edit Ellipse.

ArtCAM Pro displays the Editing page for the selected vector in the Assistant e.g. Ellipse Editing. You are then able to change the properties for the selected shape of vector by modifying the appropriate values. For example, the Height of a rectangle.

You cannot edit the following vectors using an Editing page in the Assistant, although they still can be edited:

  • Created with the Polyline Creation tool. For details, see Creating a Polyline.
  • Created with the Arc Creation tool. For details, see Creating an Arc.
  • Created with one of the buttons in the Vector Tools area of the Assistant's page, and in which you have moved or edited a point (node) or span. For details, see Editing Vectors.
  • Imported directly into ArtCAM Pro. For details, see Importing Vector Artwork.
  • Created from a bitmap layer using the Bitmap To Vector tool. For details, see Converting a Bitmap into Vectors.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Selecting Vectors

You can select vectors from any of the visible vector layers in a model. For further information, see Viewing a Layer.

To select a single vector from a layer:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page, and then on the vector that you want to select.
    • If the Select Vectors button is shown as [image] in the Vector Tools area, you are already in Select Vectors mode.
    • You can also press the Esc key to enter Select Vectors mode, or right-click to display the Vector Editing menu, and then click on the Select Vectors Mode option.
    • You can also use the N key to toggle between the different modes. For example, pressing the N key once when in Transform Vectors mode takes you into Node Editing mode. Pressing it twice takes you into Select Vectors mode.

To select more than one vector from any visible layer:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page, and then on the vector that you want to select.
  2. Hold the Shift key down on your keyboard, and then click on each of the vectors you want to select.
    • You can also click and drag around any number of vectors to select them. A bounding box surrounds all selected vectors.
    • To deselect a vector you have selected by mistake, hold the Shift key down on your keyboard and then click.

Vectors are not always shown in the colour assigned to the vector layer from which they have been selected:

  • You can set the default colour for selected vectors using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  • By default, one or more ungrouped vectors are magenta when selected. When deselected, they appear in the colour assigned to the layer on which they are drawn.

    You can change the default colour used to indicate single and multiple ungrouped vectors when selected using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

  • By default, all grouped closed vectors are purple when selected, unless they are self-intersecting. Then they are shown in red with the [image] icon marking the position of all intersections. When deselected, all grouped closed vectors appear in the colour assigned to the layer on which they are drawn, again unless they are self-intersecting. Then they are shown in red.

    You can change the default colour used to indicate grouped vectors when selected using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

  • By default, any locked vector is grey when selected. When deselected it is green, regardless of the colour assigned to the layer on which it is drawn.

    You can change the default colours used to indicate locked vectors when selected and deselected using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

  • A grouped open vector is blue when deselected, regardless of the colour assigned to the layer on which it is drawn.
  • If you click and drag to around a vector to select it, and it has one or more overlaying copies, the vector turns red.

    You can change the default colour used to indicate overlaying vectors using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

See Also

Editing Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Moving Vectors

You can move part or the whole of any selected vector to another area of the vector layer in a model, or to a different vector layer altogether. For further details, see Transferring Vectors Between Layers.

  • You cannot move a vector if it is locked. For details, see Locking and Unlocking Vectors and Locking the Vectors on a Layer.

To move a vector to another position in the current vector layer:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Move the cursor over the bounding box. The cursor changes from [image] to [image].
  3. Click and drag the vector into its new position, and then release the mouse button.

To transfer vector artwork from one vector layer to another:

  1. Select the vector artwork that you want to transfer to another vector layer. For details, see Selecting Vectors.
  2. Right-click on the selected vector artwork to display the Vector Editing menu, and then click on the Move To Layer option to display the list of layers in the model.
  3. Click on the name of the vector layer to which you want to transfer the selected vector artwork. The selected vector artwork is transferred to the vector layer and is shown in the colour assigned to the layer. For details, see Assigning a Colour to a Vector Layer.
    • Make sure that the vector layer to which you are transferring the selected vector artwork is visible.For details, Viewing a Layer.

See Also

Editing Vectors

Selecting Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing Vector Spans

Spans within a vector can be linear, arc or a bezier curve. You can change the type of span using the Vector Editing options, displayed when you right-click on a selected vector.

The Vector Editing options allow you to:

  • Convert a span to a line. For details, see Converting a Span to a Line.
  • Convert a span to a bezier curve. For details, see Converting a Span to a Bezier Curve.
  • Convert a span to an arc. For details, see Converting a Span to an Arc.
  • Insert a point (node) into a span. For details, see Inserting a Point.
  • Remove a span. For details, see Removing a Span.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Converting a Span to a Line

Converting a span to a line allows you to alter the appearance of an arc or a bezier curve span within a vector.

To convert a span to a line:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing an arc or bezier curve span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the arc or bezier curve span. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Convert span to a line option to convert the existing span into a linear span.
    • Moving the cursor over the arc or bezier curve span and pressing the L key on your keyboard also converts it to a linear span.

      For example, if you were to convert a bezier curve span to a linear span you would see that its adjoining control points have been removed along with any curvature, as shown below:

      Before…

      After…

See Also

Editing Vector Spans

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point

Removing a Span


Converting a Span to a Bezier Curve

Converting a span to a bezier curve allows you to alter the appearance of a linear or an arc span within a vector.

Converting a span to a bezier curve places two control points on the span, both of which can be dragged to add or reduce the curvature within it.

To convert a span into a bezier curve:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing an arc or linear span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the arc or linear span. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Convert span to bezier option to convert the existing span into a bezier curve span.
    • Moving the cursor over the linear or arc span and pressing the B key on your keyboard also converts it to a bezier curve.

      For example, your span may look something like that shown below:

      Although this span may not look like a curve now, the two control points in it indicate that it is a bezier curve span.

      In our example, by dragging the control points as shown below, a bezier curve span with a smooth curvature is produced:

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point

Removing a Span


Converting a Span to an Arc

Converting a span to an arc allows you to alter the appearance of a linear or bezier curve span within a vector.

Converting a span to an arc places one control point in the middle of the span. This can be dragged to add or reduce the degree of curvature in the arc.

To convert a span into an arc:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing an bezier curve or linear span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the bezier curve or linear span. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Convert span to arc option to convert the existing span into an arc span.
    • Moving the cursor over the linear or bezier curve span and pressing the A key on your keyboard also converts it to an arc.

      For example, if you were to convert a linear span to an arc span you would see that one control point is now positioned in the centre of the arc. You can drag the control point to create a curve, as shown below:

      Before…

      After…

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Inserting a Point

Inserting a Start Point

Removing a Span


Inserting a Point

You can insert a point (node) in any span. Inserting a point divides a span into two new spans of the same type as the original.

By inserting a point you add greater flexibility in changing the shape of the vector.

To insert a point in a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector into which you want to insert a point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the span into which you want to insert a point. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Insert a point option to produce a new point in the span, dividing it into two separate spans.
    • Moving the cursor over the span and pressing the I key on your keyboard also inserts a point into it.

      For example, a point has been inserted into the bezier curve span illustrated below. You can see that doing so has created a second bezier curve span with two adjoining control points:

      Before…

      After…

    • Adding points to a vector can be a time consuming process. Alternatively, you can use the Create Polyline tool to create more complicated shapes from the beginning. With the Create Polyline page displayed, each corresponding movement and click of the mouse creates a new point and connects it to the last with a linear or bezier curve span. For details, see Creating a Polyline.

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Start Point

Removing a Span


Inserting a Start Point

The green point shown within a selected vector is the Start Point.

The Start Point in a vector determines the point at which a tool enters the block of material when you are machining. For further details, see Changing the Start Point.

Inserting a Start Point divides a span into two new spans of the same type as the original. Alternatively, you can set an existing point (node) in a span as the Start Point. For details, see Changing the Start Point.

  • For open vectors, the Start Point must be at either end.

To insert a Start Point in a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector into which you want to insert a Start Point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the span into which you want to insert a Start Point. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Insert Start Point option to produce a new Start Point in the span and divide it into two separate spans.
    • Moving the cursor over the span and pressing the P key on your keyboard also inserts a Start Point into it.

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Removing a Span


Removing a Span

You can remove a linear, bezier curve or an arc span within any selected vector in the same way.

To remove a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector from which you want to remove a span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the span. When the cursor changes from [image] to [image], right-click to display the Vector Editing menu.
  4. Click on the Remove Span option to remove the selected span.
    • Moving the cursor over the span and pressing the R key on your keyboard also removes it.

      For example, a vector with two spans appears as follows:

      In our example, if you move the cursor over Span 2 and then remove it from the vector, the remaining span is shown below:

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point


Editing Vector Nodes

You can change the structure and appearance of a vector using the Node Editing options, which are displayed when you are working in Node Editing mode and right-click on any point (node) within a selected vector.

Working in Node Editing mode allows you to:

  • Select points (nodes) and control points. For details, see Selecting Points and Control Points.
  • Move points (nodes) and control points. For details, see Moving Points.
  • Smooth points (nodes). For details, see Smoothing Points.
  • Delete points (nodes). For details, see Deleting Points.
  • Change the position of the start point. For details, see Changing the Start Point.
  • Change the position of points (nodes) and/or control points. For details, see Changing the Position of Points.
  • Align points (nodes). For details, see Aligning Points.

To edit points within a vector, you must work in Node Editing mode. Use any of the following methods to enter Node Editing mode:

  • If the Node Editing button is shown as [image] in the Vector Tools area of the Assistant's Home page, you are already in Node Editing mode.
    • Click on the Node Editing button [image] in the Vector Tools area of the Assistant's Home page.
    • Press the N key on your keyboard.
    • Hold the Ctrl key down on your keyboard, and then click once.

The Node Editing button changes to [image] when you are working in Node Editing mode.

  • If you click outside of the bounding box that surrounds the selected vector once, ArtCAM Pro remains in Node Editing mode. If you click more than once, ArtCAM Pro returns to Select Vectors mode. For details, see Selecting Vectors.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Selecting Points and Control Points

You can select single or multiple points and/or control points in a selected vector.

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points and/or control points you want to edit. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. If you want to select a point (node) or control point:
    • Move the cursor over the point or control point that you want to select. When the [image] cursor changes to a [image] , click to select it. The selected point or control point turns red.

If you select a point that has adjoining control points, these are selected along with the point itself. All of which turn red.

If you want to select more than one point (node) or control point, you can use any of the following methods:

  • Click and drag to form a bounding box around them. The selected points and/or control points turn red.
  • Click to select a point or control point. Hold the Ctrl key down on your keyboard, and then click on further points and/or control points to select them. The selected points and/or control points turn red.
  • Click to select a point or control point. Hold the Shift key down on your keyboard, and then click to select a second point. ArtCAM Pro finds the shortest distance between these two points, and then selects all of the other points in between them. The selected points and/or control points turn red.

See Also

Editing Vector Nodes

Deselecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points

Aligning Points


Deselecting Points and Control Points

If you want to deselect a point or control point:

  • Move the cursor over the point or control point that you want to deselect. When the [image] cursor changes to a [image], hold the Shift key down on your keyboard and then click on the point or control point to deselect it.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points

Aligning Points


Moving Points

You can move one or more points and/or control points to a new position.

To move a selection of points (nodes) and/or control points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to move. A bounding box surrounds the selected vector, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Hold the Shift key down on your keyboard, and then click to select the points and/or control points that you want to move. For details, see Selecting Points and Control Points. The selected points and/or control points turn red.
  4. You can now move the selected points and/or control points using either of the following methods:
    • Move the [image] cursor over any of the selected point(s) and then click and drag the point into its new position.
    • Use any of the four arrow keys on your keyboard to nudge the selected point(s) into its new position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points

Aligning Points


Smoothing Points

You can smooth any point (node) in a vector other than the Start Point or the last point in an ungrouped, open vector. For details, see Selecting Vectors.

In smoothing, the span on either side of a point is converted to a bezier curve span. ArtCAM Pro positions control points next to the point, allowing you to control the degree of curvature in the whole vector.

To smooth a single point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the point you want to smooth. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector. All unsmoothed points are shown in black.
  3. Move the cursor over the point that you want to smooth. When the [image] cursor changes to a [image], right-click to display the Vector Editing menu.
  4. Click to select the Smooth Point option to convert the spans on either side of the point to bezier curves. The point turns blue.
    • Moving the cursor over the point and pressing the S key on your keyboard also smoothes it.

      For example, the point in the middle of the vector shown below has been smoothed:

      If you move one of the control points next to the smoothed point, the other automatically moves with it. This simultaneous movement preserves the tangency between the two bezier curve spans.

To smooth a group of points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to smooth. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Select the points that you want to smooth. For details, see Selecting Points and Control Points.
  4. Right-click on any of the selected points to display the Node Editing menu.
  5. Click on the Smooth Points option to convert the spans on either side of the selected point(s) to bezier curves.
    • Moving the cursor over any of the selected points and pressing the S key on your keyboard also smoothes them.

To remove the smoothing option from a smoothed point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the smoothed points from which you want to remove the smoothing. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Move the cursor over a smoothed point (node). When the [image] cursor changes to a [image], right-click to display the Node Editing menu. The Smooth Point option is selected.
  4. Click on the Smooth Point option to deselect it. The point (node) turns black.
    • Moving the cursor over a smoothed point and pressing the S key on your keyboard also removes its smoothing.

      Although the span on either side of the point (node) remains as a bezier curve span, deselecting the Smooth Point option causes the control point on either side of the point (node) to affect its adjoining bezier curve span only, rather than the whole vector.

      In our example, you can see that moving one control point no longer automatically moves the other:

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Deleting Points

Changing the Start Point

Changing the Position of Points

Aligning Points


Deleting Points

You can delete any of the points (nodes) within a vector. Deleting a point does not change the type of span on either side of the point but it does reduce your ability to manipulate the shape of the whole vector.

To delete a single point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the point you want to delete. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Move the cursor over the point that you want to smooth. When the [image] cursor changes to a [image] , right-click to display the Vector Editing menu.
  4. Click to select the Delete Point option to delete the point from the vector.
    • You can also delete a point by moving the cursor over the point and then pressing the D key on your keyboard.

      In the following example, you can see that in deleting the middle point, the number of control points is reduced and its shape is changed considerably:

      Before…

      After…

To delete a group of points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to delete. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Select the points that you want to delete. For details, see Selecting Points and Control Points.
  4. Right-click on any of the selected points to display the Node Editing menu.
  5. Click on the Delete Points option to delete the selected points.
    • You can also delete the points by moving the cursor over any of the selected points and then pressing the D key on your keyboard.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Smoothing Points

Changing the Start Point

Changing the Position of Points

Aligning Points


Changing the Start Point

The Start Point in a vector determines the point at which a tool enters the block of material when you are machining your model.

You can change the position of the Start Point in any vector. The green point within a selected vector is the Start Point.

To change the position of the Start Point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vector in which you want to change the position of its Start point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Move the cursor over the point that you want to set as the Start Point. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click on the Start Point option to make the selected point the Start Point. The point changes from black to green.
    • You can also change the position of the Start Point by moving the cursor over the point you want to set as the new Start Point and then pressing the P key on your keyboard.

Using a toolpath preview in the 2D View window, you can also set the position of the Start Point in any toolpath containing a profile pass. For further details, see Changing the Start Position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Position of Points

Aligning Points


Changing the Position of Points

You can change the position of any point (node) or control point within a selected vector.

To change the exact position of a point or control point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vector in which you want to change the position of a point or control point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Move the cursor over the point that you want to reposition. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click on the Properties option to display the Point Properties dialog box:

    Define the X and Y co-ordinates of the point's new position in the X coordinate and Y coordinate boxes.

  5. Click on the OK button to close the dialog box.

To change the approximate position of a point or control point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vector in which you want to change the position of a point or control point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click and drag on the point or control point into its new position. Release the mouse button to set its position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Start Point

Aligning Points


Aligning Points

You can align a selection of points (nodes) and/or control points within a selected vector in either the horizontal (X) or vertical (Y) axis.

To align a selection of points (nodes) and/or control points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vector containing the points you want to align. A bounding box surrounds the selected vector, within which you can see the spans, points (nodes) and control points that make up the selected vector.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Hold the Shift key down on your keyboard, and then click to select the points and/or control points you want to align with that selected last. For details, see Selecting Points and Control Points. The selected points and/or control points turn red.
  4. Right-click on any of the selected points and/or control points to display the Node Editing menu.
  5. Click on the Align Nodes option, followed by either the in X or the in Y option, depending on the axis with which you want to align the points and/or control points. By default, the point selected first is aligned with the point selected last, and a single horizontal (X) or vertical (Y) linear span replaces the intermediate points.
  • You can also align selected points and/or control points along the X-axis by pressing the X key on your keyboard, and along the Y-axis by pressing the Y key on your keyboard.
  • If you want to preserve all of the intermediate points (nodes) when aligning them with the X or Y axis, click to deselect the Align Nodes - replace with a single line option [image] on the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Deleting Vectors

You can delete a selected vector or group of vectors using any of the following methods:

  • First, hold the Shift key down on your keyboard and then click to select the vector that you want to delete. Next, right-click on any of the selected vectors to display the Vector Editing menu, and then click on the Delete option.
  • Select the vectors that you want to delete, and then press the Delete key on your keyboard. For details, see Selecting Vectors.
  • Select the vectors that you want to delete, and then press the Ctrl + X keys on your keyboard. For details, see Selecting Vectors.

If you try to delete any locked vectors, the following message box appears:

Click on the Yes button to close the message box and delete the selected vector(s). For further information, see Locking and Unlocking Vectors and Locking a Vector Layer.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Copying and Pasting Vectors

There are three buttons in the File area of the Assistant's Home page that you can use to copy, paste and cut vectors in a model.

Using the Block Copy / Rotate button [image] in the Vector Tools area of the Assistant's Home page, you can also create multiple copies of a vector in two regular patterns:

  • Block copy. For details, see Block Copy.
  • Rotate copy. For details, see Rotate Copy.

To copy, paste or cut a vector:

  1. Select the vector that you want to copy, paste or cut.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • If you click and drag around a vector and it has one or more overlaying copies, the selected vector turns red. To move an overlaying copy, hold down the Ctrl key on your keyboard and then click and drag the copy into its new position.
  2. In the File area of the Assistant's Home page, click on the appropriate button:
    • Click on the Cut button [image] to remove the selected vector and place it on the clipboard.
    • Click on the Copy button [image] to create a duplicate of the selected vector and place it on the clipboard.
    • Click on the Paste button [image] to copy the selected vector back from the clipboard into its original position.
    • If you click and drag around a vector that you want to select and it has one or more overlaying copies, the vector turns red.

      To move a pasted copy, move the cursor over the selected vector until it changes to a [image], and then click and drag into position.

    • You can also cut, copy or paste a selected vector by clicking on the Edit menu in the Main menu bar, followed by the appropriate option.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Block Copy

You can produce several copies of a selected vector in a grid format:

To create a block of copies in a grid format:

  1. Select the vector that you want to copy and paste. For details, see Selecting Vectors. By default, it appears as magenta and is surrounded by a bounding box.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Block Copy / Rotate button [image] in the Vector Tools area of the Assistant's Home page to display the Block and Rotate Copy page.
  3. Click on the Block Copy radio button [image] to display the settings on the page.
  4. Select the method you want to use to set the distance between each copy within the block:
    • The Distances are offsets option allows you to set the distance at which each copy of a vector will be created from the bottom left corner of the previous copy in the block. The overall distance between each copy equates to the height or width of the vector plus the gap. The Distances are offsets radio button [image] is selected by default.

    • Click on the Distances are gaps option allows you to set the distance and direction at which each copy of a vector will be created from any of the four edges of the previous copy in the block. The overall distance between each copy equates to the defined gap. Click on the Distances are gaps radio button [image] to display its settings.

      If you have selected the Distances are offsets option:

    • First, define the distance you want to set between each copy along the X-axis in the X Offset box.
    • Next, define the distance you want to set between each copy along the Y-axis in the Y Offset box.

      You can set the offset distance between each copy using a positive or negative value. To create a block of copies to the right of and above the selected vector, define positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected vector, define negative values in the offset boxes e.g. -90.

    • Finally, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.

      If you have selected the Distances are gaps option:

    • First, define the width of the gap between each subsequent copy of the selected vector along the X-axis in the X Copy box.
    • Next, define the width of the gap between each subsequent copy of the selected vector along the Y-axis in the Y Copy box.
    • Now, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.
    • Finally, set the direction in which you want to create the block of copies:

      The Copy From Left To Right button [image] allows you to copy the selected vector to the right along the X-axis.

      The Copy From Right To Left button [image] allows you to copy the selected vector to the left along the X-axis.

    • You can toggle between the Copy From Left To Right and Copy From Right To Left direction by clicking on whichever button is currently displayed.

      The Copy From Bottom To Top button [image] allows you to copy the selected vector upwards along the Y-axis.

      The Copy From Top To Bottom [image] allows you to copy the selected vector downwards along the Y-axis.

    • You can toggle between the Copy From Bottom To Top and Copy From Top To Bottom direction by clicking on whichever button is currently displayed.
  5. Click on the Apply button to create the new block of vectors.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Copying and Pasting Vectors

Rotate Copy


Rotate Copy

You can produce several copies of a selected vector in a circular pattern by defining a rotation centre:

To create multiple copies in a circular pattern:

  1. Select the vector that you want to copy and paste. For details, see Selecting Vectors. By default, it appears as magenta and is surrounded by a bounding box.
  2. Click on the Block Copy / Rotate button [image] in the Vector Tools area of the Assistant's Home page to display the Block and Rotate Copy page.
  3. Click on the Rotate Copy radio button [image] to display the settings on the page.
  4. Define the point around which you want to rotate the selected vector. You can either:
    • Define the X and Y co-ordinates of the origin of rotation in the Rotation Centre X and Rotation Centre Y boxes.
    • Click to select the Pick Centre with Mouse option [image]. Move the [image] cursor over the point in the model (white area) that you want to use as the origin of rotation, and then click to select. Its co-ordinates appear in the Rotation Centre X and Rotation Centre Y boxes.
  5. Define how each of the copies are rotated by clicking on either of the Angle radio buttons [image]:
    • Incremental - To rotate each subsequent copy of the selected vector by a specified angle.
    • Total - To rotate each copy of the selected vector evenly within a specified angle.
  6. Define the angle of rotation in the degrees box:
    • Type a positive value to rotate the vector clockwise.
    • Type a negative value to rotate the vector anti-clockwise.
  7. Define the number of copies you want to create in the Number of Objects box.
  8. Click on the Apply button to create the new circular pattern of vectors.
  9. Click on the Close button to return to the Assistant's Home page.

See Also

Copying and Pasting Vectors

Block Copy


Offsetting Vectors

You can create an offset vector from any of the vectors already drawn in your model.

To create an offset vector from a vector:

  1. Select the vector from which you want to create an offset vector. For details, see Selecting Vectors.
  2. Click on the Offset Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Offset Vector(s) page.
    • You can also display the Offset Vector(s) page from the Main menu bar by clicking on the Vectors menu, followed by the Offset… option.
  3. Define the distance between the selected vector and the offset vector in the Offset Distance box.
  4. Click to select one of the Offset Direction radio buttons [image] to set the position of the offset vector:
    • Select Outwards/Right if you want the offset vector to be drawn outside of the selected vector if it is closed, or to the right of the Start Point, looking down the selected vector if it is open.
    • Select Inwards/Left if you want the offset vector to be drawn within the selected vector if it is closed, or to the left of the Start Point, looking down the selected vector if it is open.
    • Select Both Sides (Ridge) if you want two offset vectors to be drawn. One inside and another outside of the selected vector if it is closed, or on either side of the Start Point, looking down the selected vector if it is open.
  5. Click to select one of the Offset Corners radio buttons [image] to set the shape of the corners in the offset vector:
    • Select the Radiused option if you want the corners of the offset vector to appear as arcs with a radius equal to the Offset Distance.
    • Select the Chamfered option if you want the corners of the offset vector to appear as chamfers.
    • Select the Sharp option if you want the corners of the offset vector to appear as sharp points.

      If you select the Sharp option, define the maximum offset distance before a chamfer is applied to a sharp corner in the Max. Sharp Offset Distance box.

      The value you define should represent a percentage of the overall Offset Distance. For example, if the Offset Distance is 4 mm and the Max. Sharp Offset Distance is set to 50%, a chamfer is applied to the offset corners at 6 mm (4 + 50% of 4 = 6).

  6. If you want to replace the original vector with the offset vector, click to select the Delete original vectors option [image].
  7. Click on the Offset button to draw the offset vector.

    A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the position of the offset vector(s):

    You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

  8. Click on the Close button to return to the Assistant's Home page.

You can also display the Offset Vector(s) page in the Assistant window if you:

  1. Select the vector from which you want to create an offset vector. For details, see Selecting Vectors.
  2. From the Main menu bar, click on the Vectors > Offset... menu ption.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Splining Vectors

You can take a selection of points (nodes) within a selected vector and convert their adjoining linear or arc spans into a single bezier curve span. This process is referred to as 'splining'. For further information on spans, see Editing Vector Spans. The vector must be ungrouped.

In the following example, you can see vector artwork in the shape of a shark made up entirely of linear spans. When the linear spans between a selection of four points (nodes) along the top of the vector artwork are splined, you can see the its shape changes considerably:

Before…

After…

To spline a vector, or selection of points (nodes) within a vector:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the ungrouped vector that you want to spline. A bounding box surrounds it, within which you can see the spans, points and control points that make up the selected vector.
  3. Click on the Spline Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Smooth Vectors page.
    • You can also display the Spline Vectors page from the Main menu bar by clicking on the Vectors > Spline Vectors… option.
  4. If you only want to spline specific spans within the selected vector, click to select the points and/or control points to which these spans are attached. The selected points turn red. For details, see Selecting Points and Control Points.

    In the Selected Vectors Information area, ArtCAM Pro displays the total number of spans and points (including control points) within the selection, and the number of linear, arc and bezier spans that make up the total.

    If you only want convert spans to bezier spans that are within a specific tolerance, define the maximum distance the point (node) can be from the selected span in the Tolerance box.

  5. If you want to keep all linear spans within the current selection equal to or greater than a specific length, click on the Preserve Straight Spans option [image] and then define the length in the Keep lines longer than box.

    Otherwise, leave the default Ignore Straight Spans option [image] selected to replace all of the linear and arc spans within the current selection with bezier curve spans.

  6. Click on the Spline button to spline all selected spans

    The linear and/or arc spans joined to the selected points are converted to bezier spans. ArtCAM Pro displays the new total number of spans and points (including control points) within the selection, and the new number of linear, arc and bezier spans that make up the total.

  7. Click on the Close button to return to the Assistant's Home page.

You can also display the Spline Vectors page in the following way:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector that you want to spline. A bounding box surrounds it, within which you can see the spans, points and control points that make up the selected vector.
  3. Select the points (nodes) and/or control points to which the spans in the vector you want to spline are attached. For details, see Selecting Points and Control Points.
    • You can also display the Spline Vectors page from the Main menu bar by clicking on the Vectors > Spline Vectors… option.
  4. Right-click on any of the selected points to display the Node Editing menu, and then click on the Spline Vectors… option to display the Spline Vectors page.

    In the Selected Vectors Information area, ArtCAM Pro displays the total number of spans and points (including control points) within the selection, and the number of linear, arc and bezier spans that make up the total.

  5. If you only want convert spans to bezier spans that are within a specific tolerance, define the maximum distance the point (node) can be from the selected span in the Tolerance box.
  6. If you want to keep all linear spans within the current selection equal to or greater than a specific length, click on the Preserve Straight Spans option [image] and then define the length in the Keep lines longer than box.

    Otherwise, leave the default Ignore Straight Spans option [image] selected to replace all of the linear and arc spans within the current selection with bezier curve spans.

  7. Click on the Spline button to spline all selected spans.

    The linear and/or arc spans joined to the selected points are converted to bezier spans. ArtCAM Pro displays the new total number of spans and points (including control points) within the selection, and the new number of linear, arc and bezier spans that make up the total.

  8. Click on the Close button to return to the Assistant's Home page.

You can also display the Spline Vectors page in the following way:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector that you want to spline. A bounding box surrounds it, within which you can see the spans, points and control points that make up the selected vector.
  3. Select the points (nodes) and/or control points to which the spans in the vector you want to spline are attached. For details, see Selecting Points and Control Points.
  4. Right-click on any of the selected points to display the Node Editing menu, and then click on the Spline Vectors… option to display the Spline Vectors page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Restoring the Original Shape of a Splined Vector

You can undo the splining applied to a vector, allowing you to restore its original shape, using either of the following methods:

  • From the Main menu bar, click on the Edit menu, followed by the Undo Spline Vectors option.
  • Press the Ctrl + Z keys on your keyboard.

See Also

Splining Vectors


Filleting Vectors

A fillet is an arc, which is made up of two points (nodes) and a control point. ArtCAM Pro allows you to define and subsequently edit the radius of the fillet arc that you create.

You can close an open vector with a fillet, or by joining the two points at the junction. In the latter instance, ArtCAM Pro extends the spans connected to the two points.

  • Not all open vectors can be closed with a fillet. For practical results, a vector should contain at least three points (nodes) and have sufficient space to fit the fillet arc.

You can also convert a sharp corner within a vector into a filleted, or rounded, corner.

To convert a sharp corner into a filleted corner:

  1. Select the vector in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
    • You can also display the Fillet Tool page by pressing the C key on your keyboard when a vector is selected.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the filleted corner you want to insert in the Fillet Radius box.
  5. Move the cursor over the point (node) in the selected vector, and then click to insert the fillet. The existing point is converted into two points and a control point.

    Before…

    After…
  6. Click on the Close button to return to the Assistant's Home page.

You can also convert a sharp corner into a filleted corner if you:

  1. Select the vector in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area Assistant's Home page to display the Fillet Tool page.
    • You can also display the Fillet Tool page from the Main menu bar by clicking on the Vectors > Fillet… option.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the filleted corner you want to insert in the Fillet Radius box.
  5. Click on a span on either side of a point (node) or intersection in the selected vector. The [image] icon appears on the selected span.
  6. Click on the span opposite to that already selected to insert the fillet. The existing point or intersection is converted into two points and a control point.

    Before…

    After…
    • If the radius of the fillet is too large or the selected spans are not parallel, a warning message appears on the page in red text. This message disappears within a few seconds.
  7. Click on the Close button to return to the Assistant's Home page.

To close an open vector with extended spans:

  1. Select the vector in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Extend/Trim Line to Intersection radio button [image].
  4. Click to select the first point (node) in the junction of the open vector. The [image] icon appears around the selected point.
  5. Click to select the second point in the junction. ArtCAM Pro joins the two points, extending their connecting spans whilst doing so.

    Before…

    After…
  6. Click on the Close button to return to the Assistant's Home page.

To close an open vector with a fillet:

  1. Select the vector that you want to close with a fillet. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the fillet with which you want to close the vector in the Fillet Radius box. The wider the radius, the shorter the extended spans.
  5. Click to select the first point in the junction of the open vector. The [image] icon appears around the selected point.
  6. Click to select the second point in the junction. ArtCAM Pro joins the two points with a fillet, extending their adjoining spans whilst doing so.

    Before…

    After…
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing a Fillet

You can alter the radius of a fillet after it has been created:

  1. Select the vector containing the fillet that you want to edit. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the new radius of the fillet in the Fillet Radius box.
  5. Click on the control point between the two points in the fillet to alter its radius.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Filleting Vectors


Trimming Vectors

You can control exactly which part of any number of overlapping vectors you want to remove.

To trim two or more ungrouped overlapping vectors:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vectors that you want to trim. The vectors turn magenta and a bounding box surrounds them.
  3. Click on the Trim Vector To Intersections button [image] in the Vector Tools area of the Assistant's Home page to display the Trim Tool page.
    • You can also display the Trim Tool page from the Main menu bar by clicking on the Vectors > Trim… option.
  4. If you want to create a copy of the original vector you are trimming, click to select the Keep Original option [image]. The copy is overlaying the original vector.
  5. Move the [image] cursor over a span within the area in which the vectors overlap. When the cursor changes to [image], click to delete the span.

    ArtCAM Pro creates a point (node) at each place where the vector that you are trimming intersects with the overlapping vector.

    The next available intersection point (node) in the trimmed vector's original direction of geometry becomes its start point.

To trim two or more grouped overlapping vectors:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the grouped vectors that you want to trim. The grouped vectors turn purple and a bounding box surrounds them.
  3. Click on the Trim Vector To Intersections button [image] in the Vector Tools area of the Assistant's Home page to display the Trim Tool page.
  4. Click on the Explode Selection button. ArtCAM Pro ungroups the vectors and then converts the spans between every two points (nodes) within them into individual vectors.
  5. Move the [image] cursor over a span that you want to remove. When the cursor changes to [image], click to delete the span.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Wrapping Vectors to a Relief

You can wrap vectors across the surface of a relief. After being wrapped, the selected vector is restructured in the 2D View window. You can apply a three-dimensional shape to the restructured vector, and then combine this with the existing relief. This allows you to maintain the surface area of the original vector in the relief.

To wrap a vector to a relief:

  1. Select the vector that you want to wrap across the relief surface. For details, see Selecting Vectors.
  2. Click on the Wrap Vectors To Relief button [image] in the Vector Tools area of the Assistant's Home page to display the Wrap Vectors To Relief page.
  3. In the Wrap Mode area, click to select the wrapping method that you want to use:
    • Radial - This option allows you to wrap the clipart relief around a spherical shape, curved around the X and Y-axes.
    • Cylindrical Wrap in X - This option allows you to wrap the clipart relief around a cylindrical shape that is curved around the X-axis.
    • Cylindrical Wrap in Y - This option allows you to wrap the clipart relief around a cylindrical shape that is curved around the Y-axis.
  4. In the Wrap Origin area, define the origin around which the selected vector will be wrapped. You can use any of the following methods:
    • Click on any of radio buttons [image] on the rectangle diagram. The X and Y co-ordinates of the chosen origin appear in the X and Y boxes.
    • Type the X and Y co-ordinates of the origin in the X and Y boxes.
    • Click on the Use Mouse option [image], followed by the Start button. Move the cursor to the position in the 2D View window that you want to use as the origin, and then click. The X and Y co-ordinates of the origin appear in the X and Y boxes.
  5. If you want to keep a copy of the selected vector in its original form, make sure that the Keep Original Vectors option is checked on [image].
  6. Click on the Wrap button to wrap the selected vector across the relief surface. ArtCAM Pro restructures the vector in the 2D View window.

    For example, the vector text wrapped is wrapped around the X-axis of a bottle-shaped relief. ArtCAM Pro restructures the vector text. A plane with a start height of 1 mm is applied to the wrapped text and added to the relief. The surface area of the vector text is maintained, unlike when it has been projected, as shown below:

    Projected Vector Text…

    Projected Vector Text Combined with Relief…

    Vector Text Wrapped in X…

    Wrapped Vector Text Combined with Relief…
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Locking and Unlocking Vectors

You can prevent a vector from being moved to a different position in your model by locking it.

To lock a vector in its current position:

  1. Select the vector that you want to lock into position. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, then select the Lock Vector(s) option. The selected vector turns green. When deselected it appears as grey.

If you want to move any vector that has previously been locked into position:

  1. Select the locked vector that you want to move. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, then select the Unlock Vector(s) option.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Fitting Arcs to Vectors

You can automatically replace all of a selected vector's bezier curve spans with a series of arc spans whilst maintaining its original shape.

To do so:

  1. Select the vector whose bezier curves you want to convert to arcs. For details, see Selecting Vectors.
  2. Click on the Arc Fit Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Fit Arcs To Vectors page.
    • You can also display the Fit Arcs To Vectors page from the Main menu bar by clicking on the Vectors > Fit Arcs to Vectors… option.

      The number of spans (linear, bezier curve and arc) points and control points for the vector is displayed in the Selected Vectors Information area.

    • The points and control points in a selected vector are grouped together under Points in the Selected Vectors Information area of the page.
  3. Define how closely you want the arc spans to follow the original shape of the bezier curve spans in the Tolerance box.
  4. Click on the Fit Arcs button to convert all bezier curve spans to arc spans. The new span, point and control point details are shown in the Selected Vectors Information area.
    • If a bezier curve span in the selected vector has no curvature, it is automatically converted to a linear span.
  5. Click on the Close button to return to the Assistant's Home page.
    • If a bezier curve span in the selected vector has no curvature, it is automatically converted to a linear span.

New points and control points appear on the selected vector. These can be used to manipulate the shape of the vector further. For details, see Editing Vector Spans and Editing Vector Nodes.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Nesting Vectors

If you have an area of material that cannot contain a block of vector text as it is normally written, or a group of vectors, you need not treat it as waste material.

Rather than creating the space to fit the vector text or group of objects in the conventional sense, you can manipulate them to fit into what space is available.

Using the Nest Selected Vectors button [image] in the Vector Tools area of the Assistant's Home page, you can be as economical as possible with your material.

You can nest vectors within another vector or the model area (the white area). If you are nesting vectors within another, you must create a closed vector that represents the shape of material you have available in which to machine. You can use the tools in the Vector Tools area to define its shape. For example, if you have an odd shape of material available in which you want to nest vector text, use the Create Polyline tool to reproduce its outline. For details, see Creating a Polyline.

For example, consider the vector text nesting vectors before and after it has been nested inside the model area:

Before…

After…

To nest vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click on the Nest Selected Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Nesting page.
    • You can also display the Nesting page from the Main menu bar, by clicking on the Vectors > Nest Vectors option.
  3. If the current ArtCAM model area (the white area) does not represent the piece of material in which you want to nest objects:
    • First, draw and select the vector representing the piece of material you have available to machine
    • Next, hold down the Shift key down on your keyboard and click to select all of the vectors that you want to nest within the selected vector.

      By default, selected vectors are always nested within the vector you select first from the 2D View window.

      If the model area (the white area) shown in the 2D View is representative of your exact material dimensions:

    • Click to select the Model is Sheet option [image].
    • Select all of the vectors that you want to nest within the model area.

      In the following example, the model area represents our material. We can see that all of the vectors we want to nest within the model area are selected:

  4. Define the diameter of the cutting tool that you are using to machine the nested vectors in the Diameter (D) box.
  5. Define the amount of additional material that you want to surround each of the nested vectors in the Tool Clearance (C) box.
  6. If you want to allow the selected vectors to be rotated during the nesting process, click to select the Allow Part Rotation option [image] and then define the increment by which you want ArtCAM Pro to rotate the vectors in the Step Angle (A) box.

    For example, if the Step Angle (A) is defined as 90°, ArtCAM Pro attempts to nest the vectors, rotating them by 0°, 90°, 180° and 270° in sequence.

    This and the remaining options on the page provide ArtCAM Pro with flexibility when fitting vectors into the available space.

  7. If you want to allow the selected vectors to be nested inside of those vectors within the selection that have a central cavity, click to select the Allow Parts in Parts option [image].

    In the example shown, the letter a is nested within the central cavity of the letter O:

  8. Click to select one of the following options from the Nest From list box:
    • Bottom Left - To nest the selected vectors from the bottom-left corner of the model area.
    • Bottom Right - To nest the selected vectors from the bottom-right corner of the model area.
    • Top Left - To nest the selected vectors from the top-left corner of the model area.
    • Top Right - To nest the selected vectors from the top-right corner of the model area.
  9. Click on the Nest Direction list box, and then on the axis along which you want to nest the selected vectors. The X-axis is selected by default.
  10. Define how closely you want the cutting tool to maintain the shape of the nested vectors in the Curve Tolerance box.
  11. If you want to nest a block of vector text or a group of vectors exactly as it is shown in the 2D View window, click to select the Don't nest inner vectors (preserve groups) option [image].
  12. If you want to create a vector in the shape of the disposable material that remains after the selected vectors have been nested, click to select the Create Leftover Material Vector option [image].
  13. If you want to nest multiple copies of each of the selected vectors, click to select the Nest Multiple Copies option [image] and then define the number of copies that you want to create in the box below.
  14. If you want to limit the number of sheets of nested vectors according to the amount of material that you have available, define the number of sheets in the Maximum No. Sheets box.
    • If you limit the number of sheets, ArtCAM Pro may not nest all of the selected vector artwork. If ArtCAM Pro is unable to nest all of the selected vectors, a message box is displayed which provides details of how many of the selected vectors have and have not been nested. All of the vector artwork that has not been nested remains associated with the Default Sheet and is shown in its original position.
  15. If you want to group the vectors contained on each sheet, click to select the Group Nested Vectors option [image].
  16. Click on the Nest button to nest the selected vectors onto sheets.

    A progress bar appears beneath the 2D View window indicating the progress made in calculating the final position of the nested vectors:

    The calculation time depends on the nesting options you have selected: the fewer the options you have selected, the faster the nesting process. You can click on the Cancel button [image] at any time to stop the nesting process.

    The arrangement of the rows and columns of sheets shown in the 2D View window will vary according to the most economical use of the available workspace.

    In our example, we have allowed for part rotation using a step angle of 45 degrees only. The default sheet and the four sheets of nested vectors are arranged as shown:

    Each sheet of nested vectors is listed in the list box shown in the Vectors area of the Layers Manager. You can control which sheet of nested vectors is active in the 2D View window by clicking to select the name of the specific Sheet you want to view from the list box. Only one sheet can be active at any given time, although it is possible to preview the contents of all sheets simultaneously. You can only edit the vector artwork on the active sheet.

    In our example, the sheets are listed as shown with Sheet1 selected as the active layer:

    All identical sheets of nested vectors are merged into a single sheet. For example, if three sheets of nested vectors were found to be identical during the nesting process, all of them would be merged into a single sheet named Sheet 1 (3 Copies).

    During the manufacturing process, you need only create the necessary toolpath(s) using this single sheet and machine it three times to machine the required number of pieces.

  17. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Distorting Vectors

You can distort the shape of any selected vector or vector text drawn within a model. When working in envelope distortion mode, ArtCAM Pro converts the four sides of the bounding box that surrounds a selected vector into bezier spans. Moving the nodes and control points that make up the distortion envelope around the selected vector allows you to manipulate its original shape. This in turn allows you to add perspective to your vector artwork. You can also move, resize, rotate or shear the distortion envelope, which allows you to restructure your vector artwork easily.

To distort the shape of a vector or text:

  1. Select the vector that you want to distort. For details, see Selecting Vectors.
  2. Click on the Envelope Distortion button [image] in the Vector Tools area of the Assistant's Home page to display the Envelope Distortion page. The four sides of the bounding box surrounding the selected vector change to bezier spans. The gridlines drawn within these spans indicate that you are now in envelope distortion mode.

    For example, a block of vector text appears as follows whilst working in envelope distortion mode:

  3. In the Editing Mode area, select the mode you want to use to manipulate the distortion envelope:
    • Click on the Edit Distortion Envelope Nodes button [image] if you want to adjust the shape of the distortion envelope. For details, see Editing Vector Spans and Editing Vector Nodes.
    • Click on the Transform Envelope button [image] if you want to move, resize, rotate or shear the distortion envelope. For details, see Transforming Vectors.
  4. If you want to use either one or two curved vectors selected from the 2D View window to control the dimensions and position of a new distortion envelope which can be used to manipulate copies of the distorted vector, click to select the Use existing curve(s) option [image] to display its settings.

    If you want to use a single curved vector:

    • First, click to select the Wrap along single curve radio button [image]. This option is selected by default. The Wrap between 2 curves settings are greyed-out.
    • Next, click to select the curved vector that you want to use from the 2D View window, and then click on the Select Curve… button. For details, see Selecting Vectors.

      An arrow appears on the selected vector indicating the direction in which the distorted vector will be pasted along it. The Start Point is shown in green.

      For example, you might use a polyline something like that shown in the following image:

    • Finally, click on the list box and then on the option that you want to use to control the position of the distortion envelope relative to the selected vector:

      Left - Click to select this option if you want to position the distortion envelope to the left of the selected vector's Start Point, looking down the vector.

      Right - Click to select this option if you want to position the distortion envelope to the right of the selected vector's Start Point, looking down the vector.

      Centred - Click to select this option if you want to position the centre of the distortion envelope along the selected vector.

      If you want to specify the width of the distortion envelope, click to select the specify envelope width option [image] and then define its width in the Width box. Its length is always equal to that of the selected vector.

      If you want to use two curved vectors:

    • First, click to select the Wrap between 2 curves radio button [image]. The Wrap along single curve settings are greyed-out.
    • Next, click to select the curved vector shown in the 2D View that you want to use as the top edge of the distortion envelope, and then click on the Select Top Curve… button.

      An arrow appears on the selected vector indicating the direction in which the distorted vector will be positioned along it. The Start Point is shown in green.

    • Finally, click to select the curved vector shown in the 2D View that you want to use as the bottom edge of the distortion envelope, and then click on the Select Bottom Curve… button.

      An arrow appears on the selected vector indicating the direction in which the distorted vector will be positioned along it. The Start Point is shown in green.

  5. In the Number of Copies area, define the number of copies of the distorted vector that you want to create:
    • If you want to stretch the distorted vector along the length of the selected vector(s), click to select the One - Stretch to Fit radio button [image].
    • If you want ArtCAM Pro to calculate the optimum number of copies of the distorted vector that should be created along the selected vector(s), click to select the Many - Best Fit radio button [image].
    • If you want to create a specific number of copies of the distorted vector along the selected vector(s), click to select the Many - Specific number of copies radio button [image] and then define the number of copies in the Copies box.
  6. Click on the Apply button to position the distortion envelope about the selected curved vector(s). The distortion envelope is divided into sections equal to the number of copies of the distorted vector you want to create.
  7. Click on the Paste button to confirm the vector's new shape.

    If you do not want to paste the distorted vector, click on the Cancel button.

    In our example, the block of vector text appears as follows after manipulating the distortion envelope:

  8. Click on the Finish button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing Distorted Vectors

You can edit the distortion that you have applied to a vector or vector text.

To continue distorting a vector to which distortion settings have already been applied:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Move the cursor over the distorted vector, and then use either of the following methods to display the Envelope Distortion page in the Assistant window:
    • Right-click to display the Vector Editing menu, and then click on the Edit Envelope Distortion option.
    • Press the E key on your keyboard.
  3. In the Editing Mode area, select the mode you want to use to manipulate the distortion envelope:
    • Click on the Edit Distortion Envelope Nodes button [image] if you want to adjust the shape of the distortion envelope. For details, see Editing Vector Spans and Editing Vector Nodes.
    • Click on the Transform Envelope button [image] if you want to move, resize, rotate or shear the distortion envelope. For details, see Transforming Vectors.
  4. Click on the Paste button to confirm the vector's new shape.
  5. Click on the Finish button to return to the Assistant's Home page.

See Also

Distorting Vectors


Pasting Vectors Along a Curve

You can paste copies of a selected vector along another curved vector within a model.

To do so:

  1. Hold down the Shift key on your keyboard, and then click on the vector that you want to copy, followed by the curved vector that you want to paste copies along. For details, see Selecting Vectors.
  2. Click on the Paste Along A Curve button [image] in the Vector Tools area of the Assistant's Home page to display the Paste Along A Curve page.
    • You can also display the Paste Along A Curve page from the Main menu bar by clicking on the Vectors > Paste Vector(s) on Curve… option.
  3. Select the pasting method that you want to use:
    • Click on the Specify Number radio button [image], and then define the number of copies you want to create in the Number of Copies box.
    • Click on the Specify Distance radio button [image], then set the distance between each of the copies in the Distance Between Copies box.
  4. If you want to make the spacing between the copies even, click to select the Make Spacing Even option [image].
  5. Click on the Paste button to produce the copies along the selected curved vector.

    For example, the following image shows five copies of a star shaped vector pasted evenly along a curved vector:

  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Converting Vectors

You can convert all or a selection of vectors to either circles or rectangles of a defined size.

If you are converting a grouped selection of vectors, each group is converted to a single shape. If you are converting an ungrouped selection of vectors, each individual vector is converted to an individual shape.

To convert a selection of vectors to either circles or rectangles:

  1. Select the vectors that you want to convert to either circles or rectangles. For details, see Selecting Vectors.
  2. From the Main menu bar, click on the Vectors > Convert To… option to display the Convert To Shapes page.
  3. If you want to convert the selected vectors to circles:
    • In the To Circles area, select either of the available conversion methods:

      Click on the From Original radio button [image] if you want to convert the selected vectors to circles of the same size as the original shape; or

      Click on the Specify radio button [image] if you want to convert the selected vectors to circles with a diameter equal to that which you define in the Diameter box.

    • Next, click on the To Circles button to convert the selected vectors to circles.

      If you want to convert the selected vectors to rectangles:

    • In the To Rectangles area, select either of the available conversion methods:

      Click on the From Original radio button [image] to convert the selected vectors to rectangles of the same size as the original shape; or

      Click on the Specify radio button [image] to convert the selected vectors to convert the selected vectors to rectangles with dimensions equal to that which you define in the Height and Width boxes.

    • Next, click on the To Rectangles button to convert the selected vectors to rectangles.
  4. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Creating a Vector Border

Using the Vector Doctor


Creating a Vector Border

You can create a rectangular vector border around a selection of vectors. You can define the width of the border around the X and Y-axis.

You can edit the vector border as you would any other square or rectangle created in ArtCAM Pro. For details, see Editing a Square or Rectangle.

To create a rectangular vector border around a selection of vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. In the 2D View window, select the vectors around which you want to create a vector border.
  3. From the Main menu bar, click on the Vectors > Create Border… option to display the Create Border page.
  4. Define the width of the vector border in the Gap In X and Gap In Y boxes.
  5. Click on the Create Border button to create the vector border.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Using the Vector Doctor


Using the Vector Doctor

The Vector Doctor tool allows you to find common problems within vector artwork, often detrimental to the machining process, and then correct them. You can:

  • Identify all coincident points (nodes) in the vectors that make up the artwork, within a specified tolerance, so that they can be joined using the Join Vectors with Coincident Start or End Points tool. For details, see Identifying Coincident Points.
  • Identify all loops in self-intersecting vectors within the artwork less than a defined size, and then remove them. For details, see Loop Detection and Removal.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Wrapping Vectors to a Relief

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border


Identifying Coincident Points

You can instruct ArtCAM Pro to check for concurrent start or end points (nodes) in a selection of open vectors, within a defined distance of one another:

To identify the coincident points in your vector artwork:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click and drag around the vector artwork in the 2D View window, or an area within it, to select it. All grouped vectors within the selection turn purple; all ungrouped vectors turn magenta.
  3. Click on the Vector Doctor button [image] in the Vector Tools area of the Assistant's Home page to display the Vector Doctor page.
    • You can also display the Vector Doctor page from the Main menu bar by clicking on the Vectors > Vector Doctor… option.
  4. In the Identify Problems area, make sure that the Coincident Points option is selected [image].
  5. If you only want ArtCAM Pro to recognize points in the selected vector within a specific distance of one another as coincident, define the distance in the Tolerance box.
  6. Click on the Identify button. ArtCAM Pro marks all coincident points in the selected vector with the [image] icon.
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Vector Doctor

Loop Detection and Removal


Loop Detection and Removal

Looped self-intersections found within vector artwork intended for engraving often cause problems during the manufacturing process.

You can instruct ArtCAM Pro to identify all loops within a selection of vectors less than a defined size, inserts a point (node) at the bottom of the loop where the vectors self-intersect, and then trim away the loop.

For example, the 'g' character shown below includes a self-intersecting vector with a loop. You can see the difference in its shape after the loop has been removed:

Looped Vectors Before…

Looped Vectors After…

To remove the loop in self-intersecting vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Hold the Shift key down on your keyboard, and then click to select all self-intersecting vectors in the vector artwork shown in the 2D View window. A self-intersecting vector is shown in red. The selected vectors turn purple.
  3. Click on the Vector Doctor button [image] in the Vector Tools area of the Assistant's Home page to display the Vector Doctor page.
  4. In the Identify Problems area, make sure that the Vector Intersections option is selected [image].
  5. Click on the Identify button. ArtCAM Pro marks all intersections in the selected vector(s) with the [image] icon.
  6. If you want to clear all of these icons from the 2D View window, click on the Clear Markers button.
  7. In the Remove Vector Loops area, you can define the size of loops that you want ArtCAM Pro to ignore as a percentage of the overall size of the selected vector in the % Of Vector Area To Keep Loop box.

    For example, if your vector artwork contains a figure 8, it is likely that you will want to keep both of its loops. If the original vector has an area of 100 mm² and contains a loop of 1.5 mm², a value of 1% would mean that the loop would be converted into an independent vector. A value of 2%, however, would mean that the loop would be deleted.

  8. Type the name of the layer onto which you want to create the corrected vector(s) in the Layer Name box. If no layer is defined, ArtCAM Pro creates the corrected vector(s) on the active layer.
  9. If you want to keep a copy of the looped, self-intersecting vector(s), make sure that the Keep Originals option is selected [image].
  10. Click on the Remove Loops button to remove all loops in the selected vector(s).
  11. Click on the Close button to return to the Assistant's Home page.
  • You can also press the Ctrl + Alt + Shift + R keys on your keyboard to remove all loops in the selected vector(s).

See Also

Using the Vector Doctor

Identifying Coincident Points


Working with Vector Text

You can create and manipulate vector text using three tools in ArtCAM Pro. These are:

  • The Font Editor icon [image] on the Assistant's Getting Started page. For details, see Using the Font Editor.
  • The Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page. For details, see Creating Vector Text.
  • The Wrap Text Round a Curve button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. For details, see Wrapping Text Round a Curve.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Creating Vector Text

You can create vector text with ease. Creating vector text in ArtCAM Pro is similar to typing text in most word processing packages. You can type in glyph (closed vector) or single-stroke (open vector) fonts.

To create vector text:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Select the formatting for the text using the options on the Text Tool page. For details on the different options available, see Formatting Vector Text.
  3. Move the [image] cursor over to the 2D View window and click where in the model (the white area) you want to create the vector text. A text box appears in the 2D View window and the mouse cursor changes to [image].
  4. Type the vector text you want to create. It is useful to remember the following keystrokes when typing in vector text:
    • Press the Enter key on your keyboard to start a new line of vector text.
    • Press the Backspace key on your keyboard to delete the last character typed.
  5. Click on the Done button or press both the Ctrl + Enter keys to create the vector text and return to the Assistant's Home page.

    By default, the block of vector text is purple, indicating that the vectors that make up the text are grouped. A bounding box also surrounds the block:

  • You can move the block of vector text if you position the cursor over it, and then click and drag it into its new position.

See Also

Working with Vector Text

Selecting Vector Text

Editing Vector Text

Formatting Vector Text

Wrapping Text Round a Curve


Selecting Vector Text

You can select vector text whilst the Text Tool page is displayed using either of the following methods:

  • Click and drag over the character or block of vector text that you want to select; or
  • Hold the Shift key down on your keyboard, and then use the arrow keys on the keyboard to control your selection.

    The selected vector text is white and is highlighted in black:

  • If you have selected a block of vector text containing more than one style of font, script and/or size, the relative list boxes in the Style area are blank.

    When you have created the vector text, you can select it using the method described in Selecting Vectors.

See Also

Working with Vector Text

Creating Vector Text

Editing Vector Text

Formatting Vector Text

Wrapping Text Round a Curve


Editing Vector Text

Text editing refers to making changes in vector text, such as adding and deleting, or copying and pasting individual characters or blocks of vector text.

Using the editing buttons in the Style area, you can cut, copy and paste a selected character or block of vector text when the Text Tool page:

  • Click on the Cut button [image] to remove the selected vector text and place it on the clipboard.
  • Click on the Copy button [image] to create a duplicate of the selected vector text and place it on the clipboard.
  • Click on the Paste button [image] to place a copy of the vector text, overlaying any currently selected text.
  • If you copy a block of vector text that contains multiple fonts, when you use the Paste button [image] the vector text is written in the font currently selected on the Text Tool page.
  • A selected block of vector text that has already been transformed, e.g. sheared, appears as a default block whilst the Text Tool page is displayed. After closing the page, the transform is restored and any changes that you have made to the text are applied.

You can use either of the following methods to edit a selected character or block of vector text after it has been created:

  • Right-click on the block of vector text to display the Text Editing menu, and then click on the Edit Text Block option to display the Text Tool page.
  • Press the E key on your keyboard to display the Text Tool page.

You can also cut, copy and/or paste a block of vector text after it has been created using the editing buttons in the File area of the Assistant's Home page. For details, see Copying and Pasting Vectors.

You can add or delete characters when the Text Tool page is displayed in the Assistant window using your keyboard:

  • Use the character keys on your keyboard to add characters to the block of vector text.
  • Press the Backspace key on your keyboard to delete the last typed character.

You can delete a selected block of vector text when the Text Tool page is not displayed in the Assistant window using either of the following ways:

  • Move the cursor over the block of vector text, and then press the Delete key on your keyboard.
  • Right-click on the selected block of vector text to display the Vector Editing menu, and then click on the Delete option.

See Also

Working with Vector Text

Creating Vector Text

Selecting Vector Text

Formatting Vector Text

Wrapping Text Round a Curve


Formatting Vector Text

Text formatting refers to setting the way vector text looks using different fonts, bold or italic type, indents and alignments.

You can format a character or block of vector text both during and after its creation using the formatting buttons and the list boxes in the Style area of the Text Tool page.

You can use the formatting buttons as follows:

  • Click on the Toggle Vertical Text Flow button [image] to display vector text vertically, rather than horizontally.

    When the Toggle Vertical Text Flow button [image] is selected, the Kerning options are removed from the Text Tool page and the alignment buttons are adjusted.

  • Click on the Bold button [image] to make the vector text bold, or to remove the bold formatting.
  • Click on the Italic button [image] to make the vector text italic, or to remove the italic formatting.
  • Click on the Align Left button [image] to align the selected vector text to the left of the text box with a ragged right edge. This button affects selected vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the Align Top button [image] replaces the Align Left button [image], allowing you to align the vector text with the top of the text box with a ragged bottom edge.
  • Click on the Centred button [image] to place the selected vector text in the centre of the text box. This button affects vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the icon for the Centered button [image] is rotated [image].
  • Click on the Align Right button [image] to align the selected vector text to the right of the text box with a ragged left edge. This button affects selected vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the Align Bottom button [image] replaces the Align Right button [image], allowing you to align the vector text with the bottom of the text box with a ragged top edge.

To change the font you are using:

  • Click on the Font list box, and then click on the font required. In the Font list box, you can see a preview of the font style before it is selected.

    • You can type in glyph (closed-vector) or single-stoke (engraving) fonts. All single-stroke fonts and fonts created using the Font Editor are listed with an '(AFN)' prefix in the Font list box. For further information, see Using the Font Editor.

To change the size of the font you are using:

  • Define the font size in the Size box. You can also change the units of measurement by clicking on any of the three options in the list box to the right: points, mm, or inches.

You can also use the the [image] or [image] arrows beside the Size box to set the font size:

  • When points is selected, each click on the [image] arrow increases the font size by 3 points by default, while each click on the [image] arrow decreases the font size by 3 points.
  • When mm is selected, each click on the [image] arrow increases the font size by 1 mm by default, while each click on the [image] arrow decreases the font size by 1 mm.
  • When inches is selected, each click on the [image] arrow increases the font size by 0.04 inches by default, while each click on the [image] arrow decreases the font size by 0.04 inches.
  • You can set the default increments used on the Text Tool and Text on a Curve pages using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

To change the script you are using:

  • Click on the Script list box, and then on the required script.

To scale a character or block of vector text:

  • In the Resize area, define the percentage by which you want to scale the text as you type, or apply to the currently selected vector text, along the X and Y axes in the %(X) and %(Y) boxes.

    You can also use the the [image] or [image] arrows beside the %(X) and %(Y) boxes to set the percentage by which you want to scale the text as you type, or apply the currently selected text.

    For example, vector text set at 12 mm scaled to 75% in both the X-axis and 75% in Y-axis appears something like this:

To adjust the angle of a character or block of vector text:

  • Define the angle at which you want to type, or apply to the currently selected vector text, in the Angle box.
    • If you are typing in italics, the vector text will have an angle even if no value or a 0 is in the Angle box. You can use negative values to tilt the vector text in the opposite direction.

      You can also use the the [image] or [image] arrows beside the Angle box to set the angle at which you want to set the text as you type, or apply the currently selected text.

      For example, vector text with an angle of 45° appears something like this:

To rotate a character or block of vector text:

  • Define the angle at which you want to rotate the vector text as you type, or apply to the currently selected vector text, in the Rotation box. Each character is rotated around the centre of the area defined by its width, and both the ascent and descent of the current font.

    You can also use the the [image] or [image] arrows beside the Angle box to set the angle by which you want to rotate the text as you type, or apply the currently selected text.

    For example, vector text rotated at an angle of 18° appears something like this:

You can use either of the following methods to adjust the amount of white space on either side of a character in a block of vector text:

  • Define the distance you want to place between each character using the Character box.
  • Click and drag on the % of space slider to adjust the value in the Character box.

To adjust amount of white space between lines in a block of vector text:

  • Define the distance you want to place between each line in the Line box.

You can also use the the [image] or [image] arrows beside the Line box to set the distance between each line within a block of vector text.

Kerning, like Spacing, applies white space on either side of a character in a block of vector text. Kerning, however, considers the shape of the previous character in relation to the character that is being typed, and adjusts the distance between them so that their fit looks good.

To adjust the kerning between all the characters in a block of vector text:

  1. In the Kerning area, click on the Mode list box and select how you want to apply kerning to the vector text:
    • If you want ArtCAM Pro to automatically apply kerning to newly created or edited text, click on the Auto option.
    • If you want to manually apply kerning to a selected block of vector text, click on the Manual option.

      Define the amount of kerning that you want to apply to a selected block of vector text. To do so, you can either:

    • Define the amount of kerning in the Kerning box.
    • Click and drag on the % of space slider to adjust the value in the Kerning box.
  2. If you want to apply ArtCAM Pro's default kerning settings to a selected block of vector text, click on the Default Kerning button.

The Constraints area allows you to apply a bounding box to a block of vector text. By enclosing vector text in a bounding box, you can align its characters in different ways, and apply constraints to the text when typing. The alignment methods are as follows:

  • Click on the Align Top button [image] to align the vector text with the top of the bounding box.
  • Click on the Centered button [image] to position the vector text in the centre of the bounding box.
  • Click on the Align Bottom button [image] to align the vector text with the bottom of the bounding box.

You can control how the bounding box is used to constrain the vector text:

  1. Click on the Method list box, and then select any of the constraining methods:
    • If you are creating vector text within a selected vector, the vector will be used to constrain the vector text according to the method selected from the list box.
    • None - This option allows you to type according to the size of the vector text as defined in the Size box without using a bounding box.
    • Limit by Box - This option allows you to type vector text at the size defined in the Size box, until it reaches the edge of the bounding box. After reaching its edge, the vector text continues to reduce in size as you type, so that all characters can be contained within the bounding box.
    • Scale to Box - This option scales the vector text as you type, so that it fills as much of the area defined by the bounding box as possible.
  2. If you want to set the dimensions of the bounding box:
    • Define the width and height of the bounding box in the Width and Height boxes.
    • If you have applied a constraint setting to one or more characters in a block of vector text and the Constraints settings are not displayed on the page, these are displayed when the cursor moves over that character.

See Also

Working with Vector Text

Creating Vector Text

Selecting Vector Text

Editing Vector Text

Wrapping Text Round a Curve


Wrapping Text Round a Curve

ArtCAM Pro allows you to place vector text on or around any open or closed curved vector.

Before you wrap a block of vector text around a curve, you must draw both the curved vector shape and some vector text.

To wrap vector text around a curved vector:

  1. Select the curved vector around which you want to wrap vector text. For details, see Selecting Vectors.
  2. Hold down the Shift key on your keyboard, and then click to select the block of vector text you want to wrap. A bounding box surrounds the selected vectors.
  3. Click on the Wrap Text Round a Curve button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page.

    If you are attempting to wrap imported vector text created in another package, or vector text that is ungrouped, the following message box appears:

    If you want ArtCAM Pro to attempt to wrap the vector text, click on the Yes button. The message box closes.

    • Although you can wrap imported vector text created in another package, or an ungrouped block of vector text created in ArtCAM Pro around a curved vector, you cannot reposition whole words using the click and drag method detailed in this section. You can drag individual letters into position, and use the Text Settings options on the Text on a Curve page, but the results may not always be accurate and unwanted copies of the text may remain in your vector artwork.

      If you want to abort the wrapping of the text around the curve, click on the No button. The message box closes.

      If the vector text was created in ArtCAM Pro, you can now wrap the vector text around the curved vector.

  4. Click on the Select button to wrap the vector text around the selected vector. You can reposition the block of vector text using either of the following methods:
    • Click and drag the vector text along the curve.
    • Use the Text Settings on the Text on a Curve page. For details, see Using the Text Settings.

See Also

Working with Vector Text

Creating Vector Text

Selecting Vector Text

Editing Vector Text

Formatting Vector Text


Using the Text Settings

You can select the text's position, alignment and spacing using the options in the Text Settings area of the Text on a Curve page.

Text Position

You can position the vector text on a curve in several ways using the Text Position options as follows:

  • Click on the Above Line radio button [image] to position the vector text just above the curve:

  • Click on the Base Line radio button [image] to position the base of the vector text directly on the curve:

  • Click on the Centre On Ascent radio button [image] to position the ascending part of the characters in the vector text on the curve:

  • Click on the Centre On Strikeout radio button [image] to position the vector text so that the curve is used as strikeout through the middle of the vector text:

  • Click on the Below Line radio button [image] to position the vector text below the curve:

  • Click on the Specify radio button [image], and then set the distance of the vector text from the curve using the adjacent box. To view the vector text at the specified distance, click on the Update button.

    For example, defining a distance of -10 mm produces the following result:

To reverse the direction of the curved vector, click to select the Text on other side option [image].

Text on other side Off…

Text on other side On…
Text Alignment

You can align vector text to a curve either vertically or perpendicularly. When aligning text perpendicular to a curve, random characters can overlap one another making it extremely problematic to machine them. You can sweep text around a curve to avoid this problem altogether. You can also stretch vector text around the length of a curve.

When using the Text on a Curve tool, you can use any of the following Text Alignment options:

  • Vertical - Click on this radio button [image] to align the text vertical to the curve:

  • Align To Curve - Click on this radio button [image] to align the text perpendicular to the curve:

  • Sweep Around Curve - Click on this radio button [image] to sweep the text around the curve. ArtCAM Pro distorts the original shape of characters by fitting arcs around them and then offsetting them from one another:

    If we compare the word text when aligned and then when swept around a curve, we can see that the overlapping 't' and 'e' characters that occurs when aligning is avoided when the text is swept around the curve:

Align To Curve…

Sweep Around Curve…
  • If you want to stretch the characters within the block of vector text around the length of the curve, click to select the Stretch To Curve option [image]:

Text Spacing

You can set the distance between characters within a block of vector text using the Text Spacing slider.

Click the slider and drag to set the spacing. Drag to the right if you want to increase the spacing. Drag to the left to reduce it.

When you are satisfied with the spacing between the characters in the block of vector text, click on the OK button.

You can select what vector text you want to edit using the Editing Style options:

  • Whole Sentence - Click on the radio button [image] to move all text into position on the curve.
  • Single Words - Click on the radio button [image] to move a specific word into position on the curve.
    • Alternatively, you can hold down the Ctrl key on your keyboard and then click and drag a specific word into place.
  • Single Letters - Click on the radio button [image] to move a character into position on the curve.
    • Alternatively, you can hold down the Alt key on your keyboard and then click and drag a specific character into place.

See Also

Wrapping Text Round a Curve


Measuring Vectors

You can find out the size, position and angle of any vector as follows:

  1. Click on the Measure Tool button [image] in the Vector Tools area of the Assistant's Home page to display the Measure page.
    • You can also display the Measure page by clicking on the M key on your keyboard.
  2. Click on the position in the model from which you want to measure. This position is known as the Anchor Point.
  3. Drag the mouse to the position to which you want to measure and then click.

ArtCAM Pro calculates the measurement details in real time and displays them on the Measure page as you drag the cursor into position.

By default, the cursor snaps to specific positions on the vectors or guidelines that have been drawn. For further information, see Snapping to Objects.

  • To temporarily disable snapping, hold the Shift key down on your keyboard whilst dragging the cursor.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Transforming Vectors

You can transform a vector directly from the 2D View window, or when the Transform Vector(s) page is displayed in the Assistant window.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Using Transform Vectors Mode

To transform a vector directly from the 2D View window, you must work in Transform Vectors mode.

To transform a vector directly from the 2D View window:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Use either of the following methods to enter Transform Vectors mode:
    • Press the T key on your keyboard.
    • Hold the Ctrl key down on your keyboard, and then click on the selected vector until transform handles appear on the bounding box that surrounds it.

      The Transform Vector(s) button changes to [image]. Resizing handles, a rotation handle and shearing control points are displayed about the selected vector.

  • If you click outside of the bounding box that surrounds the selected vector once, ArtCAM Pro remains in Transform Vectors mode. If you click more than once, ArtCAM Pro returns to Select Vectors mode.

    When working in Transform Vectors mode, you can transform the selected vector in the following ways:

    • To move the vector, move the cursor over its centre, one of its spans or its bounding box, and then click and drag it into position.
  • Hold down the Ctrl key on your keyboard to keep a copy of the selected vector in its original position when moving it.
    • To adjust the size and shape of the vector, move the cursor over any of its resizing handles, and then click and drag.
  • Hold down the Shift key on your keyboard when scaling to preserve the ratio between the vector's width and height.
  • Hold down the Alt key on your keyboard when scaling to scale the selected vector about the centre of its bounding box.
    • To adjust the angle of the vector, click and drag the rotation handle joined to its centre of gravity.
    • To shear the vector vertically, move the cursor over the control point outside of the bottom edge of the bounding box, and then click and drag.
    • To shear the vector horizontally, move the cursor over the control point outside of the right edge of the bounding box, and then click and drag.
  • If you want to transform the selected vector about a defined origin and/or using specific values, press the T key on your keyboard again to display the Transform Vector(s) page in the Assistant window. For details, see Using the Transform Vector(s) Page.

See Also

Transforming Vectors

Using the Transform Vector(s) Page


Using the Transform Vector(s) Page

You can use the Transform Vector(s) page to transform a selected vector in a number of ways.

To display the Transform Vector(s) page:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page.
    • Alternatively, you can press the T key on your keyboard twice to display the Transform Vector(s) page.
    • You can also display the Transform Vector(s) page from the Main menu bar by clicking on the Vectors > Transform… option.
    • You can also display the Transform Vector(s) page if you right-click on the selected vector to display the Vector Editing menu, and then click on the Transform Vector(s)… option

The Transform Vector(s) page is divided into the following areas:

  • Position and Origin - This allows you to define the origin about which the selected vector is transformed. For details, see Defining the Transform Origin.
  • Size - This allows you to change the size of the selected vector. For details, see Scaling Vectors.
  • Rotate - This allows you to spin a selected vector around the model's X and Y-axes. For details, see Rotating Vectors.
  • Move - This allows you to move a selected vector along the X and Y-axis. For details, see Moving Vectors.
  • Shear - This enables you to shear a selected vector. For details, see Shearing Vectors.

See Also

Transforming Vectors

Using Transform Vectors Mode


Defining the Transform Origin

You can transform a selected vector relative to a defined origin using the Position and Origin area of the Transform Vector(s) page.

To define the origin by which you want to reposition, resize or rotate a selected vector:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. The co-ordinates in the X and Y boxes show the current position of the transform origin. Define the new origin about which you want to transform the selected vector in any of the following ways:
    • Click on any of the five radio buttons [image] on the rectangle diagram to set the origin to one of five pre-set positions. The co-ordinates of the selected position are displayed in the X and Y boxes.
    • Define the X and Y co-ordinates of the position you want to set as the origin in the X and Y boxes.
    • Click to select the Transform about (x,y) option [image]. The default X and Y boxes are greyed-out and new X and Y boxes are displayed on the page. The [image] icon appears in the 2D View window, marking the current position of the transform origin.

      To set the origin you can either define its X and Y co-ordinates in the X and Y boxes or move the [image] cursor to the position in the 2D View window that you want to use, and then click to select. In the latter instance, the co-ordinates of the selected position are displayed in the X and Y boxes.

  4. Click on the Apply button to define the transform origin. You can now transform the selected vector about this origin.

See Also

Using the Transform Vector(s) Page

Scaling Vectors

Rotating Vectors

Moving Vectors

Shearing Vectors


Scaling Vectors

You can change the size of a vector using the Size area of the Transform Vector(s) page in the following ways:

  • Using specific measurements.
  • Using the slider.
  • Using a percentage of its original size.

To change the size of a vector using specific measurements:

  1. Select the vector that you want to resize. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to resize the selected vector is correct. For details, see Defining the Transform Origin.
  4. If you want to preserve the ratio between the width and height of the selected vector, make sure that the Link Width and Height option is selected [image]. This option is selected by default.
  5. Define the width of the selected vector using the New Width box. If the Link Width and Height option is selected [image], the current value in the New Height box is adjusted. If the Link Width and Height option is deselected [image], you must define its height using the New Height box.
    • If you want to keep a copy of the selected vector in its original size, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when scaling.
    • Hold down the Shift key on your keyboard when scaling to preserve the ratio between the vector's width and height.
    • Hold down the Alt key on your keyboard when scaling to scale the selected vector about the centre of its bounding box.
  6. Click on the Apply button to resize the selected vector. The values shown in the New Width and New Height boxes are adjusted.
  7. Click on the OK button to return to the Assistant's Home page.

To change the size of a vector using the slider:

  1. Select the vector that you want to resize. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to resize the selected vector is correct. For details, see Defining the Transform Origin.
  4. If you want to preserve the ratio between the width and height of the selected vector, make sure that the Link Width and Height option is selected [image]. This option is selected by default.
    • If the Link Width and Height option is deselected [image], only the width of the selected vector can be adjusted using the slider.
    • If you want to keep a copy of the selected vector in its original size, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when scaling.
  5. Click and drag the slider in the appropriate direction:
    • Drag to the right if you want to increase the size of the selected vector.
    • Drag to the left if you want to reduce the size of the selected vector.
    • If you drag the slider without selecting the Link Width and Height option [image], only the value in the New Width box changes.

      A preview image of the new size of the selected vector appears in the 2D View window.

  6. Click on the Apply button to resize of the selected vector.
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Rotating Vectors

Moving Vectors

Shearing Vectors


Rotating Vectors

You can rotate a vector in two ways using the Rotate area of the Transform Vector(s) page:

  • Using a specific angle.
  • Using the slider.

To rotate a vector using a specific angle:

  1. Select the vector that you want to rotate. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to rotate the selected vector is correct. For details, see Defining the Transform Origin.
  4. Define the angle by which you want to rotate the selected vector in the Rotate box:
    • A positive value rotates the selected vector clockwise.
    • A negative value rotates the selected vector anti-clockwise.
    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when rotating.
  5. Click on the Apply button to rotate the selected vector by the defined angle.
  6. Click on the Close button to return to the Assistant's Home page.

To rotate a vector around the X and Y axes using the sliders:

  1. Select the vector that you want to rotate. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to rotate the selected vector is correct. For details, see Defining the Transform Origin.
  4. Click and drag the slider in the appropriate direction:
    • Drag to the right if you want to rotate the selected vector clockwise.
    • Drag to the left if you want to rotate the selected vector anti-clockwise.
    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when rotating.
  5. Click on the Apply button to rotate the selected vector by the angle shown in the Rotate box.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Moving Vectors

Shearing Vectors


Moving Vectors

You can reposition a vector in two ways using the Move area of the Transform Vector(s) page:

  • Using specific co-ordinates.
  • Using the sliders.

To move a vector to a specific position:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to move the selected vector is correct. For details, see Defining the Transform Origin.
  4. Define the co-ordinate to which you want to move the selected vector along the X-axis in the Move X box.

    A positive value moves the selected vector to the right, while a negative value moves it to the left.

    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when moving.
  5. Define the co-ordinate to which you want to move the selected vector along the Y-axis in the Move Y box.

    A positive value moves the selected vector upwards, while a negative value moves it downwards.

  6. Click on the Apply button to reposition the selected vector.
  7. Click on the Close button to return to the Assistant's Home page.

To move a vector along the X and Y axes using the sliders:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to move the selected vector is correct. For details, see Defining the Transform Origin.
  4. Click and drag the sliders in the appropriate direction:
    • Drag the Move X slider to the right if you want to move the selected vector to the right.
    • Drag the Move Y slider to the right if you want to move the selected vector upwards.
    • Drag the Move X slider to the left if you want to move the selected vector to the left.
    • Drag the Move Y slider to the left if you want to move the selected vector downwards.
  5. Click on the Apply button to reposition the selected vector.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Rotating Vectors

Shearing Vectors


Shearing Vectors

Shearing can be visualized by thinking of an image superimposed onto a flexible rubber sheet. If you hold the sides of the sheet and move them up and down in opposite directions, the image undergoes a spatial stretching known as shearing:

Before Shearing…

After Shearing in the X-axis…

You can shear a vector in two ways using the Shear area of the Transform Vector(s) page:

  • Using specific angles.
  • Using the sliders.

To shear a vector using specific angles:

  1. Select the vector that you want to shear. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Define the angle by which you want to shear the selected vector vertically in the Shear X box.
  4. Define the angle by which you want to shear the selected vector horizontally in the Shear Y box.
  5. Click on the Apply button to shear the selected vector.
  6. Click on the Close button to return to the Assistant's Home page.

To shear a vector along the X and Y axes using the sliders:

  1. Select the vector that you want to shear. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. To shear the vector vertically, click and drag the Shear X slider.
    • If you want to keep a copy of the selected vector in its original shape, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when shearing.

      If you want to shear the vector horizontally, click and drag the Shear Y slider.

  4. Click on the Apply button to shear the selected vector.
  5. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Rotating Vectors

Moving Vectors


Manipulating Vectors

There is a range of tools in both the Vector Tools and Position, Combine, Trim Vectors areas of the Assistant's Home page designed to assist you in manipulating vectors:

Vector Tools area with all toolsets expanded and pinned...

Hide Vector Tools Area Select Vectors Node Editing Pin/Unpin Vector Editing Mode Toolset Transform Vector(s) Create Rectangle Create Circles Create Polyline Create Ellipse Create Polygons Create Stars Create Arcs Pin/Unpin Vector Shapes Toolset Create Vector Text Flood Fill Vectors Vector To Bitmap Pin/Unpin Vector Bitmap Toolset Measure Tool Vector Doctor Pin/Unpin Colour Toolset Create Multiple Plates From File Data... Envelope Distortion Block Copy/Rotate Paste Along Curve Spline Vectors Arc Fit Vectors Fillet Vector With An Arc Trim Vector To Intersections Wrap Vectors Offset Vector(s) Mirror Vectors Import Vectors From A Vector Library

Position, Combine, Trim Vectors area with all toolsets expanded and pinned...

Hide Position, Combine, Trim Vectors Area Align Left Align Right Align Top Align Bottom Centre Horizontally Centre Vertically Centre Vector Centre In Page Pin/Unpin Position Vector Toolset Wrap Text Round A Curve Nest Selected Vectors Group Ungroup Pin/Unpin Vector Grouping Toolset Weld Vectors Instersect Vectors Subtract Vectors Trim Vectors Pin/Unpin Combine Vectors Toolset Join Vectors With A Line Join Vectors With A Curve Join Vectors By Moving Ends Close Vector With A Line Close Vector With A Curve Close Vector - Move End Points Join Vectors With Coincident Start Or End Points Pin/Unpin Close/Join Vectors Toolset Vector Clipping Slice Selected Vectors

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Mirroring Vectors

Using the Mirror Vectors page, you can reverse the direction of a vector from its original position.

To mirror a selection of vectors:

  1. Select the vectors that you want to mirror. For details, see Selecting Vectors.
  2. Click on the Mirror Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Mirror Vectors page.
  3. If you want to produce mirrored copies and keep the original position of the selected vectors, click to select the Copy the Original Vectors (Ctrl) option [image] or hold down the Ctrl key on your keyboard when mirroring.
  4. Click on any of the options listed in the Mirror Types area of the page to mirror the selected vector. For details, see Using the Mirroring Options.
  5. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Using the Mirroring Options

You can mirror a selected vector horizontally, vertically or about a line.

You can use the options in the Mirror Types area of the Mirror Vectors page to mirror a vector in the Horizontal plane in the following ways:

  • Left - This option mirrors the selected vectors in the horizontal plane about a point on the left edge of the selected vectors:

  • Centre - This option mirrors the selected vectors in the horizontal plane about a point in the centre of the selected vectors:

  • Right - This option mirrors all your selected vectors in the horizontal plane about a point on the right edge of the selected vectors:

  • Top - This option mirrors all your selected vectors in the horizontal plane about a point on the top edge of the selected vectors:

  • Centre - This option mirrors the selected vectors in the vertical plane about a point in the centre of the selected vectors:

  • Bottom - This option mirrors the selected vectors in the horizontal plane about a point on the bottom edge of the selected vectors:

You can also mirror a selected vector about an open vector, such as a polyline, using the About Line option on the page:

To mirror a vector about an open vector:

Select the open vector about which you want to mirror a vector. For details, see Selecting Vectors.

  1. Hold the Shift key down on your keyboard, and then click to select the vector that you want to mirror.
  2. Click on the Mirror Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Mirror Vectors page.
  3. Click on the About Line option on the Mirror Vectors page.
    • If you want to mirror the selected vector about the selected open vector and keep a copy in its original position, click to select the Copy the Original Vectors (Ctrl) option [image] or hold down the Ctrl key on your keyboard when mirroring.
  4. Click on the Close button to return to the Assistant's Home page.

See Also

Mirroring Vectors


Aligning Vectors

You can position two or more vectors relative to one another in different ways using the align buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

When you select the vectors that you want to position relative to one another, it is important to remember that every vector that you select will be aligned to the vector selected last. This is referred to as the base vector.

To align two or more vectors:

  1. Select the vectors that you want to position relative to one another. A bounding box surrounds all of the selected vectors.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the appropriate align button in the Position, Combine, Trim Vectors area of the Assistant's Home page to align all of the selected vectors relative to the base vector:
    • Click on the Align Left button [image] to align the left edge of all other selected vectors to the left edge of the base vector.
    • You can also align the left edge of all other selected vectors to the left edge of the base vector by pressing the Ctrl + ç keys on your keyboard.
    • Click on the Align Right button [image] to align the right edge of all other selected vectors to the right edge of the base vector.
    • You can also align the right edge of all other selected vectors to the right edge of the base vector by pressing the Ctrl + è keys on your keyboard.
    • Click on the Align Top button [image] to align the top edge of all other selected vectors to the top edge of the base vector.
    • You can also align the top edge of all other selected vectors to the top edge of the base vector by pressing the Ctrl + é keys on your keyboard.
    • Click on the Align Bottom button [image] to align the bottom edge of all other selected vectors to the bottom edge of the base vector.
    • You can also align the bottom edge of all other selected vectors to the bottom edge of the base vector by pressing the Ctrl + ê keys on your keyboard.
    • You can also align the selected vectors relative to the base vector using the Main menu bar. Click on the Vectors > Align Vectors option followed by the alignment option you want to use: Left, Right, Top or Bottom.

See Also

Manipulating Vectors

Mirroring Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Centring Vectors

You can centre one or more vectors inside of another in different ways using the centring buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

When selecting the vectors that you want to centre inside of another, it is important to remember that every vector you select will be centred inside of the vector selected last. This is referred to as the base vector.

To centre one or more vectors inside of another:

  1. Select two or more vectors that you want to position relative to one another.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the centring buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page to centre all of the selected vectors inside of the base vector:
    • Click on the Centre Vertically button [image] to align the centre of all other selected vectors to the centre in the X-axis of the base vector.
    • Click on the Centre Horizontally button [image] to align the centre of all other selected vectors to the centre in the Y-axis of the base vector.
    • Click on the Centre Vector button [image] to align the centre of all other selected vectors to the centre of the base vector.

      There is one additional centring button in the Position, Combine, Trim Vectors area of the Assistant's Home page, although it does not, unlike the other centring buttons, affect one vector relative to another:

    • Click on the Centre In Page button [image] to align the centre of the selected vectors to the centre of the model area (the white area).
    • You can also centre all of the selected vectors inside of the base vector using the Main menu bar, by clicking on the Vectors > Align Vectors option and then on the alignment option that you want to use: Horizontal Centre, Vertical Centre, Centre or Centre In Page.
    • You can also align the centre of the selected vectors with the centre of the model area (the white area) by pressing the F9 key on your keyboard.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Merging Vectors

You can merge two or more shapes of vectors in order to create a new shape of vector using the merging buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page. The newly merged vector is drawn on the currently active layer.

  • You can only merge two or more vectors if they are ungrouped and overlapping. For further information, see Ungrouped Vectors.

To merge two or more ungrouped vectors:

  1. Select the vectors that you want to merge.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the merging buttons in the Position, Combine, Trim Vectors area to merge the selected vectors:
    • You can also merge the selected vectors using the Main menu bar. Click on the Vectors > Merge Vectors option followed by the merging option you want to use: Weld, Intersect, Subtract or Trim.
    • Click on the Weld Vectors button [image] to take two or more vectors and create a new vector that is the outline of them when fused together:
    • The Weld Vectors button [image] is the only merging button in the Position, Combine, Trim Vectors area of the Assistant's Home page that you can use to merge more than two overlapping vectors.

Before…

After…
  • Click on the Intersect Vectors button [image] to take two vectors and create a new vector that is the shape of the area where they overlap:

Before…

After…
  • Click on the Subtract Vectors button [image] to produce a vector that is the shape of the area remaining when the vector selected last is subtracted from that which was selected first:

Before…

After…
  • Click on the Trim Vectors button [image] to combine two selected vectors in such a way that all that remains are the areas of the vectors which are not overlapping:

Before…

After…

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Joining Vectors

You can join two or more vectors to create one of four types of new shape using the joining buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page. The newly joined vector is drawn on the currently active layer.

  • The vectors must be open and ungrouped. For further information, see Selecting Vectors and Ungrouped Vectors.

To join together open, ungrouped vectors:

  1. Hold the Shift key down on your keyboard, and then click to [image] select the vectors that you want to join together.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the joining buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page to join the selected vectors:
    • You can also join the selected vectors using the Main menu bar. Click on the Vectors > Join Vectors option followed by the joining option you want to use: with a smooth curve, with a line, move end points or with coincident points.
    • Click on the Join Vectors With A Line button [image] to link the nearest points in the two vectors with a linear span:

      Before…

      After…
    • Click on the Join Vectors With A Curve button [image] to link the nearest points in the two vectors with a bezier curve span:

      Before…

      After…
    • Click on the Join Vectors By Moving Ends button [image] to link the nearest points in the two vectors by moving each of their end points to a central position:

      Before…

      After…
    • Click on the Join Vectors With Coincident Start or End Points button [image] to display the Join Multiple Vectors page. For details, see Joining Vectors with Coincident Points.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Joining Vectors with Coincident Points

You can create freeform vector shapes by joining together open vectors with concurrent start or end points (nodes).

For example overlapping circles exploded using the Trim Tool could have sections rejoined by selecting bezier spans with coincident start or end points to create an interesting vector:

Joined Coincident Vectors…

To join together vectors with coincident start or end points:

  1. Hold the Shift key down on your keyboard, and then click to [image] select the vectors that you want to join together. The vectors turn magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • The selected vectors must have coincident start or end points.
  2. Click on the Join Vectors with Coincident Start or End Points button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Join Multiple Vectors page.
  3. If you only want ArtCAM Pro to join coincident points in the selected vectors within a specific distance of one another, define the distance in the Tolerance box.
  4. To calculate the number of vectors that will remain after joining the coincident points in the selected vectors within tolerance, click on the Calc Info button.
  5. Click on the Join button to join the coincident points in the selected vectors within tolerance.
    • You can also join the coincident points in the selected vectors within tolerance by pressing the J key on your keyboard.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Joining Vectors


Closing Vectors

You can close an open vector to create one of three types of closed vector using the closing buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

  • The vectors must be ungrouped. For further information, see Selecting Vectors and Ungrouped Vectors.

To close an open vector:

  1. Select the vector that you want to close. The selected vector is magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the closing buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page:
    • You can also close the selected vectors using the Main menu bar. Click on the Vectors > Close Vector option followed by the closing option you want to use: with a smooth curve, with a line, or move end point.
    • Click on the Close Vector With A Line button [image] to join the Start Point and end point with a linear span, as shown below:

      Before…

      After…
    • Click on the Close Vector With A Curve button [image] to join the Start Point and end point with a bezier curve span, as shown below:

      Before…

      After…
    • Click on the Close Vector - Move End Points button [image] to join the end point with the Start Point, as shown below:

      Before…

      After…

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Clipping Vectors

Slicing Vectors


Clipping Vectors

All vectors in, around or intersecting a clipping region can be clipped in several ways. You can use either open or closed vectors to define the clipping region.

To clip a selection of vectors:

  1. Select the vector(s) that you want to use as the clipping region.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • If you want to use more than one vector as the clipping region, you must group all of them first. For details, see Grouping Vectors.
  2. Hold the Shift key down on your keyboard, and then click to select the vectors that you want to clip. Some or all of these vectors must be within or intersecting the clipping region.

    In the following example, we will use a shoe sole shaped vector as the clipping region and a pattern of circles as the vectors that we want to clip:

  3. Click on the Vector Clipping button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Vector Clipping page.
    • You can also display the Vector Clipping page from the Main menu bar by clicking on the Vectors > Clip vectors to boundaries option.
  4. In the Clipping Direction area, click to select the option for the direction in which you want to clip the selected vectors:
    • If you want to keep the area of the vectors within the clipping region, click to select the Inside radio button [image].
    • If you want to keep the area of the vectors outside of the clipping region, click to select the Outside radio button [image].

      In our example, we will keep the area of the circles within the clipping region.

  5. In the Overlapping Vectors area, click to select the option for how you want ArtCAM Pro to edit vectors which intersect the clipping boundary:
    • If you want to trim all overlapping vectors to the clipping boundary, click to select the Trim radio button [image]. This option is selected by default.
    • If you want to delete all vectors intersecting the clipping boundary, click to select the Delete radio button [image].
    • If you want to keep all vectors intersecting the clipping boundary, click to select the Keep radio button [image].
  6. Click on the Clip Vectors button.

    In our example, you can see the results of each of the methods of clipping the circles overlapping the clipping region:

    Trim…

    Delete…

    Keep…
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Slicing Vectors


Slicing Vectors

You can divide a selection of vectors using a vector such as a polyline, an imaginary vertical line defined as a Y co-ordinate, an imaginary horizontal line defined as an X co-ordinate, a vertical guideline or a horizontal guideline.

For example, you can see how a vector artwork design can be sliced in two using only a polyline:

Before…

After…

To slice a selection of vectors:

  1. Select the vector(s) that you want to slice.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Slice Selected Vectors button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Vector Slice page.
  3. In the Closing Method area, select how you want to leave the selected vectors after the slicing process:
    • If you want the selected vectors to be closed after being sliced, click to select the Close radio button [image].
    • If you want the selected vectors to be open after being sliced, click to select the Leave Vectors Open radio button [image].
  4. In the Slicing Method area, select how you want to slice the selected vectors:
    • If you want to use the last selected vector to slice all previously selected vectors, click to select the Use last selected vector radio button [image].
    • You must have at least two vectors selected prior to selecting the vector that you want to use for slicing. For details, see Selecting Vectors.
    • If you want to use a vertical line to slice the selected vectors, click to select the Use a vertical line radio button [image], and then define the position on the Y-axis along which you want to slice in the Line Coordinate box.
    • You can also use a vertical guideline to slice the vectors. When using a guideline, its Y co-ordinate is displayed in the Line Coordinate box. For details, see Using Guidelines.
    • If you want to use a horizontal line to slice the selected vectors, click to select the Use a horizontal line radio button [image], and then define the position on the X-axis along which you want to slice in the Line Coordinate box.
    • You can also use a horizontal guideline to slice the vectors. When using a guideline, its X co-ordinate is displayed in the Line Coordinate box. For details, see Using Guidelines.
  5. Click on the Slice Vectors button.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors


Grouping Vectors

Grouping combines all of the individual spans, points (nodes) and control points that make up a vector as a single entity.

You can group an individual vector or a selection of them. This process allows you to simultaneously machine or engrave each of the vectors that you define as a group in the same way. For details, see Selecting Vectors.

Grouping allows you to machine or engrave an open vector along with an individual or group of closed vectors when using certain toolpaths. These toolpaths are Engraving and Drilling. For details, see Using Toolpaths.

To group an open vector:

  1. Select the vector that you want to group. The selected vector is magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Group button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector turns purple. When deselected, the vector is blue, regardless of the colour assigned to the layer on which it is drawn.
    • You can also group the selected vector(s) by pressing the Ctrl + G keys on your keyboard or from the Main menu bar by clicking on the Vectors > Group Vector(s) option.

To group a closed vector:

  1. Select the vector that you want to group.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Group button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector turns purple.

    If you group a closed vector containing self-intersections, when deselected it turns red with the [image] icon marking the position of all intersections.

    If you select a combination of open and closed vectors with the intention of grouping them, all of them turn magenta. However, when they have been grouped and deselected, the closed vectors appear in the colour assigned to the layer on which they are drawn, while the open vectors appear in blue regardless of the colour assigned to the layer on which they are drawn.

    • You can also right-click on the selected vector to display the Vector Editing menu, and then click on the Group Vector(s) option.

You can also ungroup vectors. To ungroup any vector:

  1. Select the vector that you want to ungroup.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Ungroup button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector is deselected. If the selected vector is open, the vector turns blue, regardless of the colour assigned to the layer on which it is drawn. If the selected vector is closed, it appears in the colour assigned to the layer on which it is drawn.
    • You can also group the selected vector(s) by pressing the Ctrl + U keys on your keyboard or from the Main menu bar by clicking on the Vectors > Ungroup Vector(s) option.
    • You can also right-click on the selected vector to display the Vector Editing menu, and then click on the Ungroup Vector(s) option.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Viewing the Properties of a Vector

You can find out the number of points (nodes), linear, bezier curve or arc spans within any ungrouped vector using the Vector Properties dialog box.

To view the properties of an ungrouped vector:

  1. Select an ungrouped vector. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, then click on the Properties… option to display the Vector Properties dialog box.

    The General page of the Vector Properties dialog box is displayed by default:

    The Number of contours area shows the total number of ungrouped vectors currently selected.

    The Number of groups area shows the total number of grouped vectors currently selected.

  3. Click on the Selected Objects tab to display its page.

    The Number of selected vectors area shows the total number of ungrouped vectors currently selected.

    The Number of selected groups area shows the total number of grouped vectors currently selected.

    The Total number of points area shows the number of points and control points in the selected vector(s). The number of points and control points are not counted separately. For details, see Editing Vector Nodes.

    The Average number of points area shows the total number of points divided by the total number of vectors currently selected.

  4. Click on the OK button to close the Vector Properties dialog box.

To view the properties of an ungrouped vector:

  1. Select an ungrouped vector. For details, see Selecting Vectors.
  2. Right click to display the Vector Editing menu, and then click on the Properties option to display the Properties dialog box:

    You can see the area and the perimeter length of the selected vector in the Shape Info area. The perimeter length is equal to the total length of all spans within the selected vector.

    If a shape has been attributed to the selected vector, you can also see its volume and its maximum and/or minimum height.

  3. Click on the OK button to close the Properties dialog box.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Reversing a Vector's Direction

You can reverse the current direction of any closed vector. The direction of a vector determines the cutting direction in the toolpath used during the machining process.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Ungrouped Vectors

You can reverse the direction of an ungrouped, closed vector that you have created.

To reverse the direction of an ungrouped, closed vector:

  1. Select an ungrouped, closed vector. For details, see Selecting Vectors. The vector is magenta.
  2. Right-click to display the Vector Editing menu, and then click on whichever direction change option is available:
    • Make Clockwise - To set the vector's direction as clockwise.
    • Make Anti-Clockwise - To set the vector's direction as anti-clockwise.

See Also

Reversing a Vector's Direction

Grouped Vectors


Grouped Vectors

You can reverse the direction of a grouped, closed vector that you have created.

To reverse the direction of a grouped, closed vector:

  1. Select a grouped, closed vector. For details, see Selecting Vectors. The selected vector is purple.
  2. Right-click to display the Vector Editing menu, then click on the Reverse Vector(s) option.

You can confirm the direction of a grouped, closed vector by ungrouping it after you click on the Reverse Vector(s) option, and then regrouping it again. For details, see Grouping Vectors.

See Also

Reversing a Vector's Direction

Ungrouped Vectors


Creating Bitmaps from Vectors

You can create a bitmap image from any vector. ArtCAM Pro creates bitmap images in the current Primary Colour around the outline of all selected vectors. The new bitmap image is one pixel wide. For details, see Selecting the Primary and Secondary Colours.

To convert a vector into a bitmap image:

  1. Click on the colour in the Colour Palette that you want to select as the Primary Colour.
  2. Select the bitmap layer on which you want to create the bitmap image from the vector artwork. For details, see Selecting a Layer.
  3. Select the vectors from which you want to create bitmap artwork. For details, see Selecting Vectors.
  4. Click on the Vector To Bitmap button [image] in the Bitmap Tools area of the Assistant's Home page to create bitmap artwork in the shape of the selected vectors.
  5. Click on the Toggle All Visibility button [image] button in the Vectors area of the Layers Manager to toggle the visibility of all vector layers off to allow you to see the bitmap artwork created from the selected vectors clearly. For details, see Viewing a Layer.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Flood Filling Vectors

You can colour within the outline of any vector in the current Primary Colour using the Flood Fill Vectors tool. For details, see Selecting the Primary and Secondary Colours.

To flood fill a vector:

  1. Click on the colour in the Colour Palette that you want to select as the Primary Colour.

    If you want to select a colour from a bitmap image as the Primary Colour, click on the Pick Colour button [image] in the Bitmap Tools area of the Assistant's Home page, then move the dropper [image] over the colour you want to use and click.

  2. Select the bitmap layer on which you want to create the bitmap image from the vector artwork. For details, see Selecting a Layer.
  3. Select the vector(s) that you want to flood fill. For details, see Selecting Vectors.
  4. Click on the Flood Fill Vectors button [image] in the Bitmap Tools area of the Assistant's Home page to colour within the outline of the selected vectors.
  5. Click on the Toggle All Visibility button [image] in the Vectors area of the Layers Manager to toggle the visibility of all vector layers off to allow you to see the bitmap artwork created from the selected vectors clearly. For details, see Viewing a Layer.

See Also

Creating Bitmaps from Vectors


Importing Vector Artwork

In ArtCAM Pro, you can import vector artwork saved in any of the following formats onto an existing vector layer in a model:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For more details, see Importing Vector Artwork.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Exporting Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Exporting Vector Artwork

In ArtCAM Pro, you can export vector artwork as data. This data can then be used in other drawing packages supporting the following file formats:

  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)

For details, see Exporting Vector Artwork.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Creating a Shape from a Vector

Creating a Feature from a Vector


Creating a Shape from a Vector

You can generate three-dimensional shapes from vectors using the Shape Editor tool. You can also create complex freeform three-dimensional shapes from vectors. For more details, see Creating a Shape from a Closed Vector and Creating a Shape Using Vectors.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Feature from a Vector


Creating a Feature from a Vector

You can create three different types of features from a vector:

  • a Raised Feature
  • a Recessed Feature; and
  • a Centreline Engraved Feature

A depth or height is attributed to the vector from which the feature is created. The feature is either added to or subtracted from the surface of the selected relief layer in your model. The contour of the existing relief layer is preserved in the feature with which it is combined.

A feature is machined using a Feature Machining toolpath. For information on toolpaths, see Overview. For details on creating a Feature Machining toolpath, see Feature Machining.

See Also

Working with Vectors

Overview

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Creating Bitmaps from Vectors

Importing Vector Artwork

Exporting Vector Artwork

Creating a Shape from a Vector


Creating a Raised Feature

You can create a raised (male) feature from a selected vector, usually vector text, which you can then machine using the Feature Machining tool. For details, see Feature Machining.

Using the Raised Feature page, you can:

  • Control whether any central cavity in the vector is removed or not during the feature machining process.
  • Control what edge of the vector the tool meets when cutting it from the block of material.

To create a raised feature:

  1. Select the vector from which you want to create a raised feature.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Raised Feature button [image] in the 3D Toolpaths area of the Toolpaths Home page to display the Create Raised Feature page.
  4. Define the height of the raised feature you want to create in the Feature Height box.
  5. If you want to add or remove extra material around the selected vector, you can define the amount in the Feature Allowance box.

    The value you define sets the distance between the boundary of the selected vector and the Feature Tool that you select on the Feature Machining page. Type a positive value to add material or a negative value to remove it.

  6. If the selected vector contains a central cavity that you want to remove with the Feature Tool that you select on the Feature Machining page, click to select the Clear Inner Islands option [image].

    If you do not select this option, the Feature Tool can only remove material inside of a central cavity as far as the Feature Allowance and/or Overcut Distance allow.

    If you select this option, any Feature Allowance you have already defined and/or Overcut Distance that you define on the Feature Machining page is ignored by the Feature Tool you use to machine the raised feature.

    In the following example, you can see that the Feature Allowance around the central cavity of the letter 'O' is ignored when the Clear Inner Islands option is selected [image]:

    Clear Inner Islands Off…

    Clear Inner Islands On…
  7. Click on either of the radio buttons [image] to set the limitations for machining the selected vector:
    • If you want to leave an allowance around the boundary of the selected vector, including any central cavity that it may contain, select the Use constant allowance around vector option [image].
    • If you want to machine around the boundary of the selected vector, select the Outer vector defines machining limit option [image]. If the selected vector contains a central cavity, the cavity is not removed using this option. The Feature Allowance box is also greyed-out.
  8. Click on either of the radio buttons [image] to select how the Feature Tool machines the selected vector:
    • Vector at Top Edge - This option places the selected Feature Tool in contact with the top edge of the selected vector during the machining process.

    • Vector at Bottom Edge - This option places the selected Feature Tool in contact with the bottom edge of the selected vector during the machining process.

  9. Type a name for the raised feature in the Name box.
  10. Click on the Create button.
  11. Click on the Close button to return to the Toolpaths Home page.

You are now ready to create the Feature Machining toolpath that is used to machine the raised feature you have created. For details, see Feature Machining.

See Also

Creating a Feature from a Vector

Creating a Recessed Feature

Creating a Centreline Engraved Feature

Returning a Feature to a Vector


Creating a Recessed Feature

You can create a recessed (female) from a selected vector, usually vector text, which you can then machine using the Feature Machining tool. For details, see Feature Machining.

Using the Recessed Feature page, you can:

  • Control what edge of the vector the tool meets when cutting it from the block of material.

To create a recessed feature:

  1. Select the vector from which you want to create a recessed feature.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Recessed Feature button [image] in the 3D Toolpaths area to display the Create Raised Feature page.
  4. Define the depth of the recessed feature you want to create in the Feature Depth box.
  5. Click on either of the radio buttons [image] to select how the Feature Tool you select on the Feature Machining page machines the selected vector:
    • Vector at Top Edge - This option places the selected Feature Tool in contact with the top edge of the selected vector during the machining process.

    • Vector at Bottom Edge - This option places the selected Feature Tool in contact with the bottom edge of the selected vector during the machining process.

    • Type a name for the recessed feature in the Name box.
  6. Click on the Create button.
  7. Click on the Close button to return to the Toolpaths Home page.

You are now ready to create the Feature Machining toolpath that is used to machine the recessed feature you have created. For details, see Feature Machining.

See Also

Creating a Feature from a Vector

Creating a Raised Feature

Creating a Centreline Engraved Feature

Returning a Feature to a Vector


Creating a Centreline Engraved Feature

You can create a centreline engraved feature from a selected vector, usually vector text, which you can then machine using the Feature Machining tool. For details, see Feature Machining.

The boundary of a selected vector represents the centreline of the cutting tool. The engraved feature has no diameter other than that of the tip of the cutting tool.

To create a centreline engraved feature:

  1. Select the vector from which you want to create a centreline engraved feature.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Centreline Engraved Feature button [image] in the 3D Toolpaths area to display the Create Centreline Feature page.
  4. Define the depth of the centreline engraved feature you want to create in the Feature Depth box.
  5. Type a name for the centreline engraved feature in the Name box.
  6. Click on the Create button.

You are now ready to create the Feature Machining toolpath that is used to machine the centreline engraved feature you have created. For details, see Feature Machining.

See Also

Creating a Feature from a Vector

Creating a Raised Feature

Creating a Recessed Feature

Returning a Feature to a Vector


Returning a Feature to a Vector

You can return a raised, recessed or centreline engraved feature to the vector from which it was created.

To return a raised, recessed or centreline engraved feature to its original vector:

  1. Click to select the feature in the 2D View window that you want to return to a vector. A bounding box surrounds it.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Return Feature To Normal Vectors button [image] in the 3D Toolpaths area.

In the following example, you can see a raised feature that has been returned to a vector:

Before…

After…

Notice that the pass around the boundary of the letter 'O' marking the Feature Allowance has also been removed.

The return to a vector is noted by a change in colour. It is now shown in the colour assigned to the vector layer on which it is drawn. For further information, see Assigning a Colour to a Vector Layer.

See Also

Creating a Feature from a Vector

Creating a Raised Feature

Creating a Recessed Feature

Creating a Centreline Engraved Feature


Working with Reliefs

This section describes how three-dimensional shapes can be created using vector artwork and bitmap images, imported, edited and used in ArtCAM Pro.

In This Chapter

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Overview

A relief is the three-dimensional model in ArtCAM Pro. When three-dimensional shapes are created on a relief layer using any of the relief creation tools, each of the relief layers interact with one another and combine to form the composite relief. For further information, see Calculating a Relief.

In ArtCAM Pro, a relief can be imported or created from three-dimensional shapes generated from two-dimensional artwork. This two-dimensional artwork could be:

  • A defined area. For details, see Creating a Dome.
  • A colour within a bitmap image. For details, see Creating a Shape from a Bitmap.
  • A closed vector. For details, see Creating a Shape from a Closed Vector.
  • A combination of open and closed vectors. For details, see Creating a Shape Using Vectors.

To import a relief, see Pasting a Relief from a File.

The relief creation tools are found in the Relief Tools area of the Assistant's Home page. The appearance of the area at any given time is determined by which toolsets are currently pinned or not, and which item is currently selected from each of those toolsets:

With all toolsets collapsed....

Hide Relief Tools Area Relief Management Toolset Relief Calculation Toolset Smooth Relief Texture Relief Scale Relief Height ISO-FORM Letters Weave Wizard Inverting Relief Toolset Relief Colour Toolset Relief Mirror Merge Create 3D Blend Create Cross-Section Relief Shapes Toolset Sculpting Create Angled Plane Offset Relief Relief Envelope Distortion Fade Relief Create Triangle Mesh Import Reliefs From A Relief Clipart Library

With all toolsets expanded and pinned....

Hide Relief Tools Area Paste Relief From A File Save Relief Paste Relief Along Vector Pin/Unpin Relief Management Toolset Replace Relief Reset Relief Add Relief Subtract Relief Merge High Merge Low Pin/Unpin Relief Calculation Toolset Smooth Relief Texture Relief Scale Relief Height ISO-FORM Letters Weave Wizard Invert Relief Z Only Invert Relief - Male/Female Pin/Unpin Relief Inverting Toolset Zero Relief Under Colour Keep Under Colour Pin/Unpin Relief Colour Toolset Relief Mirror Merge Create 3D Blend Create Cross-Section Extrude Spin Turn Two Rail Sweep Pin/Unpin Relief Shapes Toolset Sculpting Create Angled Plane Offset Relief Relief Envelope Distortion Fade Relief Create Triangle Mesh Import Reliefs From A Relief Clipart Library

Relief Management Toolset...

Paste Relief From A File Save Relief Paste Relief Along Vector Pin/Unpin Relief Management Toolset

Relief Calculation Toolset...

Replace Relief Reset Relief Add Relief Subtract Relief Merge High Merge Low Pin/Unpin Relief Calculation Toolset

Relief Inverting Toolset...

Invert Relief Z Only Invert Relief - Male/Female Pin/Unpin Relief Inverting Toolset

Relief Colour Toolset...

Zero Relief Under Colour Keep Under Colour Pin/Unpin Relief Colour Toolset

Relief Shapes Toolset...

Extrude Spin Turn Two Rail Sweep Pin/Unpin Relief Shapes Toolset

There are additional relief tools in the Reliefs menu located on the Main menu bar:

Create New Layer Load Layer... Save Layer... Paste From File... Reset Calculate Invert Scale... Smooth... Texture... Mirror Offset... Keep Under Colour Create Dome... Volume... Surface Area under Colour... Display Calculation Time Swept Profiles Wizard... ISO-FORM Letters... Weave Wizard... Two Rail Sweep Remove Small Holes... Add Draft... Create Triangle Mesh Create Cross-Section... Create Angled Plane... Create Ring... Fade Relief... Relief Clipart Library... Save Composite...

See Also

Working with Reliefs

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Using the Shape Editor

You can create shapes from either a colour on a bitmap layer or a closed vector on a vector layer using the Shape Editor tool, and combine them with any existing shapes on a relief layer.

Using the Shape Editor tool, you can:

  • Control the profile of the shape.
  • Control the angle of the shape.
  • Control the height of the shape.
  • Control how the shape is combined with any existing shapes on a relief layer.

See Also

Working with Reliefs

Overview

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Creating a Shape from a Bitmap

You can create simple shapes from any colour on a bitmap layer and combine them with any existing shapes on a relief layer using the Shape Editor tool.

To create a shape from a bitmap colour:

  1. Select the bitmap layer from which you want to create a shape. For details, see Selecting a Layer.
  2. Double-click on the bitmap colour from which you want to create a shape to display the Shape Editor dialog box.
  3. In the Shape Editor dialog box, select the profile of the shape that you want to create from the selected colour:
    • Click on the Round button [image] to create a rounded shape from the selected colour.
    • Click on the Angular button [image] to create an angled shape from the selected colour.
    • Click on the Plane button [image] to create a flat shape from the selected colour.
    • You can restore the default settings in the Shape Editor dialog box by clicking on the Reset button at any time.
  4. If you want to create a rounded or an angled shape, you must define an angle using any of the following methods:
    • Type an angle in the Angle box. Type a positive value to produce a convex shape and a negative value to produce a concave shape. Type a value of 0 to produce a plane.
    • Click and drag on the slider to the left of the Angle box. Drag the slider upward to increase the angle of the shape. Drag the slider downward to decrease it. The angle appears in the Angle box.
    • Click on the up or down arrow on the right of the Angle box. The angle appears in the Angle box.

      The default angle for a rounded or an angled shape is 45°.

  5. Define the height at which the shape starts in the Z direction in the Start Height box. This creates a vertical side-wall beneath the shape. If you are creating a flat shape, this value controls the height of the plane.
  6. Select the height option that you want to use:

    To allow the shape to grow to the height that it would naturally reach, click on the No Limit radio button [image].

    If you want to apply a scaling factor to the Z-axis of the shape, click to select the Scale option [image], and then define the scaling factor in the Scale box, or click and drag on the slider that is activated.

    • To allow the shape to grow to a specific height and then plateau, click on the Limit To Height radio button [image], and then define the height in the Height box that is activated.

      If the natural height of the shape exceeds that of the value you type in the Height box, a flat top appears on the shape.

      If you want to apply a scaling factor to the shape in its Z-axis, click to select the Scale option [image], and then define the scaling factor in the Scale box or click and drag on the slider that is activated.

    • To allow the shape to grow to a specific height by applying a scaling factor in its Z-axis, click on the Scale To Height radio button [image], and then define the height in the Height box that is activated. This option does not produce a flat top on the shape.
    • If you select the Plane option, all of the height options are greyed-out. If so, go straight to the next step.
  7. Click on the Apply button to apply the settings you have made to the selected colour. The shape that you have chosen to create is shown in the selected colour within the Colour Palette beneath the 2D View window:

  8. Select the relief layer on which you want to create the shape. For details, see Selecting a Layer.
  9. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the shape is combined with the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add button to add the points in the shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract button to subtract the points in the shape to the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Zero button to reset all areas on the selected relief layer under the current Primary Colour to zero.
    • Click on the Merge High button to merge the shape with the selected relief layer, so that only the highest points show. For more details, see Merging with the Relief.
    • Click on the Merge Low button to merge the shape with the selected relief layer, so that only the lowest points show. For more details, see Merging with the Relief.
    • Click on the Zero Rest button to reset all areas of the selected relief layer other than those under the current Primary Colour to zero.

      The Calculating Relief progress bar appears beneath the 2D View window.

      You can stop the relief calculation process at any time by clicking on the [image] button.

  10. Click on the Close button to close the Shape Editor dialog box.

See Also

Using the Shape Editor

Creating a Shape from a Closed Vector


Editing the Shape Attributes

You can edit any of the shape attributes that you have applied to a colour in a bitmap layer. Once you have adjusted the shape attributes you can then combine the new shape with any existing shapes on a selected relief layer. It is important to remember that the new shape applied to the colour does not replace any part of the relief layer that was created from a shape previously applied to the same colour. The new shape can only be combined with the existing content on a relief layer.

To edit the shape attributes:

  1. Double-click on the colour in the Colour Palette for which you want to edit the shape attributes.

    You can see the profile of the shape in the selected colour within the Colour Palette:

    The Shape Editor dialog box appears showing the shape attributes currently applied to the selected colour:

  2. Follow the relevant steps in Creating a Shape from a Bitmap. By adjusting the current settings in the Shape Editor dialog box, you can change:
    • The profile of the shape.
    • The height of the shape.
    • The angle of the shape.
    • The start height of the shape.
    • The scale of the shape.
    • How the shape is combined with any existing content on the selected relief layer.

See Also

Creating a Shape from a Bitmap


Creating a Shape from a Closed Vector

You can create simple shapes from any closed vector on a vector layer and combine them with any existing shapes on a selected relief layer using the Shape Editor tool.

To create a shape from a closed vector:

  1. Select the vector from which you want to create a shape.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Right-click on the selected vector to display the Vector Editing menu, and then click on the Shape Editor… option to display the Shape Editor dialog box:

    • You can also display the Shape Editor dialog box by double-clicking on the vector from which you want to create a shape. If you use this method, be careful not to move the vector.
  3. In the Shape Editor dialog box, select the profile of shape that you want to create from the selected vector:
    • Click on the Round button [image] to create a rounded shape from the selected vector.
    • Click on the Angular button [image] to create an angled shape from the selected vector.
    • Click on the Plane button [image] to create a flat shape from the selected vector.
    • You can restore the default settings in the Shape Editor dialog box by clicking on the Reset button at any time.
  4. If you want to create a rounded or an angled shape, you must define an angle for it using any of the following methods:
    • Type an angle in the Angle box. Type a positive value to produce a convex shape and a negative value to produce a concave shape. Type a value of 0 to produce a plane.
    • Click and drag on the slider to the left of the Angle box. Drag the slider upward to increase the angle of the shape. Drag the slider downward to decrease it. The angle appears in the Angle box.
    • Click on the up or down arrow on the right of the Angle box. The angle appears in the Angle box.

      The default angle for a rounded or an angled shape is 45°.

  5. Define the height at which the shape starts in the Z direction in the Start Height box. This creates a vertical side-wall beneath the shape. If you are creating a flat shape, this value controls the height of the plane.
  6. Select the height option that you want to use:
    • To allow the shape to grow to the height that it would naturally reach, click on the No Limit radio button [image].
    • To allow the shape to grow to a specific height and then plateau, click on the Limit To Height radio button [image], and then define the height in the Height box that is activated.
    • To allow the shape to grow to a specific height by applying a scaling factor in its Z-axis, click on the Scale To Height radio button [image], and then define the height in the Height box that is activated. This option does not produce a flat top on the shape.
    • To allow the shape to grow to a defined height, click on the Constant Height (Vectors Only) radio button [image], and then define the height in the Height box that is activated. This creates a shape where the angle or curvature changes to maintain a constant height, even where its width changes.
    • If you have selected the Plane option, all of the height options are greyed-out. If so, go straight to the next step.
    • Click on the Apply button to apply the settings you have made to the selected vector.
  7. Select the relief layer on which you want to create the shape. For details, see Selecting a Layer.
  8. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the shape is combined with the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add button to add the points in the shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract button to subtract the points in the shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Zero button to reset the area of the selected relief layer within the selected vector to zero.
    • Click on the Merge High button to merge the shape with the selected relief layer, so that only the highest points show. For more details, see Merging with the Relief.
    • Click on the Merge Low button to merge the shape with the selected relief layer, so that only the lowest points show. For more details, see Merging with the Relief.
    • Click on the Zero Rest button to reset the area of the selected relief layer outside of the selected vector to zero.

      The Calculating Relief progress bar appears beneath the 2D View window.

      You can stop the relief calculation process at any time by clicking on the [image] button.

  9. Click on the Close button to close the Shape Editor dialog box.

See Also

Using the Shape Editor

Creating a Shape from a Bitmap


Editing the Shape Attributes

You can edit any of the shape attributes that you have applied to a vector drawn on a vector layer. Once you have adjusted the shape attributes you can then combine the new shape with the existing shapes on a selected relief layer. It is important to remember that the new shape applied to the vector does not replace any part of the selected relief layer that was created from a shape previously applied to the same vector. The new shape can only be combined with the existing content on the selected relief layer.

To edit the shape attributes:

  1. Select the vector for which you want to edit its shape attributes.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Right-click on the selected vector to display the Vector Editing menu, and then click on the Shape Editor option to display the Shape Editor dialog box:

  3. Follow the relevant steps in Creating a Shape from a Closed Vector. By adjusting the current settings in the Shape Editor dialog box, you can change:
    • The profile of the shape.
    • The height of the shape.
    • The angle of the shape.
    • The start height of the shape.
    • The scale of the shape.
    • How the shape is combined with any existing content on the selected relief layer.

See Also

Creating a Shape from a Closed Vector


Creating a Shape Using Vectors

You can create freeform shapes using vectors and combine them with any existing content on a selected relief layer.

The freeform shapes that you can create using vectors are as follows:

  • Swept Profile. You can create three different types of swept profile shape using the Swept Profiles Wizard or any one of the three buttons in the Relief Tools area of the Assistant's Home page. You can Extrude, Spin or Turn a swept profile. For details, see Creating a Swept Profile Shape.
  • Two-Rail Sweep. You can create a two-rail swept shape using the Two Rail Sweep button in the Relief Tools area of the Assistant's Home page and at least three vectors. For details, see Creating a Two Rail Sweep.
  • Weave. You can create a weave shape using the Weave Wizard button in the Relief Tools area of the Assistant's Home page and two or more vectors. For details, see Creating a Weave Shape.
  • ISO-Form Letters. You can create ISO-Form letters using the ISO-Form Letter button in the Relief Tools area of the Assistant's Home page and at least one vector. For details, see Creating ISO-FORM Letters.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Dome

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Creating a Swept Profile Shape

A swept profile shape can be created using vectors and the Relief Shapes toolset in the Relief Tools area of the Assistant's Home page:

Extrude Spin Turn Two Rail Sweep Pin/Unpin Relief Shapes Toolset

You can create a swept profile shape in three different ways:

  • Extrude. For details, see Extruding a Shape.
  • Spin. For details, see Spinning a Shape.
  • Turn. For details, see Turning a Shape.

See Also

Creating a Shape Using Vectors

Creating a Two Rail Sweep

Creating a Weave Shape

Creating ISO-FORM Letters


Extruding a Shape

You can extrude a shape using up to four vectors. The first vector defines the line along which the shape is extruded. This is referred to as the drive curve. The second defines the start cross-section of the shape, while the third defines the end cross-section. The vector used to define the end cross-section can be the same as that used to define the start cross-section. The optional fourth vector determines the height of the shape in the Z direction.

In the following example, you can see how shapes can be extruded from vectors to form a harp:

Before…

After…

To extrude a shape:

  1. Select the relief layer on which you want to extrude the shape. For details, see Selecting a Layer.
  2. Click on the Extrude button [image] in the Relief Tools area of the Assistant's Home page to display the Extrude Wizard:

    • You can also display the Extrude Wizard from the Main menu bar. Click on the Reliefs > Swept Profiles Wizard… option to display the Swept Profiles Wizard. Click on the Extrude radio button [image], and then on the Next button to display the Extrude Wizard.
  3. Click to select the vector in the 2D View window along which you want the cross-section to be swept. This is referred to as the drive curve. For details, see Selecting Vectors.
  4. Click on the Select button. Arrows are displayed along the selected vector to show the direction of the drive curve and on which side the cross-sections are to be attached.

    In order to begin creating the frame of the harp in our example, the following polyline is selected as the drive curve:

  5. If you want to change the properties of the drive curve, click on the options that you want to use:
    • To reverse the direction of the drive curve, click to select the Reverse direction of curve option [image]. The arrows along the selected vector change direction.
    • To change the side of the drive curve along which the cross-section is extruded, click to select the Use other side option [image]. The arrows along the selected vector change side.
    • The Use other side option is greyed-out if you have the Use as a centreline option selected [image].
    • If you want to use the drive curve as the centreline for the extrusion, click to select the Use as a centreline option [image]. Arrows are dawn along the centreline of the selected vector.
    • If you want to produce a drive curve with sharp-edged corners, click to select the Create square corners option [image].
  6. Click on the Next button. The drive curve turns red.
    • If you want to change any of the settings after you have clicked on the Next button, click on the Back button to return to the previous page in the Extrude Wizard.
  7. Click to select the open, ungrouped vector in the 2D View window that you want to use as the cross-section at the start of the extruded shape. This is referred to as the start profile.
  8. Click on the Select button. The arrows on the start profile show the current Z-axis direction. The side of the start profile on which the arrows are positioned determine the side on which the shape is extruded.

    In our example, the following vector is selected as the start profile:

  9. If you want to change the properties of the start profile, click on the options that you want to use:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines which end of the start profile is attached to the drive curve.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].
  10. Click on the Next button. The start profile turns blue.
  11. Click to select the open, ungrouped vector in the 2D View window that you want to use as the profile at the end of the extruded shape:
    • If you want to use the same vector that you had selected as the profile at the start of the extruded shape, make sure that the End profile is the same as the start profile option is selected [image], and then go straight to the next step.

      In our example, the vector used for the end profile is the same as that which was selected as the start profile.

    • The Select button and the end profile options are greyed-out if the End profile is the same as the start profile option is selected [image].
    • If you want to use another vector in the model, make sure that the End profile is the same as the start profile option is deselected [image], click on the vector that you want to use, and then click on the Select button.

      If you want to change the properties of the end profile, select the options that you want to use:

    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines which end of the end profile is attached to the drive curve.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].
  12. Click on the Next button. The end profile turns blue.
  13. To add a contour and scale the swept profile in the Z-axis along its length:
    • First, click to select the Use a z modulation vector option [image].
    • Next, click to select the vector that you want to use as the z modulation vector.
    • Now, click on the Select button.
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines which end of the swept profile is attached to the drive curve.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].

      If you do not want to scale the swept profile in the Z-axis along its length, go straight to the next step.

  14. Click on the Next button. The z modulation vector turns green.
  15. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the extruded shape is combined with the selected relief layer only. It does not control how the extruded shape is combined with the composite relief. How the extruded shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the extruded shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the extruded shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Merge Highest radio button [image] to merge the extruded shape with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Merge Lowest radio button [image] to merge the extruded shape with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.

      In our example, the Add option is used.

  16. Click on the Extrude button to combine the extruded shape with the selected relief layer.
  17. If you want to display a greyscale view of the extruded shape on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the selected relief layer on which you have created the extruded shape:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

      In our example, the selected relief layer appears in the 3D View window as follows:

      The blocks at the top and bottom of the harp frame in our example are created by applying a flat shape with a start height of 3.5 mm (0.14") to a bitmap colour marking the shape of the blocks, and then using the Replace Relief button [image] to add the shapes to the selected relief layer. For more information, see Creating a Shape from a Bitmap and Replacing the Relief.

  18. Click on the Close button to close the Extrude Wizard.

See Also

Creating a Swept Profile Shape

Spinning a Shape

Turning a Shape


Spinning a Shape

You can spin a shape using up to three vectors. The first of these defines the start cross-section and the second defines the end cross-section of the shape. The vector used to define the end cross-section can be the same as that used to define the start cross-section. The optional third vector determines the height of the shape in the Z direction.

In the following example, you can see how a shape can be spun from vectors, along with other relief editing techniques, to form a group of leaves:

Before…

After…

To create a spun shape:

  1. Select the relief layer on which you want to spin the shape. For details, see Selecting a Layer.
  2. Click on the Spin button [image] in the Relief Tools area of the Assistant's Home page to display the Spin Wizard:

    • You can also display the Spin Wizard from the Main menu bar. Click on the Reliefs > Swept Profiles Wizard… option to display the Swept Profiles Wizard. Click on the Spin radio button [image], and then on the Next button to display the Spin Wizard.
  3. Click to select the open, ungrouped vector in the 2D View window that you want to use as the cross-section at the start of the spun shape. This is referred to as the start profile. For details, see Selecting Vectors.
  4. Click on the Select button. Arrows are displayed about the selected vector to show the side on which the cross-sections are to be attached.
  5. If you want to change the properties of the start profile, select the options that you want to use:
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines the point around which the start profile is spun.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].
  6. Click on the Next button. The start profile turns blue.

    In order to begin creating the leaf design in our example, the following polyline is selected as the start profile:

    • If you want to change any of the settings after you have clicked on the Next button, click on the Back button to return to the previous page in the Spin Wizard.
  7. Click to select the open vector that you want to use as the cross-section at the end of the spun shape. This is referred to as the end profile.
    • To use the same vector that you have already used, make sure that the End profile is the same as the start profile option is selected [image], and then go straight to the next step.

      In our example, the vector used for the end profile is the same as that which was selected as the start profile.

    • The Select button and the end profile options are greyed-out if the End profile is the same as the start profile option is selected [image].
    • To use another vector, make sure that the End profile is the same as the start profile option is deselected [image], click to select the vector that you want to use, and then click on the Select button.

      If you want to change the properties of the end profile, select the options that you want to use:

    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines the point around which the end profile is spun.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].
  8. Click on the Next button. The end profile turns blue.
  9. You are now ready to define how the profile is swept. If you want to sweep the profile through 360°, starting at 0°, click on the Next button. If you want to sweep the profile through a specific angle:
    • First, click to deselect the Sweep through 360 degrees option [image].
    • Next, define the start angle in the Start Angle box.
    • Now, click on the spin direction radio button [image] that you want to use. Click to select Clockwise if you want to sweep the profile in a clockwise direction about the start point (node). Click to select Anti-Clockwise if you want to sweep the profile in an anti-clockwise direction about the start point (node).
    • Next, define the finish angle in the Finish Angle box.
    • Finally, click on the Next button.

      In our example, the profile is swept through 360°.

  10. If you want to scale the spun profile in the Z-axis along its length:
    • First, click to select the Use a z modulation vector option [image].
    • Next, click to select the vector that you want to use as the z modulation vector.
    • Next, click on the Select button.
    • To change the position of the start point (node) in the selected vector, click to select the Move anchor point to other end option [image]. The start point (node) is green and determines the point around which the end profile is spun.
    • To invert the selected vector in the Z-axis direction, click to select the Invert curve in Z option [image].

      If you do not want to scale the spun profile in the Z-axis along its length, go straight to the next step.

      In our example, the following polyline is selected as the z modulation vector:

  11. Click on the Next button. The z modulation vector turns green.
  12. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the spun shape is combined with the selected relief layer only. It does not control how the spun shape is combined with the composite relief. How the spun shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the spun shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the spun shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Merge Highest radio button [image] to merge the spun shape with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Merge Lowest radio button [image] to merge the spun shape with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.

      In our example, the Add option is used.

  13. Click on the Spin button to combine the spun shape with the selected relief layer.
  14. If you want to display a greyscale view of the spun shape on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the selected relief layer on which you have created the spun shape:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

      In our example, the selected relief layer appears in the 3D View window as follows:

      The wave in the spun shape is achieved by using the z modulation vector.

      The shape of the leaves on the selected relief layer is created by selecting green as the Primary Colour from the 2D View window and then using the Keep Under Colour option in the Reliefs menu. For details, see Selecting the Primary and Secondary Colours and Resetting the Relief Height.

  15. Click on the Close button to close the Spin Wizard.

See Also

Creating a Swept Profile Shape

Extruding a Shape

Turning a Shape


Turning a Shape

You can turn a shape using a vector. An imaginary line between the start point (node) and end point (node) in the selected vector acts as an axis about which it is turned to create the cross-section of the shape.

In the following example, you can see how a shape can be turned using vectors to form castle turrets:

Before…

After…

To create a turned shape:

  1. Select the relief layer on which you want to extrude the shape. For details, see Selecting a Layer.
  2. Click on the Turn button [image] in the Relief Tools area of the Assistant's Home page to display the Turn Wizard:

    • You can also display the Turn Wizard from the Main menu bar. Click on the Reliefs > Swept Profiles Wizard… option to display the Swept Profiles Wizard. Click on the Turn radio button [image], and then on the Next button to display the Turn Wizard.
  3. Click to select the open vector that you want to use to create the cross-section of the shape. This is referred to as the profile. For details, see Selecting Vectors.
  4. Click on the Select button. Arrows are displayed about the selected vector to show the side on which the cross-section is to be attached.

    In order to begin creating castle turrets in our example, the following polyline is selected as the start profile:

  5. In the Z Scaling Factor box, define the scaling factor that you want to apply to the start profile in the Z-axis direction. The default value of 1 produces a semi-circular cross-section.
  6. Click on the Next button. The start profile turns blue.
    • If you want to change any of the settings after you have clicked on the Next button, click on the Back button to return to the previous page in the Turn Wizard.
  7. Select the relief combine mode that you want to use:
    • The combine mode selected here controls how the turned shape is combined with the selected relief layer only. It does not control how the turned shape is combined with the composite relief. How the turned shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the turned shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the turned shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Merge Highest radio button [image] to merge the turned shape with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Merge Lowest radio button [image] to merge the turned shape with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.

      In our example, the Add option is used.

  8. Click on the Turn button to combine the turned shape with the selected relief layer.
  9. If you want to display a greyscale view of the turned shape on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the selected relief layer on which you have created the turned shape:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

      In our example, the selected relief layer appears in the 3D View window as follows:

      The crenellations within the castle turrets are created by selecting white as the Primary Colour, and then using the Zero Relief Under Colour button [image] in the Relief Tools area of the Assistant's Home page. For details, see Selecting the Primary and Secondary Colours and Resetting the Relief Height.

  10. Click on the Close button to close the Turn Wizard.

See Also

Creating a Swept Profile Shape

Extruding a Shape

Spinning a Shape


Creating a Two Rail Sweep

You can create a two-rail swept shape using multiple vectors. The first two vectors define the lines along which the shape is extruded. They are referred to as the drive rails. You can use any number of vectors as cross-sections in the shape. Each of the vectors that you select as cross-sections can be associated to a specific position along each of the drive rails, the vectors along which the swept shape is extruded. You can also use a vector to determine the height of the shape in the Z direction.

In the following example, you can see how a shape can be swept along vectors to form a fish:

Before…

After…

To create a two-rail swept shape:

  1. Select the relief layer on which you want to create the two-rail swept shape. For details, Selecting a Layer.
  2. Click on the Two Rail Sweep button [image] in the Relief Tools area of the Assistant's Home page to display the Two Rail Sweep page:

    • You can also display the Two Rail Sweep page from the Main menu bar. Click on the Reliefs > Two Rail Sweep… menu option.
  3. Click to select the first vector along which you want the cross-section to be swept, and then click on the Select button for the Top Drive Rail in the Select Control Vectors area. The selected vector is referred as the first drive rail. For details, see Selecting Vectors.

    In the Status area, the First Drive Rail status changes from Not Selected to Valid. A red letter A also appears beside the first drive rail in the 2D View window.

  4. Click to select the second vector along which you want the cross-section to be swept, and then click on the Select button for the Bottom Drive Rail in the Select Control Vectors area. The selected vector is referred to as the second drive rail.

    In the Status area, the Second Drive Rail status changes from Not Selected to Valid. A red letter B also appears beside the second drive rail in the 2D View window.

    Arrows appear on the two vectors selected as the drive rails to indicate their direction.

  5. Click to select the open, ungrouped vector that you want to use as the cross-section in the swept shape, and then click on the Add Cross Section button in the Status area.

    In the Status area, Cross Section 1 is now listed with its status as Valid. The number of spans that make up the cross-section are also shown. A red 1 also appears beside the cross-section in the 2D View window.

    If you have selected a closed or grouped vector as a cross-section, the following message box appears:

    Click on the OK button to close the message box, and then repeat this step using an open and ungrouped vector.

    If you want to use multiple cross-sections in the swept shape, hold the Shift key down on your keyboard, click to select each of the open, ungrouped vectors that you want to use, and then click on the Add Cross Section button. In the Cross Section area, each of the selected cross-sections is numbered iteratively and its status is shown as Valid. Each of the cross-sections selected in the 2D View window is also numbered iteratively in red.

    • When selecting two or more cross-sections, each of the selected open vectors you use should ideally contain the same number of spans. This will make for a smooth transition in the shape between each cross-section.

      A red number marks the position of each cross section along the first drive rail in the 2D View window. The position of each cross section along the first drive rail is numbered iteratively.

      A blue number marks the position of the each cross section along the second drive rail in the 2D View window. The position of each cross-section along the second drive rail is numbered iteratively.

      If you want to adjust the position of any of the cross-sections along either of the drive rails, for each of them:

    • Click on the Set Position button [image].

      The Set Position button changes to [image] and the Position label changes to 1st Rail.

    • Click on the position along the first drive rail that you want to use for the cross-section.

      The 1st Rail label changes to 2nd Rail.

    • Click on the position along the second drive rail that you want to use for the cross-section.

      The Set Position button changes to [image] and the 2nd Rail label changes to Position.

      By default, ArtCAM Pro creates a smooth blended shape between each cross-section made up of an equal number of spans. If you would rather a linear blended shape is used, click on the Smooth Blend button [image]. The Linear Blend button [image] is displayed in its place.

      If you want to cancel the use of any of the selected cross-sections, click on the Delete button [image] for each of the cross-sections that you do not want to use.

      If all of the vectors selected as cross-sections contain the same number of spans, the Sweep Between Spans option is activated and selected by default [image]. This instructs ArtCAM Pro to sweep between matching spans.

      If you do not want to sweep between matching spans, click to deselect the Sweep Between Spans option [image].

  6. Make sure that the direction of the two vectors that you have selected as drive rails is the same:
    • If you need to reverse the direction of the first drive rail, click to select the First option [image] in the Reverse Direction of Drive Rails area.
    • If you need to reverse the direction of the second drive rail, click to select the Second option [image].
  7. You are now ready to decide how you want to scale the swept shape. If you want to scale the two-rail swept profile in the Z-axis along its length:
    • Click to select the open vector that you want to use to control the Z height of the swept shape, and then click on the Select button for the Z Control Vector in the Select Control Vectors area. The selected vector is referred to as the z modulation curve.

      In the Status area, the Z Control Vector status changes from Not Selected to Valid. A red Z also appears beside the z modulation curve in the 2D View window.

    • Next, click to select the Vector Controls Exact Height option [image]. The Scale Height with Width and Scale Final Height options are greyed-out.

      If you do not want to use a vector to determine the height of the swept shape, you can select an alternative scaling option:

    • To scale the height of the cross-section across the two drive rails in proportion with its width, make sure that the Scale Height with Width option is selected [image].

      If you want the height of the cross-section across the two drive rails to remain constant, click to deselect the Scale Height with Width option [image].

    • Narrow sections in the swept shape appear low, while wide sections appear high when the Scale Height with Width option is selected.
    • To define the final height of the swept shape before it is combined with any existing relief, click to select the Scale Final Height option [image], and then define the height of the shape in its box.
    • If you have selected the Vector Controls Exact Height option, then the Scale Height with Width and Scale Final Height options are greyed-out.
  8. If you want to add a start height to the two-rail swept shape, define the height in the Start Height box. This produces a base that is combined with the swept shape after it has been calculated. The start height is not included in the scaled final height of the swept shape.
  9. In the Combine area of the page, select the relief combine mode that you want to use:
    • The combine mode selected here controls how the swept shape is combined with the selected relief layer only. It does not control how the swept shape is combined with the composite relief. How the swept shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the swept shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the swept shape from the current relief. For more details, see Subtracting from the Relief.
    • Click on the Highest radio button [image] to merge the swept shape with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Lowest radio button [image] to merge the swept shape with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.
  10. Click on the Calculate button to combine the swept shape with the selected relief layer.

    In our example, the Add option is used.

  11. If you want to display a greyscale view of the swept shape on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the relief on the selected relief layer where you have created the swept shape:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

      In our example, the selected relief layer appears in the 3D View window as follows:

  12. Click on the Close button to return to the Assistant's Home page.

See Also

Creating a Shape Using Vectors

Creating a Swept Profile Shape

Creating a Weave Shape

Creating ISO-FORM Letters


Creating a Weave Shape

A weave shape is made up of overlapping swept profiles. You can create a weave shape using at least two vectors.

The vectors you select for the drive rails must overlap themselves and represent the pattern in the weave shape you want to create. The last vector you select defines the cross-section of the weave shape. ArtCAM Pro automatically extrudes the cross-section along the drive rails, scaling its height up and down at each intersection to provide a perfect inter-linked, over-and-under weave effect.

In the following example, you can see how a weave shape is created by extruding it along a vector in the shape of a weave pattern.

Before…

After…

To create a weave shape:

  1. Hold the Shift key down on your keyboard, and then click to select the vectors along which you want the cross-section to be extruded. For details, see Selecting Vectors. These are referred to as the drive rails.
  2. Hold the Shift key down, and then click to select the open vector that you want to use for the cross-section in the weave shape.

    In order to begin creating the weave shape in our example, the following vectors are selected:

  3. Select the relief layer on which you want to create the weave shape. For details, see Selecting a Layer.
  4. Click on the Weave Wizard button [image] in the Relief Tools area of the Assistant's Home page to display the Weave Wizard:

    • You can also display the Weave Wizard from the Main menu bar. Click on the Reliefs > Weave Wizard… option.

      If you try to open the Weave Wizard before selecting at least two vectors, the following error message is displayed:

      Click on the OK button to close the message box, make sure that you have selected vectors representing at least one drive rail and a cross-section and then repeat this step.

  5. You can now set the length of the section within the drive curve that underlies or overlaps at intersections. This is referred to as the crossover.
    • To set the length of the crossover as a multiple of the cross-section's length, click to select the Relative to cross-section option [image], and then define its length in the Length of crossover box.
    • To set the length of the crossover as an absolute distance, make sure that the Relative to cross-section option is deselected [image], and then define its length in the Length of crossover box.

      In our example, the Relative to cross-section option is selected [image] and the length of the crossover is set to 4.

  6. Define the height of the cross-section where it underlies at an intersection in the % Depth of underpass box.

    In our example, the % Depth of underpass is set to 40.

  7. Define the height of the cross-section where it overlaps at an intersection in the % Height of overpass box.

    In our example, the % Height of overpass is set to 20.

  8. In the Corner Shape area of the page, select the type of corner that you want to use in the cross-section:
    • To apply rounded corners to the cross-section, click on the Round radio button [image].
    • To apply squared corners to the cross-section, click on the Square radio button [image].

      In our example, Round corners are selected

  9. In the Combine area of the page, select the relief combine mode that you want to use:
    • The combine mode selected here controls how the weave shape is combined with the selected relief layer only. It does not control how the weave shape is combined with the composite relief. How the weave shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the weave shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the weave shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Highest radio button [image] to merge the weave shape with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Lowest radio button [image] to merge the weave shape with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.

      In our example, the Add option is used.

  10. Click on the OK button to close the Weave Wizard and combine the weave shape with the selected relief layer.
  11. If you want to display a greyscale view of the weave shape on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the selected relief layer on which you have created the weave shape:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

      In our example, the selected relief layer appears in the 3D View window as follows:

See Also

Creating a Shape Using Vectors

Creating a Swept Profile Shape

Creating a Two Rail Sweep

Creating ISO-FORM Letters


Creating ISO-FORM Letters

You can create ISO-FORM lettering, a shape of a constant height, on a selected relief layer using any closed vector. You can control if the lettering has either a curved or an angled face. You can also control the radius of the corners in the lettering.

An ISO-Form letter is essentially made up of two parts, a Bottom Height and a Top Height. The former describes the vertical height (side wall) in the base of the letter, while the latter describes the height in the angled or curved cross-section added to its base to complete the letter.

To create ISO-FORM lettering:

  1. Click to select the vector text from which you want to create ISO-FORM letters. For details, see Selecting Vectors and Creating Vector Text.
  2. Click on the ISO-FORM Letters button [image] in the Relief Tools area of the Assistant's Home page to display the Constant Height dialog box:

    • You can also display the Constant Height dialog box from the Main menu bar. Click on the Reliefs > ISO-FORM Letters… menu option.
  3. Define the height of the cross-section in the ISO-FORM letters in the Top Height box .
  4. Define the height of the base in the ISO-FORM letters in the Bottom Height box.
  5. Click on either of the radio buttons [image] to select the type of cross-section that you want to create:
    • Circular Cross-Section - This option allows you to create ISO-FORM letters with a curved cross-section.
    • Angular Cross-Section - This option allows you to create ISO-FORM letters with an angled-edged cross-section.
  6. Define the radius of the corners in your ISO-FORM lettering in the Corner Angle box. This allows you to taper all areas of the constant height relief that are of a smaller radius than that which is defined in the Corner Angle box.

    In the following example, you can see the difference that defining a corner radius makes to the serifs in this ISO-FORM letter with a constant height of 6 mm and an angular cross-section.

    Corner Radius at 0.0…

    Corner Radius at 12.0…
  7. Select the relief layer on which you want to create the ISO-FORM lettering. For details, see Selecting a Layer.
  8. In the Combine area of the page, select the relief combine mode that you want to use:
    • The combine mode selected here controls how the ISO-FORM lettering is combined with the selected relief layer only. It does not control how the ISO-FORM lettering is combined with the composite relief. How the ISO-FORM lettering is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the ISO-FORM letters to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the ISO-FORM letters from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Highest radio button [image] to merge the ISO-FORM letters with the selected relief layer, so that only the highest points show. For details, see Merging with the Relief.
    • Click on the Lowest radio button [image] to merge the ISO-FORM letters with the selected relief layer, so that only the lowest points show. For details, see Merging with the Relief.
  9. Click on the OK button to combine the ISO-FORM lettering with the selected relief layer and return to the Assistant's Home page.
  10. If you want to display a greyscale view of the ISO-FORM lettering on the selected relief layer in the 2D View window:
    • Click on the Preview Relief Layer button [image] in the 2D View toolbar. For details, see Preview Relief Layer.

      If you want to view only the selected relief layer on which you have created the ISO-FORM lettering:

    • Make sure that only the selected relief layer is visible. For details, see Viewing a Layer.
    • Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

See Also

Creating a Shape Using Vectors

Creating a Swept Profile Shape

Creating a Two Rail Sweep

Creating a Weave Shape


Creating a Dome

You can create a concave or convex dome shape on a selected relief layer.

To create a dome shape:

  1. Select or draw a vector that represents the size and position of the dome that you want to create. For details, see Selecting Vectors and Creating Simple Shapes.
  2. Make sure that the relief layer on which you want to create the dome is selected. For details, see Selecting a Layer.
  3. From the Main menu bar, click on the Relief > Create Dome menu option to display the Create A Dome dialog box:

  4. In the Dome Dimensions area, click on either of the radio buttons [image] to define the dimensions of the dome:
    • Maximum dome height - This option allows you to create a dome at the maximum height relative to the diameter of the dome shown in the Dome Diameter area. The shape of the dome represents a complete half-sphere. If you want to reduce the height of the dome, set its maximum height using the Value box.
    • Sphere radius - This option allows you to define the spherical radius of the dome, using the Value box.
  5. In the Type of Dome area, click on either of the radio buttons [image] to define the type of dome you want to create:
    • Male - This option allows you to create a convex (raised) dome.
    • Female - This option allows you to create a concave (recessed) dome.

      Male Dome…

      Female Dome…
  6. In the Combine By… area, click on either of the radio buttons [image] to select how the dome is combined with the selected relief layer:
    • Adding - This option allows you to add the dome shape to the selected relief layer. For more details, see Adding to the Relief.
    • Merging - This option allows you to merge the dome shape with the selected relief layer, so that only the highest points show. For more details, see Merging with the Relief.
  7. Click on the OK button to combine the dome with any existing relief in your model and close the Create A Dome dialog box.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Creating a Feature

You can create three different types of feature on a selected relief layer using artwork drawn on a vector layer, usually vector text:

  • Raised Feature. For details, see Creating a Raised Feature.
  • Recessed Feature. For details, see Creating a Recessed Feature.
  • Centreline Engraved Feature. For details, see Creating a Centreline Engraved Feature.

A depth or height is attributed to the vector from which the feature is created. The height is added to, or the depth subtracted from, the selected relief layer. This forms the shape of the vector, usually vector text, on the surface of the selected relief layer. The contour of any existing shapes on the selected relief layer is preserved in the feature with which it is combined.

A feature is machined using a Feature Machining toolpath. For information on toolpaths, see Using Toolpaths. For details on creating a Feature Machining toolpath, see Feature Machining.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Calculating a Relief

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Calculating a Relief

You can calculate a three-dimensional shape from the attributes you have assigned to a colour on a bitmap layer using one of four different combination methods:

  • Replace - You can replace the existing content on a selected relief layer with a new shape. For details, see Replacing the Relief.
  • Add - You can add a shape to the selected relief layer. For more details, see Adding to the Relief.
  • Subtract - You can subtract a shape from the selected relief layer. For more details, see Subtracting from the Relief.
  • Merge - You can merge a shape with the selected relief layer, so that only the highest or the lowest points remain. For more details, see Merging with the Relief.

The shape is created on the relief layer selected in the stack shown in the Reliefs area of the Layers Manager. These relief combine modes can also be selected from the Main menu bar, by clicking on the Reliefs > Calculate option.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Transforming and Manipulating Reliefs

Managing and Editing Reliefs


Replacing the Relief

You can replace the existing content on a selected relief layer with a new shape altogether.

To replace the existing content on a selected relief layer with a new shape:

  1. Select the bitmap layer on which you want to create a shape using bitmap colours. For details, see Selecting a Layer.
  2. Draw the bitmap artwork that represents the shape with which you want to create on the selected relief layer. For details, see Drawing using Bitmaps.
  3. Apply the shape attributes to the colour on the bitmap layer. For details, see Creating a Shape from a Bitmap.
  4. Select the relief layer on which you want to create the shape. For details, see Selecting a Layer.
    • You can use the Preview Relief Layer button [image] on the 2D View toolbar to check the contents of the selected relief layer. For details, see Preview Relief Layer.
  5. Click on the Replace Relief button [image] in the Relief Tools area of the Assistant's Home page to replace the existing content on the selected relief layer with the new shape.
    • You can also replace the current relief with a shape from the Main menu bar by clicking on the Reliefs > Calculate > Replace menu option.

      The Calculating Relief progress bar appears beneath the 2D View window.

      You can cancel the relief replacement process at any time by clicking on the [image] button.

  6. Click on the 3D View button [image] in the 2D View toolbar to display the composite relief in the 3D View window.

You can also replace the existing content on a selected relief layer with a shape using the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. Right-click on the 2D View associated with the Views element in the Project Tree to display the context menu. Click on the Calculate Relief > Replace option. For further details, see Viewing Model Information.

See Also

Calculating a Relief

Adding to the Relief

Subtracting from the Relief

Merging with the Relief


Adding to the Relief

You can add a shape to a selected relief layer.

To add a shape to the selected relief layer:

  1. Select the bitmap layer on which you want to create a shape using bitmap colours. For details, see Selecting a Layer.
  2. Draw the bitmap artwork that represents the shape that you want to add to the existing relief. For details, see Drawing using Bitmaps.
  3. Apply the shape attributes to the colour on the bitmap layer. For details, see Creating a Shape from a Bitmap.
  4. Select the relief layer on which you want to create the shape. For details, see Selecting a Layer.
    • You can use the Preview Relief Layer button [image] on the 2D View toolbar to check the contents of the selected relief layer. For details, see Preview Relief Layer.
  5. Click on the Add Relief button [image] in the Relief Tools area of the Assistant's Home page to add the shape to the selected relief layer.
    • You can also add a shape to the selected relief layer using the Main menu bar. Click on the Relief > Calculate > Add option.
    • The combine mode selected here controls how the shape is added to the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
  6. Click on the 3D View button [image] in the 2D View toolbar to display the composite relief in the 3D View window.

    In the following example, a blue circle is drawn on a bitmap layer using the Paint tool:

    A round shape is applied to the colour used for the circle using the Shape Editor, as you can see by looking at the Colour Palette below the 2D View window:

    The round shape is added to the selected relief layer and appears as follows in the 3D View window:

    The rectangular vector is then flood-filled in red:

    A plane shape is applied to the colour used for the rectangle using the Shape Editor, as you can see by looking at the Colour Palette below the 2D View window:

    The plane shape is added to the round shape already on the selected relief layer to create the following new shape:

You can also add a shape to a selected relief layer using the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. Right-click on the 2D View associated with the Views element in the Project Tree to display the context menu. Click on the Calculate Relief > Add option. For further details, see Viewing Model Information.

See Also

Calculating a Relief

Replacing the Relief

Subtracting from the Relief

Merging with the Relief


Subtracting from the Relief

You can subtract a shape from a selected relief layer.

To subtract a shape from a selected relief layer:

  1. Select the bitmap layer on which you want to create a shape using bitmap colours. For details, see Selecting a Layer.
  2. Draw the bitmap artwork that represents the shape that you want to subtract from the selected relief layer. For details, see Drawing using Bitmaps.
  3. Apply the shape attributes to the colour on the bitmap layer. For details, see Creating a Shape from a Bitmap.
  4. Select the relief layer from which you want to subtract the shape. For details, see Selecting a Layer.
    • You can use the Preview Relief Layer button [image] on the 2D View toolbar to check the contents of the selected relief layer. For details, see Preview Relief Layer.
  5. Click on the Subtract Relief button [image] in the Relief Tools area of the Assistant's Home page to subtract the shape from the selected relief layer.
    • You can also subtract a shape from the selected relief layer using the Main menu bar. Click on the Relief > Calculate > Subtract option.
    • The combine mode selected here controls how the shape is subtracted from the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
  6. Click on the 3D View button [image] in the 2D View toolbar to display the composite relief in the 3D View window.

    In the following example, a blue circle is drawn on a bitmap layer using the Paint tool:

    A rounded shape is then applied to the circle using the Shape Editor dialog box, as you can see by looking at the Colour Palette below the 2D View window:

    The round shape on the selected relief layer appears as follows in the 3D View window:

    The rectangular vector is then flood-filled in red:

    A plane is applied to the rectangle using the Shape Editor dialog box, as you can see by looking at the Colour Palette below the 2D View window:

    The plane shape is subtracted from the selected relief layer to create the following new shape:

You can also subtract a shape from the selected relief layer using the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. Right-click on the 2D View associated with the Views element in the Project Tree to display the context menu. Click on the Calculate Relief > Subtract option. For further details, see Viewing Model Information.

See Also

Calculating a Relief

Replacing the Relief

Adding to the Relief

Merging with the Relief


Merging with the Relief

You can merge a shape with a selected relief layer, so that only the highest points remain. Alternatively, you can merge a shape with a selected relief layer, so that only the lowest points remain.

To merge a shape with a selected relief layer:

  1. Select the bitmap layer on which you want to create a shape using bitmap colours. For details, see Selecting a Layer.
  2. Draw the bitmap artwork that represents the shape that you want to merge with the selected relief layer. For details, see Drawing using Bitmaps.
  3. Apply the shape attributes to the colour on the bitmap layer. For details, see Creating a Shape from a Bitmap.
  4. Select the relief layer with which you want to merge the shape. For details, see Selecting a Layer.
    • You can use the Preview Relief Layer button [image] on the 2D View toolbar to check the contents of the selected relief layer. For details, see Preview Relief Layer.
  5. You can now merge the shape with the selected relief layer:
    • Click on the Merge High button [image] in the Relief Tools area of the Assistant's Home page to merge the shape with the selected relief layer , so that only the highest points show.
    • Click on the Merge Low button [image] in the Relief Tools area of the Assistant's Home page to merge the shape with the selected relief layer, so that only the lowest points show.
    • You can also merge a shape with the selected relief layer using the Main menu bar. Click on the Reliefs > Calculate > Merge Highest or Merge Lowest menu option.
    • The combine mode selected here controls how the shape is merged with the selected relief layer only. It does not control how the shape is combined with the composite relief. How the shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
  6. Click on the 3D View button [image] in the 2D View toolbar to display the composite relief in the 3D View window.

    In the following example, a blue circle is drawn on a bitmap layer using the Paint tool:

    A rounded shape is then applied to the circle using the Shape Editor dialog box, as you can see by looking at the Colour Palette below the 2D View window:

    The round shape on the selected relief layer appears as follows in the 3D View window:

    The rectangular vector is then flood-filled in red:

    A plane is applied to the rectangle using the Shape Editor dialog box, as you can see by looking at the Colour Palette below the 2D View window:

    The different results achieved on the selected relief layer from using the Merge High and Merge Low options are shown below:

Merge High…

Merge Low…

You can also merge a shape with the selected relief layer using the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. Right-click on the 2D View associated with the Views element in the Project Tree to display the context menu. Click on the Calculate Relief option, followed by the Merge Highest or Merge Lowest option. For further details, see Viewing Model Information.

See Also

Calculating a Relief

Replacing the Relief

Adding to the Relief

Subtracting from the Relief


Transforming and Manipulating Reliefs

You can use the buttons in the Relief Tools area of the Assistant's Home page, along with the options on the Reliefs menu on the Main menu bar, to transform and manipulate the content on the different relief layers that you have created.

Hide Relief Tools Area Paste Relief From A File Save Relief Paste Relief Along Vector Pin/Unpin Relief Management Toolset Replace Relief Reset Relief Add Relief Subtract Relief Merge High Merge Low Pin/Unpin Relief Calculation Toolset Smooth Relief Texture Relief Scale Relief Height ISO-FORM Letters Weave Wizard Invert Relief Z Only Invert Relief - Male/Female Pin/Unpin Relief Inverting Toolset Zero Relief Under Colour Keep Under Colour Pin/Unpin Relief Colour Toolset Relief Mirror Merge Create 3D Blend Create Cross-Section Extrude Spin Turn Two Rail Sweep Pin/Unpin Relief Shapes Toolset Sculpting Create Angled Plane Offset Relief Relief Envelope Distortion Fade Relief Create Triangle Mesh Import Reliefs From A Relief Clipart Library

You can transform and manipulate the content on a selected relief layer in the following ways:

  • Using 3D clipart. For details, see Using 3D Clipart.
  • Copying and Pasting a Relief. For details, see Copying and Pasting a Relief.
  • Pasting a relief along a vector. For details, see Pasting a Relief along a Vector.
  • Inverting a relief. For details, see Inverting a Relief.
  • Smoothing a relief. For details, see Smoothing a Relief.
  • Scaling the relief height. For details, see Scaling the Relief Height.
  • Scaling to volume. For details, see Scaling to Volume.
  • Mirroring a relief. For details, see Mirroring a Relief.
  • Mirror merging a relief. For details, see Mirror Merging a Relief.
  • Offsetting a relief. For details, see Offsetting a Relief.
  • Resetting a relief. For details, see Resetting a Relief.
  • Resetting the relief height. For details, see Resetting the Relief Height.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Calculating a Relief

Managing and Editing Reliefs


Using 3D Clipart

You can use the 3D Clipart dialog box to resize and transform relief clipart, and select the way in which it is combined with a selected relief layer.

  • You can find a range of relief clipart samples in the Relief Clipart Library.

The 3D Clipart dialog box is displayed when you use any of the following methods in ArtCAM Pro:

  • Pasting a relief along a vector. For details, see Pasting a Relief along a Vector.
  • Pasting a relief from a file. For details, see Pasting a Relief from a File.
  • Importing a relief from a relief clipart library. For details, see Using a Relief Clipart Library.

The 3D Clipart dialog box appears as follows:

There are eight tabs in the 3D Clipart dialog box. Each tab contains a page of settings that allow you to edit the relief clipart and control how it is combined with the selected relief layer.

See Also

Transforming and Manipulating Reliefs

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Resizing the Relief Clipart

You can scale the relief clipart in the Z direction and/or set its height and width.

To resize the relief clipart:

  1. Click on the Size tab to display its settings.
  2. You can scale the relief clipart in the Z direction using any of the following methods:
    • Type its new Z height in the Z Range box.
    • Click and drag on the Scale Z slider. Click and drag upwards to increase the height of the relief clipart in the Z direction. Click and drag downwards to reduce the height of the relief clipart in the Z direction.
    • Click to select the Auto scale Z when resize option [image]. This option scales the relief clipart in the Z direction whenever its width or height is changed.
  3. To set the width and/or height of the relief clipart:
    • Type its new height and/or width in the Width and/or Height box. If you want to scale the X and Y axes differentially, make sure that both the Width and Height options are selected [image] before you type a value in each of the boxes.
  4. Click on the Apply button to adjust the relief clipart according to your settings.

See Also

Using 3D Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Combining the Relief Clipart with a Relief Layer

You can combine the relief clipart with a selected relief layer in one of four ways: Add, Subtract, Merge Highest or Merge Lowest. You can also set the position in which the relief clipart is combined with a selected relief layer.

To define how the relief clipart is combined with the selected relief layer:

  1. Click on the Mode tab to display its settings.
  2. Click on the Paste Mode radio button [image] that you want to use. For details, see Calculating a Relief.
  3. Define the height at which you want to combine the relief clipart with the selected relief layer in the Start Height box.
  4. To calculate the height you have defined from the Z zero position in the selected relief layer, click on the From Zero radio button [image]. To calculate the height that you have defined from the current position in the selected relief layer, click on the From Current radio button [image].
  5. To paste a vector outline in the shape of the relief clipart on the selected vector layer, click to select the Copy outline option [image]. For further information, see Selecting a Layer.
  6. Click on the Apply button to adjust the relief clipart according to your settings.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Positioning the Relief Clipart

You can set the position of the relief clipart in relation to the selected relief layer.

To reposition the relief clipart:

  1. Click on the Move tab to display its settings.
  2. To move the clipart relief in the Y axis direction, you can either:
    • Type a value in the Move Y origin by box.
    • Click and drag on the vertical slider.
  3. To move the imported relief in the X axis direction, you can either:
    • Type a value in the Move X origin by box.
    • Click and drag on the horizontal slider.
  4. Click on the Apply button to adjust the relief clipart according to your settings.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Rotating the Relief Clipart

You can rotate and/or mirror the relief clipart along the X or Y axis around the centre of the relief clipart or a defined position on the selected relief layer.

To rotate and/or mirror the relief clipart:

  1. Click on the Rotate tab to display its settings.
  2. You can now rotate the relief clipart in either of these ways:
    • To rotate the relief clipart about its centre, define the angle in the Rotate by angle box, or click and drag on the slider to set the angle.
    • To rotate the relief clipart about a specific position in the model, click to deselect the Rotate about centre option [image], and then define the new origin of rotation.

      If you have deselected the Rotate about centre option, you can define the origin of rotation using either of the following methods:

    • Click on the Cursor button, move the [image] cursor over the position that you want to use, and then click.
    • Type the X and Y co-ordinates of the point in the X and Y boxes.
  3. You can now mirror the relief clipart along the X or Y axis:
    • To mirror the relief clipart along the X-axis, click on the Horizontal button.
    • To mirror the relief clipart along the Y-axis, click on the Vertical button.
  4. Click on the Apply button to adjust the relief clipart according to your settings.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Scaling the Relief Clipart

You can scale the relief clipart to a percentage of its original size.

To scale the relief clipart:

  1. Click on the Scale tab to display its settings.
  2. To scale the relief clipart, you can either:
    • Type a percentage of the relief clipart's current size in the New scale % box.
    • Click and drag on the slider. Click and drag to the right to increase the size of the relief clipart. Click and drag to the left to reduce it.
  3. Click on the Apply button to adjust the relief clipart according to your settings.
  • If scaling to 1% or 200% does not produce big enough or small enough results, click on the Apply button. This scales the relief clipart to the new size and resets the New Scale % to 100. You can now repeat the scaling process to further increase or reduce its size.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Shearing the Relief Clipart

Shearing can be visualized by thinking of an image superimposed onto a flexible rubber sheet. If you hold the sides of the sheet and move them up and down in opposite directions, the image undergoes a spatial stretching known as shearing. You can shear the relief clipart both horizontally and vertically.

To shear the relief clipart:

  1. Click on the Shear tab to display its settings.
  2. To shear the relief clipart horizontally, you can either:
    • Type a value in the Shear in X axis box.
    • Click and drag on the horizontal slider.
  3. To shear the relief clipart vertically, you can either:
    • Type a value in the Shear in Y axis box.
    • Click and drag on the vertical slider.
  4. Click on the Apply button to adjust the relief clipart according to your settings.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Copying the Relief Clipart

You can make a single copy of the relief clipart, or multiple copies in either a grid or circular pattern.

To make copies of the relief clipart:

  1. Click on the Copies tab to display its settings.
  2. If you want to create a single copy of the relief clipart on the selected relief layer:
    • Select the Single Copy option by clicking on its radio button. This option is selected by default.

      If you want to create multiple copies of the relief clipart in a circular pattern on the selected relief layer:

    • Select the Copy Rotate option by clicking on its radio button.
    • Define the rotation angle in the Rotation Angle box.
    • You can set the rotation angle using a positive or negative value. To rotate the relief clipart clockwise, type a positive value in the box e.g. 90. To rotate the relief clipart anti-clockwise, type a negative value in the box e.g. -90.
    • Define the point around which you want to rotate the relief clipart by typing the X and Y co-ordinates for the origin of rotation in the X and Y boxes.
    • Alternatively, you can click on the Cursor button, move the [image] cursor over the position in the model area (the white area) shown in the 2D View window that you want to use as the origin of rotation and then click to select it. The co-ordinates are displayed in the X and Y boxes.

      If you want to create multiple copies of the relief clipart in a grid pattern on the selected relief layer:

    • Select the Copy Linear option by clicking on its radio button.
    • Define the distance you want to set between each copy along the X-axis in the X Offset box.
    • The values you use for the X and Y offsets set the distance between the bottom left corner of each copy of the relief clipart.
    • You can set the distance you want between each copy using a positive or negative value. To create a block of copies to the right of and above the relief clipart, type positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below the relief clipart, type negative values in the offset boxes e.g. -90.
    • Define the distance that you want to set between each copy along the Y-axis in the Y Offset box.
    • Define the number of copies that you want to create by typing the number of rows and columns that you want in the Columns and Rows boxes.
    • You can also use the [image] and [image] arrows to set the number of rows and columns.
  3. Click on the Apply button to copy the relief clipart according to your settings.

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Wrapping the Relief Clipart

3D Clipart Example


Wrapping the Relief Clipart

Relief clipart can be projected onto the surface of a selected relief layer using the four standard relief combine mode options: Add, Subtract, Merge Highest and Merge Lowest. For details, see Combining the Relief Clipart with a Relief Layer.

Using this method of combining relief clipart with a selected relief layer often causes distortion to the shape of the relief clipart.

You can preserve its original shape when pasting by wrapping it around one or more of the axes in the model during the relief combination process.

In the following example, a relief clipart in the shape of a lizard pasted onto a dome shape on a selected relief layer is shown:

Projected…

Wrapped Radially…

You can see how the lizard shape is smeared across the dome when projected onto it. When pasted radially, its original size and shape is maintained.

To wrap the relief clipart:

  1. Click on the Wrap tab to display its options.
  2. In the Wrap Type area, click to select the wrapping option that you want to use:
    • Project - This option allows you to paste the relief clipart onto the surface of the selected relief layer.
    • Using the Project method of wrapping relief clipart onto a selected relief layer can cause distortion to its original shape.
    • Radial - This option allows you to wrap the relief clipart around a spherical shape that is curved in both the X and Y-axes.
    • Wrap in X - This option allows you to wrap the relief clipart around a cylindrical shape that is curved around the X-axis.
    • Wrap in Y - This option allows you to wrap the relief clipart around a cylindrical shape that is curved around the Y-axis.
  3. In the Wrap Origin area, define the origin around which you want to wrap the relief clipart. You can use any of the following methods:
    • If the Project option is selected in the Wrap Type area, the Wrap Origin area is greyed-out.
    • Click on any of radio buttons [image] on the rectangle diagram. The X and Y co-ordinates of the chosen origin appear in the X and Y boxes.
    • Type the X and Y co-ordinates of the origin in the X and Y boxes.
    • Click on the Use Mouse option [image], followed by the Start button. Move the cursor to the position in the 2D View window that you want to use as the origin, and then click to select. The X and Y co-ordinates of the origin appear in the X and Y boxes.
  4. Make sure that the relief layer onto which you want to wrap the relief clipart is selected. For details, see Selecting a Layer.
  5. Click on the Apply button to wrap the relief clipart around the selected relief layer. The vector outline in the 2D View window representing the relief clipart is corrected to compensate for the distortion.

In our example, the lizard relief clipart's vector outline appears as follows before and after it has been radially wrapped:

Projected…

Radially Wrapped…

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

3D Clipart Example


3D Clipart Example

In the following example, you can see how the 3D Clipart dialog box is used to transform, resize and position a piece of relief clipart and then combine it with a selected relief layer.

  1. Click on the Open Existing Model icon [image] in the Model area of the Assistant's Home page to display the Open dialog box:

  2. Click on the Files of Type list box followed by the ArtCAM Reliefs (*.rlf) option.
  3. Click to select the Pend_frm.rlf file in the ArtCAM Pro 9.0\Examples\Overview directory on your computer.
  4. Click on the Open button to create an ArtCAM model from the Pend_frm.rlf file.

    A greyscale image of the pendant shape on the relief layer named Relief Layer 1 is shown in the 2D View window:

    This greyscale image of the pendant shape is contained on the bitmap layer named Bitmap Layer 1.

  5. Click on the Paste Relief From File button [image] in the Relief Tools area of the Assistant's Home page to display the Open dialog box:

  6. Click to select the Lady.rlf file in the ArtCAM Pro 9.0\Examples\Overview directory on your computer.
  7. Click on the Open button to display the 3D Clipart dialog box:

    A vector outline representing the shape of the lady's head relief clipart appears in the 2D View window. The relief clipart is much larger than the pendant shape on the relief layer named Relief Layer 1 and therefore has to be resized in order to fit within the layer.

  8. You are now ready to scale the lady's head relief clipart:
    • Click on the Scale tab to display its settings, and then click and drag on the sliders to reduce the size of the lady's head relief clipart so that it fits inside of the centre of the greyscale image of the pendant shape.
    • Click on the Apply button.
  9. You are now ready to position the lady's head relief clipart:
    • Click on the Move tab to display its settings, and then click and drag on the sliders to position the vector inside the centre of the greyscale image of the pendant shape.
    • Click on the Apply button.

      The vector outline of the lady's head relief clipart should now appear something like the image shown below:

  10. You are now ready to resize the lady's head relief clipart:
    • Click on the Size tab to display its settings, and then click and drag on the Scale Z slider downwards to set the Maximum Height of the lady's head relief clipart to approximately 0.500 mm.
    • Click on the Apply button.
  11. Click on the Mode tab to display its settings, and then click on the Add radio button [image] to select how the lady's head relief clipart is combined with the pendant shape on the relief layer named Relief Layer 1.
  12. Click on the Paste button to paste the lady's head relief clipart onto the relief layer named Relief Layer 1.
  13. Click on the Close button to close the 3D Clipart dialog box.
  14. Click on the 3D View button [image] on the 2D View toolbar to display the 3D View window. The relief layer named Relief Layer 1 should now appear something like the image shown below:

See Also

Using 3D Clipart

Resizing the Relief Clipart

Combining the Relief Clipart with a Relief Layer

Positioning the Relief Clipart

Rotating the Relief Clipart

Scaling the Relief Clipart

Shearing the Relief Clipart

Copying the Relief Clipart

Wrapping the Relief Clipart


Copying and Pasting a Relief

You can copy an area within a selected relief layer defined by a vector, and then paste it elsewhere within a selected relief layer using the Relief Envelope Distortion tool. For further information, see Relief Envelope Distortion.

You can adjust the shape and position of the copied area of the relief layer prior to pasting using a distortion envelope. You can paste the copied area of the relief layer to any relief layer within the model, along a curved vector, or between two curved vectors.

For example, you can see how a grapevine design on a relief layer has been redesigned by copying and pasting different areas:

Before…

After…

To copy and paste an area of a relief layer:

  1. Make sure that the relief layer from which you want to copy an area is selected. For details, see Selecting a Layer.
  2. Make sure that the relief layer on which you want to paste the copied area of the relief layer is selected. For details, see Selecting a Layer.
    • Click on the Preview Relief Layer button [image] to display a greyscale image of the selected relief layer in the 2D View window. You can use this greyscale image to easily determine the exact area of the relief layer that you want to copy.
  3. Select the vector that marks the area of the selected relief layer that you want to copy.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    In the following example, we will copy the whole relief layer shown below:

  4. From the Main menu bar, click on the Edit > Copy Relief option to copy the area of the selected relief layer within the selected vector to the ArtCAM clipboard.
  5. Make sure that the relief layer onto which you want to paste the copied area of the relief layer on the ArtCAM clipboard is selected. For details, see Selecting a Layer.
  6. From the Main menu bar, click on the Edit > Paste option to create a preview of the copied area of the relief layer on the ArtCAM clipboard about the model's origin, enclosed by a distortion envelope. The Relief Envelope Distortion page is displayed in the Assistant window.

    In the Original Relief area, the Keep original relief (Copy) radio button is selected by default [image] and the Replace original relief (Cut) radio button is greyed-out.

  7. You can use the tools in the Editing Mode area to edit the shape or position of the copied area of the relief layer on the ArtCAM clipboard, create a vector in the shape of its outline and display it in greyscale. For details, see Relief Envelope Distortion.

    In the image below, you can see a car shape on a relief layer before and after it has been distorted:

    Copied Relief…

    Distorted Relief…
  8. If you want to paste the copied area of the relief layer on the ArtCAM clipboard along a single curved vector:
    • First, click to select the Use existing curve(s) option to display its settings [image].
    • Next, click to select the Wrap along single curve radio button [image]. The Wrap between 2 curves settings are greyed-out.
    • If you want to specify the width of the copied area of the relief layer on the ArtCAM clipboard, click to select the specify envelope width option [image] and then define its width in the Width box.
    • Click to select the curved vector along which you want to paste the copied area of the relief layer on the ArtCAM clipboard, and then click on the Select Curve button. For details, see Selecting Vectors.

      In our example, we will use a single curved vector as shown below:

  9. If you want to paste the copied area of the relief layer on the ArtCAM clipboard between two curved vectors:
    • Click to select the Use existing curve(s) option to display its settings [image].
    • Make sure that the Wrap between 2 curves radio button is selected [image].
    • Click to select the curved vector along which you want to paste the copied area of the relief layer on the ArtCAM clipboard, and then click on the Select Top Curve… button. For details, see Selecting Vectors.
    • Click to select the curved vector along which you want to paste the copied area of the relief layer on the ArtCAM clipboard, and then click on the Select Bottom Curve… button. For details, see Selecting Vectors.
  10. In the Number of copies area, click to select the method that you want to use when pasting the copied area of the relief layer on the ArtCAM clipboard:
    • If you want to stretch the copied area of the relief layer on the ArtCAM clipboard along the selected vector(s), click to select the One - Stretch to Fit radio button [image].
    • If you want ArtCAM Pro to calculate the optimum number of copies of the area of the relief layer on the ArtCAM clipboard that should be created along the selected vector(s), click to select the Many - Best Fit radio button [image].
    • If you want to create a specific number of copies of the area of the relief layer on the ArtCAM clipboard along the selected vector(s), click to select the Many - Specific number of copies radio button [image] and then define the number of copies in the Copies box.

      In our example, we select the last option and instruct ArtCAM Pro to create six instances of the copied area of the relief layer on the ArtCAM clipboard along the selected vector.

  11. Click on the Paste button to position the relief distortion envelope along the selected vector(s).
    • If the Preview Relief Layer button [image] is selected, a greyscale image of the pasted relief area is shown in the 2D View window. For details, see Preview Relief Layer.
    • You can toggle the Preview Relief Layer button on [image] and off [image] using the Preview Relief Layer in 2D View option on the page.

      In our example, the distortion envelope appears as follows:

      You can see that the distortion envelope has six sections, one for each of the copies of the area of the relief layer on the ArtCAM clipboard that we want to paste along the selected vector.

  12. In the Combine area, click to select the relief combine mode that you want to use:
    • To add the area of the relief layer on the ArtCAM clipboard to the selected relief layer, click on the Add option. For more details, see Adding to the Relief.
    • To subtract the area of the relief layer on the ArtCAM clipboard from the selected relief layer, click on the Subtract option. For more details, see Subtracting from the Relief.
    • To merge the area of the relief layer on the ArtCAM clipboard with the selected relief layer so that only the highest points remain, click on the Merge Highest option. For more details, see Merging with the Relief.
    • To merge the area of the relief layer on the ArtCAM clipboard with the selected relief layer, so that only the lowest points remain, click on the Merge Lowest option. For more details, see Merging with the Relief.

      In our example, we will add the area of the relief layer on the ArtCAM clipboard to the selected relief layer.

  13. Click on the Paste button to combine the area of the relief layer on the ArtCAM clipboard with the selected relief layer.

    In the following image, you can see how the area of the relief layer on the ArtCAM clipboard pasted to the selected relief layer appears as shown in the 3D View window:

    Further examples of pasting copies of an area of a relief layer along a curved vector are shown as follows:

    Vector Curves…

    Pasted Relief…

    Vector Curve…

    Pasted Relief…

    Vector Curve…

    Pasted Relief…
  14. Click on the Finish button to return to the Assistant's Home page.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Pasting a Relief along a Vector

You can import a relief clipart file into ArtCAM Pro, edit the relief clipart and then paste multiple copies of it on a selected relief layer along a selected curved vector.

To paste a piece of relief clipart along a curved vector:

  1. Select the curved vector along which you want to paste the imported relief clipart file. For details, see Selecting Vectors.
  2. Make sure that the relief layer on which you want to paste the imported relief clipart file is selected. For details, see Selecting a Layer.
  3. Click on the Paste Relief Along Vector button [image] in the Relief Tools area of the Assistant's Home page to display the Relief Paste dialog box:

  4. Click on the Look in list box and select the directory where the relief clipart file is stored.
  5. Click to select a compatible relief clipart file (*.rlf, *.art or *.pix) that you want to import.

    The file name appears in the File name box and the dimensions of the relief clipart appear in the Relief Information area.

  6. Click on the Open button to import the selected relief clipart file. A red vector outline of the selected relief clipart file appears in the 2D View window. The Paste Along A Curve page is displayed in the Assistant window and the 3D Clipart dialog box also appears:

  7. You can use the 3D Clipart dialog box to edit the imported relief clipart file, and control the way in which it is combined with the selected relief layer. For details, see Using 3D Clipart.
  8. Click on the Apply button in the 3D Clipart dialog box to adjust the relief clipart file according to your settings.
  9. You can now use the Settings area of the Paste Along A Curve page to adjust the size of each consecutive copy that is pasted along the selected vector, and the spacing between them:
    • To set the spacing between each copy as a percentage of the relief clipart file's width, type a value in the Spacing (S) box.
    • To set the size of the first pasted copy as a percentage of the relief clipart file's width, type a value in the Start size (B) box.
    • To set the size of the last pasted copy as a percentage of the relief clipart file's width, type a value in the Final size (E) box.
    • If you type a value in the Start size (B) and Final size (E) boxes, each consecutive copy of the relief clipart file pasted along the selected vector is scaled proportionately.
    • If you want the copies of the imported relief clipart file to be pasted evenly along the selected vector(s), make sure that the Adjust to fit exactly option is selected [image].
  10. Click on the Paste button on the Paste Along A Curve page to paste the relief clipart file on the selected relief layer along the selected vector.
    • Do not click on the Paste button in the 3D Clipart dialog box if you want to paste the relief clipart file along the selected vector(s).
    • To undo this action, press the Ctrl + Z keys on your keyboard.
  11. If you do not want to change the way that the copies of the relief clipart file have been pasted along the selected vector, click on the Close button in the 3D Clipart dialog box.
  12. Click on the Close button on the Paste Along A Curve page to return to the Assistant's Home page.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Inverting a Relief

You can invert a selected relief layer in two ways:

  • In the Z-axis only, without any mirroring.
  • In the Z-axis, and mirror left to right.

Either or these options allow you turn a concave shape into a convex shape, and vice versa.

To invert a relief layer in the Z axis only:

  1. Make sure that the relief layer that you want to invert is selected. For details, see Selecting a Layer.
  2. Click on the Invert Relief Z Only button [image] in the Relief Tools area of the Assistant's Home page. The selected relief layer is inverted in the Z-axis only.
    • You can also invert the selected relief layer in the Z-axis and mirror left to right from the Main menu bar. Click on the Reliefs > Invert > Z Only option.
    • Make sure that the Preview Relief Layer button [image] is toggled on so that you can see a greyscale image of the inverted relief layer in the 2D View window. For details, see Preview Relief Layer.

To invert a relief layer in the Z-axis and mirror left to right:

  1. Make sure that the relief layer that you want to invert is selected. For details, see Selecting a Layer.
  2. Click on the Invert Relief - Male/Female button [image] in the Relief Tools area of the Assistant's Home page. The selected relief layer is inverted in the Z-axis, and it is also mirrored left to right.
    • You can also invert the selected relief layer in the Z-axis and mirror left to right from the Main menu bar. Click on the Reliefs > Invert > Male/Female option.
    • Make sure that the Preview Relief Layer button [image] is toggled on so that you can see a greyscale image of the inverted relief layer in the 2D View window. For details, see Preview Relief Layer.

      The inverted relief layer is mirrored to allow you to produce matching top and bottom halves when machining a model or create a mould from a male model.

    • All engraved features on the relief layer remain as defined. They are added to or subtracted from the relief layer.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Smoothing a Relief

You can remove surface irregularities that might appear on a relief layer. You can smooth the whole surface or a specific area of a selected relief layer. You cannot smooth the whole of the composite relief shown in the 3D View window at once.

To smooth the whole surface of a selected relief layer:

  1. Make sure that the relief layer that you want to smooth is selected. For details, see Selecting a Layer.
  2. Click on the Smooth Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Smooth Relief dialog box:

    • You can also display the Smooth Relief dialog box from the Main menu bar. Click on the Reliefs > Smooth… option.
  3. Click to select the Whole Layer radio button [image].
  4. Click on either of the arrows [image] joined to the Smoothing Passes box to set the number of smoothing passes that are made over the surface of the selected relief layer.
    • It is better to increase and apply the number of smoothing passes gradually, checking the results of each additional smoothing pass in the 3D View window.
  5. Click on the Apply button to close the Smooth Relief dialog box and smooth the surface of the selected relief layer.

To smooth a specific area of a selected relief layer:

  1. Make sure that the relief layer that you want to smooth is selected. For details, see Selecting a Layer.
  2. Click on the Smooth Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Smooth Relief dialog box.
  3. You can either use a vector or bitmap colour to define the area of the selected relief layer that you want to smooth. If you want to use a vector:
    • Click to select the vector from the 2D View window, and then on the Selected Vector radio button [image].

      If you want to use a bitmap colour:

    • Select the bitmap layer on which the colour representing the area of the relief layer that you want to smooth.
    • Select the Primary Colour from the Colour Palette beneath the 2D View window, and then click on the Selected Colour radio button [image].
  4. Click on either of the arrows [image] adjoined to the Smoothing Passes box to set the number of smoothing passes over the area of the selected relief layer.
  5. Click on the Apply button to close the Smooth Relief dialog box and smooth the area of the selected relief layer defined by the vector or Primary Colour currently selected.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Scaling the Relief Height

You can scale the whole surface, or a specific area of a relief layer.

To scale the height of a relief layer:

  1. Make sure that the relief layer that you want to scale is selected. For details, see Selecting a Layer.
  2. Click on the Scale Relief Height button [image] in the Relief Tools area of the Assistant's Home page to display the Scale Relief Height dialog box:

    The current height of the selected relief layer is shown in the Current Height area of the dialog box.

    • You can also display the Scale Relief Height dialog box from the Main menu bar by clicking on the Reliefs > Scale… option.
    • If you attempt to scale a relief layer where the Z height is zero, the following message box is displayed:

      Click on the OK button to close the message box.

  3. To set the new height of the selected relief layer, you can use either of the following methods:
    • Click and drag on the slider. Click and drag upwards to increase the height of the selected relief layer. Click and drag downward to reduce it. Its new height appears in the New Height box.
    • Type its new height in the New Height box.
  4. If the relief layer that you are scaling contains fine detail:
    • First, click to select the Preserve Detail option [image].
    • Next, define the maximum depth of the detail that you want to keep in the Detail To Preserve box.
    • Finally, set the new height of the detail in the New Detail Height box.

      ArtCAM Pro scales the detail independently of the height specified in the New Height box and restores it to the relief layer after the overall scaling process is complete.

  5. Click on the OK button to close the Scale Relief Height dialog box and scale the height of the selected relief layer.

To scale a specific area of a relief layer:

  1. Make sure that the relief layer that you want to scale is selected. For details, see Selecting a Layer.
  2. Click on the Scale Relief Height button [image] in the Relief Tools area of the Assistant's Home page to display the Scale Relief Height dialog box.
  3. You can either use a vector or bitmap colour to define the area of the selected relief layer that you want to scale in height. If you want to use a vector:
    • Click to select the vector from the 2D View window, and then on the Selected Vector radio button [image]. For details, see Selecting Vectors.

      If you want to use a bitmap colour:

    • Select the Primary Colour from the Colour Palette beneath the 2D View window, and then click on the Selected Colour radio button [image]. For details, see Selecting the Primary and Secondary Colours.
    • If you select a vector or bitmap colour that does not represent an area of the selected relief layer with any underlying relief, the New Height box in the Scale Relief Height dialog box is greyed-out. This indicates that there is no relief in which to scale the height.
  4. If the area of the relief layer that you are scaling contains fine detail:
    • First, click to select the Preserve Detail option [image].
    • Next, define the maximum depth of the detail that you want to keep in the Detail To Preserve box.
    • Finally, set the new height of the detail in the New Detail Height box.

      ArtCAM Pro scales the detail independently of the height specified in the New Height box and restores it to the selected relief layer after the overall scaling process is complete.

  5. Click on the OK button to close the Scale Relief Height dialog box and scale the height of the selected relief layer.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Scaling to Volume

You can scale a model to an exact volume. All of the layers within the model are scaled simultaneously.

To scale a model to an exact volume:

  1. From the Main menu bar, click on the Reliefs > Volume option to display the Scale To Volume page in the Assistant window.

    The current size of your model is shown in the Model Size area. Its height in the Z direction is shown in the Model Z Height area. Its volume is shown in the Current Volume area, according to the units of measurement you are using.

  2. Click on the Volume Units list box, followed by the units of measurement that you want to use.

    If you are using millimetres, you can select either of the following options:

    • Cubic mm - Click on this option to define the volume in cubic millimetres.
    • Cubic cm - Click on this option to define the volume in cubic centimetres.

      If you are using inches, you can select either of the following options:

    • Cubic Inches - Click on this option to define the volume in cubic inches.
    • Cubic Feet - Click on this option to define the volume in cubic feet.
  3. Define the new volume for the model in the Enter New Volume box.
  4. If you want to scale the model in the Z direction only, click to select the Scale in Z Only option [image].
  5. Click on the Apply button to scale the model.
  6. Click on the Finish button to return to the Assistant's Home page.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Mirroring a Relief

You can reverse the direction of a selected relief layer from its original position both horizontally and vertically.

To mirror the selected relief layer horizontally:

  1. Make sure that the relief layer that you want to mirror is selected. For details, see Selecting a Layer.
  2. From the Main menu bar, click on the Reliefs > Mirror > Mirror Horizontal option.

To mirror the selected relief layer vertically:

  1. Make sure that the relief layer that you want to mirror is selected. For details, see Selecting a Layer.
  2. From the Main menu bar, click on the Reliefs > Mirror > Mirror Vertical option.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Mirror Merging a Relief

You can copy and mirror different halves of a selected relief layer. This allows you to create repetitive symmetrical designs very quickly, and means that you now only need to create a partial shape on the relief layer in order to output a complete design.

For example, you can create a full weave pattern using a partial weave pattern occupying only a quarter of a relief layer in two steps:

(1). Original Weave Relief…

(2). Mirror Relief from Left to Right…

(3). Mirror Relief from Top to Bottom…

To mirror the design in one half of the selected relief layer over to its opposite half:

  1. Make sure that the relief layer that you want to mirror is selected. For details, see Selecting a Layer.
  2. Click on the Mirror Merge Relief button [image] in the Relief Tools area of the Assistant's Home Page to display the Mirror Merge Relief page.
    • You can also display the Mirror Merge Relief page from the Main menu bar by clicking on the Reliefs > Mirror > Mirror Merge option.
  3. Click on the button associated with how you want to mirror the content on the selected relief layer:
    • Click on the [image] button to mirror from the left side of the selected relief layer to the right.
    • Click on the [image] button to mirror from the right side of the selected relief layer to the left.
    • Click on the [image] button to mirror the top half of the selected relief layer to the bottom half.
    • Click on the [image] button to mirror the bottom half of the selected relief layer to the top.
  4. Click on the Close button to return to the Assistant's Home page.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Offsetting a Relief

Resetting a Relief

Resetting the Relief Height


Offsetting a Relief

You can offset a selected relief layer from its current position. This allows you to add or subtract material from the surface of relief layers containing both male and female shapes.

To offset a selected relief layer:

  1. Make sure that the relief layer that you want to offset is selected. For details, see Selecting a Layer.
  2. Click on the Offset Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Offset Relief dialog box:

    • You can also display the Offset Relief dialog box from the Main menu bar by clicking on the Reliefs > Offset… option.
  3. Define the distance you want to offset the relief layer from its current position in the Offset distance box.
  4. Click on either of the radio buttons [image] to select the Offset direction you want to use.
  5. Click on the OK button to offset the relief layer and close the Offset Relief dialog box.
  6. Click on the 3D View button [image] in the 2D View toolbar to view the relief layer.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Resetting a Relief

Resetting the Relief Height


Resetting a Relief

You can reset a selected relief layer to zero, effectively removing it from the composite relief.

To reset a selected relief layer to zero:

  1. Select the relief layer that you want to reset. For details, see Selecting a Layer.
  2. Click on the Reset Relief button [image] in the Relief Tools area of the Assistant's Home page.
    • You can also reset the selected relief layer from the Main menu bar. Click on the Reliefs > Reset menu option.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting the Relief Height


Resetting the Relief Height

You can reset the height of a selected relief layer under the current Primary Colour to zero, and vice versa.

To reset the height of a selected relief layer to zero in all areas under the current Primary Colour:

  1. Select the relief layer on which you want to reset the height. For details, see Selecting a Layer.
  2. Select the Primary Colour from the Colour Palette beneath the 2D View window. For details, see Selecting the Primary and Secondary Colours. The Primary Colour represents the areas of the selected relief layer that you want to reset to zero.
  3. Click on the Zero Relief Under Colour button [image] in the Relief Tools area of the Assistant's Home page.
    • Make sure that the Preview Relief Layer button [image] is toggled on so that you can see a greyscale image of the selected relief layer in the 2D View window. For details, see Preview Relief Layer. Notice that all areas of the selected relief layer under the current Primary Colour have been reset to zero.

To reset the height of a selected relief layer to zero, except for those areas under the current Primary Colour:

  1. Select the relief layer on which you want to reset the height. For details, see Selecting a Layer.
  2. Select the Primary Colour from the Colour Palette beneath the 2D View window. The Primary Colour represents the areas of the selected relief layer that you do not want to reset to zero.
  3. Click on the Keep Under Colour button [image] in the Relief Tools area of the Assistant's Home page.
    • You can also reset the height of the selected relief layer to zero, except in those areas under the current Primary Colour, from the Main menu bar by clicking on the Reliefs > Keep Under Colour option.
    • Make sure that the Preview Relief Layer button [image] is toggled on so that you can see a greyscale image of the selected relief layer in the 2D View window. For details, see Preview Relief Layer. Notice that the selected relief layer has been reset to zero, except for those areas beneath the current Primary Colour.

See Also

Transforming and Manipulating Reliefs

Using 3D Clipart

Copying and Pasting a Relief

Pasting a Relief along a Vector

Inverting a Relief

Smoothing a Relief

Scaling the Relief Height

Scaling to Volume

Mirroring a Relief

Mirror Merging a Relief

Offsetting a Relief

Resetting a Relief


Managing and Editing Reliefs

You can use the buttons in the Relief Tools area of the Assistant's Home page, along with the Reliefs menu options in the Main menu bar, to manage and edit the content across the different relief layers you have created.

Hide Relief Tools Area Paste Relief From A File Save Relief Paste Relief Along Vector Pin/Unpin Relief Management Toolset Replace Relief Reset Relief Add Relief Subtract Relief Merge High Merge Low Pin/Unpin Relief Calculation Toolset Smooth Relief Texture Relief Scale Relief Height ISO-FORM Letters Weave Wizard Invert Relief Z Only Invert Relief - Male/Female Pin/Unpin Relief Inverting Toolset Zero Relief Under Colour Keep Under Colour Pin/Unpin Relief Colour Toolset Relief Mirror Merge Create 3D Blend Create Cross-Section Extrude Spin Turn Two Rail Sweep Pin/Unpin Relief Shapes Toolset Sculpting Create Angled Plane Offset Relief Relief Envelope Distortion Fade Relief Create Triangle Mesh Import Reliefs From A Relief Clipart Library

You can manage and edit a relief layer or the composite relief in the following ways:

  • Saving a composite relief. For details, see Saving a Composite Relief .
  • Pasting a relief from a file. For details, see Pasting a Relief from a File.
  • Importing a relief from a relief clipart library. For details, see Using a Relief Clipart Library.
  • Calculating the surface area. For details, see Calculating the Surface Area.
  • Displaying the calculation time. For details, see Displaying the Calculation Time.
  • Adding a draft angle. For details, see Adding a Draft Angle.
  • Creating a triangle mesh. For details, see Creating a Triangle Mesh.
  • Creating a cross-section. For details, see Creating a Cross-Section.
  • Creating an angled plane. For details, see Creating an Angled Plane.
  • Blending 3D shapes. For details, see Blending 3D Shapes.
  • Relief Envelope Distortion. For details, see Relief Envelope Distortion.
  • Fading a relief. For details, see Fading a Relief.
  • Creating a Ring. For details, see Creating a Ring.
  • Adding texture to a relief. For details, see Adding Texture to a Relief.
  • Sculpting a relief. For details, see Sculpting a Relief.
  • Removing holes from the relief surface. For details, see Removing Holes in the Relief Surface.
  • Creating a greyscale image from the composite relief. For details, see Creating a Greyscale Image from the Composite Relief.
  • Rotating the composite relief or a triangle mesh. For details, see Rotating the Composite Relief or a Triangle Mesh.

See Also

Working with Reliefs

Overview

Using the Shape Editor

Creating a Shape Using Vectors

Creating a Dome

Creating a Feature

Calculating a Relief

Transforming and Manipulating Reliefs


Saving a Composite Relief

You can save the composite relief as an ArtCAM relief file (*.rlf), Windows Bitmap (*.bmp) or 16-Bit Greyscale TIFF Image (*.tif).

  • The composite relief is the sum of the visible relief layers in the model which can be seen in the 3D View window.

To save the composite relief:

  1. Click on the Save Composite Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Save As dialog box:

    • You can also save the composite relief from the Main Menu bar by clicking on the Reliefs > Save Composite... menu option.
  2. Click on the Save in list box and select the directory where you want to save the composite relief.
  3. Type a name for the composite relief in the File name box.
  4. Click on the Save as type list box, followed by the format in which you want to save the composite relief:
    • ArtCAM Relief (*.rlf)
    • Windows Bitmap (*.bmp)
    • 16-Bit Greyscale TIFF Image (*.tif)
    • Saving the composite relief as a 16-Bit Greyscale TIFF Image file retains the full Z resolution of the model. This means that you can edit the height of the relief in graphics packages including Adobe Photoshop without any loss of resolution. Your edited 16-Bit Greyscale TIFF Image files can then be imported back into ArtCAM Pro. For details, see Opening an Existing Model.
  5. Click on the Save button to save the composite relief.

See Also

Managing and Editing Reliefs

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Pasting a Relief from a File

You can load a saved relief file (*.rlf, *.art, *.pix) and combine it with a selected relief layer.

To import a relief file and combine its contents with a selected relief layer:

  1. Select the relief layer on which you want to paste the imported relief. For details, see Selecting a Layer.
  2. Click on the Paste Relief From File button [image] in the Relief Tools area of the Assistant's Home page to display the Open dialog box:

    • You can also display the Open dialog box from the Main menu bar by clicking on the Reliefs > Paste From File... menu option.
  3. Click on the Look in list box and select the directory where the relief file that you want to paste into the selected relief layer is stored.
  4. Click to select the relief file that you want to paste into the selected relief layer.
  5. Click on the Open button to display the 3D Clipart dialog box:

    You can use the 3D Clipart dialog box to edit the imported relief before it is pasted, and control the way in which it is combined with the relief on the selected relief layer. For details on how to use the 3D Clipart dialog box, see Using 3D Clipart.

    A preview image of the imported relief also appears in the 2D View window about the origin of your model. For details on how to use the 3D Clipart dialog box, see Using 3D Clipart.

    • In order for the Multiply option to produce a feasible relief you should load a relief with a Max Z height of between 0 and 1.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Using a Relief Clipart Library

You can use the Relief Clipart Library tool to manage reliefs saved as *.rlf and *.art files that you want to import into an ArtCAM model. ArtCAM Pro recalls the position in which the relief was saved.

A relief clipart library is made up of at least one folder that contains one or more files.

ArtCAM Pro creates an area on the Relief Clipart Library page for each of the folders within a library that contain *.rlf and *.art files. If a *.rlf or *.art file within a library shares the same name as a *.jpg or *.gif file also within the same library, ArtCAM Pro creates an icon next to its filename. If there are no *.rlf or *.art files in a selected directory, a message is displayed on the page indicating that no library has been found.

You can click on the [image] arrow on the page to hide the list of files within a library's folder, and on the [image] arrow to reveal the list.

To select a folder as a relief clipart library:

  1. Click on the Import From a Relief Library button [image] in the Relief Tools area of the Assistant's Home page to display the Relief Clipart Library page.
  2. If you cannot see the relief clipart library settings, click on [image] arrow in the Choose Library area to display them. Any existing relief clipart libraries are listed in the Libraries list box.
  3. Click on the New button to display the Browse For Folder dialog box.
  4. Click to select the directory in which you want to store your relief clipart files, or in which they are already kept. It is highlighted in blue.
  5. Click on the OK button to select the directory and then close the Browse For Folder dialog box. The directory is now defined as an ArtCAM relief clipart library.
  6. Click on the [image] icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To import a file from a relief library:

  1. Click on the Import From a Relief Library button [image] in the Relief Tools area of the Assistant's Home page to display the Relief Clipart Library page.
  2. If you cannot see the relief clipart library settings, click on [image] arrow in the Choose Library area to display them. All existing relief clipart libraries are listed in the Libraries list box.
  3. Move the mouse cursor over the filename in the list containing the relief clipart that you want to import, and then click. The 3D Clipart dialog box is displayed.
  4. If you want to resize or transform the clipart relief, see Using 3D Clipart for details.
  5. Click on the Paste button to paste the relief onto the layer currently selected in the relief layer stack.
  6. Click on the Close button to close the 3D Clipart dialog box.
  7. Click on the [image] icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To refresh the list of files identified within a library:

  1. Click on the Import From a Relief Library button [image] in the Relief Tools area of the Assistant's Home page to display the Relief Clipart Library page.
  2. If you cannot see the relief clipart library settings, click on [image] arrow in the Choose Library area to display them. All existing relief clipart libraries are listed in the Libraries list box.
  3. Click on the Libraries list box, and then on the library for which you want to update the file listing.
  4. In the Options area, click on the Rescan button to refresh the list of folders and files within the current library.
  5. Click on the [image] icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To remove a library:

  1. Click on the Import From a Relief Library button [image] in the Relief Tools area of the Assistant's Home page to display the Relief Clipart Library page.
  2. If you cannot see the relief clipart library settings, click on [image] arrow in the Choose Library area to display them. All existing relief clipart libraries are listed in the Libraries list box.
  3. Click on the Libraries list box, and then on the library for which you want to remove.
  4. In the Options area, click on the Remove button to remove the selected library.
  5. Click on the [image] icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Calculating the Surface Area

You can calculate the surface area of a selected relief layer or a specific area of a relief layer using bitmap colours.

To calculate the surface area of a relief layer:

  1. Select the relief layer for which you want to calculate the surface area. For details, see Selecting a Layer.
  2. Make sure that the bitmap layer on which the colour represents the area of the relief layer for which you want to calculate the surface area is visible in the 2D View window. For details, see Viewing a Layer.
  3. Make sure that the Primary Colour in the Colour Palette beneath the 2D View window represents the area of the selected relief layer for which you want to find out the surface area. For details, see Selecting the Primary and Secondary Colours.
  4. From the Main menu bar, click on the Reliefs > Surface Area Under Colour option to display the Relief Surface Area dialog box:

    The surface area of the whole relief layer and that beneath the current Primary Colour is shown in mm² or inches². The Primary Colour is also shown.

  5. Click on the OK button to close the Relief Surface Area dialog box.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Displaying the Calculation Time

You can display how long it has taken to create a shape from a bitmap colour using the relief combination buttons in the Relief Tools area of the Assistant's Home page. For details, see Creating a Shape from a Bitmap and Calculating a Relief.

To view information about the calculation process immediately after calculating a shape:

  1. From the Main menu bar, click on the Reliefs > Display Calculation Time option.

    As soon as a shape has been created on a relief layer, a message box appears showing the start time/date, end time/date and duration of the calculation process:

    Click on the OK button to close the dialog box.

    • If you no longer want to view the relief calculation time, repeat this step to deselect the Reliefs > Display Calculation Time option from the Main menu bar.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Adding a Draft Angle

You can remove any vertical or near vertical faces that can be seen on a relief layer by adding a constant draft angle.

To add a draft angle to a relief layer:

  1. Make sure that the relief layer to which you want to add a draft angle is selected. For details, see Selecting a Layer.
  2. From the Main menu bar, click on the Reliefs > Add Draft… option to display the Add Draft Angle page in the Assistant window.
  3. Define the draft angle you want to add to the selected relief layer in the Enter Draft Angle In Degrees box.
  4. Click on the Apply button to add the draft angle to the selected relief layer
  5. Click on the Finish button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Creating a Triangle Mesh

You can create a triangle model of the composite relief, otherwise known as a Triangle Mesh. This is made up of a series of triangle facets that represent a closed three-dimensional shape. Three point co-ordinates and a direction describe each facet.

To create a triangle mesh from the composite relief:

  1. Click on the Create Triangle Mesh button [image] in the Reliefs area of the Assistant's Home page to display the Mesh Creator page.
  2. In the Triangulation Parameters area, define the tolerance you want to use to control the number of triangles that are generated in the Tolerance box.
  3. If you want to close the triangle mesh with the composite relief on the Back Relief side of the model, click to select the Use Back Relief option. For further information, see Transferring Relief Layers Between Stacks.

    If you want to leave the triangle mesh open, make sure that the Use Back Relief option is deselected.

  4. If you want to restrict the size of the triangles used in your mesh:
    • Click to select the Limit Triangle Size option to display its settings on the page.
    • Click on the Triangle Length list box, followed by the length of the triangle Max Length, Max X Length, Max Y Length.
    • Define the in the Tri Side Length box.
    • allows to retain smooth curvature when a triangle mesh is wrapped around a surface.
  5. Click on the Create Triangles button to create the triangle mesh. The volume of the triangle mesh and the number of triangles created are shown in the Result area.
  6. If you want to calculate the approximate weight of the relief after the manufacturing process, define a percentage in the Shrinkage box and then click on the Update button.
  7. Click on the Weight list box, followed by the option for the material that you want to use when manufacturing the relief.
  8. In the Triangle Drawing area, select how you want to view the triangle model in the 3D View window, either Shaded or Wireframe.
  9. You are now ready to save the triangle model. Click on the Save Triangles button to display the Save Triangle Mesh dialog box:

    • First, click on the Save In list box and select the directory in which you want to save the triangle mesh.
    • Next, click on the Save as type list box, and then on the file type you want to save the triangle mesh as (*.stl, *.dmt or *.3da).
    • Finally, type the file name you want to use for the triangle model in the File name box, and then click on the Save button.
  10. If you want to use the triangle mesh in an alternative Delcam Power Solution product , click on the Copy To Clipboard button. For example, you can copy the triangle mesh and paste it into your current PowerSHAPE session.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Creating a Cross-Section

You can create a vector representing the cross-section of a relief layer using only the mouse and the Create Relief Cross-Section page.

ArtCAM Pro calculates the measurement details in real time. This means that you can view the calculated values on the Relief Cross-Section page as you are dragging the cursor into position.

To create a cross-section:

  1. Select the relief layer from which you want to create a cross-section. For details, see Selecting a Layer.
  2. Make sure that the vector layer on which you want to draw the cross-section created from the selected relief layer is selected. For details, see Selecting a Layer.
  3. Click on the Create Cross-Section button [image] in the Relief Tools area of the Assistant's Home page to display the Create Relief Cross-Section page.
  4. Move the cursor over the model area (the white area) shown in the 2D View window in which you want to create a cross-section, and then click on the position that you want to define as the start.

    The co-ordinates of the cross-section's start position appear in the Anchor Position's X and Y area.

    By default, the [image] cursor snaps to points (nodes) in a vector. This is indicated by the cursor changing to a cursor when over the points (nodes).

    • To disable snapping, hold the Shift key down on your keyboard whilst dragging the cursor into position.
  5. Drag the mouse over the position in the span that you want to define as the end of the cross-section, and then click.

    The distance between the start and the end of the cross-section is shown in the Distance area.

    The angle between the start and the end position of the cross-section is shown in the Angle area.

    The distance between the start and the end of the cross-section in both the X and Y axes is shown in the X and Y distance area.

  6. If you want to align the cross-section with the X-axis, click to select the Align Cross Section Horizontally option [image].
  7. Click on the Create button to create the cross-section.
  8. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Creating an Angled Plane

You can create an angled plane on a selected relief layer using up to three defined points in a model.

To create an angled plane:

  1. Select the relief layer on which you want to create an angled plane. For details, see Selecting a Layer.
  2. Click on the Create Angled Plane button [image] in the Relief Tools area of the Assistant's Home page to display the Create Angled Plane page.
    • You can also display the Create Angled Plane page from the Main menu bar. Click on the Reliefs > Create Angled Plane… option.
  3. If you want to create an angled plane within the boundary of a vector, click to select the vector. For details, see Selecting Vectors. If you do not select a vector, the angled plane is created across the whole of the selected relief layer.
  4. If you want to create an angled plane using three defined points, click to select the Set Third Point option [image]. The Third Point on Plane area appears on the page.

    The advantage of selecting a third point is that it adds a tilt or 'roll' to the sides of the angled plane.

  5. You can use the mouse cursor to define the points on the plane:
    • Click on the Start button in the Use Cursor to Select Points area, move the [image] cursor over the required position in the 2D View window, and then click. The co-ordinates for this point are displayed in the X, Y and Z boxes.

      The co-ordinates for this point appear in red when you click on the Start button, then change to black when you click in the 2D View window.

      Alternatively, type the co-ordinates of the point in the X, Y and Z boxes in the First Point on Plane area.

  6. If you had defined the first point using the mouse cursor:
    • Move the cursor over the required position in the 2D View window, and then click to define the second point.The co-ordinates for this point are displayed in the X, Y and Z boxes.

      The co-ordinates for this point appear in red, then change to black when you click in the 2D View window.

      Otherwise, type the co-ordinates of the point in the X, Y and Z boxes in the Second Point on Plane area.

  7. If you had defined the first and second points using the mouse cursor:
    • Move the cursor over the required position in the 2D View window, and then click to define the third point. The co-ordinates for this point are displayed in the X, Y and Z boxes.

      The co-ordinates for this point appear in red, then change to black when you click in the 2D View window.

      Alternatively, type the co-ordinates of the point in the X, Y and Z boxes in the Third Point on Plane area.

  8. In the Combine area, click on one of the radio buttons [image] to select how the angled plane is combined with the selected relief layer:
    • The combine mode selected here controls how the angled plane is combined with the selected relief layer only. It does not control how the angled plane is combined with the composite relief. How the angled plane is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • To add the angled plane to the selected relief layer, click on the Add option. For more details, see Adding to the Relief.
    • To subtract the angled plane from the selected relief layer, click on the Subtract option. For more details, see Subtracting from the Relief.
    • To merge the angled plane with the selected relief layer so that only the highest points remain, click on the Highest option. For more details, see Merging with the Relief.
    • To merge the angled plane with the selected relief layer,so that only the lowest points remain, click on the Lowest option. For more details, see Merging with the Relief.
  9. Click on the Create button to create the angled plane on the selected relief layer.
  10. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Blending 3D Shapes

You can create three-dimensional shapes known as 'blended' shapes. A blended shape is a three-dimensional shape that can be created on a selected relief layer using the artwork on a vector layer.

To create a blended shape:

  1. Select the relief layer on which you want to create the blended shape. For details, see Selecting a Layer.
  2. Select the vector to define the outline of the blended shape. For details, see Selecting Vectors.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the Create 3D Blend button [image] in the Relief Tools area of the Assistant's Home page to display the Create 3D Blend page.
  4. In the Profile area, select the profile of the blended shape by clicking on the appropriate radio button [image]:
    • Linear - This option instructs ArtCAM Pro to create a straight-edged shape.
    • Convex - This option instructs ArtCAM Pro to create a shape that curves outwards.
    • Concave - This option instructs ArtCAM Pro to create a shape that curves inwards.
    • Smooth - This option instructs ArtCAM Pro to create a shape with rounded edges.
    • Selected Vector - This option allows you to use a cross-section to define the profile of the shape.

      If you have selected this option, hold the Shift key down on your keyboard, and then click on the open vector that you want to use as the cross-section. Both the selected vectors turn magenta and are surrounded by a bounding box.

  5. In the Heights area, define the height of the blended shape:
    • To define the height at the centre of the blended shape, type its value in the Inner box.
    • If you want to set the height at the centre of the blended shape as equal to the highest point in the selected relief layer, click to select the From Relief option [image].
    • To define the height at the edge of the blended shape, type its value in the Border box.
    • If you want to set the height at the edge of the blended shape as equal to the lowest point in the selected relief layer, click to select the From Relief option [image].

      For example, a blended shape with a concave profile, a centre height of 15 mm and a border height of 5 mm is shown below:

      Selected Vector…

      Blended Shape…

      In this example, the default centre option and proportion value is used. This means that the centre of gravity in the polygon defines the centre of the blended shape and the concave profile extends across its entire surface.

      Alternatively, the same blended shape could be produced from a polygonal relief with a Z height of 15 mm. In this instance, the centre height is taken from the relief and the border height is defined as 5 mm.

  6. In the Blend From Border To area, click on one of the options to define the centre of the blended shape:
    • Middle of Border Vector - This option instructs ArtCAM Pro to use the centre of gravity in the vector selected first as the centre of the blended shape.

      In our example, a circle within the polygon is used to define the centre height of the blended shape:

      Selected Vectors…

      Blended Shape…
    • Select Point with Cursor - This option allows you to define the centre of the blended shape in either of the following ways:

      Click on the Start button, and then on the centre position in the 2D View window. The X and Y co-ordinates of the centre appear in the X and Y boxes; or

      Type the X and Y co-ordinates of the centre position in the X and Y boxes.

    • Inner Vector Edge - This option instructs ArtCAM Pro to use the outline of another vector drawn within the first as the centre of the blended shape.

      If you have selected this option, make sure that the second vector is positioned correctly within the first. Hold the Shift key down, and then click to select the vector. The two vectors turn magenta.

      If you want to create a planar cap in the shape of the second vector at the height specified for the centre of the blended shape, make sure that the Fill Centre option is selected [image].

    • If you have selected a From Relief option to define the blended shape's centre or border height, this option is greyed-out.

      In our example, the edge of the circle is used to define the centre of the blended shape. You can see how filling the centre affects its overall shape:

      Fill Centre Option OFF…

      Fill Centre Option ON…
  7. If you want to control the area over which the profile is extended across the surface of the blended shape, you can use either of these methods:
    • In the Proportion box, define the percentage of the area from the outside-edge of the blended shape to its centre across which you want to extend the profile.
    • Click and drag on the slider to set the area from the outside-edge to the centre of the blended shape across which you want to extend the profile.

      Any value less than 100% produces a blended shape with a planar cap at the height previously specified for its centre.

      In our example, if the proportion is adjusted to 75% the blended shape now appears as shown:

      Selected Vector…

      Blended Shape…

      You can see that the concave profile does not extend across the entire surface of the blended shape, and a polygonal shaped planar cap is formed over its centre.

  8. In the Combine area, select how you want to combine the blended shape with the selected relief layer:
    • If you have selected a From Relief option to define the blended shape's centre or border height, go straight to the next step.
    • The combine mode selected here controls how the blended shape is combined with the selected relief layer only. It does not control how the blended shape is combined with the composite relief. How the blended shape is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the Add radio button [image] to add the blended shape to the selected relief layer. For more details, see Adding to the Relief.
    • Click on the Subtract radio button [image] to subtract the blended shape from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click on the Highest radio button [image] to merge the blended shape with the selected relief layer, so that only the highest points remain. For more details, see Merging with the Relief.
    • Click on the Lowest radio button [image] to merge the blended shape with the selected relief layer, so that only the lowest points remain. For more details, see Merging with the Relief.
  9. Click on the Create Blend button to create the blended shape on the selected relief layer.

    A progress bar appears beneath the 2D View window indicating the progress ArtCAM Pro is making in calculating the blended shape:

  10. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Relief Envelope Distortion

You can distort an area of a selected relief layer within the boundary of a selected vector drawn on vector layer. When working in relief envelope distortion mode, ArtCAM Pro converts the four sides of the bounding box that surrounds a selected vector into bezier spans. Moving the nodes and control points that make up the distortion envelope around the selected vector allows you to manipulate the original shape of the area in the selected relief layer, which in turn allows you to add perspective. You can also move, resize, rotate or shear the distortion envelope, which allows you to restructure the area of the relief layer easily.

To distort an area of a selected relief layer within the boundary of a selected vector:

  1. Select the relief layer on which you want to distort its content. For details, see Selecting a Layer.
  2. Select the vector that defines the area of the selected relief layer that you want to distort. For details, see Selecting Vectors.

    In the following example, we can see a greyscale image of a church within a selected rectangular vector:

  3. Click on the Relief Envelope Distortion button [image] in the Relief Tools area to display the Relief Envelope Distortion page. The four sides of the bounding box surrounding the selected vector change to bezier spans. The gridlines drawn within these spans indicate that you are now in relief envelope distortion mode.

    The distortion envelope allows you to manipulate the area of the selected relief layer within the boundary of the selected vector.

    In our example, a distortion envelope now encloses the area of the selected relief layer within the selected rectangular vector:

    You can see how the church design on the selected relief layer currently appears in the 3D View window when seen viewed down the Z-axis:

  4. In the Original Relief area, select how you want to use the area of the selected relief layer that you have chosen to distort:
    • If you want to keep the area of the relief layer as it appears prior to distortion, click to select the Keep original relief (Copy) option.
    • If you do not want to keep the area of the relief layer as it appears prior to distortion, click to select the Replace original relief (Cut) option.

      In our example, we will replace the defined area of the selected relief layer with the distorted results.

  5. In the Editing Mode area, select the mode you want to use to manipulate the distortion envelope:
    • Click on the Edit Distortion Envelope Nodes button [image] if you want to adjust the shape of the distortion envelope. For details, see Editing Vector Nodes.
    • Click on the Transform Envelope button [image] if you want to move, resize, rotate or shear the distortion envelope. For details, see Transforming Vectors.
    • If you do not want to create a vector outline of the distorted area of the relief layer when it is pasted to the selected relief layer, click to deselect the Create vector outline option [image].
    • If you want to display a greyscale image of the selected relief layer in the 2D View, click to select the Display greyscale in 2D View option [image].
    • You can also click on the Preview Relief Layer button [image] in the 2D View toolbar to toggle the display of the greyscale image of the selected relief layer. For details, see Preview Relief Layer.

      In our example, we work in Edit Distortion Envelope Nodes mode in order to convert the edges of the distortion envelope to linear spans and drag the points on the top-right and bottom-right corners toward one another:

  6. Click on the Relief Z Height Scaling list box to display a list of options you can use to control how the Z height of the area of the relief layer within the distortion envelope is scaled, then click to select the option that you want to use:
    • Average Scale - This option applies an overall scaling factor to the area of the relief layer within the distortion envelope based on the change in its shape.
    • Linear Scale - This option calculates the Z height of each point in the area of the relief layer within the distortion envelope based on the local distortion at that point. For example, if the area of the relief layer within the distortion envelope has increased at a particular point, then the height of that point will also increase.
    • Stretch & Squeeze - This option calculates the Z height of each point in the area of the relief layer within the distortion envelope based on the local distortion at that point. For example, if the area of the relief layer within the distortion envelope has decreased (squeezed) then its Z height will be raised. If the area of the relief layer within the distortion envelope has increased (stretched), then its Z height will be lowered.
    • Keep Current Z - This option maintains the existing Z height of the area of the relief layer within the distortion envelope.

      If you want to apply an additional scaling factor to the area of the relief layer within the distortion envelope, define the percentage by which you want to scale its Z height in the Scaling Factor box.

  7. If you want to use either one or two curved vectors selected from the 2D View window to control the dimensions and the position of a new distortion envelope which can be used to manipulate copies of the area of the relief layer within the existing distortion envelope, click to select the Use existing curve(s) option to display its settings.

    If you want to use a single curved vector:

    • First, click to select the Wrap along single curve radio button [image]. The Wrap between 2 curves settings are greyed-out.
    • Next, click to select the curved vector that you want to use from the 2D View window, and then click on the Select Curve… button. For details, see Selecting Vectors.

      An arrow appears on the selected vector indicating the direction along which the area of the relief layer within the distortion envelope will be pasted. The Start Point is shown in green.

      For example, you might use a polyline something like that shown below:

    • Finally, click on the list box and then on the option that you want to use to control the position of the distortion envelope relative to the selected vector:

      Left - Click to select this option if you want to position the distortion envelope to the left of the selected vector's Start Point, looking down the vector.

      Right - Click to select this option if you want to position the distortion envelope to the right of the selected vector's Start Point, looking down the vector.

      Centred - Click to select this option if you want to position the centre of the distortion envelope along the selected vector.

      If you want to specify the width of the distortion envelope, click to select the specify envelope width option [image] and then define its width in the Width box. Its length is always equal to that of the selected vector.

      If you want to use two curved vectors:

    • First, click to select the Wrap between 2 curves radio button [image]. The Wrap along single curve settings are greyed-out.
    • Next, click to select the curved vector shown in the 2D View that you want to use as the top edge of the distortion envelope, and then click on the Select Top Curve… button.

      An arrow appears on the selected vector indicating the direction along which the area of the relief layer within the distortion envelope will be positioned. The Start Point is shown in green.

    • Finally, click to select the curved vector shown in the 2D View that you want to use as the bottom edge of the distortion envelope, and then click on the Select Bottom Curve… button.

      An arrow appears on the selected vector indicating the direction along which the area of the relief layer within the distortion envelope will be positioned. The Start Point is shown in green.

  8. In the Number of Copies area, define the number of copies of the area of the relief layer that you want to create:
    • If you want to stretch the area of the relief layer within the distortion envelope along the length of the selected vector(s), click to select the One - Stretch to Fit radio button [image].
    • If you want ArtCAM Pro to calculate the optimum number of copies of the area of the relief layer within the distortion envelope that should be created along the selected vector(s), click to select the Many - Best Fit radio button [image].
    • If you want to create a specific number of copies of the area of the relief layer within the distortion envelope along the selected vector(s), click to select the Many - Specific number of copies radio button [image] and then define the number of copies in the Copies box.
  9. Click on the Apply button to position the new distortion envelope about the selected curved vector(s). The new distortion envelope is divided into sections equal to the number of copies of the area of the relief layer within the original distortion envelope that you want to create.
  10. Select the relief layer on which you want to paste the relief within the new distortion envelope. For details, see Selecting a Layer.
  11. In the Combine area, click to select the relief combine mode that you want to use:
    • The combine mode selected here controls how the area of the relief layer within the distortion envelope is combined with the selected relief layer only. It does not control how the area of the relief layer within the distortion envelope is combined with the composite relief. How the area of the relief layer within the distortion envelope is combined with other relief layers to form the composite relief is determined by the combine mode assigned to the layer itself. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click to select the Add option if you want to add the distorted area to the selected relief layer. For more details, see Adding to the Relief
    • Click to select the Subtract option if you want to subtract the distorted area from the selected relief layer. For more details, see Subtracting from the Relief.
    • Click to select the Highest option if you want to merge the distorted area with the selected relief layer, so that only the highest points show. For more details, see Merging with the Relief.
    • Click to select the Lowest option if you want to merge the distorted area with the selected relief layer, so that only the lowest points show. For more details, see Merging with the Relief.

      In our example, we will add the distorted area to the same relief layer.

  12. Click on the Paste button to combine the distorted area with the selected relief layer.

    If you do not want to paste the distorted area on the selected relief layer, click on the Cancel button.

    In the following image, you can see how perspective has now been added to the church design when it is viewed down the Z-axis:

  13. Click on the Finish button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Fading a Relief

You can fade and feather all or part of a selected relief layer, controlling the strength and direction of the fade that is applied.

Before…

After…

Coupled with the Envelope Distortion tool, the Fade Relief tool is particularly useful for adding perspective to your designs. It also allows you to graduate textures applied to the surface of a relief layer. Perhaps most importantly, the ability to fade a relief layer assists in assuring that you remain within the constraints of a block of material when combining shapes on a single relief layer.

To fade an area of a selected relief layer:

  1. Select the relief layer on which you want to fade the surface. For details, see Selecting a Layer.
  2. If you only want to fade a specific area of the selected relief layer, make sure that you draw and then select the vector that identifies the boundary of the fade. For details, see Selecting Vectors. If you do not, the fade will be applied to the whole surface of the selected relief layer.
  3. Click on the Fade Relief button [image] in the Relief Tools area of the Assistant's Home Page to display the Fade Relief page.
  4. In the Fade Strength area, set the strength of the fade effect that you want to apply to the selected relief layer using either of the following methods:
    • Click and drag the slider to the right to increase the strength of the fade, or click and drag to the left to reduce the strength of the fade or feather.
    • Type the percentage in the box.

      Using a strength of 100% will fade the selected relief layer to zero, whilst a strength of 0% will not fade the relief layer whatsoever.

  5. If you want to fade the selected relief layer in the opposite direction, click to select the Reverse option [image]. This option is deselected by default.
  6. In the Fade Type area, click to select the method you want to use when fading the selected relief layer:
    • Linear - this allows you to create a straight-edged sloped shape between two defined points. The first point identifies the original height of the selected relief layer, whilst the height at the second point depends on your Fade Strength setting.

      For example, take a row of six rectangular shapes each with a height of 25 mm. If you create a linear fade horizontally across the surface of the selected relief layer applying a strength of 50%, the resulting height at the first point is 25 mm whilst the height at the second point is 12.5 mm.

      Before…

      After Linear Fade…
    • Radial - this allows you to create a convex or concave shape, depending on whether you have selected the Reverse option or not, using a defined centre-point.

      If you select this method, you must click to select a vector shown in the 2D View to define the area of the selected relief layer in which you want to apply the fade. For details, see Selecting Vectors.

      For example, applying a radial fade with a strength of 100% to an area of a relief layer with a textured surface within a selected circular vector produces the following results:

      Greyscale of Textured Relief Layer…

      Selected Radial Vector…

      Radial Fade…

      Radial Fade Reversed…
    • Between Boundaries - this allows you to create a convex or concave shape between two closed vectors, depending on whether you have selected the Reverse option or not.

      If you select this method, you must click to select two vectors drawn in the 2D View to define the area of the selected relief layer between which you want to apply the fade.

      For example, applying a fade with a strength of 100% to a relief layer with a textured surface between a selected circular vector and a rectangular vector produces the following results:

      Greyscale of Textured Relief Layer…

      Selected Vector Boundaries…

      Fade Between Boundaries…

      Fade Between Boundaries Reversed…
  7. In the Options area, define the point(s) in the model area (the white area) of the 2D View window that you want to use to control the position and direction of the fade.

    Use the following method when creating a linear fade:

    • First, click on the Start button.
    • Next, move the cursor over the location in the model area (the white area) that you want to define as the start point, and then click. The co-ordinates of the point are displayed in the Fade From area.
    • Finally, move the cursor over the location in the model area (the white area) that you want to define as the end point, and then click. The co-ordinates of the point are displayed in the Fade To area.

      Use the following method when creating a radial fade:

    • First, click on the Select Centre button.
    • Next, move the cursor over the location in the model area (the white area) in the 2D View window that you want to define as the centre point, and then click. Typically, this will be inside of the selected vector used to define the radial fade area. The co-ordinates of the point are displayed in the X and Y area.
  8. Click on the Create button to fade the selected relief layer according to the settings on the page.
  9. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Creating a Ring

You can display a selected relief layer as it would appear when machined as a ring on a rotary axis CNC machining tool.

To create a ring:

  1. Select the relief layer from which you want to create a ring. For details, see Selecting a Layer.
  2. From the Main menu bar, click on the Reliefs > Create Ring option to display the Create Ring dialog box:

  3. Select the axis around which you want to wrap the selected relief layer:
    • Click on the Wrap X radio button [image] if you want to wrap the selected relief layer around the X-axis.
    • Click on the Wrap Y radio button [image] if you want to wrap the selected relief layer around the Y-axis.
  4. Click on the OK button to close the Create Ring dialog box and create the ring.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Adding Texture to a Relief

You can apply texture to a selected relief layer in two different ways:

  • Apply a basic pattern created in ArtCAM Pro.
  • Using an imported file.

Texture can either be applied to the surface of a relief layer, to those areas of the relief layer under the current Primary Colour or as defined by a selected vector.

Both of these methods of applying texture to a selected relief layer work in the same way. The pattern is selected or the relief file is imported, the size of the pattern is defined, then the repeat distance in X and Y is defined along with the pattern overlap (O). Finally, the texture is tiled onto the selected relief layer by either adding or subtracting from its surface.

To apply a texture to a relief layer :

  1. Select the relief layer to which you want to apply a texture. For details, see Selecting a Layer.
  2. If you only want to apply a texture to a specific area of the selected relief layer, make sure that you draw and then select the vectors that define the area of the selected relief layer in which you want to apply the texture. For details, see Selecting Vectors. If you do not, the texture will be applied to the whole surface of the selected relief layer.
  3. Click on the Texture Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Texture Relief dialog box:

    • The settings available in the Texture Relief dialog box are determined by which of the options are selected.
  4. Define the area of the selected relief layer to which you want to apply a texture. By default, the Whole Layer option is selected. This means that the texture covers the whole surface of the selected relief layer.

    Alternatively, you can either use a vector or bitmap colour to define the area(s) of the selected relief layer to which you want to apply a texture. If you want to use a vector:

    • Click to select the vector artwork shown in the 2D View window that define the area of the selected relief layer to which you want to apply the texture. For details, see Selecting Vectors.
    • Select the Selected Vector option by clicking on its radio button [image].

      If you want to use a bitmap colour:

    • Make sure that the bitmap layer on which the colour that defines the area of the selected relief layer to which you want to apply the texture is visible in the 2D View window. For details, see Viewing a Layer.
    • Select the Primary Colour from the Colour Palette beneath the 2D View window, and then click on the Selected Colour radio button [image]. For details, see Selecting the Primary and Secondary Colours.
  5. Click on the appropriate radio button [image] to select the texture you want to combine with the selected relief layer, and then define its size and height.

    The size of the texture determines how it is applied to the selected relief layer. If the texture's current size does not match that of the area of the selected relief layer to which it is being applied, you can either compress or expand the texture so that it fits perfectly over the area of the selected relief layer, or allow ArtCAM Pro to automatically tile it over the selected relief layer.

    • If you have selected the Sphere option [image], define its size and height in the Size and Z Height boxes in the Sizing area of the dialog box.
    • If you have selected the Ellipse option [image], define its size, scaling factor and height in the Size, Horizontal % and Z Height boxes in the Sizing area of the dialog box.
    • If you have selected the Cone option [image], define its size, scaling factor and height in the Size, Tip Radius % and Z Height boxes in the Sizing area of the dialog box.
    • If you have selected the Pyramid option [image], define its size, scaling factor and height in the Size, Truncation % and Z Height boxes in the Sizing area of the dialog box.
    • If you have selected the Weave option [image], define its size, scaling factor and height in the Size, Bar Width % and Z Height boxes in the Sizing area of the dialog box.
    • If you have selected the From Relief option [image], click on the File button to display the Relief Paste dialog box:

      Click on the Look in list box and select the directory where the relief file that you want to use is stored, and then click on the relief file itself. Click on the Open button to load the selected relief file. The dimensions of the relief file appear in the Sizing and Spacing areas of the Texture Relief dialog box.

  6. In the Spacing area, define the repeat distance along the X-axis in the X% box.
  7. Define the repeat distance along the Y-axis in theY% box.
  8. Define the overlap distance in the O% box.
  9. If you want to blend the edges of the texture into the surface of the selected relief layer , click to select the Blend Edges option [image].
  10. Select how you want to combine the texture with the selected relief layer:
    • To add the texture to the selected relief layer, click on the Add option. For more details, see Adding to the Relief.
    • To subtract the texture from the selected relief layer, click on the Subtract option. For more details, see Subtracting from the Relief.
  11. Click on the Close button to close the Texture Relief dialog box.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Adding Texture Example

In the following example, you can see how the Texture Relief dialog box is used to add texture to a selected relief layer.

  1. Click on the Open Existing Model icon [image] in the Model area of the Assistant's Home page to display the Open dialog box:

  2. Click on the Files of Type list box followed by the ArtCAM Reliefs (*.rlf) option.
  3. Click to select the Fin_pend.rlf file in the ArtCAM Pro 9.0\Examples\Overview directory on your computer.
  4. Click to select the Fin_pend.rlf file in the ArtCAM Pro 9.0\Examples\Overview directory on your computer.
  5. Click on the Open button to create an ArtCAM model from the Fin_pend.rlf file.

    A greyscale image of the pendant on the relief layer named Relief Layer 1 is shown in the 2D View window:

    This greyscale image is drawn on the bitmap layer named Bitmap Layer 1 in the Bitmaps area of the Layers Manager.

  6. Click on the Add Colour button [image] in the Bitmap Tools area of the Assistant's Home page to display the Color dialog box:

  7. Click on the red colour in the Basic Colors area to select it as the Primary Colour. The colour appears in the Colour Palette beneath the 2D View window.
  8. Click on the OK button to close the Color dialog box.
  9. Click on the Flood Fill button [image] in the Bitmap Tools area of the Assistant's Home page.
  10. Click on the area surrounding the lady's head in the 2D View window to flood fill it in red. The greyscale image on the bitmap layer named Bitmap Layer 1 now appears as follows:

  11. Click on the Texture Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Texture Relief dialog box:

  12. Click to select the Selected Colour radio button [image].
  13. Click to select the Pyramid radio button [image].
  14. Type 0.5 in the Size box.
  15. Type 50 in the Truncation % box.
  16. Type 0.1 in the Z Height box.
  17. Click on the Add button to apply the texture to the area of the relief layer named Relief Layer 1 that is beneath the area of the bitmap layer named Bitmap Layer 1 which is flood filled in red.
  18. Click on the Close button to close the Texture Relief dialog box.
  19. Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window. The pendant on the relief layer named Relief Layer 1should appear something like the image shown below:

See Also

Adding Texture to a Relief


Sculpting a Relief

You can edit the content of a selected relief layer using the sculpting tools available in ArtCAM Pro.

To sculpt the content of a relief layer:

  1. Select the relief layer that you want to sculpt. For details, see Selecting a Layer.
  2. Click on the Sculpting button [image] in the Relief Tools area of the Assistant's Home page to display both the Interactive Sculpting page and the selected relief layer in the 3D View window.

    • Although you can still toggle the visibility of the selected relief layer off [image] or select another relief layer in the stack shown in the Reliefs area of the Layers Manager, the relief layer selected at the time of using the Interactive Sculpting tool remains visible in the 3D View window for as long as the Interactive Sculpting page is displayed in the Assistant.
  3. In the Sculpting Tools area, click to select which of the five tools you want to use:
    • If you want to smooth an area of the selected relief layer by blending one area with the next, click on the Smooth tool. This tool is selected by default.
    • You can also press the 1 key on your keyboard to select the Smooth tool.
    • If you want to drag on an area of the selected relief layer to either extend or reduce it, click on the Smudge tool.
    • You can also press the 2 key on your keyboard to select the Smudge tool.
    • If you want to add material to the selected relief layer, click on the Deposit tool.
    • You can also press the 3 key on your keyboard to select the Deposit tool.
    • If you want to remove material from the selected relief layer, click on the Carve tool.
    • You can also press the 4 key on your keyboard to select the Carve tool.
    • If you want to remove the changes that you have made to the selected relief layer in the current sculpting session, click on the Eraser tool.
    • You can also press the 5 key on your keyboard to select the Eraser tool.
  4. To change the number of pixels that make up the width of the tool, click and drag on the Diameter slider.

    The diameter of the tool controls how much material is deposited or removed from the area of the selected relief layer affected by the selected sculpting tool.

    Click and drag to the right to increase the width of the tool. Click and drag to the left to reduce the width of the tool. The image to the left of the slider changes as you move the slider to reflect the diameter of the tool.

  5. To change the height of the deposit or the depth of the removal as a percentage of the tool width, click and drag on the Strength slider.

    Click and drag to the right to increase the height of the deposit or depth of the removal. Click and drag to the left to reduce the height of the deposit or depth of the removal. The image to the left of the slider changes as you move the slider to reflect the height of the deposit or the depth of the removal.

    • If your mouse has a wheel, you can roll it backwards to reduce the strength, or forwards to increase the strength of the selected tool.
  6. To change the sharpness of the tool tip, click and drag on the Smoothness slider.
  7. If you want to sculpt the selected relief layer using a bitmap colour projected onto its surface:
    • Make sure that the bitmap layer containing the colours that you want to project onto the surface of the selected relief layer is selected and visible. For details, see Selecting a Layer and Viewing a Layer.
    • First, click to select the Use colours from 2D view option [image] in the Shading Colour area. The content of the bitmap layer shown in the 2D View window is projected onto the selected relief layer shown in the 3D View window.
    • You might want to click to deselect the Use Colours From 2D View option [image] in the Shading Colour area when sculpting a relief layer containing a face made using the Face Wizard tool. If a photographic image on a bitmap layer is projected onto the relief during a sculpting session, your results can often be deceptive. For further details, see Using the Face Wizard.
    • Next, click and drag the [image] icon over the colour that you want to select. The colour is displayed in the Colour Usage area
    • Finally, click on the appropriate Colour Usage radio button [image]:

      Ignore - Click on this option if you do not want to sculpt the area of the selected relief layer underneath or around the selected colour.

      Sculpt only under colour - Click on this option if you only want to sculpt the area of the selected relief layer underneath the selected colour.

      Sculpt excluding colour - Click on this option if you only want to sculpt the area of the selected relief lace around the selected colour.

  8. If you have selected the Smooth or Smudge tool, click to select a combine mode [image] from the Relief Combine Mode or Combine Mode area to use when sculpting the selected relief layer:
    • To use the average smoothing result to raise and lower the region of the selected relief layer under the tool cursor [image], select the Normal option.
    • To raise the lowest points in the selected relief layer under the tool cursor [image] only, select the Raise Only option.
    • To lower the highest points in the selected relief layer under the tool cursor [image] only, select the Lower Only option.

      If you have selected the Deposit tool, click on the appropriate Relief Combine Mode radio button [image]:

    • To deposit material onto the area of the selected relief layer under the tool cursor [image], select the Add option.
    • To deposit a single layer of material onto the area of the selected relief layer under the tool cursor [image], regardless of how many times it passes over it, select the Merge option.

      If you have selected the Carve tool, click on the appropriate Relief Combine Mode radio button [image]:

    • To carve material out of the area of the selected relief layer under the tool cursor [image], select the Add option.
    • To carve a single layer of material out of the area of the selected relief layer under the tool cursor [image], irrespective of how many times it passes over it, select the Merge option.
  9. Click and drag the tool cursor [image] in the 3D View window to sculpt the selected relief layer according to the options you have selected on the Interactive Sculpting page.
  10. Click on the Apply button to confirm the changes that you have made to the selected relief layer.

    If you want to undo the changes that you have made and return the selected relief layer to its original state, or as it was when the Apply button was last clicked in this Interactive Sculpting session, click on the Revert button.

    If you do not want to keep any of the changes that you have made to the selected relief layer during this Interactive Sculpting session, click on the Cancel button.

  11. Click on the Finish button to close the Interactive Sculpting page and return to the Assistant's Home page.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Removing Holes in the Relief Surface

You can remove any small holes that can be seen on the surface of a selected relief layer.

To remove any small holes on the surface of a relief layer:

  1. Make sure that the relief layer which contains small holes on its surface is selected. For details, see Selecting a Layer.
  2. Make sure that only the relief layer containing the small holes that you want to remove is the only visible relief layer in the stack shown in the Reliefs area of the Layers Manager. For details, see Viewing a Layer.
  3. From the Main menu bar, click on the Reliefs > Remove Small Holes option.
  4. Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.

    Check the surface of the selected relief layer carefully for any small holes that might still be present, and if necessary repeat these steps.

    • You might want to use the zooming tools in the 3D View toolbar when identifying any holes in the surface of the selected relief layer. For details, see 3D View Manipulation.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Creating a Greyscale Image from a Relief

Rotating the Composite Relief or a Triangle Mesh


Creating a Greyscale Image from a Relief

A greyscale is an image in which the only colours are shades of grey. You can create a greyscale image from a relief layer or from the composite relief. For details, see Creating a Greyscale Image from the Composite Relief and Preview Relief Layer.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Rotating the Composite Relief or a Triangle Mesh


Rotating the Composite Relief or a Triangle Mesh

You can rotate the composite relief or triangle mesh shown in the 3D View window. This allows you to improve the visualization of the composite relief or triangle mesh, especially when a reflection map has been projected onto its surface. For details, see Adjusting Light and Material Settings.

To rotate the composite relief or triangle mesh:

  1. Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.
  2. Hold the Ctrl key down on your keyboard, move the [image] cursor over the composite relief or triangle mesh, and then push the mouse in the direction in which you want to rotate.

To stop the composite relief or triangle mesh revolving, click anywhere in the 3D View window.

You can adjust the speed at which the composite relief or triangle mesh revolves using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

See Also

Managing and Editing Reliefs

Saving a Composite Relief

Pasting a Relief from a File

Using a Relief Clipart Library

Calculating the Surface Area

Displaying the Calculation Time

Adding a Draft Angle

Creating a Triangle Mesh

Creating a Cross-Section

Creating an Angled Plane

Blending 3D Shapes

Relief Envelope Distortion

Fading a Relief

Creating a Ring

Adding Texture to a Relief

Sculpting a Relief

Removing Holes in the Relief Surface

Creating a Greyscale Image from a Relief


Machining Models

This section describes how to create, edit and simulate the toolpaths needed to machine the two-dimensional vector artwork or three-dimensional composite relief in your model.

In This Chapter

Overview

2D Toolpaths

3D Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Overview

  • It is assumed that you already know how to operate your machine tool, and that you are able to select the appropriate tools and the necessary cutting conditions for the job you are doing. If you are not confident about any aspect of operating your machine tool, consult a member of staff or your machine tool supplier.

You use toolpaths to machine both two-dimensional and three-dimensional models. 2D toolpaths are used to machine all or part of a model from the vectors you have created. 3D toolpaths are used to machine all or part of a model from the three-dimensional shapes you have combined to make the relief.

ArtCAM Pro provides a database containing a broad selection of tools that you can use when creating your toolpaths. You can edit the machining parameters of these tools and add new tools to the database if necessary.

You can control the cut direction of the tools used for machining by selecting either Conventional or Climb Milling in almost all of the toolpath strategies available in ArtCAM Pro.

In Conventional Milling, the teeth of the tool meet the block of material at the bottom of the cut. The teeth of the tool slide along until sufficient pressure builds up to break through the material surface. This sliding action, under pressure, tends to abrade the edge of the tool, which results in dulling. Also, the cutting action has a tendency to lift the block of material, fixture and table from their positions.

Climb Milling…

Conventional Milling…

In Climb Milling, the teeth of the tool meet the block of material at the top of the cut, at the thickest part of the chip. This provides instant engagement of the tool with the block, providing a chip of definite thickness at the start of the cut. Climb Milling does not cause the abrasive action cause by Conventional Milling. It also permits the gradual removal of the tool from the block, so that dwell marks are largely eliminated. Climb Milling often provides a better finish, permits greater tool feed rates and prolongs the life of a tool.

You can control how the tool enters the block of material by adding ramping moves, also known as zigzag plunge moves, to almost all of the toolpath strategies available in ArtCAM Pro.

Feeding the cutter into the material surface in a straight plunge motion at full feed rate often causes pivoting around the tool in the direction of rotation. This, in turn, causes deflection. It is this deflection that causes gouging and, consequently, tool damage. Adding ramping moves, also known as zigzag plunge moves, allows the cutting tool to enter the block of material gradually, ensuring minimum tool damage and reducing the likelihood of gouging.

ArtCAM Pro allows you to create multiple toolpath strategies, each of them relating to a selected area of your model. This allows a number of roughing passes to be made, removing excess material prior to the finishing passes.

You can calculate a toolpath strategy individually or as part of a batch. Calculating toolpath strategies in a batch allows you to automatically process a collection of different toolpaths at once. This gives you the freedom to work continuously on creating a model, and calculate its corresponding toolpaths outside of working hours.

You can simulate any toolpath after it has been calculated. This allows you to visualize the surface finish and the machining passes that are used to machine all or part of your model.

You can save a toolpath strategy as a template. This allows you to apply the same toolpath settings to different parts of a model without having to create a toolpath strategy over and over again. A template can be applied to a vector or relief in a model.

In order to machine the model that you have created, you must create a toolpath file from the toolpaths you have calculated. A toolpath file contains one or more calculated toolpaths. Each toolpath is made up of a sequence of commands which tell a CNC machine tool or laser engraving system the path it is required to follow in order to produce your model.

You can save the toolpath file in a format recognized by your machine tool or engraving system. This ensures that the commands within the toolpath file are interpreted accurately by your system.

If your CNC machine has a tool changer, you can group all of the toolpath strategies for a series of tools into one machine-specific file.

If your CNC machine does not have a tool changer, you must generate separate toolpath files for each tool that you want to use.

See Also

Machining Models

2D Toolpaths

3D Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Using Toolpaths

ArtCAM Pro provides a number of toolpath that you can use to machine all or part of a two-dimensional or three-dimensional model. These are available using the Toolpaths Home page, which is displayed when you click on the Toolpaths tab [image].

For details of the 2D toolpaths that are available in ArtCAM Pro, see 2D Toolpaths.

For details of the 3D toolpaths that are available in ArtCAM Pro, see 3D Toolpaths.

You can also find buttons on the Toolpaths Home page that assist you in managing and modifying the toolpaths you have created. For details, see Managing and Modifying Toolpaths.

See Also

Overview


2D Toolpaths

ArtCAM Pro provides a number of two-dimensional toolpaths that you can use to machine your model using the vector artwork you have created. The collection of two-dimensional toolpath tools is located in the 2D Toolpaths area of the Toolpaths Home page:

Hide 2D Toolpaths Area 2D Profiling Area Clearance V-Bit Carving Bevel Carving Engraving Drilling Machine Along Vector Inlay Toolpath Ordering Profile Options

The toolpaths can be used as follows:

  • 2D Profiling. This toolpath allows you to create a toolpath either inside or outside the boundary of a vector. For details, see 2D Profiling.
  • 2D Area Clearance. This toolpath allows you to clear an area of material either inside or outside the boundary of a vector. You can use a range of tools with this strategy and ArtCAM Pro automatically calculates the order in which they should be used. For details, see 2D Area Clearance.
  • V-Bit Carving. This toolpath allows you to replicate a hand carved look for the vector or vector text you want to machine. For details, see V-Bit Carving.
    • You cannot machine a V-Bit Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • Bevel Carving. This toolpath allows you to replicate a bevelled (angle-edged) look for the vector or vector text you want to machine. For details, see Bevel Carving.
    • You cannot machine a Bevel Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • Smart Engraving. This toolpath allows you to engrave around the boundary of a vector or group of vector text. You can use a range of tools with this strategy and ArtCAM Pro automatically calculates the order in which they should be used. For details, see Smart Engraving.
  • Drilling Holes. This toolpath allows you to create drill holes using vectors. For details, see Drill Holes.
  • Machine Vectors. This toolpath allows you to machine along the boundary of a vector with the centre of a tool. For details, see Machine Vectors.
  • Inlay Machining. This toolpath allows you to create a selection of corresponding inlays (female) and inserts (male) from a vector. For details, see Inlay Wizard.

See Also

Machining Models

Overview

3D Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


2D Profiling

The 2D Profiling button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that machines either inside or outside the boundary of a selected vector, relative to the dimensions of the block of material.

A Profiling toolpath is ideal for cutting out letters and shapes from a block of material.

Using the Profiling page, you can:

  • Control where your tool cuts into and retracts from the block of material by adding lead in and lead out moves.
  • Control how your tool cuts into and retracts from the block of material by adding ramping moves.
  • Control the cutting direction of the tool.
  • Control whether the vector is cut or snapped out from the block of material by defining the thickness of the final machine pass and/or adding bridging.

To profile a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to profile.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the 2D Profiling button [image] in the 2D Toolpaths area to display the Profiling page.
  4. In the Profile Side area, select how you want to profile the selected vector:
    • Click on the Outside radio button [image] to instruct the tool to profile outside of the selected vector.
    • Click on the Inside radio button [image] to instruct the tool to profile inside of the selected vector.

      Profile Side - Outside…

      Profile Side - Inside…
  5. Define the depth (Z) at which you want to cut into the surface of the material in the Start Depth box.
  6. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
  7. If you want to add or remove extra material around the vector, define the distance between the boundary of the selected vector and the profiling tool in the Allowance box. Type a positive value to add material or a negative value to remove it.

  8. Define how closely you want the cutter to follow the shape of the vector in the Tolerance box.
  9. If you want to set the thickness of the final profile pass, click to select the Final Pass Thickness option [image], and then define its thickness in the adjacent box.

    If this option is selected and a value greater than 0 is used, the toolpath consists of at least two machining passes, with the final pass removing the specified thickness (Z). This option is often used to leave a thin 'web' of material around the boundary of the vectors being machined, with the last pass removing less material than the preceding passes. In this instance, you can gently snap the shape from the block of material.

  10. If you want to add or remove extra material around the vector, click to select the Final Pass Allowance option [image], and then define the allowance in the adjacent box.

    If this option is selected, the allowance you define is left on by any of the intermediate machining passes in Z, and then removed in the final pass. This ensures that no dwell marks caused during the intermediate passes remain. The final pass (lowest in Z) machines the complete face of the profiled edge.

  11. If you want to change the height at which the Profiling tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  12. Click on the Select button in the Profiling Tool area of the page to open the Tool Database:

  13. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Profiling Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Profiling Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  14. The cutting direction defaults to Climb Mill. If you want to change this, click on the [image] arrow in the Cut Direction area, then click on either of the Cut Direction radio buttons [image]:
    • Climb Mill - Climb Milling rotates the cutter in the same direction as the feed motion.
    • Conventional - Conventional Milling rotates the cutter in the opposite direction to the feed motion.

      For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  15. To add lead-in and lead-out moves to the toolpath, click to select the Add Lead In/Out Moves option [image]. The lead moves settings are displayed:
    • If you only want to have a lead-in move, click to select the Do not Lead Out option [image].
    • Define the distance from the toolpath that you want the tool to cut into and retract from the vector's boundary in the Distance (D) box.
    • Define the distance from the start/end point in the profile pass that you want the tool to machine over in the Over Cut (O) box. This further helps to create a smooth finish.
    • Select how you want the tool to move using the Add Lead In/Out Moves radio buttons [image]:

      Linear - Click on the Linear option [image] to instruct the tool to lead into and out of the vector's boundary in a straight-line motion:

    • If you select the Linear option, define the angle of the linear lead moves in the Angle In and Angle Out boxes.

      When editing lead moves associated with a profile pass used to machine inside of a defined area, the distance of a linear lead move or the radius of a circular arc move is now considered.

      When adjusting the position of a linear lead move, ArtCAM checks to ensure that the distance of the lead move remains within the boundary of the profile pass. If the current distance of the lead move intersects with the profile pass, its distance will be cropped so that it does not.

      When adjusting the position of a circular arc lead move, ArtCAM checks to ensure that the radius of the lead move remains within the boundary of the profile pass. If the current radius of the lead move intersects with the profile pass, the lead move is converted to a linear move instead with a distance that does not.

      Circular Arc - Click on the Circular Arc option [image] to instruct the tool to lead into and out of the vector's boundary in an arc motion:

      If you select the Circular Arc option, define the radius of the arc in the Radius (R) box. The radius must be less than or equal to the value in the Distance (D) box, otherwise the following message box appears when you calculate the toolpath:

      Click on the OK button to close the message box.

    • Set the Automatic Positioning as follows:

      Click to select the Automatic Positioning option [image]. This positions lead-in and lead-out moves at the optimum point in the vector, which is usually within its longest linear span.

    • The Automatic Positioning option should not be selected if you want to use the Lock Start Points option for toolpath sequencing.

      Click to deselect the Automatic Positioning option [image]. This positions lead-in and lead-out moves at the Start Point of the vector. If you want to change the position of lead-in and lead-out moves, you can change the Start Point. For details, see Changing the Start Point.

  16. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping moves settings are displayed:

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  17. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Pro to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Pro to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimize - Click on this option to instruct ArtCAM Pro to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Pro to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Pro to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Pro to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Pro to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Pro to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Pro to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Pro to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) that you want to profile are selected. For details, see Selecting Vectors.

      If you do not want ArtCAM Pro to adjust the position of the Start Point within a toolpath segment when calculating the machining order, make sure that the Lock Start Points option is selected [image]. Deselecting this option prevents ArtCAM Pro from attempting to minimize the length of joining moves in the machining process.

    • The Lock Start Points option should not be selected if you have already selected the Automatic Positioning option for lead moves. Using the Lock Start Points option will cancel the Automatic Positioning option.
  18. In the Material area, click on the Setup button to display to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  19. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
  20. Type a name for the toolpath in the Name box.
  21. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

    You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

    A dark red line represents the machining passes used to profile the selected vector. It is drawn either inside or outside of its boundary, according to the Profile Side that you had selected. A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  22. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to or change the start position in any of the profile passes in the Profile toolpath, see Editing a Profile Pass for details.

If you want to set the machining order of the profile passes in the Profile toolpath, see Setting the Machining Order for details.

See Also

2D Toolpaths

2D Area Clearance

V-Bit Carving

Bevel Carving

Smart Engraving

Machine Vectors

Inlay Wizard

Drill Holes


2D Area Clearance

The Area Clearance button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath to clear an area of material based on the boundary of the vector you have selected.

An Area Clearance toolpath is ideal for clearing areas of unwanted material in a block of material.

Using the 2D Area Clearance page, you can:

  • Select multiple tools to perform smart machining, where ArtCAM Pro automatically uses the biggest tool first, and then the smaller tools in order of size to machine the areas which could not be reached by previous tools.
  • Select a different tool clearance strategy for each of the tools you want to use. Depending on what strategy you select, you can control the angle, or where and in what direction the tool cuts into the block of material.
  • Control how your tools cut into and retract from the block of material by adding ramping moves.

To area clear a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vectors that represent the area you want to clear.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the Area Clearance button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the 2D Area Clearance page.
  4. Define the depth (Z) from the surface of the material at which you want to begin clearing the area in the Start Depth box.
  5. Define the depth (Z) of the bottom of the area you want to clear in the Finish Depth box.
  6. If you want to add or remove extra material around the vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to add material or a negative value to remove it.
  7. If you are using more than one tool, define the allowance to be left by larger tools for the smallest tool to machine when clearing around the selected vectors in the Final Tool Allowance box.
  8. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  9. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool(s):

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  10. In the Tools List area, click on the Add button to open the Tool Database:

  11. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tools List window.

    The tool's machining parameters are displayed in the area below. If you want to amend the machining parameters, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  12. If you want to use more than one tool, click on the Add button again and select another tool from the Tool Database.
  13. In the Tools List window, click on the name of the tool for which you want to set the clearance strategy. You must select a separate tool clearance strategy for each of the tools listed.
  14. Select how you want the tool to clear the area using the Tool Clearance Strategy radio buttons [image]:
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, define the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the selected tool's Stepover value.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Tools List area.

      Raster Tool Clearance at 45°…

      Offset Tool Clearance…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on either of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector's centre, then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  15. If you want the selected tool to cut to a different depth than that displayed in the Finish Depth box, click to select the Independent Finish Depth option [image], and then define the relative depth (Z) of the bottom of the area you want to clear in the Finish Depth box below.
  16. When you have set a tool clearance strategy for each of the tools in the Tools List area, you can choose whether or not to add ramping moves to the machining passes made by them:
    • To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping move settings are displayed.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  17. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  18. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  19. Type a name for the toolpath in the Name box.
  20. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The machining passes used to clear the area about the selected vector are represented by a sequence of dark red lines drawn either inside or outside of its boundary.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  21. Click on the Close button to return to the Toolpaths Home page.

See Also

2D Toolpaths

2D Profiling

V-Bit Carving

Bevel Carving

Smart Engraving

Machine Vectors

Inlay Wizard

Drill Holes


V-Bit Carving

  • You cannot machine a V-Bit Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.

The V-Bit Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that replicates a hand carved look for the vector or text that you have selected.

The V-Bit Carving page allows you to control the depth of the centreline carved into the block of material and the order in which toolpath segments are machined.

To v-bit carve vectors or text:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector or text that you want to carve. For details, see Selecting Vectors.
  3. Click on the V-Bit Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the V-Bit Carving page.
  4. Define the depth (Z) from the material surface at which you want to begin carving in the Start Depth box.
  5. Define how closely you want the Carving tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the Carving tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Carving Tool area, click on the Select button to open the Tool Groups Database:

  8. Double-click on the V-Bit, Conical or Ball Nose tool that you want to use. ArtCAM Pro closes the Tool Groups Database and displays the selected tool's description in the Carving Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Carving Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  9. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Pro to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Pro to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimize - Click on this option to instruct ArtCAM Pro to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Pro to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Pro to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Pro to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Pro to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Pro to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Pro to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Pro to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an open, ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) that you want to carve are selected. For details, see Selecting Vectors.
  10. You can now calculate the maximum depth and width of the carving pass in the toolpath by clicking on the Centreline button.
    • If you have chosen a Carving tool with a smaller diameter than the maximum width of the carving pass, ArtCAM Pro makes multiple passes to clear the specified width.

      During the centreline calculation process, ArtCAM Pro displays a progress bar and a Cancel button [image] beneath the design window area. If you want to stop this process, click on the Cancel button [image].

      After the centreline calculation process is complete, the maximum depth and width of the carving pass are shown below the Carving Tool area.

      If the maximum depth of the carving pass is greater than the thickness of the material block, the following message box appears when the toolpath is calculated:

      Click on the OK button to close the message box. To overcome this problem, you can select a different Carving tool with an angled edge, limit the maximum depth of the tool or use a thicker block of material.

  11. To limit the depth at which the Carving tool cuts into the block of material:
    • First, click to select the Limit tool maximum depth option [image] in the Carving Tool area.
    • Next, type a value in the Maximum Depth box equal to the Max Depth value shown above the Centreline button.
    • If you were to use a value less than the calculated Max Depth, the carving would be truncated.
  12. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  14. Type a name for the toolpath in the Name box.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      If you have not already calculated the carving pass in the toolpath, the selected vector is colour-filled in cyan during the centreline calculation process.

      Dark red lines drawn inside its boundary represent the machining passes used to carve the selected vector.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  16. Click on the Close button to return to the Toolpaths Home page.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

Bevel Carving

Smart Engraving

Machine Vectors

Inlay Wizard

Drill Holes


Bevel Carving

  • You cannot machine a Bevel Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.

The Bevel Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that replicates a bevelled (angled-edge) look for the vector text or object that you have selected.

To create a bevel carving, you must use two types of tool:

  • An angled-edge carving tool to create the bevelled edge.
  • A profiling tool to create the vertical wall below the bevelled edge.

The angle of the bevelled edge is determined by the angle of the carving tool.

Using the Bevel Carving page, you can:

Choose whether or not you want to create a vertical wall in the bevel carving.

  • Control the height of the angled edge in the bevel carving.
  • Control the cutting direction of the tool.

To begin bevelling your vector text or object you must:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector from which you want to create a bevel carving. For details, see Selecting Vectors.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the Bevel Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Bevel Carving page.
  4. Define the depth (Z) from the material surface at which you want to begin carving in the Start Depth box. This is the apex of the bevel carved object.
  5. Define the height of the wall in the material block in the Wall Height box. This is the vertical wall below the bevelled edge.
    • If you do create a vertical wall, a Profiling tool must be used when machining.
  6. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
    • If you are cutting the vector out of the block of material, the Finish Depth value must be equal to the Thickness (Z) defined in the Setup Job Dimensions dialog box. For details, see Creating a Model.
  7. Define how closely you want the Carving and Profiling tools to follow the shape of the vector in the Tolerance box.
  8. If you want to change the height at which the Carving and Profiling tools make rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tools:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  9. In the Carving Tool area, click on the Select button to open the Tool Groups Database:

  10. Double-click on the V-Bit or Conical tool you want to use. ArtCAM Pro closes the Tool Groups Database and displays the selected tool's description in the Carving Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Carving Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  11. You can now calculate the maximum height and width of the carving pass in the toolpath by clicking on the Centreline button.

    During the centreline calculation process, ArtCAM Pro displays a progress bar and a Cancel button [image] beneath the design window area. If you want to stop this process, click on the Cancel button [image].

    • If you have chosen a Carving tool with a smaller diameter than the maximum width of the carving pass, ArtCAM Pro makes multiple passes to clear the specified width of the carving pass.

      After the centreline calculation process is complete, the maximum depth and width of the carving pass are shown below the Carving Tool area.

      If the maximum depth of the carving pass is greater than the thickness of the material block, the following message box appears when the toolpath is calculated:

      Click on the OK button to close the message box. To overcome this problem, you can select a different Carving tool with a smaller angled edge, limit the maximum depth of the tool or use a thicker block of material.

  12. To limit the depth at which the Carving tool cuts into the block of material:
    • First, click to select the Limit tool maximum depth option [image] in the Carving Tool area.
    • Next, type a value in the Maximum Depth box equal to the Max Depth value shown below the Carving Tool area.
    • If you were to use a value less than the calculated Max Depth, the carving would be truncated.
  13. Click on the Select button in the Profiling Tool area of the page to open the Tool Groups Database again.
  14. Double-click on the tool you want to use to display its description in the Profiling Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Profiling Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  15. To set the cut direction of the Profiling Tool, click on the [image] arrow in the Cut Direction area, and then click on either of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
  16. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  17. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  18. Type a name for the toolpath in the Name box.
  19. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button. If you have not already calculated the carving pass in the toolpath, the selected vector is colour-filled in cyan during the centreline calculation process.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      A dark red line represents the machining passes used to profile the selected vector in the model. Each profile pass is drawn outside of the vector's boundary. The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. See Calculating a Single Toolpath and Calculating a Batch Toolpaths.
  20. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Bevelled Carving toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Bevelled Carving toolpath, see Setting the Machining Order for details.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

V-Bit Carving

Smart Engraving

Machine Vectors

Inlay Wizard

Drill Holes


Help with Creating a Bevelled Carving

You can display information on how to create a Bevelled Carving toolpath if you click on [image] at the top of the Bevel Carving page.

However, if you would like further assistance with creating a Bevelled Carving toolpath:

  1. Click on the More Help button at the bottom of the page to display the Bevelled Carving Help window.
  2. Click on either of the Step 1 radio buttons [image] to display its corresponding Step 2 in the window:
    • I want to cut the bevelled carving out of the material - Select this option if you want to remove the bevelled carving from the block of material.
    • The bevelled carving sits within a bigger job - Select this option if you do not want to remove the bevelled carving from the block of material.
  3. Once you have read the information displayed, click on the Close Window button to close the Bevelled Carving Help window.

See Also

Bevel Carving


Smart Engraving

The Engraving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that engraves the vector text or object that you have selected.

Using the Smart Engraving page, you can:

  • Select multiple tools to perform smart engraving, where ArtCAM Pro automatically selects the biggest tool first, and then the smaller tools in order of size. This provides the most efficient way of machining, as the bigger tools clear the material and the smaller ones can then machine smaller pockets to provide the engraved detail.
  • Select a different tool clearance strategy for each of the tools you want to use. Depending on what strategy you select, you can control the angle, or where and in what direction the tool cuts into the block of material.
  • Control the areas that the Engraving tool sharpens and profiles.
  • Offset the Roughing tool so to leave sufficient material for the Engraving tool to form the side of the engraved feature.

To engrave a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to engrave. For details, see Selecting Vectors.
  3. Click on the Engraving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Smart Engraving page.
  4. Define the depth (Z) from the material surface at which you want to begin engraving in the Start Depth box.
  5. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
  6. Define how closely you want the Roughing and Engraving tools to follow the shape of the vector in the Tolerance box.
  7. To place the Engraving tool in contact with the top edge of the vector during the machining process, make sure that the Vectors are on surface option is selected [image].

    If the Vectors are on surface option is deselected [image], the Engraving tool is placed in contact with the bottom edge of the vector during the machining process. The Do Corner Sharpening option is also automatically greyed out.

  8. If you are engraving one vector inside of another, and do not want the Engraving tool to sharpen the corners or machine the boundary of the outer vector, click to select the Outer vectors are boundary option [image].

    In the example below, you can see that the engraving tool machines along the boundary and sharpens the corners of the outer rectangular vector when the Outer vectors are boundary option is deselected [image]:

    Outer Vectors are boundary OFF…

    Outer Vectors are boundary ON…
  9. To automatically offset an End Mill Roughing tool in order to leave sufficient material for an angle-edged of an Engraving tool to form the side of the engraved feature, click to select the Offset end mills for engraving tools option [image].
  10. If you want to change the height at which the Roughing and Engraving tools make rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  11. Click on the Add button in the Tools List area to display the Tool Database:

  12. Double-click on the Roughing or Engraving tool you want to use. ArtCAM Pro closes the Tool Groups Database, highlights the selected tool in the Tools List window and displays its details below.

    If you want to amend the machining parameters of the selected tool, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow next to the tool's description to hide its machining parameters.

  13. If you want to leave extra material around the vector, define the distance between the boundary of the selected vector and the Roughing or Engraving tool in the Allowance box.
  14. Select how you want the tool to clear the area using the Tool Clearance Strategy radio buttons [image]:
    • Raster - This strategy machines back and forth along the X-axis at a specified angle. If you select this strategy, type the angle you want the tool to move at in the Raster Angle box.
  • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
  • You can see the stepover value of the selected tool when the machining parameters are displayed in the Tools List area.
    • If you have selected this strategy, set the cutting direction by selecting one of the Cut Direction radio buttons [image], either Climb Mill or Conventional.

      In Climb Milling, the cutter rotates in the same direction as the feed motion. In Conventional Milling, the cutting tool rotates in the opposite direction to the feed motion. For more details, see Overview.

  1. You can also control the movements of the selected Roughing or Engraving tools:
    • If you want the Engraving tool to sharpen the corners of the vector during the machining process, click to select the Do Corner Sharpening option [image].
  • You cannot use the Do Corner Sharpening option in an Engraving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • If you have not selected an Engraving tool, the Do Corner Sharpening option is greyed out.

    In the example below, you can see that the tool profiles the vector text A to sharpen its corners when the Do Corner Sharpening option is selected [image]:

    Do Corner Sharpening OFF…

    Do Corner Sharpening ON…

    The Engraving tool is also lifted in the Z direction to minimize the curvature in the corners of the vector text A.

    • If you want the Engraving tool to profile only the vectors which have not already been machined with a larger tool, click to select the Only Smart Engrave Profile option [image].
  • If you have not selected an Engraving tool, the Only Smart Engrave Profile option is greyed out.
    • If you want a tool to make a single profile pass around the vector, click to select the Profile Only option [image].

      In the example below, you can see that the number of machining passes is reduced, particularly in the central cavity of the vector text A, when the Profile Only option is selected [image]:

      Profile Only OFF…

      Profile Only ON…
    • If you want the selected tool to cut to at a different depth than the other tools, click to select the Independent Finish Depth option [image], and then define the absolute Z zero value of the bottom of the area you want to engrave in the Finish Depth box below.

      You can add as many tools as are needed for the job, setting the machining parameters and strategy for each tool after selecting it in the Tools List window.

  1. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  2. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  3. Type a name for the toolpath in the Name box.
  4. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. See Calculating a Single Toolpath and Calculating a Batch of Toolpaths for details.
  5. Click on the Close button to return to the Toolpaths Home page.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Machine Vectors

Inlay Wizard

Drill Holes


Machine Vectors

The Machine Along Vector button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to machine along the boundary of a vector.

The boundary of a selected vector represents the centreline of the Profiling tool. The machined feature has no diameter other than that of the tip of the Profiling tool.

This toolpath is mainly used to produce the effect of engraved text or to provide sharp profiling for detailed edges.

To machine a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to machine. For details, see Selecting Vectors.
  3. Click on the Machine Along Vector button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Machine Vectors page.
  4. Define the depth (Z) from the material surface at which you want to begin machining in the Start Depth box.
  5. Define the depth (Z) of the bottom of the cut in the Finish Depth box.
  6. Define how closely you want the Profiling tool to follow the shape of the vector in the Tolerance box
  7. If you want to change the height at which the Profiling tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  8. In the Profiling Tool area, click on the Select button to open the Tool Database:

  9. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database, and displays the selected tool's description in the Profiling Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Profiling Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Pro to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Pro to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimise - Click on this option to instruct ArtCAM Pro to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Pro to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Pro to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Pro to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Pro to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Pro to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Pro to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Pro to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an open, ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) along which you want to machine are selected. For details, see Selecting Vectors.
  12. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  14. Type a name for the toolpath in the Name box.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the vector are represented by dark red lines drawn on the boundary of the selected vector:

      A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  16. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Machine Vectors toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Machine Vectors toolpath, see Setting the Machining Order for details.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Smart Engraving

Inlay Wizard

Drill Holes


Inlay Wizard

The Inlay Wizard button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that can produce one of many different kinds of inlays and inserts. Essentially, you can use this toolpath to machine interlocking male and female parts. ArtCAM Pro allows these interlocking parts to fit perfectly by adjusting the shape of the corners according to the tool that is used to machine them.

To produce a particular style of interlocking male and female parts:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector from which you want to create an inlay or an insert. For details, see Selecting Vectors.
  3. Click on the Inlay Wizard button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Inlay Wizard page.
  4. Select the Inlay Type that you want to create:
    • Pocket. For details, see Creating a Pocket.
    • Hole. For details, see Creating a Hole.
    • Stepped Pocket. For details, see Creating a Stepped Pocket.
    • Stepped Hole. For details, see Creating a Stepped Hole.
    • Straight Insert. For details, see Creating a Straight Insert.
    • Stepped Insert. For details, see Creating a Stepped Insert.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Smart Engraving

Machine Vectors

Drill Holes


Creating a Pocket

This Female Inlay option displays the Female Inlay Pocket page in the Assistant window. This allows you to create a pocket, which is a hole in the material that has a bottom and does not go right through the block. You can then create a male straight insert to fit into the pocket.

Using the Female Inlay Pocket page, you can:

  • Select both Roughing and Finishing tools.
  • Select a tool clearance strategy for the Finishing or Roughing tool you want to use. Depending on the strategy you select, you can control the angle, where and in what direction the tool cuts into the block of material.
  • Control how the Roughing and/or Finishing tools cut into and retract from the block of material by adding ramping moves.

To create a pocket:

  1. Click on the Pocket option [image] in the Inlay Types area of the Inlay Wizard page. ArtCAM Pro displays the Female Inlay Pocket page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Finishing Tool area of the page to open the Tool Database.
  8. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected Finishing Tool must be the same size as the tool used to machine the male straight insert you want to fit into this pocket.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Finishing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  9. Select whether you want to use a Roughing tool or not:
  10. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the Finishing tool in the Allowance box. Type a positive value to add material or a negative value to remove it.
  11. Select how you want the tool to clear the pocket using the Strategy radio buttons [image]:
    • If you are using a Roughing tool, the strategy that you select applies to the selected tool and an Offset strategy with a Climb Mill cut direction is applied by default to the Finishing tool. If you are not using a Roughing tool, the strategy that you select applies to the Finishing tool.
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, define the angle you want the tool to move at in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on one of the Profile Pass radio buttons [image]:

      None - Select this option if you do not want the tool to profile the selected vector.

      First - Select this option if you want the tool to profile the selected vector first and then raster clear the area.

      Last - Select this option if you want the tool to move outwards to raster clear the area, then profile the selected vector.

    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Roughing Tool and/or Finishing Tool areas.

      Raster Strategy at 45°…

      Offset Strategy at Climb…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.

      Next, click on one of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector's centre, then machine outwards.

  12. When you have set a tool clearance strategy, you can choose whether or not to add ramping moves to the machining passes made by the cutting tools:
    • If you want to add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  13. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the pocket are represented by dark red lines drawn along the boundary and inside of the selected vector, according to the Strategy selected.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Hole

This Female Inlay option displays the Female Inlay page in the Assistant window. This allows you to create a hole in the block of material. You can then create a male straight insert to fit into the hole.

Using the Female Inlay page, you can:

  • Select a tool to cut the hole in the block of material.
  • Control the cutting direction of the tool.

To create a hole:

  1. Click on the Hole option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the hole in the Start Depth box.
  3. Define the depth (Z) for the bottom of the hole in the Finish Depth box.
  4. If you want to enlarge or reduce the hole around the selected vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to enlarge the hole or a negative value to reduce it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the hole.

  5. Define how closely you want the cutting tool to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Tool area of the page to display the Tool Groups Database:

  8. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Groups Database and displays the selected tool's description in the Tool area.
  9. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, and then click on one of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  12. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  13. Type a name for the toolpath in the Name box.
  14. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the hole are represented by dark red lines drawn around the boundary of the selected vector:

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. If you have chosen to calculate the toolpath later, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  15. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Female Inlay toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Female Inlay toolpath, see Setting the Machining Order for details.

See Also

Inlay Wizard

Creating a Pocket

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Stepped Pocket

This Female Inlay option displays the Female Stepped Pocket Inlay page in the Assistant window. This allows you to create a stepped pocket, which is a stepped hole in the material that has a bottom and does not go right through the block. You can then create a male stepped insert to fit into the stepped pocket.

Using the Female Stepped Pocket Inlay page, you can:

  • Select both Roughing and Finishing tools.
  • Select a tool clearance strategy for the Finishing or Roughing tool you want to use.

    Depending on the strategy you select, you can control the angle, where and in what direction the tool cuts into the block of material.

  • Control how the Roughing and/or Finishing tools cut into and retract from the block of material by adding ramping moves.

To create a stepped pocket:

  1. Click on the Stepped Pocket option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Stepped Pocket Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the stepped pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the stepped pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the stepped pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male stepped insert to fit into the stepped pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the cutting tools used make rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tools used:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Finishing Tool area, click on the Select button to open the Tool Database:

  10. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected Finishing Tool must be the same size as the tool used to machine the male stepped insert which you want to fit into this stepped pocket.
  11. Select whether you want to use a Roughing tool or not:
    • If you want to use the Finishing tool you have already selected to create the whole pocket, make sure that the Use Roughing Tool option is deselected [image], and then go straight to the next step.
    • If you want to use a Roughing tool to create the pocket, click to select the Use Roughing Tool option [image].

      In the Roughing Tool area, which is now displayed, click on the Select button to open the Tool Groups Database again.

      Double-click on the tool you want to use. Its description is displayed in the Roughing Tool area.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Roughing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  12. If you want the Finishing tool to enlarge or reduce the stepped pocket around the selected vector, define the distance between the boundary of the selected vector and the Finishing tool in the Allowance box. Type a positive value to enlarge the stepped pocket or a negative value to reduce it.
  13. Select how you want the tool to clear the pocket using the Strategy radio buttons [image]:
    • If you are using a Roughing tool, the strategy that you select applies to the selected tool and an Offset strategy with a Climb Mill cut direction is applied by default to the Finishing tool. If you are not using a Roughing tool, the strategy that you select applies to the Finishing tool.
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, first define the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on one of the Profile Pass radio buttons [image]:

      None - Select this option if you do not want the tool to profile the selected vector.

      First - Select this option if you want the tool to profile the selected vector first and then raster clear the area.

      Last - Select this option if you want the tool to move outwards to raster clear the area, then profile the selected vector.

    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Roughing Tool and/or Finishing Tool areas.

      Raster Strategy at 45°…

      Offset Strategy…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on one of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector's centre, then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  14. When you have set a tool clearance strategy, you can choose whether or not to add ramping moves to the machining passes made by the cutting tool(s):
    • If you want to add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  15. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  16. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  17. Type a name for the toolpath in the Name box.
  18. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the stepped pocket are represented by dark red lines drawn along the boundary and inside of the selected vector, according to the Strategy selected.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  19. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Stepped Hole

This Female Inlay option displays the Female Stepped Hole Inlay page in the Assistant window. This allows you to create a stepped hole in the block of material. You can then create a male stepped insert to fit into the stepped hole.

Using the Female Stepped Hole Inlay page, you can:

Control the depth and width of the hole's shoulder.

  • Select a tool to cut the hole in the block of material.
  • Control the cutting direction of the tool.

To create a stepped hole:

  1. Click on the Stepped Hole option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Stepped Hole Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the stepped hole in the Start Depth box.
  3. Define the depth (Z) of the bottom of the stepped hole in the Finish Depth box.
  4. If you want to enlarge or reduce the stepped hole around the selected vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to enlarge the stepped hole or a negative value to reduce it.

    Make sure that there is a sufficient allowance for the corresponding male stepped insert to fit into the stepped hole.

  5. Define how closely you want the cutting tool to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tools used:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Tool area, click on the Select button to display the Tool Database:

  10. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Finishing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  11. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, then click on one of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  12. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  13. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the stepped hole are represented by dark red lines drawn around the selected vector's boundary:

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Straight Insert

Creating a Stepped Insert


Creating a Straight Insert

This Male Inlay option displays the Male Insert page in the Assistant window. This allows you to create a male straight insert from the block of material. You can then create a female hole or pocket to fit the male straight insert into.

Using the Male Insert page, you can:

  • Select a tool to cut the straight insert out of the block.
  • Control the cutting direction of the tool.

To create a straight insert:

  1. Click on the Straight option [image] in the Inlay Types area of the Inlay Wizard page to display the Male Insert page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the straight insert in the Start Depth box.
  3. Define the depth (Z) of the bottom of the straight insert in the Finish Depth box.
  4. If you want to enlarge or reduce the straight insert around the selected vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to enlarge the stepped hole or a negative value to reduce it.

    Make sure that there is a sufficient allowance for the corresponding female hole or pocket.

  5. Define how closely you want the cutting tool to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Tool area, click on the Select button to display the Tool Database:

  8. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.
    • The selected cutting tool must be the same size as that used to machine the female hole or pocket into which you want to fit this straight insert.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  9. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, then click on one of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  12. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  13. Type a name for the toolpath in the Name box.
  14. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the straight insert are represented by dark red lines drawn around the selected vector's boundary:

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  15. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Male Insert toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Male Insert toolpath, see Setting the Machining Order for details.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Stepped Insert


Creating a Stepped Insert

This Male Inlay option displays the Male Stepped Insert page in the Assistant window. This allows you to create a male stepped insert from the block of material. You can then create a female stepped hole or stepped pocket to fit the male stepped insert into.

Using the Male Stepped Insert page, you can:

  • Select a tool to cut the stepped insert out of the block.
  • Control the depth and width of the insert shoulder.
  • Control the cutting direction of the tool.

To create a stepped insert:

  1. Click on the Stepped option [image] in the Inlay Types area of the Inlay Wizard page to display the Male Stepped Insert page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the stepped insert in the Start Depth box.
  3. Define the depth (Z) of the bottom of the stepped insert in the Finish Depth box.
  4. If you want to enlarge or reduce the stepped insert around the selected vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to enlarge the stepped insert or a negative value to reduce it.
  5. Define how closely you want the cutting tool to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Tool area, click on the Select button to display the Tool Database.
  10. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.
  11. To set the cut direction, click on the [image] arrow in the Cut Direction area of the Male Stepped Insert page, then click on one of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  12. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.
  13. In the Material area, click on the Setup button to display the Material Setup dialog box.
  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the stepped insert are represented by dark red lines drawn around the selected vector's boundary:

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. If you have chosen to calculate the toolpath later, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert


Drill Holes

The Drilling button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create drill holes. The size of the drill hole is determined by the diameter of the cutting tool that is used during the machining process.

When drilling holes you can use peck drilling to reduce chip packing in the hole. The tool drills a short distance into the block of material, and then withdraws. The deeper the hole, the more frequent the drill must be retracted (or pecked) to be effective:

The selected tool is retracted from the block of material to the Retraction Z level when it reaches the level displayed in the Stepdown box in the Tool area of the page. The Stepdown is also referred to as the Peck Distance. The tool then continues to cut deeper into the block of material until the Finish Depth is reached or the Stepdown is reached again. In the latter instance, the tool retracts from the block of material to the Retraction Z level again. This cycle continues until the Finish Depth is finally reached.

To create drill holes in your model:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. If you are creating drill holes from vectors, select those that you want to use. For details, see Selecting Vectors.

    If you are creating drill holes from toolpaths, select the 2D toolpath previews that you want to use. For details, see Selecting Toolpaths.

  3. Click on the Drilling button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Drilling page.
  4. Define the depth (Z) from the material surface at which you want to create the drill holes in the Start Depth box.
  5. Define the depth (Z) of the bottom of each drill hole in the Finish Depth box.
  6. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
  7. Click on the Select button in the Tool area of the page to open the Tool Database.
  8. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.
  9. To set where the holes are drilled in your model, click on one of the Drill Centre of… radio buttons [image]:
  10. To drill the holes using the peck drilling method:
  11. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Pro to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Pro to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimise - Click on this option to instruct ArtCAM Pro to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Pro to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Pro to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Pro to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Pro to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Pro to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Pro to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Pro to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an open, ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) that you want to drill are selected. For details, see Selecting Vectors.
  12. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  14. Type a name for the toolpath in the Name box.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the drill holes are represented by dark red circles drawn according to the selected Drill Centre of… option.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  16. Click on the Close button to return to the Toolpaths Home page.

See Also

2D Toolpaths

2D Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Smart Engraving

Machine Vectors

Inlay Wizard


3D Toolpaths

ArtCAM Pro provides a number of three-dimensional toolpaths that you can use to machine the composite relief in your model using the vector artwork and/or relief(s) you have created. The collection of three-dimensional toolpath tools is located in the 3D Toolpaths area of the Toolpaths Home page:

Hide 3D Toolpaths Area Machine Relief Feature Machining Z Level Roughing 3D Laser Machining 3D Cut Out 3D Rest Machining Raised Feature Recessed Feature Centreline Engraved Feature Return Feature To Normal Vectors

The toolpaths can be used as follows:

  • Machining a Relief. This strategy allows you to machine the composite relief in a model. For details, see Machine Relief.
  • Feature Machining. This strategy is used to machine the Raised, Recessed and Centreline Engraved features you have created from vectors in a model. For details, see Feature Machining.
  • Z Level Roughing. This strategy allows you to quickly remove unwanted material from the composite relief. For details, see Z Level Roughing.
  • 3D Laser Machining. This strategy allows users of a laser-engraving machine to quickly remove layers of unwanted material from the composite relief. For details, see Laser Machining.
  • Cutting Out. This strategy allows you to create a toolpath either inside or outside the boundary of a vector. For details, see 3D Cut Out.
  • 3D Rest Machining. Rest (as in 'rest of material') Machining allows you to find all of the areas of the composite relief that cannot be machined based on one tool size, and then machine only these areas with another, smaller tool. For details, see 3D Rest Machining.

See Also

Machining Models

Overview

2D Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Machine Relief

The Machine Relief button [image] in the 3D Toolpaths area of the Toolpaths Home page allows you to:

  • Machine the entire surface of the composite relief.
  • The composite relief is the result of all visible relief layers in a model when combined.
  • Machine a specific area of the composite relief, as defined by a selected vector.

Using the Machine Relief page, you can:

  • Select a different tool clearance strategy for each of the tools you want to use. Depending on what strategy you select, you can control the angle, or where and in what direction the tool cuts into the block of material.
  • Control how the tool cuts into and retracts from the block of material by adding ramping moves.

To machine the surface of the composite relief:

  1. Make sure that only the relief layers that make up the composite relief are visible and that the combine mode assigned to each of these relief layers is correct. For details, see Viewing a Layer and Assigning a Combine Mode to a Relief Layer.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Machine Relief button [image] in the 3D Toolpaths area to display the Machine Relief page.
  4. Click on one of the Area to Machine radio buttons [image] to select how the composite relief is machined:
    • Click on the Whole Model radio button [image] if you want to machine the entire surface of the composite relief.
    • Click on the Selected Vector radio button [image] if you want to machine an area of the composite relief as defined by a selected vector.

      If you select this option, select the vector that represents the area of the composite relief you want to machine. For details, see Selecting Vectors.

  5. Click on the Strategy list box to display the strategies available and then on the strategy you want to select. If you have selected the Whole Model option, then you can choose from the following strategies:
    • Raster in X - This strategy machines back and forth along the X-axis at a specified angle.
    • Raster in X and Y - This strategy machines in two perpendicular directions at a specified angle. This strategy improves the surface finish but can be time consuming.
    • Spiral - This strategy machines in a spiral motion, stopping when the tool reaches the first edge of the composite relief. This strategy does not always allow you to machine the entire relief.
    • Spiral in Box - This strategy machines in a spiral motion. When the tool reaches the first edge of the composite relief it retracts, traverses along the edge of the composite relief and then plunges to continue machining the next area of the composite relief. This strategy allows you to machine the entire composite relief, but can be time consuming.

      If you have selected the Selected Vector option, then you can choose from the following strategies:

    • Raster in X - This strategy machines back and forth along the X-axis at a specified angle.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use. You can see the Stepover value of the selected tool when the machining parameters are displayed in the Tool area.
  6. If you have selected a Raster strategy, type the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  7. To leave additional material on the surface of the composite relief to allow for the final machining pass, type a value in the Allowance box. The allowance sets the distance between the surface of the composite relief and the cutting tool.
  8. Type a value in the Tolerance box to specify how closely you want the cutting tool to follow the shape of the composite relief.
  9. If you want to change the height at which the machining tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  10. Click on the Select button in the Tool area to open the Tool Database:

  11. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  12. To define the point at which the machining tool enters and leaves the block of material:
    • First, click to select the Do Multiple Z Passes option [image].
    • Next, type a value in the Z Height of First Pass box.
    • Finally, type a value in the Z Height of Last Pass box.
    • The Stepdown value of the tool determines the number of passes made between the first and last pass in the toolpath.
  13. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping moves settings are displayed:

    • Type the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Type the maximum distance that you want the cutting tool to zigzag across the surface of the composite relief in the Max Ramp Length (L) box.
    • Type the minimum distance that you want the cutting tool to zigzag across the surface of the composite relief in the Min Ramp Length (Lmin) box.
    • If you want to define the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then type a value in the box beneath it. If you do not define the Ramp Start Height (S) here, the Safe Z level is used.
  14. Click on the Setup button in the Material area to display the Material Setup dialog box.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Creating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

3D Toolpaths

Feature Machining

Z Level Roughing

Laser Machining

3D Cut Out

3D Rest Machining


Feature Machining

The Feature Machining button [image] in the Toolpaths Home page allows you to machine a raised, recessed or centreline engraved feature that you have created from a vector with a depth or height relative to the composite relief. The contour of the composite relief is preserved in the feature that is combined with it. For details, see Creating a Feature from a Vector.

Using the Feature Machining page, you can:

  • Select a tool clearance strategy for the machining tool you want to use. Depending on the strategy you select, you can control the angle, where and in what direction the machining tool cuts into the block of material.

To machine a feature that you have created from a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Feature Machining button [image] in the 3D Toolpaths area to display the Feature Machining page.
  3. Click on the Choose Feature list box to display the list of features available and then on the feature that you want to machine.
    • If you move the mouse cursor over a feature in the Choose Feature list box, a pop-up window appears detailing the attributes of the feature.
    • If you have not yet created a feature from a vector, the Choose Feature list box is empty. For details, see Creating a Feature from a Vector.
  4. Click on either of the radio buttons [image] to select the machining strategy that you want to use:
    • Profile Only - This strategy allows the cutting tool to make profile passes around the feature you have selected.
    • Area Clear - This strategy allows the cutting tool to clear an area of material based on the boundary of the feature you have selected, then make profile passes around the feature.
    • The selected feature is not machined using the Area Clear strategy. A protected area is created around the selected feature during the machining process.

      If you have selected Area Clear, type a value in the Overcut Distance box to remove any ridge of unwanted material that might appear around the feature.

      For example, if a Ball Nose cutting tool is used as the Feature Tool with an Area Clear strategy, a ridge of unmachined material may appear around it:

    • The Overcut Distance should normally be equal to the radius of the Feature Tool used in an Area Clear strategy.
  5. If you want the cutting tool to sharpen the corners in the feature as it is machined, click to select the Corner Sharpen option [image].
  6. To perform the machining strategy that you have selected as a series of passes in the Z direction, click to select the Do Multiple Z Passes option [image].
  7. Click on either of the radio buttons [image] to select how the cutting tool reaches the depth you defined when creating the feature. For details, see Creating a Feature.
  8. Click on either of the radio buttons [image] to select the cut direction you want to use:
    • Climb - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion.

      For more details, see Overview.

    • You can set the default cutting direction using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  9. Type a value in the Tolerance box to specify how closely you want the cutting tool to follow the shape of the selected feature.
  10. If you want to change the height at which the machining tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  11. Click on the Select button in the Feature Tool area of the page to open the Tool Database:

  12. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Feature Tool area.
  13. If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Feature Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  14. Click on the Setup button in the Material area of the page to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button.

    If you want to change any of these settings, see Adjusting the Material Setup.

  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The machining passes used to create the selected feature are represented by blue lines drawn on the boundary of the vector from which the feature was previously created. For details, see Creating a Feature.

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

3D Toolpaths

Machine Relief

Z Level Roughing

Laser Machining

3D Cut Out

3D Rest Machining


Z Level Roughing

The Z Level Roughing button [image] in the 3D Toolpaths area of the Toolpaths Home page allows you to quickly remove unwanted material from the composite relief in planar slices. The machining process involves a series of passes in the Z direction at a specified depth. You can remove material across the entire surface of the composite relief or within a specific area, as defined by a selected vector.

  • You should only use an End Mill tool with this toolpath strategy. If any other shape of tool is used, additional material is left on the composite relief.

Using the Z Level Roughing page, you can:

  • Select the roughing tool you want to use.
  • Control how the tool cuts into and retracts from the block of material by adding ramping moves.
  • Depending on what strategy you select, you can control the angle, or where and in what direction the roughing tool cuts into the block of material.

To remove a cross section of the composite relief in the Z direction:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Z Level Roughing button [image] in the 3D Toolpaths area to display the Z Level Roughing page.
  3. Click on either of the Area to Machine radio buttons [image] to select how the material is removed from the composite relief:
    • Click on the Complete Relief radio button [image] if you want to remove material across the entire surface of the composite relief.
    • Click on the Area under selected vectors radio button [image] if you want to remove material in an area of the composite relief, as defined by a selected vector.

      If you select this option, select the vector that represents the area of the material that you want to remove from the composite relief. For details, see Selecting Vectors.

  4. Click on the Select button in the Roughing Tool area to display the Tool Database.
  5. Double-click on the tool you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Roughing Tool area.
  6. Click on the Setup button in the Material area to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button.

    If you want to change any of these settings, see Adjusting the Material Setup.

  7. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping moves settings are displayed:

    • Type the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Type the maximum distance that you want the cutting tool to zigzag across the surface of the composite relief in the Max Ramp Length (L) box.
    • Type the minimum distance that you want the cutting tool to zigzag across the surface of the composite relief in the Min Ramp Length (Lmin) box.
    • If you want to define the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then type a value in the box beneath it. If you do not define the Ramp Start Height (S) here, the Safe Z level is used.
  8. If you want to control the number of Z passes used to machine the composite relief:
    • First, type a value in the Start/Surface Z box in the Z Slices area of the page to set the position of the first Z pass.
    • If you want to add or remove extra material from the surface of the composite relief, type a value in the Material Allowance box. The allowance sets the distance between the surface of the composite relief and the cutting tool.
    • Next, type a value in the Last Slice Z box to set the position of the final Z pass.
    • Finally, click on the Apply button to confirm your settings.
  9. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  10. Type a value in the Tolerance box to specify how closely you want the cutting tool to follow the shape of the composite relief.
  11. Click on either of the radio buttons [image] to select the machining strategy that you want to use:
    • Raster - This strategy machines back and forth along the X-axis at a specified angle.

      If you select Raster, first type the angle you want the tool to move at in the Angle box.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on one of the Profile Pass radio buttons [image]:

      None - Select this option if you do not want the tool to profile the composite relief.

      First - Select this option if you want the tool to profile and then move inwards to raster clear the composite relief.

      Last - Select this option if you want the tool to move outwards to raster clear and then profile the composite relief.

    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.

      If you have selected Offset, first click on one of the Cut Direction radio buttons [image]:

      Climb - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion.

      For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      Next, click on one of the Start From radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the boundary of the composite relief and then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the centre of the composite relief 's surface and then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  12. Type a name for the toolpath in the Name box.
  13. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  14. Click on the Close button to return to the Toolpaths Home page.

See Also

3D Toolpaths

Machine Relief

Feature Machining

Laser Machining

3D Cut Out

3D Rest Machining


Laser Machining

The 3D Laser Machining button [image] in the 3D Toolpaths area of the Toolpaths Home page allows users of a laser-engraving machine to quickly remove unwanted material from the composite relief. The machining process involves a laser beam making a series of passes in the Z direction at a specified depth.

Using the Laser Machining page, you can:

  • Control whether the laser machines from the base or the surface of the composite relief.
  • Output the toolpath in segments to allow for any refocusing of the laser that might be required between passes.
  • Depending on what strategy you select, you can control the angle, or where and in what direction the laser cuts into the block of material.
  • Engrave detail into a previously machined model, using two composite reliefs. This process is known as Rest (as in 'rest of material') Laser Engraving.
    • The toolpath(s) need to be saved as an output file using a suitable post-processor such as the 2D HPGL (*.plt) before being sent to a laser engraving machine. For details, see Saving a Toolpath.

To remove unwanted material from the composite relief in the Z direction using a laser engraving machine:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the 3D Laser Machining button [image] in the 3D Toolpaths area to display the Laser Machining page.
  3. Click on the Setup button in the Material area to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  4. If you want to control the number of Z passes used to laser machine the composite relief, you can:
    • Type a value in the Start/Surface Z box to set the position of the first Z pass.
    • To enlarge or reduce the composite relief, type a value in the Material Allowance box. The allowance sets the distance between the surface of the composite relief and the cutting tool. Type a positive value to enlarge the composite relief or a negative value to reduce it.
    • Type a value in the Last Slice Z box to set the position of the final Z pass.
    • To machine from the base of the composite relief upwards, click to select the Reverse Tool Slice Order option [image].
    • Click on the Apply button to confirm your settings.
  5. In the Toolpath Section(s) area, click on either of the radio buttons [image] to select how the toolpath is calculated:
    • Output One Toolpath - This option allows you to laser machine the whole composite relief at once.
    • Output In Sections - This option allows you to laser machine the composite relief in segments. If you select this option, type a value in the Section Thickness box to set the depth of each toolpath segment.
  6. In the Slice Type area, click on either of the radio buttons [image] to set the type of strategy you want to use when laser machining the relief:
    • Profile - This strategy machines around the boundary of the relief surface.
    • Raster Clearance - This strategy machines back and forth at a specified angle.

      If you have selected Raster Clearance, first type a value in the Stepover box to set the distance between each Z pass. This value should be appropriate to the diameter of the laser beam on your laser-engraving machine.

      Next, type the angle increment at which you want the laser to move during each Z pass in the Angle Increment box.

    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

      If you want to remove the material, click to select the Remove Material option [image].

  7. If you want to rest laser engrave, the composite relief should contain all the engraved detail you want to include in the laser machined model. You also must have already saved the composite relief prior to the engraved detail being added. For details, see Saving a Composite Relief.

    To rest laser engrave the composite relief:

    • First, click to select the 3D Rest Laser Engraving option [image]. The Load button is displayed.
    • Next, load the file containing the composite relief prior to the addition of any engraved detail by clicking on the Load button to display the Open dialog box:

    • Next, click on the Look in list box and select the directory where the file containing the composite relief that you want to load is stored.
    • Once you have found the relief file, click to select it from the main window of the Open dialog box. Its name appears in the File Name box.
    • Finally, click on the Open button to load the file containing the composite relief saved prior to the engraved detail being added.

      If the composite relief in the file is not exactly the same size as the composite relief shown in the 3D View window, the following message box appears:

      Click on the OK button to close the message box., and then repeat these steps making sure that the size of the imported composite relief matches that of the composite relief in your model.

  8. Type a name for the toolpath in the Name box.
  9. Click on the Calculate button to calculate the toolpath. If you are rest laser engraving, ArtCAM Pro generates the toolpaths needed to laser machine the differences between the two composite reliefs.

    During the toolpath calculation process, ArtCAM Pro displays the Generating Slices progress bar and a Cancel button [image] beneath the design window area.

    If you want to stop ArtCAM Pro generating the Z slices in the toolpath, click on the Cancel button [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

  10. Click on the Close button to return to the Toolpaths Home page.

See Also

3D Toolpaths

Machine Relief

Feature Machining

Z Level Roughing

3D Cut Out

3D Rest Machining


3D Cut Out

The 3D Cut Out button [image] in the 3D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that machines either inside or outside the boundary of a selected vector using absolute Z values.

Using the 3D Cut Out page, you can:

  • Control where your tool cuts into and retracts from the block of material by adding lead in and lead out moves.
  • Control how your tool cuts into the block of material by adding ramping moves.
  • Control the cutting direction of the tool.
  • Control whether the vector is cut or snapped out from the block of material by adding bridging.

To cut out a vector from the composite relief:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the 3D Cut Out button [image] in the 3D Toolpaths area to display the 3D Cut Out page.
  3. Select the vector that represents the area of the material that you want to cut from the composite relief.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  4. In the Profile Side area, select how you want to profile the selected vector:
    • Click on the Outside radio button [image] to instruct the tool to profile outside of the selected vector
    • Click on the Inside radio button [image] to instruct the tool to profile outside of the selected vector.
  5. Type the absolute Z value from which the position of the first profile pass is to be calculated in the Surface Z box.
  6. Type the absolute Z value from which the position of the first profile pass is to be calculated in the Surface Z box.
  7. Type the absolute Z zero value for the bottom of the cut in the Finish Z box.
  8. If you want to add or remove extra material around the vector, you can type a value in the Allowance box. The value you enter sets the distance between the boundary of the selected vector and the cutting tool. Type a positive value to add material or a negative value to remove it.
  9. Type a value in the Tolerance box to specify how closely you want the cutter to follow the shape of the vector.
  10. If you want to change the height at which the cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define its position along the X, Y and Z axes in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  11. Click on the Select button in the Profiling Tool area of the page to open the Tool Database:

  12. Double-click on the tool that you want to use. ArtCAM Pro closes the Tool Database and displays the selected tool's description in the Profiling Tool area.
  13. The cutting direction defaults to Climb Mill. If you want to change this, click on the [image] arrow in the Cut Direction area of the 3D Cut Out page, then click on one of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion.

      For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Pro using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.
  14. If you only want to have a lead-in move, click to select the Do not Lead Out option [image].
    • If you only want to have a lead-in move, click to select the Do not Lead Out option [image].
    • Type the distance from the toolpath that you want the tool to cut into and retract from the block of material in the Distance (D) box.
    • Select how you want the tool to move using the Add Lead In/Out Moves radio buttons [image]:

      Linear - Click on the Linear option [image] to instruct the tool to lead into and out of the vector's boundary in a straight-line motion:

      If you select the Linear option, define the angle of the linear lead moves in the Angle In and Angle Out boxes.

      When editing lead moves associated with a profile pass used to machine inside of a defined area, the distance of a linear lead move or the radius of a circular arc move is now considered.

      When adjusting the position of a linear lead move, ArtCAM checks to ensure that the distance of the lead move remains within the boundary of the profile pass. If the current distance of the lead move intersects with the profile pass, its distance will be cropped so that it does not.

      When adjusting the position of a circular arc lead move, ArtCAM checks to ensure that the radius of the lead move remains within the boundary of the profile pass. If the current radius of the lead move intersects with the profile pass, the lead move is converted to a linear move instead with a distance that does not.

      Circular Arc - Click on the Circular Arc option [image] to instruct the tool to lead into and out of the vector's boundary in an arc motion:

      If you select the Circular Arc option, define the radius of the arc in the Radius (R) box. The radius must be less than or equal to the value in the Distance (D) box, otherwise the following message box appears when you calculate the toolpath:

  • Set the Automatic Positioning as follows:

    To position lead-in and lead-out moves at the optimum point in the vector, click to select the Automatic Positioning option [image]. This point usually within the vector's longest span.

    If the Automatic Positioning option is deselected [image], the lead-in and lead-out moves are positioned at the Start Point of the vector. If you change the Start Point, this changes the position of the lead-in and lead-out moves. For details on changing the Start Point, see Changing the Start Point.

  1. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping moves settings are displayed:

    • Type the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Type the maximum distance that you want the cutting tool to zigzag across the surface of the composite relief surface in the Max Ramp Length (L) box.
    • Type the minimum distance that you want the cutting tool to zigzag across the surface of the composite relief in the Min Ramp Length (Lmin) box.
    • If you want to define the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then type a value in the box beneath it. If you do not define the Ramp Start Height (S) here, the Safe Z level is used.

      For more details, see Overview.

  2. Type a name for the toolpath in the Name box.
  3. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Pro calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      A dark red line represents the machining passes used to profile the selected vector. It is drawn either inside or outside of its boundary, according to the Profile Side that you had selected. A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  4. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to the 3D Cut Out toolpath, see Adding Bridging.

If you want to set the machining order of the 3D Cut Out toolpath, see Setting the Machining Order for details.

See Also

3D Toolpaths

Machine Relief

Feature Machining

Z Level Roughing

Laser Machining

3D Rest Machining


3D Rest Machining

Rest (as in 'rest of material') Machining allows you to find all of the areas of the composite relief that cannot be machined based on one tool size, and then machine only these areas with another, smaller tool.

ArtCAM Pro compares the composite relief representing a finished model with simulated toolpath data, and then creates vectors in the shape of the areas of the composite relief that these toolpaths fail to machine. A Machine Relief toolpath strategy can then be applied to some or all of these vectors to improve the overall surface finish of the manufactured model. For details, see Machine Relief.

To rest machine the composite relief:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the 3D Rest Machining button [image] in the 3D Toolpaths area to display the 3D Rest Machining page.
  3. In the Area To Rest Machine area, select the area of the composite relief that you want to machine:
    • Complete Relief - This option instructs ArtCAM Pro to distinguish the differences between the toolpath simulation and the composite relief, and then identify them for machining purposes.

      For example, a teddy bear composite relief looks as follows:

    • Area Under Selected Vectors - This option instructs ArtCAM Pro to distinguish the differences between the toolpath simulation and the composite relief underlying the currently selected vectors, and then identify them for machining purposes. For details, see Selecting Vectors.
  4. In the Identify Areas Already Machined By… area, click to select the method you want to use to identify the unmachined areas of the composite relief:
    • Simulating All Toolpaths - This option instructs ArtCAM Pro to simulate all calculated toolpaths and then compare the result against the composite relief to identify its unmachined areas.

      In our example, all three toolpaths used to machine the teddy bear composite relief are simulated. These appear in the 3D View window as follows:

    • Simulating the Last Toolpath - This option instructs ArtCAM Pro to simulate the last calculated toolpath and then create a model of the unmachined areas of the composite relief.
    • Using the Current Simulation - This option instructs ArtCAM Pro to use the existing toolpath simulation shown in the 3D View window to identify the unmachined areas of the composite relief.
  5. After simulating a toolpath, you may notice small areas of material, or 'cusps', remain in the model as a consequence of a machining tool's geometry or the stepover used between machining passes. In the Cusp Tolerance box, type the height at which you want ArtCAM Pro to ignore any existing 'cusps' as areas of the model that require additional machining.
  6. In the Layer for rest boundaries box, type the name of the vector layer in which you want ArtCAM Pro to create the vectors representing the unmachined areas of the composite relief.
    • If the Layer for rest boundaries box is empty, the vectors will be created on the vector layer currently selected. For details, see Selecting a Layer.
  7. Click on the Create Boundaries button to calculate the unmachined areas of the composite relief from the toolpath simulation, and then create vectors representing these areas. The simulated toolpaths are displayed in the 3D View window.
  8. Press the F2 key on your keyboard to display the vectors representing the unmachined areas of the composite relief in the 2D View window.

    In our example, ArtCAM Pro identifies unmachined areas around the feet and ears in the teddy bear composite relief, as shown below:

  9. Click on the Close button to return to the Toolpaths Home page.

You are now ready to apply a Machine Relief toolpath to the vectors representing the unmachined areas. This toolpath will improve the overall surface finish of the composite relief during the manufacturing process. For details, see Machine Relief.

See Also

3D Toolpaths

Machine Relief

Feature Machining

Z Level Roughing

Laser Machining

3D Cut Out


Managing and Modifying Toolpaths

You can use the Toolpaths Home page to modify and manage the toolpaths that you require to machine your model.

You can modify and manage toolpaths in the following ways:

  • Merge a selection of calculated toolpaths into a single toolpath. For details, see Merging Toolpaths.
  • Set the order in which individual toolpaths selected for merging are machined. For details, see Creating a Single Copy, Creating a Block Copy and Merging Toolpaths.
  • Transform one or more calculated toolpaths. For details, see Transforming Toolpaths.
  • Make a single copy of one or more calculated toolpaths. For details, see Creating a Single Copy.
  • Make multiple copies of one or more calculated toolpaths in a grid format. For details, see Creating a Block Copy.
  • Set the machining order in all toolpaths that include profile passes. For details, see Setting the Machining Order.
  • Adjust the machining parameters of a tool both during and after toolpath creation. For details, see Adjusting the Machining Parameters of a Tool.
  • Save a toolpath. For details, see Saving a Toolpath.
  • Edit toolpath settings. For details, see Editing a Toolpath.
  • Delete a toolpath or toolpath group. For details, see Deleting Toolpaths.
  • Calculate a toolpath by itself or as part of a batch. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  • Create a Toolpath Summary and calculate the estimated machining time. For details, see Using a Toolpath Summary.
  • Add to, edit or delete the tools within the Tool Database. For details, see Using the Tool Database.
  • Adjust the Material Setup. For details, see Adjusting the Material Setup.
  • Delete the material.. For details, see Deleting the Material.
  • Save a toolpath as a template. For details, see Creating a Toolpath Template.
  • Load a toolpath template. For details, see Loading a Toolpath Template.
  • Set the toolpath order. For details, see Setting the Toolpath Order.

The collection of toolpath tools is located in the Toolpath Operations area of the Toolpaths Home page:

Hide Toolpath Operations Area Save Toolpaths Edit Toolpaths Delete Toolpath Calculate Selected Toolpath Batch Calculate Toolpaths Toolpath Summary Tool Database Material Setup Delete Material Save Toolpath As Template Load Toolpath Template Toolpath Transform Toolpath Merge Toolpath Copy Toolpath Panelling

There are additional toolpath tools in the Toolpaths menu located on the Main menu bar:

Material Setup... Delete Material Save Toolpath... Load Toolpath Template... Toolpath Data Simulate Toolpath Simulate All Toolpaths Reset Simulation Delete Simulation Save Simulation Load Simulation Toolpath Drawing Batch Calculate Toolpaths...

See Also

Machining Models

Overview

2D Toolpaths

3D Toolpaths

Simulating Toolpaths


Selecting Toolpaths

You can manipulate calculated 2D or 3D toolpaths in the same way as you would vectors in ArtCAM Pro.

You can transform, copy or edit profile passes within a toolpath, provided that a 2D Preview was created during the calculation process. Toolpath previews are shown in the 2D View window only and are dark red.

To select a toolpath preview from the 2D View window:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click to select the preview of the toolpath that you want to use. The selected toolpath preview turns blue and is surrounded by a bounding box.

    For example, the preview of a Profiling toolpath is shown below:

    • You can set the default colour of a selected toolpath preview using the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

To select more than one toolpath preview from the 2D View window:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. You can now use either of the following methods to select more than one toolpath preview:
    • Click and drag to form a bounding box around the previews of the toolpaths that you want to use. The selected toolpath previews are blue and surrounded by a bounding box.
    • Hold down the Shift key on your keyboard, and then click to select each of the toolpath previews that you want to use. The selected toolpath previews are blue and surrounded by a bounding box.

You can merge, edit, save, delete, calculate, create a template or adjust the machining parameters of a tool using the toolpaths listed on the Toolpaths Home page.

To select a toolpath listed on the Toolpaths Home page:

  1. Click on the name of the tool. The tool name is highlighted in blue.

See Also

Managing and Modifying Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Transforming Toolpaths

You can move and mirror a calculated 2D or 3D toolpath.

To transform a calculated toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Transform button [image] in the Toolpath Operations area to display the Toolpath Transform page. A list of all calculated toolpaths is displayed.
    • You can also display the Toolpath Transform page if you right-click on a selected 2D toolpath preview to display the Toolpath Editing menu, and then click on the Transform Toolpath option
  3. Select which of the toolpaths you want to transform:
    • Selected - Click on this radio button [image] if you want to transform a single selected toolpath only.

      To select a toolpath from the list, click on its name. It is highlighted in blue.

      If the toolpath makes use of more than one tool, click on the toolpath name to transform all of its machining passes or on an individual tool name if you want to transform a single machining pass.

    • All Visible - Click on this radio button [image] if you want to transform all of the selected toolpaths listed on the page.

      If you want to transform a 2D or 3D toolpath, its Show In 3D option must be selected [image].

      If you do not want to transform a 2D or 3D toolpath, its Show In 3D option must be deselected [image].

  4. If you want to move the selected toolpath(s):
    • Type the distance by which you want to move the selected toolpath(s) along the X-axis in the X box.
    • Type the distance by which you want to move the selected toolpath(s) along the Y-axis in the Y box.
    • Type the distance by which you want to move the selected toolpath(s) along the Z-axis in the Z box.
  5. If you want to keep a copy of all selected toolpaths in their original position, click to select the Preserve Originals option [image].
  6. If you want to mirror the selected toolpath(s):
    • Click on the Mirror X button to mirror the selected toolpath(s) about the X-axis.
    • Click on the Mirror Y button to mirror the selected toolpath(s) about the Y-axis.
  7. Click on the Apply button to transform the selected toolpath(s).
  8. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Copying Toolpaths

You can create a single copy or multiple copies of a calculated toolpath in two regular patterns using the Toolpath Copy page.

There are two options available for copying toolpaths on the Copy Toolpath page:

  • Copy - This option allows you to make a single copy of a selected toolpath, and paste it to a specific position. For details, see Creating a Single Copy.
  • Block Copy - This option allows you to make several copies of a selected toolpath in a grid format. For details, see Creating a Block Copy.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Creating a Single Copy

You can create a single copy of a calculated toolpath.

To copy a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Copy button [image] in the Toolpath Operations area to display the Toolpath Copy page.
    • You can also display the Toolpath Copy page if you right-click on a selected 2D toolpath preview to display the Toolpath Editing menu, and then click on the Copy Toolpath option.
  3. Click on the Copy radio button [image] to display its settings.
  4. Select which of the toolpaths you want to copy:
    • Selected - Click on this radio button [image] if you want to copy a single toolpath only.

      To select the toolpath from the list, click on its name. It is highlighted in blue.

      If the toolpath makes use of more than one tool, click on the toolpath name to copy all of its machining passes or on an individual tool name if you want to copy a specific machining pass.

      For example, a selected 2D Area Clearance toolpath is shown below:

    • All Visible - Click on this radio button [image] if you want to copy all of the selected toolpaths in the list.

      If you want to copy a 2D or 3D toolpath, its Show In 3D option must be selected [image].

      If you do not want to copy a 2D or 3D toolpath, its Show In 3D option must be deselected [image].

      If we were to copy only the Profiling and 2D Area Clearance toolpaths as listed above, the Drilling toolpath's Show In 3D option must be deselected, as shown:

  5. Define the distance you want to set between the selected toolpath and its copy along the X-axis in the X Offset box.

    The X and Y offsets that you define set the distance at which each copy of a toolpath will be created from the bottom left corner of the previous copy in the block.

    • You can set the offset distance between each copy using a positive or negative value. To create a copy to the right of and above the selected toolpath, type positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected toolpath, type negative values in the offset boxes e.g. -90.
  6. Define the distance you want to set between the selected toolpath and its copy along the Y-axis in the Y Offset box.
  7. If you have selected a 3D toolpath, define the distance you want to set between the selected toolpath and its copy along the Z-axis in the Z Offset box.
    • If you have selected a 2D toolpath, the Z Offset box is greyed-out.
  8. If you want to merge the copy with its original toolpath:
    • First, prioritize the toolpaths using the [image] and [image] arrow buttons. Click to select the name of the toolpath in the list that you want to prioritize, and then on the appropriate arrow to set its position in the list. The order in which the toolpaths are listed on the page reflects the machining order of the toolpaths that make up the merged toolpath. The toolpath at the top of the list is the first to be machined, and so on.
    • Next, click to select the Merge Results option [image]. A Name box appears.
    • Finally, type a name for the new toolpath in the Name box.
  9. Click on the Apply button to create the new toolpath.

    In our example, the copied toolpath appears in the 2D View window, as shown below:

    Before…

    After…

    The copied toolpath is named Area Clear 1 by default in the list of toolpaths on the page.

  10. Click on the Close button to return to the Assistant's Home page.

See Also

Copying Toolpaths

Creating a Block Copy


Creating a Block Copy

When producing multiple copies of a selected toolpath in a grid format, ArtCAM Pro allows you to set the distance and the direction at which each copy of the selected toolpath will be created from any of the four edges of the previous copy in the block.

  • When creating a block copy of an Area Clearance toolpath, make sure that the defined gap or offset between each copy in the block is greater than the diameter of the cutting tool. Otherwise, the allowance will be insufficient for the tool to clear each area without overlapping.
  • You cannot block copy a toolpath without using a toolpath preview. Make sure that the Create 2D Preview option is always selected [image] when you create a toolpath.

In the following example, a block copy of a merged toolpath is shown:

Before…

After…

For further information on merged toolpaths, see Merging Toolpaths.

To create a block of copies in a grid format:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Copy button [image] in the Toolpath Operations area to display the Toolpath Copy page.
    • You can also display the Toolpath Copy page if you right-click on a selected 2D toolpath preview to display the Toolpath Editing menu, and then click on the Copy Toolpath option
  3. Click on the Block Copy radio button [image] to display its settings.
  4. Select which of the toolpaths you want to block copy:
    • Selected - Click on this radio button [image] if you want to block copy a single toolpath only.

      To select the toolpath from the list, click on its name. It is highlighted in blue.

      If the toolpath makes use of more than one tool, click on the toolpath name to block copy all of its machining passes or an individual tool name if you want to block copy a specific machining pass.

    • All Visible - Click on this radio button [image] if you want to block copy all of the toolpaths listed on the page.

      If you want to block copy a 2D or 3D toolpath, its Show In 3D option must be selected [image].

      If you do not want to block copy a 2D or 3D toolpath, its Show In 3D option must be deselected [image].

      For example, the Show In 3D option for all three toolpaths is selected, meaning that all of the listed toolpaths are visible, as shown below:

  5. Select the method you want to use to set the distance between each copy within the block:

    Distances are offsets…

    Distances are gaps…

    • The Distances are offsets option allows you to set the distance at which each copy of a toolpath will be created from the bottom left corner of the previous copy in the block. The overall distance between each copy equates to the height or width of the vector plus the gap. The Distances are offsets radio button [image] is selected by default.
    • Click on the Distances are gaps option allows you to set the distance and direction at which each copy of a toolpath will be created from any of the four edges of the previous copy in the block. The overall distance between each copy equates to the defined gap. Click on the Distances are gaps radio button [image] to display its settings.

      If you have selected the Distances are offsets option:

    • First, define the distance you want to set between each copy along the X-axis in the X Offset box.
    • Next, define the distance you want to set between each copy along the Y-axis in the Y Offset box.
    • You can set the offset distance between each copy using a positive or negative value. To create a block of copies to the right of and above the selected vector, type positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected vector, type negative values in the offset boxes e.g. -90.
    • Finally, define the total number of copies by defining the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.

      If you have selected the Distances are gaps option:

    • First, define the width of the gap between each subsequent copy of the selected vector along the X-axis in the X Gap box.
    • Next, define the width of the gap between each subsequent copy of the selected vector along the Y-axis in the Y Gap box.
    • Now, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.
    • Finally, set the direction in which you want to create the block of copies:

      The Copy From Left To Right button [image] allows you to copy the selected vector to the right along the X-axis.

      The Copy From Right To Left button [image] allows you to copy the selected vector to the left along the X-axis.

    • You can toggle between the Copy From Left To Right and Copy From Right To Left direction by clicking on whichever button is currently displayed.

      The Copy From Bottom To Top button [image] allows you to copy the selected vector upwards along the Y-axis.

      The Copy From Top To Bottom button [image] allows you to copy the selected vector downwards along the Y-axis.

    • You can toggle between the Copy From Bottom To Top and Copy From Top To Bottom direction by clicking on whichever button is currently displayed.
  6. If you want to merge all selected toolpaths and their block copies into a single toolpath:
    • First, prioritize the toolpaths using the [image] and [image] arrow buttons. Click to select the name of the toolpath in the list that you want to prioritize, and then on the appropriate arrow to set its position in the list. The order in which the toolpaths are listed on the page reflects the machining order of the toolpaths that make up the merged toolpath. The toolpath at the top of the list is the first to be machined, and so on.
    • Next, click to select the Merge Results option [image]. A Name box appears.
    • Finally, type a name for the new merged toolpath in the Name box.

      In our example, the merged toolpath is named Merged.

  7. Click on the Apply button to create the new block of toolpaths.

    In our example, the block of copied toolpaths appears in the 2D View as shown below:

    Before…

    After…

    The Merged toolpath replaces all of the individual toolpaths previously listed on the page:

  8. Click on the Close button to return to the Assistant's Home page.

See Also

Copying Toolpaths

Creating a Single Copy


Merging Toolpaths

You can merge different calculated toolpaths into one, avoiding the need for the tool to repeatedly return to the Home position when machining them separately. Merging toolpaths saves machining time and also reduces wear on cutting tools.

  • Once a selection of toolpaths has been merged, you cannot ungroup them or edit the group. You should save the model before merging any toolpaths or select the Preserve original toolpaths option [image] on the Toolpath Merge page. This way, if any mistakes are made, you can return to the toolpaths in their original state. For details on saving a model, see Saving a Toolpath.

In the example below, you can see the tool movement in three separate toolpaths, each of which uses a 3mm End Mill (1/8 Inch End Mill). After all three of the toolpaths have been merged, you can see that the number of rapid moves made between the Home position and the Safe Z level is reduced significantly. For further information on tool movement, see Viewing a Toolpath.

Separate Toolpaths…

Merged Toolpath…

To merge a selection of toolpaths:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Merge button [image] in the Toolpath Operations area to display the Toolpath Merge page.
    • You can also display the Toolpath Merge page if you right-click on a selected 2D toolpath preview to display the Toolpath Editing menu, and then click on the Merge Toolpaths option.
  3. Make sure that only the toolpaths that you want to merge are selected:
    • If you want to merge a 2D or 3D toolpath, its Show In 3D option must be selected [image].
    • If you do not want to merge a 2D or 3D toolpath, its Show In 3D option must be deselected [image].
  4. In the Merging Order area, select the order in which you want the merged toolpaths to be machined:
    • As List - Click on this radio button [image] if you want the toolpaths to be machined in the order in which they are listed on the page.

      You can prioritize the toolpaths using the [image] and [image] arrows. Click to select the name of the toolpath in the list that you want to prioritize, and then on the appropriate arrow to set its position in the list. The toolpath at the top of the list is the first to be machined, and so on.

    • Automatic - Click on this radio button [image] if you want ArtCAM Pro to calculate the order in which the toolpaths are machined, finding the shortest route between them.
  5. If you want to keep a copy of the toolpaths in their original state, click to select the Preserve original toolpaths option [image].
  6. Type a name for the merged toolpath in the Name box.
  7. Click on the Calculate button to merge the selected toolpaths into a single toolpath.

    A progress bar appears beneath the 2D View window indicating the progress made in merging the toolpaths.

  8. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Creating Toolpath Panels

You can machine a design larger than the bed-size of you router, or larger than the panels of material that are currently available. ArtCAM Pro divides calculated toolpaths into sections so that you can machine separate panels of material one by one and then piece them all together, or machine a single panel of material larger than the router's bed-size in sections, repositioning the panel on the router bed until all sections have been machined.

  • To use toolpath panelling, the job origin must be set to the bottom left corner of the model. For details, see Creating a Model.

To create toolpath panels:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Make sure that all of the previews of the toolpaths that you want to divide into panels are shown in the 2D View window. Click to select the Show In 2D option next to any hidden toolpaths to make them visible [image].
  3. Click on the Toolpath Panelling [image] button in the Toolpath Operations area to display the ArtCAM Toolpath Panelling page.
  4. In the Standard Panel Size area, define the width and height of the available panels of material, or the size of the router-bed (whichever maybe the limiting factor in the job), using the Width and Height boxes, and then click on the Update Panels button.

    If you want to allow a toolpath to extend beyond the top and right edges of a panel of material, define the maximum overcut distance in the Overcut Distance box.

    Guidelines are drawn in the 2D View to represent the size of each panel or the router-bed itself. For details on using guidelines, see Using Guidelines.

    • Make sure that the dimensions of your router allow you to drag the panels of material you want to use across its bed.

      For example, you might only be able to acquire panels of material with a height and width of 500 mm (19.7").

  5. In the Panel Numbers area, use the buttons to set the order in which the panels are numbered:
    • Click on the [image] button to number the panels vertically.
    • Click on the [image] button to number the panels horizontally.

      In our example, the calculated toolpaths are divided into six sections and numbered vertically. These appear as follows:

      In the Panel Size area, you can see the dimensions of each panel and the required offset during the machining process. The offset is the distance along which the panel must be pulled across the router-bed, or positioned on it from the job origin, in order to machine the complete design.

      In our example, the overall job dimensions are 1120 mm (44.1") x 630 mm (24.8"). The available panels of material measure at 500 mm (19.7") x 500 mm (19.7"). This means that the job requires six panels of material.

  6. Whenever possible, you should contain sections of detail in the toolpath to a single panel to preserve the integrity of the complete design when each of the machined panels are finally joined together. To do so, you should edit the guidelines drawn to represent each panel as required. For details on editing guidelines, see Using Guidelines.
    • When editing guidelines it is important to remember that each toolpath panel remains equal to or less than the physical size of the panels of material available or the router-bed used when machining your design.

      In our example, the guidelines have been repositioned so that the text in the design is machined across as few panels as possible and so that each word is undivided.

  7. If you want to print the data required to machine the toolpath panels accurately:
    • First, click on the Display Panel Info button to display the ArtCAM Toolpath Panelling window. This contains an image of the toolpaths when divided into panels and the data for machining the job.
    • If you want to include the toolpath summary data along with the panel information, click to select the Include Toolpath Summary option [image]. For further information, see Using a Toolpath Summary.
    • Next, scroll to the bottom of the ArtCAM Toolpath Panelling window, and then click on the Print button. If you have more than one printer installed, the standard windows Print dialog box appears. Select the printer on which you want to print the panel measurements, and then click on the OK button.
  8. Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.
  9. In the 3D View Toolpath Drawing area, you can select the panel(s) that you want to view in the 3D View window:
    • Click on the Display All radio button [image] if you want to display all panels.
    • Click on the Display Selected radio button [image] if you want to display only a selection of panels. This option activates the Panel Number list box and the options beneath.

      In this instance, click on the Panel Number list box, and then on the panel that you want to display. If you want to display the selected panel about the job origin, click on the At Origin radio button [image]. If you want to display the selected panel, as it will appear in the overall job design, click on the In Finished Job radio button [image].

      Panel 3 at Origin…

      Panel 3 in Finished Job…
  10. If you want to save the panelled toolpaths, click on the Save button to display the Save Toolpaths dialog box. For details on how to use the Save Toolpaths dialog box, see Saving a Toolpath. Each panel can be saved as a separate toolpath file with _px appended to its name, where x is equal to the panel number.
  11. Click on the Close button to return to the Toolpaths Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Editing a Profile Pass

You can edit any profile pass within a selected toolpath using the Profile Options page.

  • You cannot edit a profile pass in a toolpath without using a toolpath preview. Make sure that the Create 2D Preview option is always selected [image] when you create a toolpath.

To display this page in the Assistant window:

  1. Select the toolpath preview containing the profile pass that you want to edit. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Profile Options button [image] in the 2D Toolpaths area.

There are three options available for editing a profile pass on the Profile Options page, but the settings for only one of these options can be displayed on the page at any one time:

  • Bridges - This option allows you to add bridges, or tabs, to the selected profile pass. For details, see Adding Bridging.
  • Start Point - This option allows you to change the position of the start point in the selected profile pass. For details, see Changing the Start Position.
  • Leads - This option allows you to add lead moves to the selected profile pass. For details, see Adding Lead Moves.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adding Bridging

Bridging is a precautionary measure to prevent a profiled vector from shifting in the block of material as it is machined.

The cutting tool used to profile vectors lifts slightly in the Z direction about the position of each bridge, leaving small tabs that hold the vector in position during machining. The machined vector can then be gently snapped out from the block of material.
  • You can add bridges to any profile pass within a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).

To add bridging to a profile pass:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass to which you want to insert bridges. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  5. Click on the Bridges option [image] to display the bridging settings on the page.
  6. Define the length of each bridge in the Bridge Length box.
  7. Define the thickness of each bridge in the Z direction in the Bridge Thickness box.
  8. If you want to insert bridges with a triangular cross-section, and without any associated retract or plunge moves, click to select the 3D Bridges option [image].

    Three-dimensional bridges produce a raised shape, typically a triangle or pyramid, in a machined model. This shape reduces the cross-section and the overall surface area of a bridge, and without any associated retract and plunge moves dwell marks are prevented.

    Default Bridges…

    3D Bridges…
  9. To set how the bridges are inserted into the selected profile pass, click on either of the Add Bridges To Profiles radio buttons [image]:
    • Constant Number - Click to select this option to insert a specific number of evenly spaced bridges into the selected profile pass.

      If you select this option, define the number of bridges you want to create in the Number box.

    • Constant Spacing - Click to select this option to insert the bridges at a specific distance apart from each other into the selected profile pass.

      If you select this option, first define the distance between bridges from the centre of each bridge, in the Distance box.

      Next define the minimum number of bridges you want to insert into the selected profile pass, irrespective of the distance you have set between them, in the Min. Number box. If you want to limit the number of bridges created, define the maximum number in the Max. Number box.

  10. Click on the Create Bridges button to add the bridges to the selected profile pass.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

Editing a Profile Pass

Editing Bridging

Changing the Start Position

Adding Lead Moves


Editing Bridging

You can edit the bridging that you have added to a profile pass in several ways. You can:

  • Insert new bridges. For details, see Inserting a Bridge.
  • Delete an individual or all existing bridges. For details, see Deleting Bridges.
  • Change the length of individual or all existing bridges. For details, see Changing the Length of a Bridge.
  • Move bridges into a new position on the profile pass. For details, see Moving a Bridge.

See Also

Editing a Profile Pass

Adding Bridging

Changing the Start Position

Adding Lead Moves


Inserting a Bridge

You can add an individual bridge to any place in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass to which you want to insert bridges. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Move the cursor over the position in the profile pass where you want to insert the centre-point of the new bridge.
  6. Press the I key on your keyboard or double-click the left mouse button to insert the new bridge. The new bridge is the same length and thickness as all of the other bridges in the selected profile pass.

See Also

Editing Bridging

Deleting Bridges

Changing the Length of a Bridge

Moving a Bridge


Deleting Bridges

You can delete any or all of the bridges in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass containing the bridges that you want to delete. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  5. If you want to delete an individual bridge, move the cursor over the bridge you are removing and then use either of the following methods:
    • Press the D key on your keyboard. You must have clicked at least once in the 2D View window before you can do this.
    • Double-click on the bridge itself.
    • If you want to delete all of the bridges that are currently in the selected profile pass, click on the Delete All Bridges button.

See Also

Editing Bridging

Inserting a Bridge

Changing the Length of a Bridge

Moving a Bridge


Changing the Length of a Bridge

You can change the length of any or all of the bridges in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass containing the bridges that you want to extend or reduce. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.

    Using the Zoom In Tool button [image] , zoom in on the bridge that you want to extend or reduce and then click on its centre-point to select it. For details on using the Zoom In Tool, see Zoom In Tool. The bridge is blue with a control point at each end:

  5. Click and drag either of the control points attached to the bridge to set its new length.
  6. If you want all bridges in the selected profile pass to share the new length of this bridge, click on the Update All Bridges button.

See Also

Editing Bridging

Inserting a Bridge

Deleting Bridges

Moving a Bridge


Moving a Bridge

You can change the position of an individual bridge on a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass containing the bridges that you want to move. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Using the Zoom In Tool button [image] , zoom in on the bridge that you want to move and then click on its centre-point to select it. For details on using the Zoom In Tool, see Zoom In Tool.
  6. Click and drag on the centre-point to move the bridge along the profile pass into its new position.

See Also

Editing Bridging

Inserting a Bridge

Deleting Bridges

Changing the Length of a Bridge


Changing the Start Position

The start position in a profile pass determines the place at which the cutting tool enters the block of material when you are machining a model. The green point (node) surrounded by a blue circle indicates the current start position in the profile pass.

To change the start position relative to a defined reference point:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass in which you want to change the start position. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  5. Click on the Start Point option [image] to display the Start Point settings on the page.
  6. In the Reference Point area, click on one of the four radio buttons [image] to define the reference point by which you want to set the position of the Start Point in the selected profile pass:
    • Centre of Gravity - This option sets the reference point in the main mass of the vector from which the selected toolpath was created.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

    • Centre of Bounding Box - This option sets the reference point in the centre of the selected profile pass, as defined by the bounding box that surrounds it.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

    • Highest or Lowest X or Y Value - This option sets the reference point as the position in the selected profile pass with the highest or lowest X or Y value, depending on its cutting direction.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

  7. In the Position area, click on any of the radio buttons [image] to select the position of the Start Point in the selected profile pass. Alternatively, you can click on the Start Point in the selected profile pass and drag it into position.
  8. Click on the Apply button to set the new position of the Start Point.
  9. Click on the Close button to return to the Assistant's Home page.

You can set any point (node) in a selected vector as the Start Point. For further information, see Changing the Start Point. This defines the Start Point position in a toolpath when it is first created.

See Also

Editing a Profile Pass

Adding Bridging

Editing Bridging

Adding Lead Moves


Adding Lead Moves

Lead moves are a precautionary measure to prevent dwell marks from appearing on a model at the point at which the tool enters and leaves the block of material when machining a profile pass.

Instead of plunging into the block of material, machining the profile pass and then retracting from it, the tool enters and leaves the block at a specified distance from the start/end of the profile pass. This is either the Start Point in the vector from which the profile pass was calculated, or in the centre of its longest span.

  • You can add lead moves to any profile pass within a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).
  • You can also add lead moves to a Profiling toolpath when creating the toolpath itself. For details, see 2D Profiling.

To add lead moves to a profile pass:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass in which you want to add lead moves. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  5. Click on the Leads option [image] to display the lead move settings on the page.
  6. If you do want to add a lead-out move to the profile pass, click to select the Do not Lead Out option [image].
  7. Define the distance from the profile pass that you want the tool to cut into and retract from the block of material in the Distance (D) box.
  8. Define the distance from the start/end point in the profile pass that you want the tool to machine over in the Over Cut (O) box. This further helps to create a smooth finish.
  9. Select how you want the tool to move using either of the radio buttons [image]:
    • Linear - Click on this option to instruct the tool to lead into and out of the block of material in a straight-line motion. If you select the Linear option, define the angle of the linear lead moves in the Angle In and Angle Out boxes.

      When editing lead moves associated with a profile pass used to machine inside of a defined area, the distance of a linear lead move or the radius of a circular arc move is now considered.

      When adjusting the position of a linear lead move, ArtCAM checks to ensure that the distance of the lead move remains within the boundary of the profile pass. If the current distance of the lead move intersects with the profile pass, its distance will be cropped so that it does not.

      When adjusting the position of a circular arc lead move, ArtCAM checks to ensure that the radius of the lead move remains within the boundary of the profile pass. If the current radius of the lead move intersects with the profile pass, the lead move is converted to a linear move instead with a distance that does not.

    • Circular Arc - Click on this option to instruct the tool to lead into and out of the block of material in an arc motion. If you select this option, define in the radius of the arc you want to use in the Radius (R) box.

      The value in the Distance (D) box must be less than or equal to the value in the Radius (R) box, otherwise the following message box appears when you attempt to Apply the lead moves to the profile pass:

      Click on the OK button to close the message box.

  10. Click on the Apply button to add the lead moves.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

Editing a Profile Pass

Adding Bridging

Editing Bridging

Changing the Start Position


Setting the Machining Order

When machining a toolpath that is made up of more than one profile pass, you can set the order in which each of them are machined.

  • You can set the machining order in a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).

To set the order in which the profile passes in a toolpath are machined:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview(s) of the profile pass(es) for which you want to set the machining order. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.

    For example, selecting the Profiling toolpath around Profile vector text appears as follows:

  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Toolpath Ordering button [image] in the 2D Toolpaths area to display the Toolpath Ordering page. Each of the profile passes within the selected toolpath is automatically numbered at its Start Point.

    In our example, the Profile vector text appears as follows:

  5. Click on each of the profile passes in the toolpath in turn to set the order in which they are machined.

    The cursor [image] shows the number that will be given to the next profile pass that you click on. The position of each profile pass in the overall machining order is also displayed in the Segment Position box as you click on it.

    In our example, if we click on the profile pass inside of the central cavity of the letter o in the Profile vector text first, and then on the profile pass around the outside of the letter, they are numbered as 1 and 2 respectively:

    • It is recommended that you machine the profile pass inside of a central cavity before the profile pass around the outside of the selected text.
  6. Click on the Close button to return to the Toolpaths Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Resetting the Machining Order

You can correct any mistakes you make when setting the machining order of the profile passes in a selected toolpath.

To reset the current machining order:

  1. Click on the Reset Count button.
  2. Click on the profile pass that you want to set as the first to be machined.
  3. Continue this process until each profile pass in the toolpath is numbered accordingly.

See Also

Setting the Machining Order

Manipulating the Machining Order


Manipulating the Machining Order

You can manipulate the order in which the profile passes are machined in a selected toolpath by using the options in the Segment Ordering area of the Toolpath Ordering page:

  • Click on the Order segments from start radio button [image] to machine the numbered profile passes in sequential order.

    The cursor shows the number that is to be given to the next profile pass that you click on, counting upwards from 1.

  • Click on the Order segments from end radio button [image] to machine the numbered profile passes in reverse order.

    The cursor shows the number that is to be given to the next profile pass that you click on, starting with the number equal to the total number of profile passes in the toolpath and counting down.

  • Click on the Swap segments radio button [image] to swap the position in the machining order of the first profile pass you click on with that of the second you click on.

    The cursor shows two question marks [image]. After you click on the profile pass that you want to swap with another, its number is shown on the cursor.

    For example, the cursor is shown as [image] when you click on the first segment. After you click on the profile pass that you want to swap with that which is already selected, the cursor returns to [image].

See Also

Setting the Machining Order

Resetting the Machining Order


Adjusting the Machining Parameters of a Tool

You can adjust the machining parameters for CNC machine tools in ArtCAM Pro as follows:

  • When creating a toolpath, in the toolpath's page. For example, the Profiling page. For details, see Adjusting Machining Parameters When Creating a Toolpath.
  • After creating a toolpath, using the Toolpaths Home page. For details, see Adjusting Machining Parameters in a Created Toolpath.
  • You can also change the tool's default machining parameters stored in the Tool Database. This method should only be used before selecting a toolpath. For details, see Editing a Tool.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adjusting Machining Parameters When Creating a Toolpath

You can change the machining parameters of the CNC machine tool used to machine a model, when creating a toolpath.

To change the machining parameters of a CNC machine tool:

  1. With the toolpath page displayed in the Assistant window, display the machining parameters of the selected tool by clicking on the [image] arrow in the tool area of the page.

    For example, if you have selected a 3mm End Mill tool in a Profiling toolpath, the tool area of the Profiling page looks like this:

  2. You can now set the new machining parameters:
    • To change the stepover of the selected tool, define the new distance between adjacent machining passes in the Stepover box.
    • To change the stepdown of the selected tool, define its maximum cutting depth in the Stepdown box. The stepdown generates multiple machining passes.
    • To change the feed rate of the selected tool, define the new rate at which the tool moves in relation to the block of material in the Feed Rate box.
    • To change the plunge rate of the selected tool, define the rate at which the tool moves in the Z direction and plunges into the block of material in the Plunge Rate box.
    • To change the rotational speed of the spindle, define the new speed in the Spindle box. The spindle is the part of the machine tool that rotates during operation. On a mill it holds the tool in position. On a lathe it holds the block of material.
    • To give the selected tool a number, click on the Tool Number list box and then on the number you want to assign to it. This number should correspond with the position of the tool in the CNC machine's tool changer.

See Also

Adjusting the Machining Parameters of a Tool

Adjusting Machining Parameters in a Created Toolpath


Adjusting Machining Parameters in a Created Toolpath

When you have created a toolpath, you can adjust the machining parameters, except for the Stepdown and the Stepover. In addition, you can amend toolpath parameters such as the Home Position and the Safe Z level.

To adjust the machining or toolpath parameters:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click to select the tool listed beneath the toolpath name for which you want to change the machining parameters. For details, see Selecting Toolpaths.

    For example, a 3mm End Mill tool used in creating a Profiling toolpath appears as follows:

  3. Click on the Edit Parameters button to display the machining parameters for the selected tool.

    For example, if you selected a 3mm End Mill tool when creating a Profiling toolpath, the Parameters area looks like this:

  4. You can change the machining parameters in this area as described in Adjusting Machining Parameters When Creating a Toolpath.

    In addition, you can amend:

    • The tool's name.
    • The height, or Safe Z level, at which the cutting tool makes rapid moves between toolpath segments.
    • The Home Position (XYZ) of the tool.
    • The comment about the toolpath, usually its name.
    • The colour assigned to a simulated toolpath shown as a solid colour.

      If your CNC machine has a rotary axis, it is possible to let the machine turn the model for you. ArtCAM Pro allows you to output a single toolpath containing both the front and back toolpaths together. The back toolpath is preceded by a rotary move that turns the material into position before cutting.

      If you want to use automatic indexing, define the angle of the rotated toolpath in the A Axis Angle box. The angle is appended to the name of the toolpath and is shown in brackets. You must also output the toolpaths together using a post processor that supports indexing. For example, the Model Master Indexer.

  5. Click on the Apply button.

See Also

Adjusting the Machining Parameters of a Tool

Adjusting Machining Parameters When Creating a Toolpath


Saving a Toolpath

When you have created a toolpath, it can be saved in two formats:

  • You can save the toolpaths along with the model you are currently working on as an ArtCAM model file (*.art). For details, see Saving a Model.
  • You can export the toolpath data as a file specific to your CNC machine tool, as explained below.

To save the toolpath data as a machine-specific file:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Save Toolpaths button [image] in the Toolpath Operations area to open the Save Toolpaths dialog box:

  3. Click on the toolpaths in the Calculated toolpaths window that you want to save as one machine-specific toolpath file.

    To select more than one toolpath, hold the Shift key down on your keyboard and then click on each of the toolpaths.

  4. Click on the right button [image] to transfer your selected toolpaths to the Toolpaths to save to a single file window.
  5. Make sure that the toolpaths are in the correct order.

    Click on the up [image] and down [image] buttons to set the order in which the toolpaths will be saved. Each click, up or down, moves the selected toolpath one position in the list.

    Click on the black left button [image] to transfer the currently highlighted toolpaths back to the Calculated toolpaths window.

    Click on the red left button [image] to transfer all toolpaths back to the Calculated toolpaths window.

  6. Click on the Machine output file is formatted for list box, and then click to select the machine format you want to use.
  7. If you want to save the machine-specific toolpath file to the spool directory, make sure that the Save Files to Spool Directory option is selected [image].

    If you have not already selected the spool directory, click on the Spool Dir… button to display the Browse For Folder dialog box. Click on the folder to which you want to spool your machine-specific toolpath files, followed by the OK button to set it as the spool directory.

    If you do not want to save the machine-specific toolpath file to the spool directory, make sure that the Save Files to Spool Directory option is deselected [image].

  8. Click on the Save button.
  9. Type the file name for the machine-specific toolpath in the File name box.
  10. Click on the Save as type list box, then click to select the file type in which you want to save your machine-specific toolpath.
  11. Click on the Save button to close the Save As dialog box.
  12. Click on the Close button in the Save Toolpaths dialog box.
  • You can also save a toolpath from either the 2D View or the 3D View in the same way. From the Main menu bar, click on the Toolpaths > Save Toolpath menu option to display the Save Toolpaths dialog box. For details on using the Save Toolpaths dialog box, return to the start of this section.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Editing a Toolpath

You can change the settings in any toolpath that you have created.

To edit the settings in a toolpath using the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select the preview of the toolpath that you want to edit. For details, see Selecting Toolpaths.
  3. Right-click to display the Toolpath menu, and then click on the Edit Toolpath option to display the toolpath's details in the Assistant window.

For example, if you select a Profiling toolpath and then the Edit Toolpath option from the Toolpath menu, the Profiling page is displayed in the Assistant window.

Alternatively, you can edit toolpath settings using the Toolpaths Home page:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Select the toolpath listed that you want to edit. For details, see Selecting Toolpaths.
  4. Click on the Edit Toolpath button [image] in the Toolpath Operations area to display the page for the toolpath in the Assistant window.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Deleting Toolpaths

You can delete a toolpath or toolpath group that you have created.

A toolpath group is a toolpath that requires the use of more than one machining tool. For example, a Bevelled Carving toolpath uses both a Carving tool and a Profiling tool.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Deleting a Toolpath

To delete a toolpath from the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select the preview of the toolpath that you want to delete to select it. For details, see Selecting Toolpaths.

    For example, if you want to delete the profile pass in a Bevelled Carving toolpath it would appear something like this when selected:

  3. Right-click to display the Toolpaths menu, then click on the Delete Toolpath option.

    In our example, you can see that the profile pass in the Bevelled Carving toolpath is now deleted:

See Also

Deleting Toolpaths

Deleting a Toolpath Group


Deleting a Toolpath Group

To delete a toolpath group using the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Editing area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select a preview toolpath that is part of a toolpath group to select it. For details, see Selecting Toolpaths.

    The selected part of the toolpath group is blue and surrounded by a bounding box.

    For example, if you want to delete a Bevelled Carving toolpath, and select the profile pass in the toolpath, the toolpath looks like this when selected:

  3. Right-click to display the Toolpaths menu, then click on the Delete Toolpath Group option.

    In our example, you can see that both the centreline and the profile pass in the Bevelled Carving toolpath group are now deleted:

  • You can also delete a toolpath using the Toolpaths Home page by clicking on the toolpath group listed to select it, for example Bevelled Carving, and then on the Delete Toolpath button [image] in the Toolpath Operations area.

See Also

Deleting Toolpaths

Deleting a Toolpath


Calculating a Single Toolpath

You can calculate a single toolpath during its creation using the Now button on the page corresponding to the toolpath. For example, when the Profiling page is shown in the Assistant window.

If you had chosen to calculate a toolpath Later, you can calculate it at a later time using the Toolpaths Home page. For details, see 2D Toolpaths and 3D Toolpaths.

All toolpaths listed on the Toolpaths Home page in red text (or yellow if selected) have not yet been calculated. All toolpaths listed in black text (or white if selected) have already been calculated.

To calculate a toolpath using the Toolpaths Home page:

  1. Select the toolpath that you want to calculate. For details, see Selecting Toolpaths.
  2. Click on the Calculate Selected Toolpath button [image] in the Toolpath Operations area.

    The page relating to the selected toolpath appears in the Assistant window and the calculation process begins. The page shown in the Assistant window is automatically closed when the calculation process is complete.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Calculating a Batch of Toolpaths

You can calculate a sequence of toolpaths at once using ArtCAM Pro's batch calculation process. This gives you the freedom to work continuously on creating a model during the day, and calculate all of its corresponding toolpaths during the night.

If you had chosen to calculate several toolpaths Later during their creation, you can calculate them in a batch sequence using the Toolpaths Home page. For details, see 2D Toolpaths and 3D Toolpaths.

All toolpaths listed on the Toolpaths Home page in yellow have not yet been calculated. All toolpaths listed in black have already been calculated.

To calculate a batch of toolpaths:

  1. Click on the Batch Calculate Toolpaths button [image] in the Toolpath Operations area of the Toolpaths Home page to display the Batch Calculate Toolpaths dialog box.

  2. From the Toolpaths Available For Calculation window, make sure that all of the toolpaths that you want to calculate as part of this batch are selected [image]. All of the available toolpaths are selected [image] by default.

    If you click on a selected toolpath [image] it is then deselected [image], and vice versa.

    You can deselect all of the available toolpaths by clicking on the Select None button.

    To select all of the available toolpaths, click on the Select All button.

  3. Click on the Calculate button to begin the batch calculation process.

    The following details are displayed in the Status window during the batch calculation process:

    • The time and date on which the batch calculation process commences.
    • The elapsed time for the calculation of each of the toolpaths within the batch.
    • The elapsed time for the entire batch calculation process.

      If you want to cancel the batch calculation process at any time, click on the Stop button.

  4. Click on the Close button to close the Batch Calculate Toolpaths dialog box.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Using a Toolpath Summary

You can review, print or save details of all of the toolpaths that you have created in order to machine a model.

The Toolpath Summary Information dialog box displays the following details:

  • Job dimensions used.
  • Toolpaths used.
  • Machining parameters of all tools used.

A total machining cycle time is also calculated based on the Feed Rates of the various tools that you had selected when creating a toolpath.

To display the Toolpath Summary Information dialog box:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

    You can use the scrollbar at the right of the Toolpath Summary Information dialog box to view all of the toolpath information.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Calculating the Estimated Machining Time

You can amend the machining parameters to estimate the actual machining time for a job.

To calculate the estimated machining time of a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

  3. Define the rapid rate of your CNC machine in the Rapid Rate box. You should confirm the maximum Rapid Rate of your CNC machine by consulting the manufacturer's manual. If the manual contains no reference to the maximum Rapid Rate, use the maximum Feed Rate value instead.
  4. Click on the list box and then click to select the appropriate unit of speed for your CNC machine.
  5. Define the time scale factor that you want to apply to the machining process in the Scale Factor box. The default time scale factor is 4. You should experiment with finding the appropriate value for your machining.
  6. Click on the Calculate button.
  7. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Printing a Toolpath Summary

Saving a Toolpath Summary


Printing a Toolpath Summary

To print a toolpath summary:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box.
  3. Click on the Print button to display the Print dialog box:

  4. From the Select Printer window, click on the icon of the printer that you want to use to print the toolpath summary.
  5. Click on the Print button to print the toolpath summary at the selected printer.
  6. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Calculating the Estimated Machining Time

Saving a Toolpath Summary


Saving a Toolpath Summary

To save a toolpath summary:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

  3. Click on the Save button to display the Save Toolpath Summary dialog box.
  4. Click on the Save In list box and select the directory where you want to save the toolpath summary.
  5. Type the file name you want to use for the toolpath summary in the File name box.
  6. Click on the Save button. The file is saved as a text file (*.txt).
  7. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Calculating the Estimated Machining Time

Printing a Toolpath Summary


Using the Tool Database

When creating a toolpath in ArtCAM Pro, it is necessary to select a tool with which to machine your model. A broad range of pre-defined tools can be selected from the Tool Database.

The Tool Database allows you to:

  • Select a tool with which to machine a toolpath. For details, see 2D Toolpaths and 3D Toolpaths.
  • Define and add your own tools.
  • Edit the default machining parameters of any selected tool.
  • Group tools together, as you prefer.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adding a Tool

To define and add a new tool to the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Database:

  3. Click on the Add Tool button to open the Add Tool dialog box:

  4. Type a name for the tool in the Description box.
  5. Click on the Tool Type list box, and then click to select one of the tool types listed. An image representing the selected Tool Type appears in the middle of the dialog box. Boxes to type in the necessary machining parameters of the tool appear in the right side of the dialog box.
  6. Set the number of the tool according to its current position on your tool changer in the Tool Number box.
  7. Click on the Tool Units list box, and then click to select the unit of measurement for the tool.
  8. Click on the Rate Units list box, and then click to select the unit of speed for the tool.
  9. Type any relevant information concerning the practical use of the tool you are adding to the Tool Groups Database in the Notes box.
  10. Define the machining parameters of the tool using the boxes on the right of the dialog box. For example, Diameter, Stepover and Flute Length.
  11. Click on the OK button to add the tool to the Tool Database. The tool you have added appears in the Tools and Groups window, and its details appear in the Tool / Group Description area of the Tool Database.
  12. Click on the tool in the Tools and Groups window and drag it into the appropriate group in the Tool Database.
    • For details on how to set up your own group, see Adding a Tool Group.
  13. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Editing a Tool

You can edit the geometry and the default machining parameters of any tool selected from the Tool Database:

  • Description - To change the name of the selected tool, type it in this box.
  • Tool Number - To change the number of the selected tool to correspond with its position on a tool changer, define it in this box.
  • Tool Units - To change the unit of measurement for the selected tool, click on the Tool Units list box and then on the unit of measurement you want to use.
  • Rate Units - To change the unit of speed for the selected tool, click on the Rate Units list box and then on the unit of speed you want to use.
  • Notes - If you want to make any notes about the selected tool, type them in this box.
  • Diameter - To change the diameter of the selected tool, define it in this box.
  • Stepdown - If you want to change the maximum cut depth of the selected tool, define it in this box.
  • Stepover - If you want to change the distance between adjacent machining passes made by the selected tool, define it in this box.

    You can also adjust the stepover of the selected tool using the % of box and buttons:

    • Each click on [image] increases the stepover of the selected tool by 1% of the value shown in the Diameter box.
    • Each click on [image] decreases the stepover of the selected tool by 1% of the value shown in the Diameter box.
    • Type a value in the % of box to define the Stepover as a percentage of the tool Diameter.
  • Spindle Speed - To change the rotational speed of the spindle, define it in this box.
  • Feed Rate - To change the rate at which the tool moves in relation to the block of material, define it in this box.
  • Plunge Rate - To change the rate at which the tool moves in the Z direction and plunges into the block of material, define it in this box.

Editing the geometry of certain types of tools in the Tool Database requires more data than with other tools. The additional information required includes:

  • Included Angle - To change the angle of a V-Bit tool, define the new angle in this box.
  • Half Angle - To change the angle of a Conical tool, define the new angle in this box.
  • Flat Radius - To change the radius of a flat Conical tool, define the new radius in this box.
  • Tip Radius - To change the radius of a rounded Conical tool, define the new radius in this box.

To edit the machining parameters or the geometry settings of a tool in the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Database:

  3. Click on the tool in the Tools and Groups window that you want to edit. The selected tool is highlighted in blue.
    • Before editing the machining parameters of a selected tool, you may want to make a copy of it. To do so, click on the tool in the Tools and Groups window, and then click on the Copy button. A copy of the tool appears directly beneath the original in the Tools and Groups window.

      The machining parameters of the selected tool appear in the Tool / Group Description area of the dialog box.

  4. Click on the Edit button to open the Edit Tool dialog box:

  5. Define all new machining parameters and tool geometry settings for the selected tool using the boxes in the dialog box, or by clicking on the appropriate options in the list boxes.
  6. Click on the OK button to save these new settings and parameters and to return to the Tool Database.

    The tool you have edited appears in the Tools and Groups window, and the information that you had typed in the Edit Tool dialog box appears in the Tool / Group Description area of the Tool Database.

  7. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Adding a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Copying a Tool

You can copy any tool within the Tool Database:

  1. Click on the tool that you want to copy in the Tools and Groups window. The selected tool is highlighted in blue.
  2. Click on the Copy button. A copy of the tool appears directly beneath the original tool. You can move the location of the tool by clicking and dragging on it.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Deleting a Tool

You can delete any tool listed in the Tool Database:

  1. Click on the tool that you want to delete in the Tools and Groups window. The selected tool is highlighted in blue.
  2. Click on the Delete button. A message box appears requesting that you confirm your decision to delete the tool.
  3. Click on the Yes button to delete the tool.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Adding a Tool Group

Within the Tool Database, tools are organized into various groups for ease of reference. When you define and add a selection of tools to the Tool Database, you may want to create a new group for them.

To create a new tool group:

  1. Click on the Tool Database button [image] in the Toolpaths area of the Assistant's Home page to open the Tool Database:

  2. Click on the Add Group button. A folder named New Group appears in the Tools and Groups window:

  3. Click on the New Group folder, and type the name for the tool group you want to add to the database. You can now click and drag any tools listed in the Tools and Groups window into the tool group folder that you have created.
  4. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Importing a Tool Database

You can merge the contents of a saved Tool Database with the Tool Database currently used in ArtCAM Pro, making it easy to consolidate old databases with new.

  1. Click on the Import... button in the Tool Database dialog box to display the Import Tool Database dialog box:

  2. Click on the Look in list box and select the directory where the Tool Database file (*.tdb) that you want to merge with the Tool Database currently used in ArtCAM Pro is stored.
  3. Once you have found the relevant Tool Database file (*.tdb), click on its name. The name of the file is displayed in the File name box.
  4. Click on the Open button to merge the contents of the selected tool database file with the Tool Database currently used in ArtCAM Pro.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Opening a New Tool Database

You can replace the Tool Database that is currently in use in ArtCAM Pro with another Tool Database (*.tdb).

For example, if you are using three separate database configurations for three separate machine tools, you may need to alternate between these Tool Databases at different times.

  1. Click on the Browse... button in the Tool Database dialog box to display the Browse for Tool Database dialog box:

  2. Click on the Look in list box and select the directory where the Tool Database file (*.tdb) that you want to open is stored.
  3. Once you have found the relevant Tool Database file (*.tdb), click on its name. The name of the file is displayed in the File name box.
  4. Click on the Open button to open the Tool Database file (*.tdb), replacing the Tool Database which was previously used in ArtCAM Pro.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Saving a Copy of a Tool Database

You can save a copy of the Tool Database currently used in ArtCAM Pro.

To save a copy of the current Tool Database:

  1. Click on the Save Copy... button in the Tool Database dialog box to display the Save Copy of Tool Database dialog box:

  2. Click on the Save In list box and select the directory in which you want to save the copy of the Tool Database.
  3. Type the file name you want to use for the Tool Database in the File name box.
  4. Click on the Save button to save the copy of the current Tool Database. ArtCAM saves the Tool Database as a *.tdb file. This is an ArtCAM proprietary file that stores all of your tool data.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Editing a Tool Group

You can edit the name and description of any tool group selected from the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Groups Database:

  3. Click on the tool group in the Tools and Groups window that you want to edit. The selected tool group is highlighted in blue and details about the group appear in the Tool / Group Description area of the database.
  4. Click on the Edit button to open the Edit Group dialog box:

  5. If you want to give the tool group a new name, type it in the Group Name box.
  6. If you want to make any notes about the selected tool group, type them in the Notes box.
  7. Click on the OK button to close the Edit Group dialog box.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Copying a Tool Group

You can copy any tool group within the Tool Database:

  1. Click on the tool group that you want to copy in the Tools and Groups window. The selected tool group is highlighted in blue.
  2. Click on the Copy button. A copy of the tool group appears directly beneath the original tool group. You can move the location of the tool group by clicking and dragging on it.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Deleting a Tool Group

Saving the Tool Database


Deleting a Tool Group

You can delete any tool group listed in the Tool Database:

  1. Click on the tool group that you want to delete in the Tools and Groups window. The selected tool group is highlighted in blue.
  2. Click on the Delete button. A message box appears requesting that you to confirm your decision to delete the tool group.
  3. Click on the Yes button to delete the tool group.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Saving the Tool Database


Saving the Tool Database

If you make any changes to the Tool Database, and then click on the OK button to close the database, the following message box appears:

Click on the Yes button to save the changes that you have made to the database before closing it, or click on the No button to close the database without saving your changes.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group


Adjusting the Material Setup

You can edit the thickness of a block of material and the position of a model within it. You can also change the origin in the block of material.

To adjust the material setup:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Material Setup button [image] in the Toolpath Operations area to display the Material Setup dialog box:

  3. Type a value in the Material Thickness box to define the depth (Z) of the block of material.
  4. To set the Z zero position in the block of material, click on either of the radio buttons [image] in the Material Z Zero area.

    The Material Z Zero icon [image] appears on the top or the bottom of the block to mark the origin.

  5. To specify the amount of material above the surface of the composite relief, click on the Top Offset radio button [image] in the Model Position In Material area, and then either:
    • Type a value in the Top Offset box.
    • Click and drag on the slider to adjust the value in the Top Offset box.

      The value in the Bottom Offset box changes automatically as the value in the Top Offset box changes.

    • The second box in the Model Position In Material area shows the current depth (Z) of the composite relief.
  6. To specify the amount of material below the base of the composite relief, click on the Bottom Offset radio button [image] in the Model Position In Material area then either:
  7. Click on the OK button to close the Material Setup dialog box and save the settings.

You can also adjust the material set-up using the Project page:

  1. Click on the Project tab [image] to display the Project page.
  2. With the Machining element shown, click on the material thickness value to display the Material Setup dialog box.

For information on how to use the Material Setup dialog box, return to the beginning of this section. For further details, see Viewing Model Information.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Deleting the Material

You can delete the material that you have defined using the Material Setup dialog box.

If you have changed the position and/or origin of a model using the Material Setup dialog box, neither the model nor its origin revert to their previous positions after the material has been deleted. You can reset the position of the model after the material has been deleted using either the Set Position dialog box or the Material Setup dialog box.

For details, see Setting the Position of a Model and Adjusting the Material Setup.

To delete the material:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Delete Material button [image] in the Toolpath Operations area.

The material is deleted from the 3D View window and is no longer listed in the Objects To Draw list box. For details, see Objects To Draw.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Creating a Toolpath Template

You can create a template from any toolpath(s) that you have either created or calculated in ArtCAM Pro. The toolpath template file contains all of the original settings that you have made when creating the toolpath(s). The toolpath settings saved within the template can then be applied to vector artwork drawn on the vector layers within an ArtCAM model file.

The toolpath template file (*.tpl) contains all of the original settings that you had made when creating the toolpath. The settings saved within the toolpath template can then be applied to a selected vector in order to machine all or part of a model.

To create a toolpath template:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Make sure that only the toolpaths that you want to save as a template are listed on the page. These toolpaths can either be created or calculated. Created toolpaths are listed in red text (or yellow if selected), whilst calculated toolpaths are listed in black text (or white if selected).
  3. Click on the Save Toolpath As Template button [image] in the Toolpath Operations area to display the Save Toolpath Template dialog box.
  4. Click on the Save In list box and select the directory you want to save the toolpath template in.
  5. Type the file name you want to use for the toolpath template in the File name box.
  6. Click on the Save button.

The toolpath template can now be loaded at any time to machine all or part of a model. For details, see Loading a Toolpath Template.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Loading a Toolpath Template

When you load a toolpath template, the toolpath settings within the file are automatically assigned to the vector in the model from which the original toolpath that forms the template was created.

If the vector from which the original toolpath was created has been deleted, or you want to use the template with a different model altogether, you need to select the vector to which you want to assign the toolpath template before the toolpath can be edited or calculated.

To load a toolpath template file (*.tpl):

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Load Toolpath Template button [image] in the Toolpath Operations area to display the Load Toolpath Template dialog box:

    • You can also display the Load Toolpath Template dialog box by clicking on the Toolpaths > Load Toolpath Template… menu option from the Main Menu bar..
  3. Click on the Look In list box, and then click to select the directory in which the toolpath template file you want to use is contained.
  4. Once you have found the toolpath template file, click on the file name listed in the main window of the Load Toolpath Template dialog box.
    • You are only able to select toolpath template files (*.tpl). You can confirm this by clicking on the Files of Type list box.
  5. Click on the Open button to list the toolpath on the Toolpaths Home page.

You can now edit or calculate the toolpath that has been loaded. For more details, see Calculating a Single Toolpath, Calculating a Batch of Toolpaths and Editing a Toolpath.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Loading Toolpath Data

You can load toolpath data saved as part of an existing ArtCAM model file to another. This allows you to machine several different models at once, depending on the size of your router-bed and if you have access to a tool changer.

To load toolpath data:

  1. From the Main menu bar, click on the Toolpaths > Toolpath Data > Load… menu option to display the Load Toolpath dialog box:

  2. Click on the Look In list box, and then click to select the directory in which the ArtCAM model file containing the toolpaths that you want to use is saved.
  3. Once you have found the ArtCAM model file, click on the file name listed in the main window of the Open dialog box.
    • You are only able to select ArtCAM model files (*.art). You can confirm this by clicking on the Files of Type list box.

      The name of the ArtCAM model you have selected appears in the File Name box.

  4. Click on the Open button to list all of the toolpaths saved as part of the selected ArtCAM model file on the Toolpaths Home page.

You can now edit the toolpaths as required. For more details, see Editing a Toolpath.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Setting the Toolpath Order


Setting the Toolpath Order

Each time a new toolpath is created or calculated it is listed on the Toolpaths Home page. The previous toolpath is then moved down a position in this list of toolpaths. This can often mean that the final list of toolpaths does not reflect the order in which you want to machine a job. In this instance, you can reset the order in which created and calculated toolpaths are listed to reflect how you want to machine the job.

To set the order in which created and calculated toolpaths are listed:

  1. Click to select the name of the toolpath that you want to prioritize. Its name is highlighted in blue.
  2. Use the buttons on the page to set the position of the toolpath in the list:
    • Click on the [image] button to move the toolpath upwards.
    • Click on the [image] button to move the toolpath downwards.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Adjusting the Material Setup

Deleting the Material

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data


Simulating Toolpaths

You can simulate a toolpath that has been calculated. This allows you to visualize the machining passes used to create a finished model. The name of a calculated toolpath is shown on the Toolpaths Home page in black. If it is shown in red, the toolpath has not yet been calculated and cannot be simulated.

A toolpath simulation is a more informative display of the toolpath than that offered by the dark red wireframe drawing that makes up a toolpath preview in the 2D View window.

You can simulate a calculated toolpath in either the 2D View or 3D View window. You can simulate a toolpath in the 2D View providing that a 2D Preview has been created when calculating the toolpath.

ArtCAM Pro allows you to simulate calculated toolpaths in the 2D View window as solid colours. This toolpath simulation method is a more informative display of the toolpath than that offered by the wireframe method of drawing a toolpath preview.

The collection of toolpath simulation tools is located in the Toolpath Simulation area of the Toolpaths Home page:

Hide Toolpath Simulation Area Draw Inside Vector Simulate Toolpath Simulate Toolpath Fast Simulate All Toolpaths Reset Simulation Delete Simulation Save Simulation As A Relief Load Simulation As A Relief

You can also simulate toolpaths using the Toolpaths menu located on the Main menu bar:

Material Setup... Delete Material Save Toolpath... Load Toolpath Template... Toolpath Data Simulate Toolpath Simulate All Toolpaths Reset Simulation Delete Simulation Save Simulation Load Simulation Toolpath Drawing Batch Calculate Toolpaths...

To simulate calculated toolpaths in the 2D View window as a solid colour:

  1. Click to select the calculated toolpath listed on the Toolpaths Home page that you want to simulate.
  2. Click to select the Draw Solid option [image] beneath the list of calculated toolpaths. If you only want to view a solid colour simulation, make sure that the Draw Wireframe option is deselected [image] also.

    Using the Draw Solid option allows you to clearly see the areas of the vector artwork that the selected tool will machine, and how effectively the toolpath reproduces the integrity of the original design.

    In the example below, the solid colour simulation on the left confirms that we would need to use a tighter tolerance in our toolpath in order to preserve the profile of the letter. The image on the right shows the solid colour simulation of the same toolpath after its tolerance has been adjusted.

    Letter 'a' using a loose tolerance…

    Letter 'a' using a tighter tolerance…
  3. If you want to change the colour of the solid toolpath simulation, click on the colour spot beside the name of the tool used in the toolpath listed on the page to display the Color dialog box:

    For details on using this dialog box, see Assigning a Colour to a Vector Layer.

    The default colour assigned to each and every tool used within a toolpath is brown. However, if you assign a new colour to a tool at any stage, this colour will be maintained in all subsequent toolpaths listed on the Toolpaths Home page in which the same tool is used. For example, if blue is assigned to a 3 mm End Mill tool, then the solid simulation for all subsequent toolpaths using a 3 mm End Mill tool will also be blue. This does not apply retrospectively, so previous toolpaths using the same tool will not adopt the newly assigned colour.

  4. If you want to hide the solid toolpath simulation at any time, you can either:
    • Click to deselect the Show In 2D option beside the name of the calculated toolpath [image].
    • Click to deselect the Draw Solid option [image].

You can simulate calculated toolpaths in the 3D View window in four different ways:

  • A single toolpath.
  • An area of a toolpath.
  • A group of toolpaths. A toolpath group requires the use of more than one machining tool. For example, Bevelled Carving.
  • All toolpaths.

To simulate a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the toolpath listed on the Toolpaths Home page that you want to simulate. For details, see Selecting Toolpaths.
    • You can only simulate calculated toolpaths. These are listed on the Toolpaths Home page in black. Uncalculated toolpaths are listed in red.
  3. Make sure that the machining parameters of the tool listed in the Parameters area are correct. If you want to adjust its parameters:
  4. Make sure that the Draw option in the Toolpath Simulation area is selected [image].
  5. You can now simulate the toolpath in either of the following ways:
    • Click on the Simulate Toolpath Fast button [image] to display the 3D View window and simulate the whole toolpath using the full capacity of your computer processor.
    • Click on the Simulate Toolpath button [image] to display the 3D View window and the Simulation Control panel:

      If you click on the Simulate Toolpath button [image], use the playback buttons on the Simulation Control panel to simulate the toolpath:

    • - Click on the Pause Simulation button if you want to pause the toolpath simulation.
    • - Each click on the Single Step Simulation button simulates a successive tool move in the toolpath.
    • - Click on the Run Simulation at Normal Speed button if you want to simulate the whole toolpath using only a percentage of your computer processor's capacity.
    • - Each click on the Run to Next Retract Move button simulates the toolpath, pausing when the tool retracts from the material, using only a percentage of your computer processor's capacity.
    • - Click on the Run Simulation at Maximum Speed button if you want to simulate the whole toolpath using the full capacity of your computer processor.
    • - Each click on the Run at Maximum Speed to Next Retract button simulates the toolpath, pausing when the tool retracts from the material, using the full capacity of your computer processor.
    • - Click on the Abort Simulation button if you want to stop the toolpath simulation and close the Simulation Control panel.
    • You can also simulate a toolpath by clicking on a toolpath preview in the 2D View window, and then on the Simulate Toolpath option from the menu displayed when you right-click.
    • You can also simulate a toolpath by clicking on a toolpath preview in the 2D View window, and then clicking on the Toolpaths menu in the Main menu bar, followed by the Simulate Toolpath option.

To simulate an area of a toolpath at the resolution used for the whole relief:

  1. In the 2D View, create a vector, or move an existing vector, so that it surrounds the area of the toolpath preview that you want to simulate. For details, see Drawing with Polylines, Creating Simple Shapes and Moving Vectors.
  2. Make sure the vector you want to use to define the area of the toolpath that you are simulating is selected. For details, see Selecting Vectors.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. In the Toolpath Simulation area, click to select the Inside Vector option [image].
  5. Click on either of the simulation buttons to simulate the area of the toolpath defined by the selected vector:
    • Click on the Simulate Toolpath button [image] to display the 3D View window and the Simulation Control control panel. You can use the playback buttons on the Simulation Control panel to control how the toolpath area is simulated.
    • Click on the Simulate Toolpath Fast button [image] to display the 3D View window and simulate the toolpath area using the full capacity of your computer processor.

To simulate a group of toolpaths:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
    • You can only simulate calculated toolpaths. These are listed on the Toolpaths Home page in black. Uncalculated toolpaths are listed in red.
  2. Select any part of the calculated toolpath group that you want to simulate. For details, see Selecting Toolpaths.
  3. From the Main menu bar, click on the Toolpaths menu, followed by the Simulate Toolpath option to display a representation of the calculated toolpath group and the machined vector(s) in the 3D View window.
    • You can also simulate a toolpath group by selecting a toolpath preview in the 2D View window that belongs to the group, right-clicking on the toolpath preview to display the Toolpath Editing menu and then clicking on the Simulate Toolpath Group option.

To simulate all of the toolpaths you have calculated:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Simulate All Toolpaths button [image] to display a representation of the calculated toolpaths and the machined vector(s) in the 3D View window.
    • You can also simulate all toolpaths group by clicking on the Toolpaths menu in the Main menu bar, and then on the Simulate All Toolpaths option.

See Also

Machining Models

Overview

2D Toolpaths

3D Toolpaths

Managing and Modifying Toolpaths


Viewing a Toolpath

You can view a toolpath you have created in both the 2D View and 3D View windows. A toolpath is displayed as a sequence of dark red lines in the 2D View window, and a series of multi-coloured lines in the 3D View window.

The colour in which a toolpath is displayed within the 3D View window shows the movement the selected tool will make when machining the vector.

The following example shows a toolpath simulation as seen along the Y-axis:

See Also

Simulating Toolpaths

Hiding a Toolpath

Resetting a Simulation

Deleting a Simulation

Saving a Simulation as a Relief

Loading a Simulation from a Relief


Rapid and Plunge Moves

The selected tool leaves the Home position, moves to the Safe Z level, then above and across the material surface until it reaches the point of entry. This movement is known as a Rapid move, and a blue line marks this.

The tool cuts into the material surface at its Plunge rate. A cyan line marks plunge moves.

Once the cutting is complete, the tool retracts from the block of material to the Safe Z level and then moves above and across the material surface until it reaches the Home position. This is another Rapid move marked by a blue line.

If a toolpath simulation contains several Rapid and Plunge moves, the lines representing the movement of the selected tool in the 3D View window can become obscured. For this reason, you may want to hide them from view.

Rapid and Plunge moves are drawn in a toolpath simulation by default, but can be hidden in either of the following ways:

  • Click on the Toolpaths > Toolpath Drawing > Draw Rapid and Plunge Moves menu option from the Main Menu bar.
  • Click to deselect the Rapid & Plunge Moves option in the Machining area of the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

See Also

Viewing a Toolpath

Cutting Direction


Cutting Direction

As an aid to visualization, arrows indicating the cutting direction used in a 2D toolpath are used in toolpath previews drawn in the 2D View window. The cutting direction is hidden by default, but can be shown in either of the following ways:

  • Click on the Toolpaths > Toolpath Drawing > Show Cutting Direction menu option from the Main Menu bar.
  • Click to select the Cutting Direction option in the Machining area of the ArtCAM Options page. For details, see Managing ArtCAM Pro's Preferences.

A Conventional cut direction is illustrated with anti-clockwise arrows, and a Climb Mill cut direction with clockwise arrows. For example, we can see that a Climb Mill cut direction has been used in the Area Clearance toolpath preview shown below:

See Also

Viewing a Toolpath

Rapid and Plunge Moves


Hiding a Toolpath

You can hide any toolpath shown in either the 2D View or 3D View window.

To hide a toolpath shown in the 2D View window:

  1. Click to select the toolpath preview that you want to hide. For details, see Selecting Toolpaths.
  2. Right-click to display the Toolpath Editing menu, and then click on the Hide Preview option.

To hide a toolpath shown in the 3D View window:

  1. Double right-click in the 3D View window to display a list of toolpath viewing options, and then click on the toolpath you want to hide. The toolpath that you want to hide is deselected.

    For example, clicking on the Profile - End Mill 3mm option hides the toolpath from view.

    • You can hide any of the toolpaths shown in the 3D View window using the Objects To Draw button [image] in the 3D View toolbar. For details, see Objects To Draw.

See Also

Simulating Toolpaths

Viewing a Toolpath

Resetting a Simulation

Deleting a Simulation

Saving a Simulation as a Relief

Loading a Simulation from a Relief


Restoring a Hidden Toolpath

You can restore a toolpath that has been hidden in either the 2D View or 3D View window.

To restore a toolpath hidden in the 2D View window:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Make sure that the 2D View window is displayed

    If the 3D View button [image] is in the toolbar above the design window, the 2D View is displayed. If not, click on the 2D View button [image].

  3. Click to select the Show In 2D box next to the relevant toolpath you want to view [image]. The toolpath appears in the 2D View window in dark red.

To restore a toolpath hidden in the 3D View window:

  1. Double right-click in the 3D View window to display a list of toolpath viewing options, and then click on the toolpath you want to view. The toolpath that you want to restore is now selected.

    For example, clicking on the Profile - End Mill 3mm option restores the toolpath to view.

    • You can restore any of the toolpaths hidden in the 3D View window using the Objects To Draw button [image] in the 3D View toolbar. For details, see Objects To Draw.

See Also

Hiding a Toolpath


Resetting a Simulation

You can reset a toolpath simulation that has been drawn in the 3D View window.

To reset a toolpath simulation:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Reset Simulation button [image] in the Toolpath Simulation area.
  • You can also reset a toolpath simulation from the Main menu bar by clicking on the Toolpaths menu followed by the Reset Simulation option.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Deleting a Simulation

Saving a Simulation as a Relief

Loading a Simulation from a Relief


Deleting a Simulation

You can delete a toolpath simulation from the 3D View window.

To delete a toolpath simulation:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Delete Simulation button [image] in the Toolpath Simulation area.
  • You can also delete a toolpath simulation from the Main Menu bar by clicking on the Toolpaths > Delete Simulation option.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Resetting a Simulation

Saving a Simulation as a Relief

Loading a Simulation from a Relief


Saving a Simulation as a Relief

You can save a toolpath simulation as an ArtCAM relief file (*.rlf).

To save a toolpath simulation as an ArtCAM relief file:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Save Simulation As A Relief button [image] in the Toolpath Simulation area to display the Save As dialog box:

  3. Click on the Save In list box and select the directory in which you want to save the ArtCAM relief file.
  4. Type the file name that you want to use for the ArtCAM relief in the File Name box.
  5. Click on the Save button.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Resetting a Simulation

Deleting a Simulation

Loading a Simulation from a Relief


Loading a Simulation from a Relief

You can load a toolpath simulation from an ArtCAM relief file.

To load a toolpath simulation from an ArtCAM relief file:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Load Simulation From Relief button [image] in the Toolpath Simulation area to display the Load Simulation dialog box:

  3. Click on the Look In list box and find the ArtCAM relief file (*.rlf) that you want to simulate.
  4. Once you have found the file, click on the file name listed in the main window of the Open dialog box. The name of the ArtCAM relief file you have selected appears in the File Name box.
    • You are only able to select ArtCAM Relief files (*.rlf). You can confirm this by clicking on the Files of Type list box.
  5. Click on the Open button to load the ArtCAM relief as a simulation.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Resetting a Simulation

Deleting a Simulation

Saving a Simulation as a Relief